Contents
Fax Voip Windows Fax Service Provider
T.38 and Audio Fax, SIP, H.323

https://www.t38faxvoip.com/fsp

https://www.t38modem.com/fsp

Enables Microsoft Fax and Windows Fax and Scan, which are built into Windows, to send and receive T.38 and Audio Faxes using VoIP. ECM (Error Correction Mode) support. Multiple SIP Registrations. Call Routing. Mail to Fax. Incoming Fax Routing: Route through e-mail, Store in a folder, Print, Custom Routing. Outgoing Fax Routing: E-mail Delivery Receipts, Store in a folder, Print, Custom Routing.

Table of Contents

Introduction

New in version 4.3.1

History

Installation and Setup

Installing a Trial Copy

Features

System Requirements

Removing the previous version

Microsoft .NET Framework 4.5 requirements

Setup Program

Starting Fax Voip FSP for the first time

Configure SIP Line

Configure H.323 Line

Install Windows Photo Viewer in Windows Server

Fax Voip FSP Manager

To Run Fax Voip FSP Manager

Tray Menu Options

Fax Voip FSP Control Panel

VOIP

SIP

SIP Settings

Outbound Proxy Settings

SIP Registrations

SIP Registrations Settings

To create (or edit) SIP Registration entry

To manage SIP Registration

Test SIP Registration

Restore SIP Registration Options

T.38 Fax Settings

Audio Fax Settings

H.323

H.323 Settings

H.323 Gatekeeper

T.38 Fax Settings

Audio Fax Settings

Outgoing VOIP Call Routing

To create or edit Outgoing Call Routing rule

To manage Outgoing Call Routing rules

Outgoing VOIP Call Routing Settings

General Settings

Fax Settings

Audio Settings

Incoming VOIP Call Routing

To create or edit Incoming Call Routing rule

To manage Incoming Call Routing rules

Incoming VOIP Call Routing Settings

General Settings

Fax Settings

User Agent

Incoming Fax Routing Methods

Route through e-mail

To create or edit e-mail routing rule

Managing Route through e-mail rules

Route through e-mail Settings

General Settings

E-mail Settings

Format Settings

E-mail Templates Settings

Store in a folder

To create or edit Store in a folder rule

Managing Store in a folder rules

Store in a folder Settings

General Settings

Store in Folder Settings

Format Settings

Print

To create or edit print routing rule

Managing Print rules

Print Routing Settings

General Settings

Print Settings

Custom routing for incoming faxes

Custom Application Requirements (Developer's Guide)

Custom Application Sample

Outgoing Fax Routing Methods

E-mail Delivery Receipts

To create or edit E-mail Delivery Receipts rule

Managing E-mail Delivery Receipts rules

E-mail Delivery Receipts Settings

General Settings

E-mail Settings

Format Settings

E-mail Templates Settings

Store in a folder

To create or edit Store in a folder rule

Managing Store in a folder rules

Store in a folder Settings

General Settings

Store in Folder Settings

Format Settings

Print

To create or edit print routing rule

Managing Print rules

Print Routing Settings

General Settings

Print Settings

Custom routing for outgoing faxes

Custom Application Requirements (Developer's Guide)

Custom Application Sample

Fax

Fax Settings

Intelligent fax retransmission

Dialing Rules

Dialing Rules Overview

Fax Timeouts

Convert to Fax Settings

Printto Options

To manually fix file associations in Windows 11 and Windows 10

Fax Viewer Settings

Send a Fax using SendFax.exe tool

SendFax.exe command line options

Configure and Run SendFax.exe

Cover Pages (SendFax.exe)

Sender Information (SendFax.exe)

E-mail Delivery Receipts (native)

SMTP Settings (Windows Fax Service)

SendFax.exe options

Fax Recipients

Documents

Convert to Fax Settings

Cover Page Settings

Sender Information Settings

Priority and Schedule Settings

E-mail Receipts (native)

Track fax job (GUI mode)

Monitoring a fax

View fax properties

Manage fax job

Track fax job (console mode)

Audio

Audio Settings

Audio Codecs

Audio Codec Settings

Audio Codec requirements for Faxes

E-mail

Fax to Mail, Mail to Fax and Delivery Receipts

Configure Mail to Fax system as Windows Service

Mail to Fax

Mail to Fax Settings

Dialing Rules (Mail to Fax)

Delivery Receipts to user e-mail address (Mail to Fax)

Cover Pages (Mail to Fax)

Sender Information (Mail to Fax)

Mail to Fax Rules

To create or edit Mail to Fax rule

To manage Mail to Fax rules

Mail to Fax Rules Settings

General Settings

Dialing Rules Settings

Receipts Settings

Attachments Settings

Cover Pages Settings

Sender Information Settings

Schedule Settings

E-mail Templates Settings

Sending faxes from e-mails

Composing of e-mail message

Sending Cover Pages

E-mail attachments

Using PDF files as attachments

Blocking e-mail addresses

E-mail notifications

Mail to Fax as Windows Service

Mail to Fax Troubleshooting

Frequently Asked Questions (FAQ)

To view Mail to Fax log

Recovery of Mail to Fax function

Using e-mail attachments with file names in national languages

SMTP Settings

OAuth 2.0 Settings

To obtain and install secure e-mail certificate

Testing e-mail sending

POP3 / IMAP Settings

OAuth 2.0 Settings

Testing POP3 / IMAP Settings

Configure SMTP, POP3 and IMAP using OAuth 2.0 Modern Authentication

Google (Gmail.com)

Microsoft (Office 365, Hotmail, Outlook.com)

Yahoo.com

E-mail Templates

New Fax Received

Fax successfully sent

Failed to send a fax

Failed to create fax job

Options and Logs

Options

Fax Voip FSP Logs

Incoming Routing Methods Logs

Outgoing Routing Methods Logs

E-mail Logs

SendFax.exe Logs

Multi-Language Support

To create Language Profile

To edit Language Profile

Language files

Windows Fax Service

Install the Fax Service

To install Windows Fax and Scan on Windows 10 computer

To install the Fax Server role on Windows Server 2022 computer

Configure the Fax Service

Windows 11

Windows Server 2022

Sharing Fax Resources

To configure Fax Server (Windows Server 2022)

To configure Fax Client (Windows 11)

Configure Fax Station ID and Fax Headline

Windows 11

Windows Server 2022

To access faxes created by another user

Register the Fax Service Provider

Sending and Receiving Faxes

Send Faxes

To Send a Fax from a Windows application

To Send a Fax from Fax Voip FSP

To configure sender information

To adjust fax resolution

SendFax.exe command line tool

To send a fax using a different fax account

Receive a Fax

Monitoring and notifying

Caller ID and Called Number (DID)

Receiving Caller ID and DID

Sending Caller ID (SIP)

Sending Caller ID (H.323)

Configure Fax Voip FSP with VoIP Service Providers

Configure Fax Voip FSP with T38FAX

Configure Fax Voip FSP with Callcentric

Configure Fax Voip FSP with babyTEL

Configure Fax Voip FSP with MondoTalk

Configure Fax Voip FSP with DellMont (Betamax) services

Licences

License Types

View License Status

Purchase License

Add/Change License

Upgrade to version 4

License Support

Frequently Asked Questions

Backup or Restore

Backup settings and files

Restore settings and files

Removing Fax Voip FSP

To Remove Software

Running Fax Voip FSP via Remote Desktop

Configure RDP on the computer I want to connect to

Connect to remote computer using RDP

Virtual Machines Problems

Frequently Asked Questions

Technical Support

Remote Assistance

Other Products

Fax Voip T.38 Modem

Fax Voip T.38 Console

Fax Voip Softphone

Windows Mail Restore Tool for Windows 10, 8.1 and 7

Copyright © FaxVoip Software, LLC, 2008-2024. All Rights Reserved.


Introduction
Fax Voip Windows Fax Service Provider
T.38 and Audio Fax, SIP, H.323

https://www.t38faxvoip.com/fsp

https://www.t38modem.com/fsp

Enables Microsoft Fax and Windows Fax and Scan, which are built into Windows, to send and receive T.38 and Audio Faxes using VoIP. ECM (Error Correction Mode) support. Multiple SIP Registrations. Call Routing. Mail to Fax. Incoming Fax Routing: Route through e-mail, Store in a folder, Print, Custom Routing. Outgoing Fax Routing: E-mail Delivery Receipts, Store in a folder, Print, Custom Routing.

About Fax Voip FSP

Fax Voip Windows Fax Service Provider (Fax Voip FSP) enables Microsoft Fax and Windows Fax and Scan, which are built right into Windows, to send and receive T.38 and audio (over G.711 codec) faxes using your VoIP (SIP or H.323) infrastructure without any further cost.

Windows Fax Service and Windows Fax and Scan application is an integrated fax software included in all Windows versions. It is an extensible fax platform that you can use to deploy shared fax resources in your organization. Users within an organization can install a connection to a remote fax printer on a network fax server and send and receive faxes using shared fax devices located on the server, as well as from a local fax device attached to their computers. Fax administrators can configure, manage, and monitor these shared fax resources. Centralized management of server-based shared fax devices means easier management and maintenance, and lower costs. Fax users can send and receive faxes without the need to use manual fax machines, saving time and effort.

Fax Voip FSP replaces the standard Microsoft Modem Device Provider by the Fax Voip T.38/G.711FAX Device Provider. This allows you to use the Windows Fax Service most efficiently. In particular, the ECM (Error Correction Mode) is supported. The busy signal is also detected correct way. Using Fax Service Provider (FSP) instead of Virtual COM Ports and modems significantly improves reliability of your fax system.

Fax Voip FSP allows Windows Fax and Scan to receive Caller ID and Called Number (DID) - via Routing Information field.

Multiple SIP Registrations and Call Routing functions make your system the most flexible as well as allowing you to work with different SIP and H.323 providers simultaneously.

The Mail to Fax function will let you send faxes directly from your e-mail application. The body of your e-mail messages will act as the fax cover page, while any attached documents (e.g. PDF, TIFF, or TXT formats) will be converted into additional fax pages. Faxes can be sent to multiple recipients, and you can mix different formats as attachments to your messages.

Fax Voip FSP Routing Extension allows you to route incoming faxes depending on the Caller Number (Caller ID) and Called Number (DID), using the following fax routing methods : Route through e-mail , Store in a folder , Print . Custom routing for incoming faxes allows you to easy add any routing functionality by using custom application that is started after receiving a fax.

Outgoing Fax Routing Methods : E-mail Delivery Receipts , Store in a Folder , Print allow you to route outgoing faxes depending on the recipient's fax number, the name of the computer user account who submitted the fax job, and the success or failure of sending the fax. Custom routing for outgoing faxes allows you to easy add any routing functionality by using custom application that is started after sending a fax.

Fax Voip FSP has been successfully tested with T38FAX , CALLCentric , babyTEL , MondoTalk and many other VoIP service providers.


New in version 4.3.1

New in version 4.3.1 (January 2024)

  • Fixed HTTPS and some other links in the application.
  • Fixed HTTPS links in the user manual.
  • Added information about our new website https://www.t38modem.com .

New in version 4.2.1 (March 2023)

  • Modern authentication (OAuth 2.0 token-based authorization) support is implemented when sending e-mail messages using SMTP.
  • Modern authentication (OAuth 2.0 token-based authorization) support is implemented when receiving e-mail messages using POP3 / IMAP.
  • SecureSmtpClient method for sending e-mail messages via SMTP. OAuth 2.0 Modern Authentication support. Implicit SSL, Explicit SSL (STARTTLS). UTF-8 encoding. Detailed log when sending e-mail message via SMTP.
  • In the Fax Voip FSP Control Panel, the procedure for getting Refresh Token (OAuth 2.0) using Internet Explorer, WebBrowser (.Net) or Default Browser.
  • Fax Voip FSP has been successfully tested with Gmail , Microsoft ( Office 365 , Hotmail, Outlook.com ), Yahoo! and some other e-mail OAuth 2.0 providers.
  • Fixed error reporting when using CDO.Message method to send e-mail messages via SMTP.
  • Some other improvements.

New in version 4.1.1 (September 2022)

  • Windows 11 and Windows Server 2022 support added.
  • Finally removed support for Windows XP, Windows Server 2003 and Windows Vista.
  • Support for TLS version 1.2 is implemented when using SMTP and secure connection (SSL). Can be critical when using Route through e-mail Incoming Fax Routing Method , E-mail Delivery Receipts Outgoing Fax Routing Method and Mail to Fax function.
  • Support for TLS version 1.2 is implemented when using POP3 / IMAP and secure connection (SSL). Can be critical when using Mail to Fax function.
  • Added some comments on how to use Fax Voip FSP with Gmail after May 30, 2022 ( SMTP Settings , POP3 / IMAP Settings ).
  • New styles and icons applied for better compatibility with Windows 11.
  • Updated help system.
  • Some other improvements.


History

New in version 4.3.1 ››

Version 3.3.1 (October 2021)

  • In the Fax Voip FSP Control Panel, Dialing Rules (Microsoft Telephony) page added. On this page you can configure dialing rules (TAPI) and see how fax number in canonical format will be translated into dialing string and how it will be displayed in Windows Fax and Scan software. In user manual, added instructions on how to configure dialing rules ( Dialing Rules Overview chapter).
  • When using Mail To Fax function and Mail to Fax Rules , added possibility to translate fax number to non-canonical format before creating a fax job, including using the dialing rules (TAPI) specified in the Phone and Modem options in Windows Control Panel.
  • When using Mail To Fax function and Mail to Fax Rules , added possibility to add prefix before fax number. In particular, this can be used to route faxes from different e-mail users via different SIP accounts. The specified prefix can be then removed when applying the Outgoing VOIP Call Routing rules (If Number starts with and Remove digits... options).
  • When using Remove digits option in the Outgoing VOIP Call Routing rules, you now can remove not only digits, but also any other characters at the beginning of the number.
  • Fixed some issues with DNS SRV lookup, in particular when using a proxy. Critical with some providers, such as Deutsche Telekom (tel.t-online.de), that no longer use the DNS A record to resolve the IP address of the SIP server. Sometimes this can be used to automatically detect the correct port number on which the SIP server is listening.
  • In the Fax Voip FSP Control Panel, added commands to create a copy of the selected routing rule or SIP Registration entry. Applied to SIP Registrations , Outgoing VOIP Call Routing , Incoming VOIP Call Routing , Incoming Fax Routing Methods ( Route through e-mail , Store in a folder , Print ), Outgoing Fax Routing Methods ( E-mail Delivery Receipts , Store in a folder , Print ) and Mail to Fax Rules . Can be useful when creating a large number of similar rules or SIP Registration entries.
  • In the Fax Voip FSP Control Panel, added commands to enable or disable selected rule(s). Applied to Incoming Fax Routing Methods ( Route through e-mail , Store in a folder , Print ) and Outgoing Fax Routing Methods ( E-mail Delivery Receipts , Store in a folder , Print ).
  • Configuring Windows Fax Service to archive all successfully sent faxes to Sent Items folder. This is required for correct operation of the Outgoing Fax Routing Methods .
  • Possibility to configure Use device Transmitting Subscriber ID (TSID) option (Windows Fax Service software) using Reinstall Fax Voip FSP Services command in the Fax Voip FSP Control Panel .
  • Some other improvements.

Version 3.2.1 (October 2020)

  • E-mail Delivery Receipts outgoing fax routing method. Sending e-mail receipt to the predefined e-mail address(es), to confirm whether the fax has been sent correctly. Depending on the recipient's fax number, the name of the computer user account who submitted the fax job, and the success or failure of sending the fax, delivery receipt can be sent to different e-mail addresses. Sending delivery receipts to multiple recipients including using Cc and Bcc boxes. Fax can be attached to e-mail message in TIFF, PDF or SFF format. Customizable E-mail Templates. Customizable filename templates. Customizable date and time formats. This method is a replacement for Delivery Receipts via E-mail function. It works regardless of the user account under which the fax job was created (the main issue in the previous implementation). The old functionality has been completely removed from the application.
  • Store in a folder outgoing fax routing method. Copying outgoing faxes to specified folders depending on the recipient's fax number, the name of the computer user account who submitted the fax job, and the success or failure of sending the fax. Saving outgoing fax into multiple folders. Possibility to select fax saving format: TIFF, PDF or SFF. Customizable filename templates. Customizable date and time formats.
  • Print outgoing fax routing method. Printing outgoing faxes depending on the recipient's fax number, the name of the computer user account who submitted the fax job, and the success or failure of sending the fax. Possibility to print outgoing fax to multiple printers.
  • Custom routing for outgoing faxes . Allows you to easy add any routing functionality by using custom application that is started after sending a fax. Code sample is attached.
  • A new variable %FaxAccount% has been added to the Fax successfully sent and Failed to send a fax e-mail templates, as well as to the filename templates for outgoing faxes. Replaced by the name of the computer user account (fax account) who submitted the fax job.
  • The 'Fax Voip FSP Extended Incoming Routing (E-mail, Store in Folder, Print) license' has been renamed to 'Fax Voip FSP Extended Fax Routing (E-mail, Store in Folder, Print) license' and now applies to both Incoming Fax Routing Methods and Outgoing Fax Routing Methods .
  • Fax Timeouts implemented: waiting for call answer, time to establish connection with a fax, fax page transmission time, maximum call duration. Using these options allows the Fax Voip FSP to forcibly terminate the VoIP phone call and free up fax resources (Fax Voip Line virtual devices).
  • An auxiliary mechanism to forcibly restore SIP Registration implemented. Can be helpful in the case of unstable registration.
  • The TIFF compression format for faxes received by the Fax Voip FSP lines has been changed from CCITT T.4 to CCITT T.6 in accordance with the fax service requirements and ITU-T Recommendation T.6 . Fixed invalid values in TIFF tags number 282 (XResolution) and 283 (YResolution). In particular, the issue with printing received faxes in the Windows Fax and Scan application has been fixed.
  • Fixed bug that could lead to partial loss of settings when clicking <Apply> button and then closing the Fax Voip FSP Control Panel window.
  • In previous versions, user could specify a two-digit number in the Remove Digits option in the Outgoing VOIP Call Routing rule, which caused an outgoing call error. Fixed. By design, you can delete no more than first 9 digits in the number being dialed.
  • In user manual, added instructions on how to configure fax server (Windows Server OS) to be shared with client computers ( Sharing Fax Resources chapter).
  • In user manual, added instructions on how to view and manage faxes created by another user ( To access faxes created by another user chapter). Added instructions on how to send a fax on behalf of another user account ( To send a fax using a different fax account chapter).
  • In user manual, added instructions on how to enable Outgoing Fax Routing Methods and Intelligent fax retransmission functionalities in Windows 7 and Windows Server 2008R2, where they do not work by default. To fix the problem, you should manually install the hotfix (KB2535158) provided by Microsoft.
  • Some other improvements.

Version 3.1.1 (October 2019)

  • SendFax.exe command line utility. Sending a fax to one or more recipients. Support for multiple documents, cover pages, native e-mail delivery receipts. Tracking fax job . Configuring and running SendFax.exe using the Fax Voip FSP Control Panel .
  • Intelligent fax retransmission : when retrying, the fax transmission is started commencing with the first page that was not successfully transmitted to avoid having to resend pages that have already been completed.
  • In the e-mail templates , you now can select the locale (region and language) to specify how to display date and time values.
  • Individual e-mail templates when using Route through e-mail fax routing method (Fax Voip FSP Routing Extension).
  • Customizable filename templates when using Store in a folder fax routing method (Fax Voip FSP Routing Extension). Customizable date and time formats.
  • Customizable attachment filename templates when using Route through e-mail fax routing method (Fax Voip FSP Routing Extension). Customizable date and time formats.
  • Customizable attachment filename templates when using Delivery Receipts to user e-mail address (Mail to Fax) and Delivery Receipts via E-mail functions. Customizable date and time formats.
  • Updated help system.
  • Some other improvements.

Version 2.4.1 (April 2019)

  • Windows Server 2019 support added.
  • Fixed bug in Fax Voip FSP library, that inevitably caused the Windows Fax Service to crash when sending a fax with empty TSID ('Fax number' option in 'Sender Information'), in the case of configuring fax service not to use Device TSID.
  • When configuring Windows Fax Service to send/receive faxes via Fax Voip FSP devices, using Fax Voip FSP Control Panel, possibility to specify send/receive options and also TSID/CSID identifiers.
  • Creating Windows Fax and Scan shortcut on the desktop. On Windows 8 or later, creating Windows Fax and Scan shortcut in the Start menu. On Windows Server OS, creating Fax Service Manager shortcut on the desktop and in the Start menu.
  • In Windows 10, Windows Server 2019 and Windows Server 2016, fixed bug in Windows Fax and Scan software when 'Forward as E-mail' button is grayed out, while the MAPI e-mail client is installed in the system.
  • In the Fax Voip FSP Control Panel, in the Tools tab of the Ribbon, added commands for managing your Windows Contacts (Address Book).
  • Updated help system.
  • Some other improvements.

Version 2.3.1 (December 2017)

  • Mail to Fax function. Will let you send faxes directly from your e-mail application. The body of your e-mail messages will act as the fax cover page, while any attached documents (e.g. PDF, TIFF, or TXT formats) will be converted into additional fax pages. Faxes can be sent to multiple recipients, and you can mix different formats as attachments to your messages. Mail to Fax function can be configured to be started as Windows Service.
  • Mail to Fax Rules . Depending on the e-mail address, the following settings can be overridden: Delivery Receipts, E-mail Attachments, Cover Pages, Sender Information, Fax Priority and Schedule, E-mail Templates. Blocking unwanted e-mail addresses.
  • Delivery Receipts via e-mail function. An e-mail receipt is sent to the predefined e-mail address(es), to confirm whether the fax has been sent correctly. A copy of the sent fax can be attached in TIF, PDF or SFF format. Multiple e-mail recipients can be specified including using Cc and Bcc boxes.
  • New customizable E-mail Templates to be used with Mail to Fax and Delivery Receipts via e-mail functions: Fax successfully sent , Failed to send a fax , Failed to create fax job .
  • Direct Converting to Fax function. Will let you convert some of the most popular formats into compatible fax format (TIFF) without using printing. Supported formats: PDF, TIFF, SFF, QFX, BMP, JPEG, GIF, PNG, ICO, WMF (EMF). Currently used with Mail to Fax function.
  • Repair ‘printto’ verbs function. Fixes printing from Windows Service and repairs standard file associations. Supported formats: TXT, BMP, DIB, EMF, GIF, ICO, JFIF, JPE, JPEG, JPG, JXR, PNG, RLE, TIF, TIFF, WDP, WMF.
  • When direct converting from PDF into TIFF, fixed a bug when process is stucking at 100% of CPU resources forever with some PDF files. Previously detected in Fax Voip T38 Fax and Voice v.7.1.1 - 7.5.1.
  • When direct converting from PDF into TIFF, fixed a bug with the inability to work with PDF file names in Unicode (not in English). This problem is currently present in all versions of Fax Voip T38 Fax and Voice, including v.7.5.1.
  • Fixed problem with SIP Registration with some equipment and VoIP Service Providers (e.g. T38FAX.com , mondotalk.com ). RFC3261 does say the registrar must send back ALL registrations, however we only should deal with replies from the registrar that we actually requested. Sometimes registrar tries to be smart and adjusts the Contact field to be the external address as per the Via header rport. IMHO this is a bug as it does not follow what is implied by RFC3261/10.2.4 and 10.3 step 7. It should include the original as well as the extra Contact, but it does not.
  • Some other improvements.

Version 2.2.1 (September 2017)

  • Fax Voip FSP Routing Extension integrated into Windows Fax Service software.
  • Route through e-mail fax routing method (Fax Voip FSP Routing Extension). Routing incoming faxes depending on both Called Number (DID) and Caller ID. Sending e-mail to multiple recipients including using Cc and Bcc boxes. Possibility to select fax delivery format: TIFF, PDF or SFF.
  • Store in a folder fax routing method (Fax Voip FSP Routing Extension). Routing incoming faxes depending on both Called Number (DID) and Caller ID. Saving incoming fax into multiple folders. Possibility to select fax saving format: TIFF, PDF or SFF.
  • Print fax routing method (Fax Voip FSP Routing Extension). Routing incoming faxes depending on both Called Number (DID) and Caller ID. Possibility to print incoming fax to multiple printers.
  • Custom routing for incoming faxes (Fax Voip FSP Routing Extension). Allows you to easy add any routing functionality by using custom application that is started after receiving a fax. Code sample is attached.
  • SMTP support. CDO.Message, System.Net.Mail. Implicit SSL, Explicit SSL (STARTTLS). Sending e-mail messages in UTF-8 encoding. Sending digitally signed e-mail messages: clear signing, opaque signing. Ignoring invalid e-mail server SSL certificate when sending e-mails. Built-in SMTP client for testing e-mail sending.
  • POP3 / IMAP support (currently reserved for future use). POP3 SSL support. IMAP SSL support. Ignoring invalid e-mail server SSL certificate when receiving e-mails. Possibility to test POP3 / IMAP connection before using.
  • Customizable E-mail Templates . Currently used with Route through e-mail fax routing method.
  • Address Book (Windows Contacts) support implemented. Possibility to select e-mail recipients from Address Book.
  • New debug logging options added for Fax Voip FSP Routing Extension, fax routing methods, sending and receiving e-mails.
  • New license type: Fax Voip FSP Extended Incoming Routing (E-mail, Store in Folder, Print) license.
  • Fixed different licence problems on the computers with FIPS cryptographic algorithms policy enabled.
  • Fixed issue with Fax Voip FSP Provider unregistration on 64-bit versions of Windows 2003 and Windows XP.
  • Some other improvements.

Version 2.1.1 (June 2017)

  • Initial public release.


Installation and Setup

  • Installing a Trial Copy
  • Features
  • System Requirements
  • Removing the previous version
  • Microsoft .NET Framework 4.5 requirements
  • Run Setup Program
  • Starting Fax Voip FSP for the first time
  • Install Windows Photo Viewer in Windows Server


Installing a Trial Copy

Installation and Setup ››

The Fax Voip FSP software can be installed as a temporary trial copy.

With Fax Voip Windows Fax Service Provider (FSP) you can:

  • Send T.38 and audio (over G.711 codec) faxes via SIP or H.323 using Windows Fax Service (Windows Fax and Scan software).
  • Receive T.38 and audio (over G.711 codec) faxes via SIP or H.323 using Windows Fax Service (Windows Fax and Scan software).
  • Use Mail to Fax function. Cover pages , Mail to Fax Rules , E-mail Templates .
  • Use Incoming Fax Routing methods (Fax Voip FSP Routing Extension): Route through e-mail , Store in a Folder , Print , Custom Routing .
  • Use Outgoing Fax Routing methods: E-mail Delivery Receipts , Store in a Folder , Print , Custom Routing .
  • Use SendFax.exe command line tool to send faxes.

Limitations of the trial version:

  • The trial license can be used once on a given computer.
  • The trial time period (15 days) begins when the software is installed.
  • Up to 2 Fax Voip Line devices* can be used with Windows Fax Service.
  • Up to 2 Incoming Fax Routing rules of every type: Route through e-mail , Store in a Folder , Print can be used.
  • Up to 2 Outgoing Fax Routing rules of every type: E-mail Delivery Receipts , Store in a Folder , Print can be used.
  • Window with a reminder about using the unregistered version appears every 30 minutes and stops the program in the absence of action by the user.

Notes

  • (* : The maximum allowed number of fax devices that can be used with Windows Fax Service depends on the operating system. On Windows 11, Windows 10, Windows 8/8.1 and Windows 7 the fax device limit is one. On Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2, Windows Server 2008R2, Enterprise or Datacenter Edition, there is no fax device limit. On other versions of Windows 2008R2, the fax device limit is usually four. Be careful when purchasing multi-line licenses.
  • If you later purchase a license, use the License page in the Fax Voip FSP Control Panel to enter the purchased license key. You do not have to reinstall the software. All your settings will be preserved.


Features

Installation and Setup ››

Windows Fax Service Provider (FSP)

  • Fax Voip T.38/G.711FAX Device Provider (FSP) integrated into Windows Fax Service software
  • Multiple* Fax Voip Line fax devices with Windows Fax Service
  • Sending and receiving faxes using Windows Fax and Scan application
  • Sending a fax from any Windows application using fax printer
  • Cover Pages support
  • Fax Station ID (TCID, CSID), Fax Header (Company name)
  • Audio and visual fax notifications, Fax Monitor
  • Intelligent fax retransmission: when retrying, the fax transmission is started commencing with the first page that was not successfully transmitted to avoid having to resend pages that have already been completed
  • Fax Timeouts: waiting for call answer, time to establish connection with a fax, fax page transmission time, maximum call duration
  • SendFax.exe command line utility. Sending a fax to one or more recipients. Support for multiple documents, cover pages, native e-mail delivery receipts. Tracking fax job. Configuring and running SendFax.exe using the Fax Voip FSP Control Panel
  • Fax Class 1, UTI-T V.27ter/V.29/V.17, T.30 Fax Group 3 up to 14.400 Bauds
  • Error Correction Mode (ECM) support with Windows Fax Service
  • T.38 Real-time Fax over IP
  • T.38 UDPTL Redundancy
  • Forced switching to T.38 mode immediately or after specified time interval
  • Forced switching to T.38 mode on detecting CNG or CED tone
  • Real-time Audio G.711 Fax over IP
  • Auto Fall back to G.711 Fax mode if T.38 not available
  • Separate fax settings for SIP/H.323, outgoing/incoming, T.38/audio faxes
  • Voice announcement before sending fax
  • Caller ID support
  • Called Number (DID) support in Windows Fax Service via Routing information string
  • Easy integration with Windows Fax Service. Configuring Windows Fax Service to send/receive faxes via Fax Voip FSP devices in one click. Automatic installing of Windows Fax and Scan (Fax Server Role) during Fax Voip FSP installation. Creating shortcuts on the desktop and in the main menu. In Windows 11 and Windows 10, automatic bug fix in Windows Fax Service / Fax and Scan software ('Forward as E-mail' button is grayed out etc.)

Incoming Fax Routing Methods (Fax Routing Extension)

  • Fax Voip FSP Routing Extension integrated into Windows Fax Service software
  • Route through e-mail Incoming Fax Routing Method. E-mail Templates. Customizable attachment filename templates
  • Store in a folder Incoming Fax Routing Method. Customizable filename templates
  • Print Incoming Fax Routing Method
  • Custom routing for incoming faxes

Outgoing Fax Routing Methods

  • E-mail Delivery Receipts Outgoing Fax Routing Method. E-mail Templates. Customizable attachment filename templates
  • Store in a folder Outgoing Fax Routing Method. Customizable filename templates
  • Print Outgoing Fax Routing Method
  • Custom routing for outgoing faxes

SIP / H.323 support

  • SIP over UDP and SIP over TCP support
  • SIP Outbound Proxy
  • Multiple SIP Registrations, Authentication Name, Domain/Realm, SIP Contact URL, Expires Header, Forcible SIP Registration
  • Direct SIP Call Routing
  • H.323 support, Fast Start, H.245 Tunneling, Telephone numbers list
  • Registration with H.323 Gatekeeper, Search for GK, Time to Live
  • H.235 MD5 GK Authentication
  • Direct H.323 Call Routing
  • Tel URI Scheme support (with SIP only)
  • Audio formats: G.711-uLaw-64k, G.711-ALaw-64k, G.723.1, G.726-32k, GSM-06.10, iLBC, SpeexNB, SpeexWB
  • STUN server support
  • Outgoing and Incoming VOIP Call Routing
  • Overriding parameters via Call Routing: Username (Caller ID Number), Display Name (Caller ID Name), Maximum Bitrate, ECM, forced switching to T.38 mode based on timer and based on receiving CED/CNG fax tone, T.38 UDPTL Redundancy, voice announcement before sending fax
  • Possibility to change SIP/H.323 User Agent
  • Caller ID Number, Caller ID Name

E-mail support: Mail to Fax, Fax to Mail, Delivery Receipts

  • Mail to Fax. Multiple e-mail attachments, Cover Pages, Sender Information
  • Mail to Fax Rules. Overriding depending on e-mail address: Dialing Rules, Delivery Receipts, E-mail Attachments, Cover Pages, Sender Information, Fax Priority and Schedule, E-mail Templates. Blocking unwanted e-mail addresses
  • Fax to Mail (Route through e-mail Incoming Fax Routing Method). E-mail Templates. Customizable attachment filename templates
  • Delivery Receipts via e-mail (E-mail Delivery Receipts Outgoing Fax Routing Method). E-mail Templates. Customizable attachment filename template
  • Customizable E-mail Templates. Customizable date and time formats
  • SMTP support. OAuth 2.0 Modern Authentication support. SecureSmtpClient, CDO.Message, System.Net.Mail. Implicit SSL, Explicit SSL (STARTTLS). TLS version 1.2 support. UTF-8 encoding
  • Sending digitally signed e-mail messages. Clear signing. Opaque signing
  • POP3/IMAP support. OAuth 2.0 Modern Authentication support. SSL support. TLS version 1.2 support
  • Ignoring invalid e-mail server SSL certificate

Other

  • Fax Voip FSP Control Panel. Ribbon user interface
  • Fax Voip FSP Manager
  • Direct Converting to Fax. Supported formats: PDF, TIFF, SFF, QFX, BMP, JPEG, GIF, PNG, ICO, WMF (EMF)
  • Repair ‘printto’ verbs function. Supported formats: TXT, BMP, DIB, EMF, GIF, ICO, JFIF, JPE, JPEG, JPG, JXR, PNG, RLE, TIF, TIFF, WDP, WMF
  • Easy installation and configuring
  • Multi-Language support. Simple mechanism for translation into any language
  • Address Book (Windows Contacts) support
  • Checking for new versions of the program
  • Backup and Restore procedures
  • Selective saving the configuration and user data when you reinstall the program
  • Unicode support
  • Full compatibility with operating system visual styles

Notes

  • (* : The maximum allowed number of fax devices that can be used with Windows Fax Service depends on the operating system. On Windows 11, Windows 10, Windows 8/8.1 and Windows 7 the fax device limit is one. On Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2, Windows Server 2008R2, Enterprise or Datacenter Edition, there is no fax device limit. On other versions of Windows 2008R2, the fax device limit is usually four. Be careful when purchasing multi-line licenses.


System Requirements

Installation and Setup ››

Platforms supported*

  • Windows 11
  • Windows 10, Windows 10 64-bit
  • Windows Server 2022, Windows Server 2019, Windows Server 2016
  • Windows 8.1, Windows 8.1 64-bit, Windows Server 2012 R2 **
  • Windows 8, Windows 8 64-bit, Windows Server 2012 **
  • Windows 7, Windows 7 64-bit, Windows Server 2008 R2 **

Additional system requirements

  • Intel-compatible PC with 32-bit or 64-bit (x64) processor
  • Microsoft.NET Framework 4.5 or later
  • Windows Fax Service (Windows Fax and Scan) installed
  • Windows Photo Viewer installed, optional
  • Adobe Acrobat Reader 11, Reader DC 2023 or earlier versions, optional
  • Acrobat Wrapper v.11.2.0.51 or later versions (to use PDF files as attachments with Mail to Fax), optional
  • IrfanView Software (to view faxes stored in the SFF format), optional

Fax Software compatibility

  • Windows Fax Service (Windows Fax and Scan)

Recommended VOIP service providers

  • T38FAX (T.38 support)
  • CALLCentric (T.38 support)
  • babyTEL (T.38 support)
  • MondoTalk (T.38 support)
  • DellMont (Betamax) : VoipBuster , Nonoh and other (Fax over G.711 codec only, quality depends on your country)

SIP PBX Software compatibility

  • Axon PBX
  • 3CX VOIP Phone System (Enterprise Edition)

H.323 Software compatibility

  • GNU Gatekeeper
  • SoLink Control Server

Network requirements

  • Network connection from the local computer to the SIP or H.323 server

Notes

  • (* : FaxVoip Software does not guarantee the correct operation of the program when you install software on Virtual Machine of any type. In the case of specific problems in such installations, technical support is not provided.
  • (** : Limited support. Some features may not work or work incorrectly. Windows 7 and Windows 8/8.1 are no longer supported by Microsoft.
  • (*** : The maximum allowed number of fax devices that can be used with Windows Fax Service depends on the operating system. On Windows 11, Windows 10, Windows 8/8.1 and Windows 7 the fax device limit is one. On Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2, Windows Server 2008R2, Enterprise or Datacenter Edition, there is no fax device limit. On other versions of Windows 2008R2, the fax device limit is usually four. Be careful when purchasing multi-line licenses.


Removing previous version

Removing the previous version

Installation and Setup ››

Fax Voip FSP setup program automatically checks whether Fax Voip FSP is already installed and what version is installed, and offers to remove Fax Voip FSP before starting new installation. No need to separately run standard uninstall procedures.

To keep the previous Fax Voip FSP settings and files created in program operations, follow the instructions provided in the Removing the Software chapter of this user manual. If you suspect that your configuration is corrupted for some reasons, you should delete the previous settings. Alternatively, prior to the removal or reinstallation, you can backup your settings and files , which will allow you to restore your settings later.

When upgrading from version 3.1.1 or earlier, the Delivery Receipts via E-mail settings can not be imported from the old version. In Fax Voip FSP version 3.2.1 this functionality is replaced by the E-mail Delivery Receipts Outgoing Fax Routing Method .


Microsoft .NET Framework 4.5

Microsoft .NET Framework 4.5 or later requirements

Installation and Setup ››

The core Fax Voip FSP modules are written in C/C ++ and do not really use Microsoft .Net Framework. All the necessary C++ runtime libraries are installed on all supported operating systems by default.

User interface (GUI) and some other modules require Microsoft .Net Framework 4.5 or later to be installed on your computer.

Microsoft .Net Framework 4.8 (compatible with .Net Framework 4.5) is included in Windows 11 and Windows Server 2022. Installation of .NET Framework not required on these operating systems.

Microsoft .Net Framework 4.6-4.8 (compatible with .Net Framework 4.5) is included in Windows 10, Windows Server 2019 and Windows Server 2016. Installation of .NET Framework not required on these operating systems. The installed version of .NET Framework depends on Windows 10 version. For details, see .NET Framework versions and dependencies .

Microsoft .Net Framework 4.5.1 (compatible with .Net Framework 4.5) is included in Windows 8.1 and Windows Server 2012R2. Installation of .NET Framework not required on these operating systems.

Microsoft .Net Framework 4.5 is included in Windows 8 and Windows Server 2012. Installation of .NET Framework not required on these operating systems.

When installing on Windows 7 or Windows Server 2008R2, Fax Voip FSP requires installation of Microsoft .NET Framework 4.5 or later for the normal operation. You should make sure that Microsoft .NET Framework 4.5 already installed on your computer and install it if necessary. This can be done before installing Fax Voip FSP program or during installation.

Finding out if you need to install the .NET Framework 4.5

1. Click Start, and then click Control Panel. In the Control Panel select Programs, and then click Uninstall a program.

2. In the Uninstall or change a program window scroll through the list of applications to see Microsoft .NET Framework 4.5 or later listed.

3. Close the window.

Installing the .NET Framework 4.5 manually

You can download the Microsoft .NET Framework 4.5 web installer package from the Fax Voip FSP web site.

1. Go to the Fax Voip FSP site at www.t38faxvoip.com/fsp . Click the Download link.

2. On the Download page find and then click the following link

Microsoft .Net Framework 4.5 dotNetFx45_Full_setup.exe 982KB

3. Once you have downloaded the install program, run it to install the .NET Framework 4.5 on your computer. Note that you will need to have Administrator access to your computer.

Installing the .NET Framework via Windows Update

If you need to install or update the .NET Framework, Microsoft recommends you install it via Windows Update. To install or update the .NET Framework 4.5 on Windows 7 or Windows Server 2008R2, do the following:

1. Click Start, point to All Programs, and then click Windows Update.

2. On the Windows Update page click Check for updates to find all available updates.

3. Upon completion of the search, click ... important update(s) is(are) available link in the Download and install updates for your computer pane.

4. Select Microsoft .NET Framework 4.5 (4.5.1, 4.5.2...) update as shown at the picture below, and then click OK.

5. On the next page click Install Updates button.

6. The Windows Update program will automatically download and install the selected updates.

7. After installing .NET Framework 4.5, it is recommended to repeat the updating procedure to have the latest .NET Framework version with all corrections and additions. On the Windows Update page click Check for updates.

8. Upon completion of the search, select Microsoft .NET Framework 4.5 updates, and then click OK.

9. On the next page click Install Updates button.

10. The Windows Update program will automatically download and install the selected updates.

Installing the .NET Framework when running setup program

On Windows 7 and Windows Server 2008R2 Fax Voip FSP setup program automatically checks whether Microsoft .NET Framework is installed on your computer and what version is installed. If Microsoft .NET Framework 4.5 is not installed, pre-installation wizard will be started and you will be prompted to install Microsoft .NET Framework.

Select one of the following options and click Next:

Install .NET Framework 4.5 and continue with installation (recommended)

If this option is selected, the Microsoft .NET Framework 4.5 Setup program included in the Fax Voip FSP installation package will be started. You should understand that all the necessary components are downloaded from the Microsoft site during installation and installation will take significant time.

After finishing of .NET Framework 4.5 installation, you can continue to install Fax Voip FSP.

Open Windows Update to download and install last version of .NET Framework

If this option is selected, the Windows Update window will be opened. Please install the latest version of Microsoft .NET Framework via Windows Update as described above. After finishing of .NET Framework 4.5 installation, you should restart Fax Voip FSP setup program.

Notes

  • The required version of Microsoft .NET Framework is already included in Windows 11, Windows 10, Windows 8/8.1, Windows Server 2022, Windows Server 2019, Windows Server 2016 and Windows Server 2012/2012R2. Installation of .NET Framework not required on these operating systems.
  • On Windows 7 or Windows Server 2008R2, Fax Voip FSP automatically checks whether Microsoft .NET Framework is installed and what version is installed, and offers to install correct version if not installed.


Setup Program

Run Setup Program

Installation and Setup ››

To install Fax Voip FSP, follow these steps:

1. Run setup.exe from your installation CD-ROM or ZIP archive.

2. On Windows 7 and Windows Server 2008R2 Fax Voip FSP setup program automatically checks whether Microsoft .NET Framework is installed on your computer and what version is installed. If Microsoft .NET Framework 4.5 is not installed, pre-installation wizard will be started and you will be prompted to install Microsoft .NET Framework. See details in the Microsoft .NET Framework 4.5 chapter of this user manual.

3. Fax Voip FSP setup program automatically detects whether Fax Voip FSP is already installed and what version is installed, and offers to remove Fax Voip FSP before starting of new installation. To continue with the installation click Next. When you reinstall or upgrade the software, you can choose which settings and files created in program operations should be retained, see details in the Removing the Software chapter of this user manual.

Wait for the finishing of removal of the previous version.

4. At the final window of the pre-installation wizard click Next.

5. The Fax Voip FSP Setup Wizard will be started.

6. Click Next. Follow the Setup Wizard. On the Ready to Install page click Install.

7. The setup program verifies if Windows Fax Service is installed at your computer. If not installed, the dialog box will be displayed. To install Windows Fax Service, click OK. To install the Windows Fax Service manually, see in the Install the Fax Service chapter of this user manual. If you install the Windows Fax Service after installation of Fax Voip FSP, don't forget to register Fax Voip FSP with Windows Fax Service, see in the Register the Fax Service Provider chapter of this user manual.

8. In Windows 11 and the latest versions of Windows 10, the Windows Fax and Scan is always installed and cannot be removed in Windows features. In Windows 10 (early versions), Windows 8/8.1 and Windows 7, the Fax Voip FSP setup program automatically installs Windows Fax and Scan feature.

9. In Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 and Windows Server 2008R2, the Fax Voip setup program automatically installs Fax Server role.

10. In Windows Server 2012/2012R2 and Windows Server 2008R2, the Fax Voip FSP setup program also checks and automatically installs Desktop Experience feature.

11. Fax Voip FSP setup program automatically configures Fax Voip FSP Service and Windows Fax Service and then starts services. The Windows Fax Service can be restarted several times during this procedure. See also Register the Fax Service Provider chapter for more details.

12. At the final window of the Setup Wizard select Yes, restart the computer now, and then click Finish.

Notes

  • Rebooting the operating system after the installation of Fax Voip FSP is not always necessary. Nevertheless, it is not recommended to ignore this step, because some features may not work properly immediately after installation.


Starting Fax Voip FSP for the first time

Installation and Setup ››

When you start Fax Voip FSP for the first time, the Fax Voip FSP Control Panel is displayed. After installation and rebooting the computer Fax Voip FSP usually starts automatically. If this does not happen for some reasons, you can run Fax Voip FSP manually. To do this, click the Fax Voip FSP shortcut on your desktop.

When Fax Voip FSP Control Panel starts for the first time, the SIP Registrations page is displayed.

To configure Fax Voip FSP to operate with SIP line, see Configure SIP Line .

To configure Fax Voip FSP to operate with H.323 line, see Configure H.323 Line .


Configure SIP Line

Installation and Setup ›› Starting Fax Voip FSP for the first time ››

This chapter shows you how to quickly configure the Fax Voip FSP to operate with SIP service provider on the example of callcentric.com provider which supports both T.38 and audio faxes. More examples can be found in the Configure Fax Voip FSP with VoIP Service Providers chapter of this user manual.

To configure Fax Voip FSP follow these steps:

1. In the Fax Voip FSP Control Panel click VOIP in TreeView.

2. Check Enable SIP option.

3. (Optional) In the STUN Server box enter STUN Server name, if necessary for correct operation or recommended by your SIP provider. (Examples: 'stun.voipbuster.com', 'stun01.sipphone.com', 'stun.yourstunserver.com:3478',...).

4. Click <Apply> button.

5. In the Fax Voip FSP Control Panel click VOIP in TreeView, and then click SIP.

6. In the Local UDP SIP address and Local TCP SIP address fields select or enter network interfaces addresses to listen for SIP requests via UDP and TCP. In the port fields, enter port numbers. ' * ' is all network interfaces and can be recommended for using at least for the first time. When selecting the port number you should understand that the selected port is not used by another SIP program installed on your computer. Fax Voip FSP uses port 5069 for UDP and TCP by default. If you don’t plan to use SIP over TCP, you can uncheck Enable SIP over TCP Transport option.

7. Click <Apply> button.

8. In the Fax Voip FSP Control Panel click VOIP in TreeView, then click SIP, then click Registrations.

9. To create new SIP Registration entry click New.

10. In the SIP Registration window, enter your username (SIP-ID) in the Username (or SIP-ID) field. Enter password in the Password field.

.

11. In the SIP Registrar Server field, enter the address of the SIP registrar server to be used. Can also contain the port number. If the port number other than 5060 (default), the port number should be specified. (Examples: 'sip.voipbuster.com', 'sip.myserver.com:5064', '192.168.0.5:5068', ...).

12. (Optional) In the Outbound Proxy field, enter the address of the SIP proxy to be used for registration. Can also contain the port number. If the port number other than 5060 (default), the port number should be specified. (Examples: 'sip.myproxy.com', 'proxyserver.com:5080', '192.168.0.5:5065', ...).

13. (Optional) Click <Details> button.

14. (Optional) Enter Authentication Name, Domain/Realm and SIP Contact URL. Note that these fields are usually not required. Incorrect values in these fields can lead to problems with SIP registration and incoming calls.

15. In the Expires Header field, change SIP registration timeout (if required). Default value is 180 sec.

16. Select Transport if need. By default SIP over UDP is used. Note that SIP over TCP can be not supported by your server or SIP provider.

17. Click <OK> button to fix changes.

18. The SIP Registration entry will be displayed in the list of SIP Registrations. Click <Apply> button to save modified settings for SIP Registrations.

19. You will be prompted to create the rule for outgoing calls. Click <Yes> button to create the default rule.

20. The Outgoing VOIP Call Routing page will be displayed. Default rule means that all Outgoing Calls will be routed through your SIP Registration without number translation with support for both T.38 and G.711 audio fax modes.

21. (Optional) If your SIP provider supports T.38, in many cases (in particular when working with callcentric.com ) you need to force T.38 re-invite when the outgoing call is answered. Double-click the rule. In the Voip Outgoing Call Routing Rule window, on the Fax page, in the Fax Support area, check that T.38 fax option is selected. In the T.38 Fax Settings area, specify Switch to T.38 after 0 seconds. Click <OK>. In the Fax Voip FSP Control Panel click <Apply> button to save modified rules.

22. In the Fax Voip FSP Control Panel click VOIP in TreeView, then click Incoming Plan. The Incoming VOIP Call Routing page will be displayed. Make sure that you have a rule for incoming SIP calls (default rule is created when you install Fax Voip FSP). Default rule for incoming SIP calls means that all incoming calls from any SIP network will be routed to the Windows Fax Service with T.38 support.

23. The status of SIP Registration is displayed on the SIP Registration page. When properly configured, you should see 'Registered OK'.


Configure H.323 Line

Installation and Setup ›› Starting Fax Voip FSP for the first time ››

This chapter shows you how to quickly configure the Fax Voip FSP to operate using H.323. H.323 provider usually uses authentication based on IP-address of the user. To configure Fax Voip FSP in this case you usually need to choose Do not use Gatekeeper option, and to specify the name or IP-address of the H.323 endpoint when creating rules for outgoing VOIP calls.

In some cases, you may need to use registration with H.323 gatekeeper. To configure Fax Voip FSP in this case, you must choose Use Gatekeeper option, specify the IP-address of the gatekeeper, and select Route calls to Gatekeeper option when creating rules for outgoing VOIP calls. Using of H.235 authentication is convenient for the case of dynamic IP-address of the computer.

To configure Fax Voip FSP follow these steps:

1. In the Fax Voip FSP Control Panel click VOIP in TreeView.

2. Check Enable H.323 option.

3. (Optional) In the STUN Server box enter STUN Server name, if necessary for correct operation or recommended by your H.323 provider. (Examples: 'stun.voipbuster.com', 'stun01.sipphone.com', “stun.yourstunserver.com:3478”, ...).

4. Click <Apply> button.

5. In the Fax Voip FSP Control Panel click VOIP in TreeView, then click H.323.

6. In the Local H.323 address field select or enter network interface address to listen for H.323 requests. In the port field, enter the port number. ' * ' is all network interfaces and can be recommended for using at least for the first time. When selecting the port number you should understand that the selected port is not used by another H.323 program installed on your computer. Fax Voip FSP uses port 1722 by default.

7. Make the necessary settings with the Enable Fast Start and Enable H.245 Tunneling options, according to the requirements of your H.323 network.

8. Add your H.323 phone number to the Telephone numbers list. To add a number click <New> button. The phone numbers specified in this list are used in the process of registration with H.323 Gatekeeper (if registration with H.323 Gatekeeper is used). The top number from the Telephone numbers list will be recognized by remote party as Caller ID Number.

9. Click <Apply> button.

10. In the Fax Voip FSP Control Panel click VOIP in TreeView, then click H.323, then click Gatekeeper.

11. Do the necessary settings:

Gatekeeper Mode

Do not use Gatekeeper (default)

In this mode Fax Voip FSP operates as independent H.323 endpoint and does not register with H.323 Gatekeeper. All incoming H.323 calls should be routed directly to IP address and port where Fax Voip FSP operates. This mode is preferable in the case when your H.323 provider uses your IP-address to identify you (the most common method of binding used for authentication).

Use Gatekeeper

In this mode Fax Voip FSP should be registered with H.323 Gatekeeper.

Search for Gatekeeper

In this mode Fax Voip FSP is able to find the H.323 Gatekeeper automatically. Option is useful if you register with the Gatekeeper located in your local network.

Address

The H.323 Gatekeeper IP address or server name.

Time to Live

The Time To Live parameter is the duration (in seconds) for which registration with the H.323 Gatekeeper is valid. Note that this parameter can be overridden by the Gatekeeper during registration.

Use H.235 authentication

Check this option if Gatekeeper requires authentication. The H.235 cryptoTokens by MD5 hashing are used.

Login Name

H.235 login credential for authentication.

Password

H.235 password credential for authentication.

12. To be possible to do outgoing H.323 calls, you should create Outgoing VOIP Call Routing rules. Note that Fax Voip FSP does not create rules for outgoing H.323 calls automatically. In the Fax Voip FSP Control Panel click VOIP in TreeView, and then click Outgoing Plan.

13. To create new Outgoing VOIP Call Routing rule click New.

14. In the Outgoing VOIP Call Routing rule window, in the Dial on Line area, specify the address of H.323 enpoint where to route H.323 calls (in the Route to address field) or select Route calls to Gatekeeper option to route calls via H.323 Gatekeeper. Click <OK> button.

15. At the picture below all outgoing calls will be routed via H.323 Gatekeeper. Click <Apply> to save Outgoing VOIP Call Routing rules.

16. In the Fax Voip Control Panel click VOIP in TreeView, and then click Incoming Plan. The Incoming VOIP Call Routing page will be displayed. Make sure you have a rule for incoming H.323 calls (default rule is created when you install Fax Voip FSP). Default rule for incoming H.323 calls means that all incoming calls from any H.323 network will be routed to the Windows Fax Service with T.38 support.

17. If Gatekeeper is used, the status of H.323 Registration can be viewed on the Gatekeeper page. When properly configured, you should see 'Registered OK' in the Gatekeeper status area.


Install Windows Photo Viewer in Windows Server

To install Windows Photo Viewer in Windows Server 2012R2

Installation and Setup ››

To view faxes (TIFF format), the Windows Photo Viewer application is usually used. Please note that this application is usually not installed by default on Windows Server 2012/2012R2 and Windows Server 2008R2 operating systems.

To install Windows Photo Viewer in Windows Server 2012/2012R2 or Windows Server 2008R2 you need install Desktop Experience feature.

1. Switch to Search pane, type server manager, and then click Server Manager.

2. In the Server Manager click Add roles and features.

3. In the Add Role and Features Wizard, on the Features page, select the check box for Desktop Experience.

4. In the Add Role and Features Wizard click Next, and then click Install.

5. When the installation is complete, Windows will notify you that you must restart your server to complete the process.

6. After you have rebooted, make sure that the Windows Photo Viewer is installed. On Windows Server 2012R2 computer, right click the Start button, and then click Run. In the Run dialog box, enter the following command: rundll32 shimgvw.dll,ImageView_Fullscreen. Click OK. The Windows Photo Viewer application should be started.


Fax Voip FSP Manager

  • To Run Fax Voip FSP Manager
  • System Tray Menu Options


To Run Fax Voip FSP Manager

Fax Voip FSP Manager ››

To run Fax Voip FSP Manager click Start, point to Fax Voip FSP; click Fax Voip FSP.

Alternatively you can click the Fax Voip FSP shortcut on your desktop.


Tray Menu Options

System Tray Menu Options

Fax Voip FSP Manager ››

When the Fax Voip FSP is running, its icon is placed in the system tray.

To access the Fax Voip FSP menu, right-click the Fax Voip FSP icon in your system tray and the following pop-up menu appears:

The following commands are available in the menu:

Send a Fax

Click to create a new fax to be sent to one or more recipients. Any printable document can be sent as a fax.

Windows Fax and Scan

Click to launch Windows Fax and Scan application.

Fax Service Manager

Click to start Microsoft Fax Service Manager. This option is only available on server operating systems, such as Windows Server 2022.

Address Book (Windows Contacts)

Click to open Address Book (Windows Contacts).

Fax Voip FSP Control Panel

Click to open Fax Voip FSP Control Panel . Alternatively, you can double click the icon in the tray.

Restart Services

Click to restart both Windows Fax Service and Fax Voip FSP Service. This command also restarts Mail to Fax and Delivery Receipts system (Fax Voip FSP Mail Service).

Help

Click to open Help file.

About

Display program information, version number and copyright.

Exit

Click to quit the Fax Voip FSP Manager.


Fax Voip FSP Control Panel

Fax Voip Windows Fax Service Provider Control Panel

To open Fax Voip FSP Control Panel, click Start, point to Fax Voip FSP; click Fax Voip FSP Control Panel. Alternatively, you can select Fax Voip FSP Control Panel command from the Fax Voip FSP tray icon menu.

The following basic buttons are always available at the bottom of the Fax Voip FSP Control Panel:

<Apply>

Use this button to save changes in your settings. Please note that all changes are applied immediately.

<OK>

Use this button to save changes in your settings and close Fax Voip FSP Control Panel. Please note that all changes are applied immediately. If the Fax Voip FSP Service is not running, it is started. If the Windows Fax Service is not running, it is started.

<Cancel>

Use this button to close Fax Voip FSP Control Panel without saving changes in your settings.

<Help>

Use this button to view the help file.

The following information is displayed in the status bar:

Windows Fax Service

The current status of the Windows Fax Service is displayed. It should be understood that the Windows Fax Service can be automatically stoped if it is not used by applications and no device is configured to receive faxes.

Fax Voip FSP Service

The current status of the Fax Voip FSP Service is displayed.

SIP Registration

The current status of SIP Registration is displayed. This indicator works when the Fax Voip FSP Service is running and Enable SIP option is checked (see more details in the VOIP Settings chapter). This indicator also shows the number of current SIP registrations (first digit) and the total number of entries in your table of SIP registrations (second digit).

Fax Voip FSP Control Panel Ribbon Commands

The following commands are available in the Application Menu:

New Fax (Ctrl + F)

Click to create a new fax to be sent to one or more recipients. Any printable document can be sent as a fax.

New Fax (Ctrl + F)

Click to create a new fax to be sent to one or more recipients. Any printable document can be sent as a fax.

Send Test Fax Page (Ctrl + T)

Click to create and send test fax page using Fax printer.

Windows Fax and Scan (Ctrl + W)

Click to launch Windows Fax and Scan application.

Fax Service Manager (Ctrl + M)

Click to start Microsoft Fax Service Manager. This option is only available on server operating systems, such as Windows Server 2022.

Restart Windows Fax Service

Click to restart Windows Fax Service.

Restart Fax Service

Click to restart Windows Fax Service.

Start Fax Service

Click to start Windows Fax Service.

Stop Fax Service

Click to stop Windows Fax Service.

Restart Fax Voip FSP Service

Click to restart Fax Voip FSP Service.

Restart Fax Voip FSP

Click to restart Fax Voip FSP Service.

Start Fax Voip FSP

Click to start Fax Voip FSP Service.

Stop Fax Voip FSP

Click to stop Fax Voip FSP Service.

Restart All Services (Ctrl + R)

Click to restart both Windows Fax Service and Fax Voip FSP Service. This command also restarts Mail to Fax and Delivery Receipts system (Fax Voip FSP Mail Service).

Help (F1)

Click to open Help file. To display the application help system you also can use Help Button, which is placed in the upper right corner of the Ribbon.

Exit (Ctrl + X)

Click to quit the Fax Voip FSP Control Panel.

Fax Voip FSP Settings (Recent Items list)

VOIP Settings

Click to configure general VoIP settings , such as STUN Server, Display Name and Default Username.

SIP Settings

Click to specify the port to listen for SIP requests. Configure default proxy settings for outgoing SIP calls if necessary. See more details in the SIP Settings and Outbound Proxy Settings chapters.

SIP Accounts

Click to configure SIP accounts to register with your VoIP Service Provider.

SIP T.38 Fax Settings

Click to configure T.38 behavior. Specify whether application should forcibly send T.38 re-invite to other party or not. See more details in the T.38 Fax Settings (SIP) chapter.

Outgoing VOIP Call Routing

Click to configure Outgoing VOIP Call Routing . At least one rule should be present.

Incoming VOIP Call Routing

Click to configure Incoming VOIP Call Routing . At least one rule should be present.

Audio Codecs

Click to specify audio codecs to be used. At least one audio codec should be present.

Application Logs

In the case of trouble, click to enable and view application debug logging. See more details in the Fax Voip FSP Logs chapter.

Licences

Click to manage your licences .

The following commands are available in the Main tab:

Windows Fax and Scan

New Fax (Ctrl + F)

Click to create a new fax to be sent to one or more recipients. Any printable document can be sent as a fax.

Windows Fax and Scan (Ctrl + W)

Click to launch Windows Fax and Scan application.

Windows Fax Service

Fax Service Manager (Ctrl + M)

Click to start Microsoft Fax Service Manager. This option is only available on server operating systems, such as Windows Server 2022.

Start Fax Service

Click to start Windows Fax Service.

Stop Fax Service

Click to stop Windows Fax Service.

Restart Fax Service

Click to restart Windows Fax Service.

Fax Printer

Fax Printer Properties (Ctrl + P)

Click to show fax printer properties.

Send Test Fax Page (Ctrl + T)

Click to create and send test fax page using Fax printer.

Fax Voip FSP Service

Restart All Services (Ctrl + R)

Click to restart both Windows Fax Service and Fax Voip FSP Service. This command also restarts Mail to Fax and Delivery Receipts system (Fax Voip FSP Mail Service).

Start Fax Voip FSP

Click to start Fax Voip FSP Service.

Stop Fax Voip FSP

Click to stop Fax Voip FSP Service.

Restart Fax Voip FSP

Click to restart Fax Voip FSP Service.

Most of the commands placed on the Main tab are also available from the Application Menu.

The following commands are available in the View tab:

Panes

Navigation Bar

Click to show or hide the Navigation Bar.

Status Bar

Click to show or hide the statusbar.

Ribbon

Uncheck this option to hide the Ribbon. After your confirmation the Fax Voip FSP Control Panel will be switched to classic mode. Restarting the application is required.

Menu Bar

Flag this option to show the classic Menu Bar. After your confirmation the Fax Voip FSP Control Panel will be switched to classic mode. Restarting the application is required.

Current view

Navigation Bar Theme

This option allows you to choose the Visual Style of the Navigation Bar in accordance with Visual Themes provided by the operating system. Simply choose the desired theme from the Drop-Down Gallery.

HTML Help Theme

This option allows you to choose the HTML help system Toolbar Visual Style in accordance with Visual Themes provided by the operating system. Simply choose the desired theme from the Drop-Down Gallery.

Ribbon colors

Standard Theme

Select this option to use the default Ribbon theme specified by the operating system.

Custom Blend

Select this option to customize Ribbon colors. Please note that this option does not work correctly in Windows 11, Windows 10 version 1809 or later, Windows Server 2022 and in Windows Server 2019.

Background

Select the global background color for a customized ribbon.

Highlight

Select the global highlight color for a customized ribbon (Windows 7 only).

Text

Select the global text color for a customized ribbon.

Default view

Restore Defaults

Use this option to restore the default view of the Fax Voip FSP Control Panel. This function does not change your SIP, H.323, Fax and other settings.

Most of the commands placed on the View tab are also available from the Navigation Bar context menu.

The following commands are available in the Tools tab:

Reinstall Fax Voip FSP

Reinstall Fax Voip FSP Services

Click to repair Windows Fax Service components, reinstall Fax Voip FSP Service and register Fax Voip Windows Fax Service Provider and Fax Voip FSP Routing Extension with the fax service. See more details in the To register Fax Voip Windows Fax Service Provider (FSP) with Fax Service chapter of this user manual.

Windows Contacts

Windows Contacts

Click to open Contacts folder.

New Contact

Allows you to add a new contact card to your Contacts.

Find People

Click to find people in your Contacts.

Address Book

Opens Address Book (Windows Contacts).

Backup or Restore

Export Configuration

Click to create a backup copy of your current settings.

Import Configuration

Click to restore settings from backup.

Some Ribbon commands are contained in the so called Contextual Tabs which are available depending on the context. These commands are described separately in the appropriate chapters.

The Quick Access Toolbar (QAT) is a small, customizable toolbar that exposes a set of Commands that are specified by the application or selected by the user.

By default, the Quick Access Toolbar (QAT) is located in the title bar of the Fax Voip FSP Control Panel window but can be configured to display below the ribbon. In addition to exposing Commands, the Quick Access Toolbar (QAT) also includes a customizable drop-down menu that contains the complete set of default Quick Access Toolbar (QAT) Commands (whether hidden or displayed in the Quick Access Toolbar (QAT)) and a set of Quick Access Toolbar (QAT) and ribbon options. Almost all ribbon controls can be added to the Quick Access Toolbar (QAT) through the context menu shown in the following screen shot.


VOIP

VOIP Settings

Fax Voip FSP Control Panel ››

Display Name

Text entered here appears on the display of the remote phone or fax machine when Fax Voip FSP is making the outgoing call (NAME part of Caller ID). The default value for this field is 'FaxVoip FSP'. The Display Name can be overridden by the SIP, H.323 and Outgoing Call Routing settings.

Default Username

By default, Fax Voip FSP uses the Username from this field. The default value for this field is 'FaxVoip'. This value is used as default SIP Username and H.323 ID but can be overridden by the SIP and H.323 settings. The Default Username can be also overwritten by SIP Registration and Outgoing Call Routing settings. If you're using a digital Default Username here and don’t override it with other settings, the value of Default Username will be recognized by remote party as NUMBER part of Caller ID.

Voip Protocols

At least one of the following options should be selected:

Enable SIP

Check this option if you want to configure Fax Voip FSP to operate with SIP networks.

Enable H.323

Check this option if you want to configure Fax Voip FSP to operate with H.323 networks.

Network Options

Local RTP ports to listen on

The range of RTP ports used by Fax Voip FSP. By default Fax Voip FSP uses ports from 5000 to 5998.

STUN Server (and Port)

Address and port of the STUN Server to be used. Can be useful if you use NAT to determine your ip-address. This option may be useful in the case of SIP as well as in the case of H.323. Note, that the default STUN port is 3478. If STUN Server port is 3478 you may not enter ':3478' in this field.

Examples:

stun01.sipphone.com

stun.voipbuster.com

stun.yourstunserver.com:3478


SIP

Fax Voip FSP Control Panel ›› VOIP ››

  • SIP Settings
  • Outbound Proxy Settings
  • SIP Registrations Settings
  • T.38 Fax Settings (SIP)
  • Audio Fax Settings (SIP)


SIP Settings

Fax Voip FSP Control Panel ›› VOIP ›› SIP ››

SIP Display Name

By default Fax Voip FSP uses Display Name specified in the VOIP settings as SIP Display Name but you can override it in this field. Fax Voip FSP uses the Display Name from this field if operates with SIP. Text entered here appears on the display of the remote phone or fax machine when Fax Voip FSP is making the outgoing call (NAME part of Caller ID). The SIP Display Name can be overridden by the Outgoing Call Routing settings.

Use Default Display Name

To modify SIP Display Name field, uncheck this option. If this option is checked, Fax Voip FSP will use the Display Name specified in the VOIP settings as SIP Display Name.

SIP Username

By default Fax Voip FSP uses Default Username specified in the VOIP settings as SIP Username but you can override it in this field. Fax Voip FSP uses the Username from this field if operates with SIP. If you're using a digital SIP Username here, and make a direct SIP call without registration and authentication, the value of SIP Username will be recognized by remote party as NUMBER part of Caller ID. The SIP Username can be overwritten by the SIP Registration and Outgoing Call Routing settings.

Use Default Username

To modify SIP Username field, uncheck this option. If this option is checked, Fax Voip FSP will use the Default Username specified in the VOIP settings as SIP Username.

Local UDP SIP address (and Port)

Interface/port to listen for SIP/UDP requests. All incoming SIP over UDP calls should be routed to this interface/port. ' * ' is all network interfaces and can be recommended for using at least for the first time. Note, that the default SIP over UDP port is 5060. If port is 5060 you may not enter '5060' in the port field. To avoid conflicts, please check that the selected port is not used by the other SIP software.

Examples:

192.168.0.2

* : 5070

Enable SIP over UDP Transport

Check this option to be possible to use SIP over UDP.

Local TCP SIP address (and Port)

Interface/port to listen for SIP/TCP requests. All incoming SIP over TCP calls should be routed to this interface/port. ' * ' is all network interfaces and can be recommended for using at least for the first time. Note, that the default SIP over TCP port is 5060. If port is 5060 you may not enter '5060' in the port field. To avoid conflicts, please check that the selected port is not used by the other SIP/TCP software.

Enable SIP over TCP Transport

Check this option to be possible to use SIP over TCP.


Outbound Proxy Settings

Fax Voip FSP Control Panel ›› VOIP ›› SIP ››

Note that if you use this option, your proxy settings will be automatically applied to all SIP Registrations and to all outgoing SIP calls except for those cases when you specify another Outbound Proxy for SIP registration or in the Outgoing VOIP Call Routing rule for your call. Messy use of this option could lead to problems of dialing (for outgoing calls) and to the problems of hearing and transmitting of the fax (for incoming calls). Thus, we do not recommend using of Default Outbound Proxy for inexperienced users. If your SIP provider requires (or supports) the using of Outbound Proxy function, we recommend that you specify the proxy settings in SIP Registration and Outgoing VOIP Call Routing rules associated with this provider. However, this option may be useful for advanced users. For example, if you do not want to use the SIP Registration function, you can enter authorization data to the server of your SIP provider here (username, password, sip-server address) and to use these settings for making an outgoing call via your provider.

Use Default Outbound Proxy

Check this field if you want to specify and use Default Proxy Settings.

Proxy Server (and Port)

SIP proxy IP address. Note, that the default port is 5060 if UDP or TCP transport is used. You may not to enter the port if default port is used. Note that in the case of using global Outbound Proxy, the proxy will be applied to all SIP Registrations and to all Outgouing rules, except registrations and rules with which other proxy is specified.

Examples:

sip.outboundserver.com

myoutbound.com : 5080

192.168.0.5 : 5075

SIP over UDP

Select this option to use SIP over UDP. This option is used by default. Note that in the case of using global Outbound Proxy, the selected transport will be applied to all SIP Registrations and to all Outgouing rules, except registrations and rules with which other proxy is specified.

SIP over TCP

Select this option to use SIP over TCP. If you want to use TCP, please ask your SIP provider about support for SIP over TCP. Note that in the case of using global Outbound Proxy, the selected transport will be applied to all SIP Registrations and to all Outgouing rules, except registrations and rules with which other proxy is specified.

Proxy Username (optional)

Username for authentication with proxy.

Proxy Password (optional)

Password credential for authentication with proxy.


SIP Registrations

Fax Voip FSP Control Panel ›› VOIP ›› SIP ››

  • SIP Registrations Settings
  • To create (or edit) SIP Registration entry
  • To manage SIP Registrations
  • Test SIP Registration
  • Restore SIP Registration Options


SIP Registrations Settings

Fax Voip FSP Control Panel ›› VOIP ›› SIP ›› SIP Registrations ››

Fax Voip FSP supports Multiple SIP Registrations. You can operate with different SIP servers simultaneously, and (or) to register multiple SIP accounts on the same server. Multiple SIP Registrations feature allows you to receive incoming calls from different SIP networks. To make outgoing calls using different SIP Registrations, should make the appropriate settings in the Outgoing VOIP Call Routing. Fax Voip FSP supports SIP registration via UDP and via TCP. The maximum supported number of SIP registrations is not limited.

SIP Registrations Table contains the following information:

username@registrar

User account at the server of SIP provider. It consists of two parts: user name (SIP-ID) and name (ip-address) of the server. The second part can also contain the port number. If the server uses a port other than 5060 (default), the port number must be specified.

Outbound Proxy (optional)

Displays the address of SIP proxy server, which is used for registration (if specified). Outbound Proxy can also contain the port number. If the proxy server uses a port other than 5060 (default), the port number must be specified. Icon => before the name of Outbound Proxy shows that global proxy settings specified in the "Default Outbound Proxy" are used with the current registration. If separate proxy is specified for the current registration, the UDP transport is always used. To use TCP proxy, should use global proxy settings.

Transport

Indicates transport (UDP or TCP) that is used with current registration. By default, this transport is also used for incoming calls through the current registration.

Registration status

This field indicates SIP Registration status for current registration entry (OK or description of error). This indicator works when the Fax Voip FSP Service is running.

Authentication Name (optional)

Username credential for authantication.

Domain/Realm (optional)

Account domain.

Contact (optional)

Allows to override the Contact field in the SIP message REGISTER. Depending on the settings of SIP server allows to redirect incoming calls to another extension or even to another SIP endpoint.

Expires

SIP Registration timeout. Default value is 180 sec.

Restore Options

Additional options to forcebly restore SIP registration if it is unstable for whatever reason. See also Restore SIP Registration Options chapter of this user manual.

Force=yes

Fax Voip FSP periodically sends forcible REGISTER request.

Force=no

The restore function is disabled.

Timeout=...min

The interval between sending REGISTER requests, in minutes. Can vary from 1 to 999 minutes.

Check=yes

Fax Voip FSP does not send the REGISTER request if the current registration status is OK.

Check =no

Forced request is sent regardless of the current registration status.

UnReg=yes

Fax Voip FSP is trying to cancel the current registration before registering again.

UnReg=no

Fax Voip FSP sends the REGISTER request without sending command to unregister.

Delay=...sec

The interval between sending unregister and REGISTER commands, in seconds. Can vary from 1 to 10 seconds.

If SIP registration can not be used in the current configuration of the program, Fax Voip FSP does not load it at startup and ignores this registration.

  • If Enable SIP option is unchecked (SIP is disabled, see in the VOIP Settings), Fax Voip FSP does not load and ignores all SIP registrations.
  • If Enable SIP over UDP Transport option is unchecked (SIP over UDP is disabled, see in the SIP Settings), Fax Voip FSP does not load and ignores registrations that use SIP over UDP transport.
  • If Enable SIP over TCP Transport option is unchecked (SIP over TCP is disabled, see in the SIP Settings), Fax Voip FSP does not load and ignores registrations that use SIP over TCP transport.

The SIP registrations that can not be used in the current configuration of the program are always highlighted in red.

The following commands are available in the SIP Accounts Contextual Tab of the Ribbon:

SIP Accounts

New (Ctrl + N)

Click to create new SIP Registration entry.

Copy (Ctrl + C)

Click to create a copy of the selected SIP Registration entry. Can be useful when creating a large number of similar entries. To edit newly created entry, select it and use Edit command.

Edit (Ctrl + E)

Click to edit SIP Registration entry. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more SIP Registration entries. One or more entries should be selected.

Delete (Del)

Click to delete one or more SIP Registration entries. One or more entries should be selected.

Delete All

Click to delete all the entries in the list.

Move

Use the commands below to change preference order for different SIP Registrations. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected item up.

Move Down (Ctrl + D)

Move the selected item down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Registration

Use to manually start or stop SIP registation. One of the entries should be selected. See also Test SIP Registration chapter of this user manual.

Register

Click to Register the selected SIP account(s).

Register

Click to Register the selected SIP account(s).

Unregister

Click to Unregister the selected SIP account(s).

Most of the commands placed on the SIP Accounts Contextual Tab are also available from the context menu of the list.


To create or edit SIP Registration

To create (or edit) SIP Registration entry

Fax Voip FSP Control Panel ›› VOIP ›› SIP ›› SIP Registrations ››

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click SIP, then click Registrations.

3. To create new SIP Registration click New. To edit an existing SIP Registration entry select it and click Edit (or double-click the selected entry).

4. In the SIP registration window, click <Details> button to view and edit the advanced settings.

5. Make the necessary settings for the selected (or new) entry.

SIP Registrations Settings

Username (or SIP-ID)

Account identifier. This is often your username or phone number.

Password

Password credential for authentication.

SIP Registrar Server

Address or name of the SIP registrar server to be used. Can also contain the port number. If the port number other than 5060 (default), the port number should be specified. (Examples: 'sip.voipbuster.com', 'sip.myserver.com:5064', '192.168.0.5:5068', ...).

Outbound Proxy (optional)

Address or name of SIP proxy server, which is used for registration. Can also contain the port number. If the port number other than 5060 (default), the port number should be specified. (Examples: 'sip.myproxy.com', 'proxyserver.com:5080', '192.168.0.5:5065', ...). If Outbound Proxy is specified in this field, Fax Voip FSP always do registration using SIP over UDP. To use proxy with TCP transport, should use global proxy settings.

Authentication Name (optional)

Username credential for authantication. Usually not required.

Domain/Realm (optional)

Account domain. Usually not required.

SIP Contact URL (optional)

Allows to override the Contact field in the SIP message REGISTER. Usually not required. Depending on the settings of SIP server, allows to redirect incoming calls to another extension or even to another SIP endpoint. If you do not understand the meaning of this field, leave it blank. Incorrect value in this field can lead to problems with SIP registration and incoming calls.

Expires Header

SIP Registration timeout. Default value is 180 sec.

Transport

If Default Outbound Proxy is used, the transport specified in proxy settings will be used. If individual proxy is specified in the Outbound Proxy field, SIP over UDP will be used. Note that TCP can be not supported by your server or SIP provider.

SIP over UDP (default)

Use this option to do registration and receive incoming SIP calls via UDP.

SIP over TCP

Use this option to do registration and receive incoming SIP calls via TCP.

Restore SIP Registration

Use these options if only registration is not stable for some reasons. See more details in the Restore SIP Registration Options chapter of this user manual.

6. Click <OK> button to fix changes.

7. Use Move Up and Move Down commands to set the preference of order for SIP Registrations.

8. Note that immediately after creating or editing the status of SIP Registration will not be displayed or may be displayed incorrectly.

9. You can test the entry before saving it. See in the Test SIP Registration chapter of this user manual.

10. Click <Apply> button to save modified settings for SIP Registrations. All the changes are applied immediately.

SIP Registration status for every registration is displayed in Registration status column. Summary information is displayed in the status bar.


To Manage SIP Registrations

Fax Voip FSP Control Panel ›› VOIP ›› SIP ›› SIP Registrations ››

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click SIP, then click Registrations.

3. To change the preference order for SIP Registrations use Move Up and Move Down commands. One of the SIP Registrations entries should be selected.

4. To remove one or more SIP Registrations, select the entries, then click Delete.

5. Click <Apply> button to save modified settings for SIP Registrations. All the changes are applied immediately.


Test SIP Registration

Fax Voip FSP Control Panel ›› VOIP ›› SIP ›› SIP Registrations ››

SIP Registrations are started when Fax Voip FSP Service is started. You can also manually start or stop SIP Registrations. This can be used in the following cases:

  • To temporarily stop and then start SIP Registration for one or more SIP accounts.
  • To manually restore SIP Registration in the case of losing registration if for some reason it can not be restored automatically.
  • To test SIP Registration after creating or editing SIP Registration entry (before saving settings).
  • To investigate the behavior of your SIP server when configuring the Forcibly send REGISTER request option. See also in the Restore SIP Registration Options chapter of this user manual.

These functions can not be used when Fax Voip FSP Service is stopped. Note that these functions use the data currently displayed in the SIP accounts list instead of already saved settings. That is why you can use them to test the newly created or just edited entries without clicking <Apply> button.

To start SIP Registration

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click SIP, then click Registrations.

3. Make sure that Fax Voip FSP Service is started. To start Fax Voip FSP Service click Start Fax Voip FSP on the Main tab of the Ribbon.

4. Select one or more SIP Registration entries.

5. Click Register or select Register command from the Register split button’s drop-down menu.

To stop SIP Registration

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click SIP, then click Registrations.

3. Make sure that Fax Voip FSP Service is started. To start Fax Voip FSP Service click Start Fax Voip FSP on the Main tab of the Ribbon.

4. Select one or more SIP Registration entries.

5. Select Unregister command from the Register split button’s drop-down menu.

Notes

  • If SIP Registration is stopped by the Unregister command, it can be automatically restored after some time if Forcibly send REGISTER request option is applied. See also in the Restore SIP Registration Options chapter of this user manual. This does not apply to the case when you test newly created SIP Registration entry without saving it (before clicking <Apply> button).


Restore SIP Registration Options

Fax Voip FSP Control Panel ›› VOIP ›› SIP ›› SIP Registrations ››

Normally SIP Registration starts when Fax Voip FSP Service is started, and then registration is held using regular methods by sending a REGISTER requests in accordance with an Expire Header timeout.

In some environments, registration is not stable. Symptoms may including being able to call in, while other times, you don't get through. This can be caused by a long refresh interval that is too long (see Expire Header parameter), unstable internet connection, some temporary problems on the side of your SIP provider etc. Even if the registration is lost, normally Fax Voip FSP should recover the registration automatically after some time. Nevertheless, in some cases and for various reasons this does not happen and the program remains unregistered. Usually you can fix the problems by changing Expire Header timeout, specifying Outbound Proxy or/and STUN Server options etc.

Unfortunately, in some incompatibility cases, all these efforts can not lead to the desired results.

The options below allow you to fix the problem of unstable SIP Registration regardless of the reasons causing it. Fax Voip FSP periodically sends forcible REGISTER request and restore SIP Registration without having to restart the entire application. These options are configured independently for different SIP Registration entries. Note that this is an auxiliary mechanism. No need to use it if there are no problems with SIP Registration stability.

To configure Restore SIP Registration options

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click SIP, then click Registrations.

3. Select SIP Registration entry and click Edit (or double-click the selected entry).

4. In the SIP Registration dialog, click <Details> button.

5. Make the necessary settings in the Restore SIP Registration area.

Restore SIP Registrations

Forcibly send REGISTER request every ... min

If this option is checked, Fax Voip FSP periodically sends forcible REGISTER request. The interval between the requests is specified in minutes and can vary from 1 to 999 minutes. Don't specify too small interval if not necessary.

Re-register if only not registered

If this option is checked, Fax Voip FSP does not send the REGISTER request if the current registration status is OK. Otherwise the request is always sent regardless of the current registration status.

Unregister before sending REGISTER request

Check this option to cancel the current registration before re-registering. The real necessity of this command depends on the server, usually not required.

Delay between commands ... sec

The interval between sending unregister and REGISTER commands, in seconds. Can vary from 1 to 10 seconds. 1 second is usually enough. Except the case when the server responds with a big delay.

6. Click <OK> button to fix changes.

7. Click <Apply> button to save modified settings for SIP Registrations. All the changes are applied immediately.

Notes

  • To manually restore SIP Registration, see Test SIP Registration chapter of this user manual.


T.38 Fax Settings

T.38 Fax Settings (SIP)

Fax Voip FSP Control Panel ›› VOIP ›› SIP ››

T.38 Fax Transmission

The options below are applied to the outgoing faxes:

Enable Error Correction Mode

Check this option if you want to have a possibility to use Error Correction Mode (ECM) for outgouing T.38 faxes. The ECM value can be overridden by the Outgoing Call Routing settings.

Maximum bitrate

Select maximum bitrate for outgouing T.38 faxes. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Outgoing Call Routing settings.

Switch to T.38 after ... seconds

This option provides a forced switching to T.38 mode immediately (0 seconds) or after the specified time interval (1-20 seconds). Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite or CED tone from the other side. By default, Fax Voip FSP switches to T.38 if only T.38 re-invite is received from the other side. This option can be overridden by the Outgoing Call Routing settings.

Switch to T.38 on CED tone received

This option provides a forced switching to T.38 mode if the fax machine specific tone (CED signal) is detected. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite from the other side. By default, Fax Voip FSP switches to T.38 if only T.38 re-invite is received from the other side. This option can be overridden by the Outgoing Call Routing settings.

T.38 Fax Reception

The options below are applied to the incoming faxes:

Enable Error Correction Mode

Check this option if you want to have a possibility to use Error Correction Mode (ECM) for incoming T.38 faxes. The ECM value can be overridden by the Incoming Call Routing settings.

Maximum bitrate

Select maximum bitrate for incoming T.38 faxes. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Incoming Call Routing settings.

Switch to T.38 after ... seconds

This option provides a forced switching to T.38 mode immediately (0 seconds) or after the specified time interval (1-20 seconds). Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite or CNG tone from the other side. By default, Fax Voip FSP switches to T.38 immediately after answering an incoming call (0 seconds). This option can be overridden by the Incoming Call Routing settings.

Switch to T.38 on CNG tone received

This option provides a forced switching to T.38 mode if the fax machine specific tone (CNG signal) is detected. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite from the other side. This option can be overridden by the Incoming Call Routing settings.

T.38 UDPTL Redundancy

T.38 provides facilities to eliminate the effects of packet loss through data redundancy. When a packet is sent, either zero, one, two, three, or even more of the previously sent packets are repeated. (The specification does not impose a limit.) This increases the network bandwidth required (it’s still much less than not using T.38) but it allows the receiving gateway to reconstruct the complete packet sequence, even with a fairly high level of packet loss. The T.38 redundancy number corresponds to how many previous packet payloads are repeated with each packet. The values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets are specified separately.

Indication

Specifies the number of redundant T.38 fax packets to be sent to indicate CNG, CED tones, no signal. Ranges varies from 0 (no redundancy) to 5.

LS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for the low-speed V.21-based T.30 fax machine protocol. Low speed is used during the fax negotiation phase which is done at 300 Bps and is most likely to be affected by bad QoS. Ranges varies from 0 (no redundancy) to 5.

HS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for high-speed V.17, V.27, and V.29 T.4 or T.6 fax machine image data. High speed is used during the transmission phase which is done between 2400 Kbps and 14400 Kbps. Although bad QoS will deteriorate image quality, a few missing scan lines ultimately does not effect the human's perception of the received image. Ranges varies from 0 (no redundancy) to 5.

The T.38 redundancy values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets can be overridden by the Outgoing Call Routing and Incoming Call Routing settings.

Notes

  • Sending and Receiving faxes over VOIP using T.38 protocol is only possible if T.38 is supported by the VoIP Service provider. We recommend you to ask your SIP provider if they support T.38.
  • To use T.38, you should enable T.38 support in the Outgoing Call Routing and Incoming Call Routing settings.
  • A large number of settings, responsible for the switch to T.38 (sending T.38 re-invite or waiting for T.38 re-invite from other side) allows to adjust the Fax Voip FSP when used with different T.38 gateways.
  • In the case of an unsuccessful switching to T.38, Fax Voip FSP always do fallback to G.711fax (audio fax mode).
  • All options described in this section can be overridden by the Outgoing Call Routing and Incoming Call Routing settings.
  • Parameters specified in this pane are only applied to SIP fax calls. To configure similar settings in the case of H.323, you should change the appropriate options in the H.323 section.


Audio Fax Settings

Audio Fax Settings (SIP)

Fax Voip FSP Control Panel ›› VOIP ›› SIP ››

Audio Fax Transmission

The options below are applied to the outgoing faxes:

Enable Error Correction Mode

Check this option if you want to have a possibility to use Error Correction Mode (ECM) for outgouing audio faxes. The ECM value can be overridden by the Outgoing Call Routing settings.

Maximum bitrate

Select maximum bitrate for outgouing audio faxes (Fax over G.711 codec). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Outgoing Call Routing settings.

Audio Fax Reception

The options below are applied to the incoming faxes:

Enable Error Correction Mode

Check this option if you want to have a possibility to use Error Correction Mode (ECM) for incoming audio faxes. The ECM value can be overridden by the Incoming Call Routing settings.

Maximum bitrate

Select maximum bitrate for incoming audio faxes (Fax over G.711 codec). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Incoming Call Routing settings.

Notes

  • All options described in this section can be overridden by the Outgoing Call Routing and Incoming Call Routing settings.
  • Parameters specified in this pane are only applied to SIP fax calls. To configure similar settings in the case of H.323, you should change the appropriate options in the H.323 section.


H.323

Fax Voip FSP Control Panel ›› VOIP ››

  • H.323 Settings
  • H.323 Gatekeeper
  • T.38 Fax Settings (H.323)
  • Audio Fax Settings (H.323)


H.323 Settings

Fax Voip FSP Control Panel ›› VOIP ›› H.323 ››

H.323 Display Name

By default Fax Voip FSP uses Display Name specified in the VOIP settings as H.323 Display Name but you can override it in this field. Fax Voip FSP uses the Display Name from this field if operates with H.323. Text entered here appears on the display of the remote phone or fax machine when Fax Voip FSP is making the outgoing call (NAME part of Caller ID). The H.323 Display Name can be overridden by the Outgoing Call Routing settings.

Use Default Display Name

To modify H.323 Display Name field, uncheck this option. If this option is checked, Fax Voip FSP will use the Display Name specified in the VOIP settings as H.323 Display Name.

H.323 ID

H.323 ID is used to identify Fax Voip FSP as H.323 endpoint in the process of interaction with other elements of H.323 network, in particular with H.323 Gatekeeper. By default Fax Voip FSP uses Default Username specified in the VOIP settings as H.323 ID but you can override it in this field.

Use Default Username as H.323 ID

To modify H.323 ID field, uncheck this option. If this option is checked, Fax Voip FSP will use the Default Username specified in the VOIP settings as H.323 ID.

Local H.323 address (and Port)

Interface/port to listen for H.323 requests. All incoming H.323 calls should be routed to this interface/port. ' * ' is all network interfaces and can be recommended for using at least for the first time. Note, that the default H.323 port is 1720. If port is 1720 you may not enter '1720' in the port field. To avoid conflicts, please check that the selected port is not used by the other H.323 software.

Examples:

192.168.0.2

* : 1722

Telephone numbers

Telephone numbers list contains the digital phone numbers associated with Fax Voip FSP in terms of H.323. If H.323 ID consists of digits, Fax Voip FSP automatically adds it to the list of phone numbers. If you use registration with H.323 Gatekeeper, H.235 authentication is used and H.235 login consists of digits, Fax Voip FSP automatically adds H.235 login to the list of phone numbers. The phone numbers specified in this list are used in the process of registration with H.323 Gatekeeper (the list of phone numbers to which incoming calls are possible). In the case of outgoing H.323 call, the top number from this list will be recognized by remote party as NUMBER part of Caller ID. The Caller ID NUMBER can be overridden by the Outgoing Call Routing settings (Username field).

<Up> and <Down>

Use these buttons to change phone numbers preference order. You should select one of the phone numbers before using these buttons.

<New>

Use this button to add new phone number to the list.

<Remove>

Use this button to delete one or more phone numbers from the list. You should select one or more numbers before using this button.

You can also do any of the above actions by selecting the appropriate command from the context menu of the list.

Enable Fast Start

Check this option to enable Fast Start. Uncheck this option to disable Fast Start.

Enable H.245 Tunneling

Check this option to enable H.245 tunneling. Uncheck this option to disable H.245 tunneling.


H.323 Gatekeeper

Fax Voip FSP Control Panel ›› VOIP ›› H.323 ››

Gatekeeper Mode

Do not use Gatekeeper (default)

In this mode Fax Voip FSP operates as independent H.323 endpoint and does not register with H.323 Gatekeeper. All incoming H.323 calls should be routed directly to IP address and port where Fax Voip FSP operates. This mode is preferable in the case when your H.323 provider uses your IP-address to identify you (the most common method of binding used for authentication).

Use Gatekeeper

In this mode Fax Voip FSP should be registered with H.323 Gatekeeper.

Search for Gatekeeper

In this mode Fax Voip FSP is able to find the H.323 Gatekeeper automatically. Option is useful if you register with the Gatekeeper located in your local network.

Address

The H.323 Gatekeeper IP address or server name.

Time to Live

The Time To Live parameter is the duration (in seconds) for which registration with the H.323 Gatekeeper is valid. Note that this parameter can be overridden by the Gatekeeper during registration.

Use H.235 authentication

Check this option if Gatekeeper requires authentication. The H.235 cryptoTokens by MD5 hashing are used.

Login Name

H.235 login credential for authentication.

Password

H.235 password credential for authentication.

Gatekeeper status

This area indicates status of registration with H.323 Gatekeeper. This indicator works when the Fax Voip FSP Service is running, Enable H.323 option is checked (see more details in the VOIP Settings chapter), Use Gatekeeper mode is selected and when the Gatekeeper is really found. The following information can be displayed:

      • Gatekeeper Name
      • Trying / Registered OK / Failed (with error description)
      • GK Registration time


T.38 Fax Settings

T.38 Fax Settings (H.323)

Fax Voip FSP Control Panel ›› VOIP ›› H.323 ››

T.38 Fax Transmission

The options below are applied to the outgoing faxes:

Enable Error Correction Mode

Check this option if you want to have a possibility to use Error Correction Mode (ECM) for outgouing T.38 faxes. The ECM value can be overridden by the Outgoing Call Routing settings.

Maximum bitrate

Select maximum bitrate for outgouing T.38 faxes. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Outgoing Call Routing settings.

Switch to T.38 after ... seconds

This option provides a forced switching to T.38 mode immediately (0 seconds) or after the specified time interval (1-20 seconds). Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite or CED tone from the other side. By default, Fax Voip FSP switches to T.38 if only T.38 re-invite is received from the other side. This option can be overridden by the Outgoing Call Routing settings.

Switch to T.38 on CED tone received

This option provides a forced switching to T.38 mode if the fax machine specific tone (CED signal) is detected. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite from the other side. By default, Fax Voip FSP switches to T.38 if only T.38 re-invite is received from the other side. This option can be overridden by the Outgoing Call Routing settings.

T.38 Fax Reception

The options below are applied to the incoming faxes:

Enable Error Correction Mode

Check this option if you want to have a possibility to use Error Correction Mode (ECM) for incoming T.38 faxes. The ECM value can be overridden by the Incoming Call Routing settings.

Maximum bitrate

Select maximum bitrate for incoming T.38 faxes. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Incoming Call Routing settings.

Switch to T.38 after ... seconds

This option provides a forced switching to T.38 mode immediately (0 seconds) or after the specified time interval (1-20 seconds). Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite or CNG tone from the other side. By default, Fax Voip FSP switches to T.38 immediately after answering an incoming call (0 seconds). This option can be overridden by the Incoming Call Routing settings.

Switch to T.38 on CNG tone received

This option provides a forced switching to T.38 mode if the fax machine specific tone (CNG signal) is detected. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite from the other side. This option can be overridden by the Incoming Call Routing settings.

T.38 UDPTL Redundancy

T.38 provides facilities to eliminate the effects of packet loss through data redundancy. When a packet is sent, either zero, one, two, three, or even more of the previously sent packets are repeated. (The specification does not impose a limit.) This increases the network bandwidth required (it’s still much less than not using T.38) but it allows the receiving gateway to reconstruct the complete packet sequence, even with a fairly high level of packet loss. The T.38 redundancy number corresponds to how many previous packet payloads are repeated with each packet. The values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets are specified separately.

Indication

Specifies the number of redundant T.38 fax packets to be sent to indicate CNG, CED tones, no signal. Ranges varies from 0 (no redundancy) to 5.

LS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for the low-speed V.21-based T.30 fax machine protocol. Low speed is used during the fax negotiation phase which is done at 300 Bps and is most likely to be affected by bad QoS. Ranges varies from 0 (no redundancy) to 5.

HS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for high-speed V.17, V.27, and V.29 T.4 or T.6 fax machine image data. High speed is used during the transmission phase which is done between 2400 Kbps and 14400 Kbps. Although bad QoS will deteriorate image quality, a few missing scan lines ultimately does not effect the human's perception of the received image. Ranges varies from 0 (no redundancy) to 5.

The T.38 redundancy values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets can be overridden by the Outgoing Call Routing and Incoming Call Routing settings.

Notes

  • Sending and Receiving faxes over VOIP using T.38 protocol is only possible if T.38 is supported by the VoIP Service provider. We recommend you to ask your H.323 provider if they support T.38.
  • To use T.38, you should enable T.38 support in the Outgoing Call Routing and Incoming Call Routing settings.
  • A large number of settings, responsible for the switch to T.38 (sending T.38 re-invite or waiting for T.38 re-invite from other side) allows to adjust the Fax Voip FSP when used with different T.38 gateways.
  • In the case of an unsuccessful switching to T.38, Fax Voip FSP always do fallback to G.711fax (audio fax mode).
  • All options described in this section can be overridden by the Outgoing Call Routing and Incoming Call Routing settings.
  • Parameters specified in this pane are only applied to H.323 fax calls. To configure similar settings in the case of SIP, you should change the appropriate options in the SIP section.


Audio Fax Settings

Audio Fax Settings (H.323)

Fax Voip FSP Control Panel ›› VOIP ›› H.323 ››

Audio Fax Transmission

The options below are applied to the outgoing faxes:

Enable Error Correction Mode

Check this option if you want to have a possibility to use Error Correction Mode (ECM) for outgouing audio faxes. The ECM value can be overridden by the Outgoing Call Routing settings.

Maximum bitrate

Select maximum bitrate for outgouing audio faxes (Fax over G.711 codec). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Outgoing Call Routing settings.

Audio Fax Reception

The options below are applied to the incoming faxes:

Enable Error Correction Mode

Check this option if you want to have a possibility to use Error Correction Mode (ECM) for incoming audio faxes. The ECM value can be overridden by the Incoming Call Routing settings.

Maximum bitrate

Select maximum bitrate for incoming audio faxes (Fax over G.711 codec). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. The Maximum bitrate value can be overridden by the Incoming Call Routing settings.

Notes

  • All options described in this section can be overridden by the Outgoing Call Routing and Incoming Call Routing settings.
  • Parameters specified in this pane are only applied to H.323 fax calls. To configure similar settings in the case of SIP, you should change the appropriate options in the SIP section.


Outgoing VOIP Call Routing

Fax Voip FSP Control Panel ›› VOIP ››

Depending on the number been dialed outgoing calls can be routed to different SIP or H.323 servers, to H.323 Gatekeeper or implemented using different SIP accounts (SIP registrations). The maximum supported number of Outgoing VOIP Call Routing rules is not limited.

Fax Voip FSP always checks Outgoing VOIP Call Routing rules, starting with the rule # 1. The call will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. If there is no one rule that satisfies the conditions of the call, the call can not be implemented. To make outgoing calls, you must have at least one rule in the Outgoing VOIP Call Routing table.

Depending on the number been dialed outgoing calls can be routed to

  • SIP network
  • H.323 network

The rules of different types (SIP or H.323) highlighted in different colors in the Outgoing VOIP Call Routing table.

Outgoing SIP calls can be routed to

  • SIP server with which Fax Voip FSP is registered, the call can be implemented using selected SIP account (username)
  • another IP address (SIP server name) that is not associated with the entry in the SIP registrations table

Outgoing H.323 calls can be routed to

  • H.323 Gatekeeper with which Fax Voip FSP is registered
  • another IP address (H.323 server name) that is not associated with H.323 Gatekeeper

The following translation rules can be applied to the dialed number:

  • the specified prefix can be added to the phone number
  • the specified first few digits can be removed from phone number

The following call and fax settings can be set or overridden by the Outgoing VOIP Call Routing rule:

  • UDP or TCP transport can be selected for SIP calls
  • Tel URI scheme can be used (with outgoing SIP calls only)
  • Username (Caller ID Number)
  • Display Name (Caller ID Name)
  • Fax Mode (T.38, G.711 audio fax)
  • Maximum Fax Bitrate
  • ECM (Error Correction Mode)
  • Forced switching to T.38 mode based on timer
  • Forced switching to T.38 mode based on receiving CED fax tone
  • T.38 Redundancy
  • Voice announcement before sending fax

If there are no rules in the Outgoing VOIP Call Routing table and there is at least one SIP registration entry in the SIP registration table, Fax Voip FSP automatically invites to create default rule for Outgoing calls at the time of clicking <Apply> button.

The default rule is as follows:

  • All outgoing calls are routed to the first SIP Registration without number translation with support for both T.38 and G.711 audio fax modes.

If the rules of some kind can not be used in the current configuration of the program, Fax Voip FSP does not load them at startup and ignores these rules.

  • If Enable SIP option is unchecked (SIP is disabled, see in the VOIP Settings ), Fax Voip FSP does not load and ignores rules that route calls to SIP network.
  • If Enable SIP over UDP Transport option is unchecked (SIP over UDP is disabled, see in the SIP Settings ), Fax Voip FSP does not load and ignores rules that route calls to SIP over UDP transport.
  • If Enable SIP over TCP Transport option is unchecked (SIP over TCP is disabled, see in the SIP Settings ), Fax Voip FSP does not load and ignores rules that route calls to SIP over TCP transport.
  • If Enable H.323 option is unchecked (H.323 is disabled, see in the VOIP Settings ), Fax Voip FSP does not load and ignores rules that route calls to H.323 network.

The rules that can not be used in the current configuration of the program are always highlighted in red in the Outgoing VOIP Call Routing table.

Outgoing VOIP Call Routing Table contains the following information:

Rule

Unique number of the current rule.

If Number =

Specifies the format of outgoing phone numbers for which this rule applies. For example ' .* ' means “all numbers”.

SIP/H.323

Specifies whether the outgoing call will be routed to the SIP or H.323 network. In the case of SIP, this field also indicates transport to be used (UDP or TCP) and whether Tel URI scheme is used in SIP INVITE message.

Dial on Number

Specifies Translation Rule for outgoing phone numbers. For example '<NUM>' means “without translation”, '9<NUM>' means “Prepend 9 before number”, '<NUM-2>' means “Remove first 2 digits”.

To Line

Displays SIP or H.323 server name or IP-address to which the call will be routed.

<GK> means that the call will be routed via H.323 Gatekeeper. In the case of H.323, if the registration with H.323 Gatekeeper is used, should understand that outgoing H.323 calls to arbitrary IP addresses may be prohibited by the Gatekeeper policy.

In the case of SIP, depending on the values of Username (see below) and some other Fax Voip FSP parameters the behavior can be different:

Case 1:

1. To Line = 'sip.server.com'

2. Username = '*<default>'

3. There is at least 1 entry in the SIP Registration table with

username@registrar = '<name>@sip.server.com', where <name> - any name.

The call will be routed using the first SIP Registration entry for the specified server.

Case 2:

1. To Line = 'sip.server.com'

2. Username = 'NAME'

3. There is an entry in the SIP Registration table with

username@registrar = 'NAME@sip.server.com'.

The call will be routed via SIP Registration entry 'NAME@sip.server.com'.

Case 3:

1. To Line = 'sip.server.com'

2. Username = 'NAME'

3. The server name is the same as the name of default proxy server (see in the Outbound Proxy Settings ). The Username is the same as the Proxy Username. Use default Outbound Proxy option is checked.

The call will be routed to default Proxy. The username and password specified in the proxy settings can be used for authantication.

Case 4:

1. To Line = 'sip.server.com'

2. Username = '*<default>'

3. There are no SIP Registration entries with

username@registrar = '<name>@sip.server.com', where <name> - any name.

The call will be routed to sip.server.com with default SIP Username, specified in the SIP Settings (usually FaxVoip). This method can be used if authantication is not required.

Case 5:

1. To Line = 'sip.server.com'

2. Username = 'NAME'

3. There are no SIP Registration entries with

username@registrar = 'NAME@sip.server.com'.

The call will be routed to sip.server.com with username NAME. This method can be used if authantication is not required. Digital NAME usually displayed at other side as NUMBER part of Caller ID.

Username

In the case of SIP, Username (SIP-ID) that will be used with the rule. Usually coincide with the Username of one of the SIP registrations. If you use *<default>, you should understand that Fax Voip FSP can use the Username of one of the SIP registrations or default SIP Username, specified in the SIP Settings (usually FaxVoip) in this case. Different behaviors are considered in the description of To Line field. Digital Username usually displayed at other side as NUMBER part of Caller ID.

In the case of H.323, this parameter allows to override the default Caller ID Number. If you use *<default>, should understand that the top number from the Telephone numbers list (see in the H.323 settings ) will be recognized by remote party as Caller ID Number.

DisplayName

Name you would like to be reported to other users. DisplayName usually displayed at other side as the NAME part of Caller ID. In the case of SIP, this option overwrites the default SIP Display Name, specified in the SIP Settings . In the case of H.323, this option overwrites the default H.323 Display Name, specified in the H.323 settings . *<> indicates, that the default Sip Display Name or H.323 Display Name is used.

Use Proxy

Displays the address of SIP Outbound Proxy, which is used with outgoing SIP calls (if specified). Using of different Outbound Proxy servers for SIP Registration and for Outgoing Calls via this registration is not recommended. Icon '=>' before the name of Outbound Proxy shows that you are using the Default Outbound Proxy setting (see in the Outbound Proxy Settings ), and it is used for outgoing SIP calls with the current rule.

Fax Mode

Displays Fax Mode applied to current rule. G.711 means G.711 fax (audio). T.38 means support for T.38 mode, when sending a fax with this rule.

Audio Fax Tweaks

Individual Audio Fax options that override the general options that are specified in the Audio Fax Settings (SIP) or Audio Fax Settings (H.323) .

Possible Audio Fax Tweaks options are:

MaxRate_out

Maximum bitrate for outgouing audio faxes (Fax over G.711 codec). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “SIP=>Audio Fax=>Audio Fax Transmission=>Maximum bitrate” field (in the case of SIP) or in the “H.323=>Audio Fax=>Audio Fax Transmission=>Maximum bitrate” field (in the case of H.323).

ECM_out (0 – disabled, 1 - enabled)

Possibility to use Error Correction Mode for outgouing audio faxes (Fax over G.711 codec). This option overwrites the default settings, specified in the “SIP=>Audio Fax=>Audio Fax Transmission=>Enable Error Correction Mode” (in the case of SIP) or in the “H.323=>Audio Fax=>Audio Fax Transmission=>Enable Error Correction Mode” (in the case of H.323).

T.38 Fax Tweaks

Individual T.38 Fax options that override the general options that are specified in the T.38 Fax Settings (SIP) or T.38 Fax Settings (H.323) .

Possible T.38 Fax Tweaks options are:

T38MaxRate_out

Maximum bitrate for outgouing T.38 faxes. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “SIP=>T.38 Fax=>T.38 Fax Transmission=>Maximum bitrate” field (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Transmission=>Maximum bitrate” field (in the case of H.323).

T38ECM_out (0 – disabled, 1 - enabled)

Possibility to use Error Correction Mode for outgouing T.38 faxes. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Transmission=>Enable Error Correction Mode” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Transmission=>Enable Error Correction Mode” (in the case of H.323).

T38SwitchOnTimer_out (Off – disabled, 0-20 – delay in seconds)

Forced switching to T.38 mode immediately (0 seconds) or after the specified time interval (1-20 seconds) for outgouing faxes. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite or CED tone from the other side. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Transmission=>Switch to T.38 after ... seconds” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Transmission=>Switch to T.38 after ... seconds” (in the case of H.323).

T38SwitchOnCED_out (0 – disabled, 1 - enabled)

Forced switching to T.38 mode if the fax machine specific tone (CED signal) is detected when sending a fax. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite from the other side. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Transmission=>Switch to T.38 on CED tone received” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Transmission=>Switch to T.38 on CED tone received” (in the case of H.323).

T38Redundancy

T.38 Redundancy in the format I/LS/HS. The values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets are specified separately. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 UDPTL Redundancy” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 UDPTL Redundancy” (in the case of H.323).

Audio File

Audio file to be played before sending a fax when the outgouing fax call is answered. Overrides the default options that are specified in the Audio Settings .

The following commands are available in the Outgoing Plan Contextual Tab of the Ribbon:

Outgoing Rules

New (Ctrl + N)

Click to create new Outgoing VOIP Call Routing rule.

Copy (Ctrl + C)

Click to create a copy of the selected Outgoing VOIP Call Routing rule. Can be useful when creating a large number of similar rules. To edit newly created rule, select it and use Edit command.

Edit (Ctrl + E)

Click to edit Outgoing VOIP Call Routing rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Outgoing VOIP Call Routing rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Outgoing VOIP Call Routing rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Outgoing VOIP Call Routing rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Outgoing Plan Contextual Tab are also available from the context menu of the list.


To create or edit Outgoing Call Routing rule

To create (or edit) Outgoing VOIP Call Routing rule

Fax Voip FSP Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ››

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule window in the General panel, specify the original format of the dialed number for which this rule applies. Select the VOIP protocol, SIP or H.323. In the case of SIP, in the Dial on SIP Server field, be sure to specify the name or address of the SIP server (SIP endpoint), where to route the call. You can also select transport (UDP or TCP) to be used with outgoing SIP calls. In the case of H.323, in the Route to address field, be sure to specify the IP-address of H.323 endpoint where to route the call or select Route calls to Gatekeeper option to route calls via H.323 Gatekeeper. More details can be found in the chapter Outgoing VOIP Call Routing Settings , General Settings section.

5. Configure Fax Settings and Audio Settings if necessary.

6. Click <OK> button to fix changes.

7. To change the preference order for Outgoing VOIP Call Routing rules use Move Up and Move Down commands. One of the entries should be selected.

8. Click <Apply> button to save modified settings for Outgoing VOIP Call Routing. All the changes are applied immediately.


To manage Outgoing Call Routing rules

To manage Outgoing VOIP Call Routing rules

Fax Voip FSP Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ››

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To change the preference order for Outgoing VOIP Call Routing rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. All the changes are applied immediately.


Outgoing VOIP Call Routing Settings

Fax Voip FSP Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ››

This section provides information about settings, that you can do in the VOIP Outgoing Call Routing rule dialog.

  • General Settings
  • Fax Settings
  • Audio Settings


General Settings

General Settings (Outgoing VOIP Call Routing)

Fax Voip FSP Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ›› Outgoing VOIP Call Routing Settings ››

General Settings

Outgoing Number Format

These options allow you to apply the rule to all, to single or to group of dialed numbers.

If Number =

Select this option to apply the rule to all dialed numbers or to single dialed number.

Select <any> to apply the rule to all dialed numbers.

Enter the phone number to apply the rule to that number only.

If Number starts with

The rule applies to numbers with specified prefix.

Dial on Number

These options allow you to transform the dialed number to the required format if necessary.

Dial on Number =

Use this option if you want to route calls without changing the dialed number, or if you want to route all calls to the specified number.

Select <NUM> to route calls without changing the dialed number.

Enter the phone number to route all calls to that number.

Remove digits ... Prepend...

Use this option if you want to add a specified prefix to the dialed number and (or) remove the first few digits or other characters (1-9) in the number being dialed. When applying Remove digits option to original dialed number that contains characters other than digits, the behavior can be unpredictable (with some special characters). It is recommended to test before using.

Dial on Line

The settings, specified in this area, allow you to route call to the specified SIP or H.323 endpoint. These settings also allow you to bind a call to a specific SIP Registration or route call via H.323 Gatekeeper.

VOIP Protocol

SIP

Select this option if you want to route calls using SIP protocol.

Transport

If this field you can select transport for outgoing SIP calls. Select SIP over UDP to use UDP. Select SIP over TCP to use TCP. By default UDP is used. If Default Outbound Proxy is used (see in the Outbound Proxy Settings ), the transport specified in proxy settings will be used. If individual proxy is specified in the Use Outbound Proxy field, SIP over UDP will be used. Note that TCP can be not supported by your server.

Tel URI scheme

If this option is selected, Fax Voip FSP will use Tel URI scheme in an outgoing SIP calls. Tel URI scheme can be used with SIP over UDP and SIP over TCP. The SIP INVITE message will be sent in the following format:

SIP/SDP Request: INVITE tel:+13601234567;phone-context=multitel.com, with session description

If this option is not selected, SIP INVITE message will be sent in standard format:

SIP/SDP Request: INVITE sip:13601234567@sipserver.com, with session description

Note that in the case of using Tel URI scheme you are not able to specify remote port in the Dial on SIP Server field. You should also understand that not every SIP server is able to operate under Tel URI scheme and should not use this option without need. On the other hand, as we know, some servers require the use of Tel URI scheme. And that's why we added this option.

Dial on SIP Server

Name or IP-address of SIP endpoint or SIP server to which the call will be routed. Usually coincide with the SIP Registrar Server of one of the SIP Registrations. If there are entries in SIP Registrations table, the server name can be selected from the drop-down list. Note that in the case of using Tel URI scheme you are not able to specify remote port in this field.

Use Outbound Proxy

Address of SIP Outbound Proxy, which is used for Outgoing Calls. It is strongly recommended to use the same Outbound Proxy for both SIP Registration and Outgoing Calls via this registration. This option overrides the Default Outbound Proxy, specified in the Outbound Proxy Settings . If Outbound Proxy is specified in this field, Fax Voip FSP always uses SIP over UDP when doing outgoing calls. To use proxy with TCP transport, should use Default Outbound Proxy settings (see in the Outbound Proxy Settings ).

Username

Username (SIP-ID) that will be used with the rule. Usually coincide with the Username (or SIP-ID) of one of the SIP Registrations. Digital Username usually displayed at other side as NUMBER part of Caller ID. If there are entries in the SIP Registrations table with the SIP Server specified in the Dial on SIP Server field, the Username can be selected from the drop-down list.

Use default

To modify Username field, uncheck this option. If this option is checked, Fax Voip FSP will use either the Username from the first entry in the SIP Registration table with the SIP Server specified in the Dial on SIP Server field, or the default SIP Username, specified in the SIP Settings .

Display Name

Name you would like to be reported to other users. Display Name usually displayed at other side as the NAME part of Caller ID. This option overrides the default SIP Display Name, specified in the SIP Settings .

Use default

To modify Display Name field, uncheck this option. If this option is checked, the default SIP Display Name is used.

Depending on the values, specified in the Dial on SIP Server and Username fields and some other Fax Voip FSP parameters the behavior of the outgoing call can be different:

Case 1:

1. Dial on SIP Server = 'sip.server.com'

2. Username = '*<default>'

3. There is at least 1 entry in the SIP Registration table with

username@registrar = '<name1>@sip.server.com', where <name1> - any name.

The call will be routed using the first SIP Registration for specified server.

Case 2:

1. Dial on SIP Server = 'sip.server.com'

2. Username = 'NAME'

3. There is an entry in the SIP Registration table with

username@registrar = 'NAME@sip.server.com'.

The call will be routed via SIP Registration entry 'NAME@sip.server.com'.

Case 3:

1. Dial on SIP Server = 'sip.server.com'

2. Username = 'NAME'

3. The server name is the same as the name of default proxy server (see in the Outbound Proxy Settings ). The Username is the same as the Proxy Username. Use default Outbound Proxy option is checked.

The call will be routed to default Proxy. The username and password specified in the proxy settings can be used for authantication.

Case 4:

1. Dial on SIP Server = 'sip.server.com'

2. Username = '*<default>'

3. There are no SIP Registration entries with

username@registrar = '<name>@sip.server.com', where <name> - any name.

The call will be routed to sip.server.com with default SIP Username, specified in the SIP Settings (usually FaxVoip). This method can be used if authantication is not required.

Case 5:

1. Dial on SIP Server = 'sip.server.com'

2. Username = 'NAME'

3. There are no SIP Registration entries with

username@registrar = 'NAME@sip.server.com'.

The call will be routed to sip.server.com with username NAME. This method can be used if authantication is not required. Digital NAME usually displayed at other side as NUMBER part of Caller ID.

H.323

Select this option if you want to route calls using H.323 protocol.

Route to address

Name or IP-address of H.323 endpoint to which the call will be routed. If the registration with H.323 Gatekeeper is used, should understand that outgoing H.323 calls to arbitrary IP addresses may be prohibited by the Gatekeeper policy.

Route calls to Gatekeeper

Use this option to route calls via H.323 Gatekeeper.

Username

Username that will be used with the rule. This parameter allows to override the default Caller ID Number.

Use default

To modify Username field, uncheck this option. If this option is checked, the top number from the Telephone numbers list (see in the H.323 settings ) will be recognized by remote party as Caller ID Number.

Display Name

Name you would like to be reported to other users. Display Name usually displayed at other side as the Caller ID Name. This option overrides the default H.323 Display Name, specified in the H.323 settings .

Use default

To modify Display Name field, uncheck this option. If this option is checked, the default H.323 Display Name is used.


Fax Settings

Fax Settings (Outgoing VOIP Call Routing)

Fax Voip FSP Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ›› Outgoing VOIP Call Routing Settings ››

Fax Settings

Fax Support

Fax Mode applied to the current rule.

G.711 audio fax

Check this option to send faxes as audio.

T.38 fax

Check this option to send T.38 faxes.

G.711 Audio Fax Settings

The options, specified in this area, allow you to override default Audio Fax Transmission settings.

Maximum bitrate

Use this option to change Maximum bitrate for outgouing audio faxes (Fax over G.711 codec). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “SIP=>Audio Fax=>Audio Fax Transmission=>Maximum bitrate” field (in the case of SIP) or in the “H.323=>Audio Fax=>Audio Fax Transmission=>Maximum bitrate” field (in the case of H.323).

Use default

To change Maximum bitrate, uncheck this option. If this option is checked, the default Maximum bitrate value is used.

Error Correction Mode

Possibility to use Error Correction Mode for outgouing audio faxes (Fax over G.711 codec). This option overwrites the default settings, specified in the “SIP=>Audio Fax=>Audio Fax Transmission=>Enable Error Correction Mode” (in the case of SIP) or in the “H.323=>Audio Fax=>Audio Fax Transmission=>Enable Error Correction Mode” (in the case of H.323).

Use default

To change default Error Correction Mode settings, uncheck this option. If this option is checked, the default settings are used.

T.38 Fax Settings

The options, specified in this area, allow you to override default T.38 Fax Transmission settings.

Maximum bitrate

Use this option to change Maximum bitrate for outgouing T.38 faxes. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “SIP=>T.38 Fax=>T.38 Fax Transmission=>Maximum bitrate” field (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Transmission=>Maximum bitrate” field (in the case of H.323).

Use default

To change Maximum bitrate, uncheck this option. If this option is checked, the default Maximum bitrate value is used.

Error Correction Mode

Possibility to use Error Correction Mode for outgouing T.38 faxes. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Transmission=>Enable Error Correction Mode” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Transmission=>Enable Error Correction Mode” (in the case of H.323).

Use default

To change default Error Correction Mode settings, uncheck this option. If this option is checked, the default settings are used.

Switch to T.38 after ... seconds

This option provides a forced switching to T.38 mode immediately (0 seconds) or after the specified time interval (1-20 seconds) for outgouing faxes. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite or CED tone from the other side. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Transmission=>Switch to T.38 after ... seconds” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Transmission=>Switch to T.38 after ... seconds” (in the case of H.323).

Use default

To change the default behavior, uncheck this option. If this option is checked, the default settings are used.

Switch to T.38 on CED tone received

This option provides a forced switching to T.38 mode if the fax machine specific tone (CED signal) is detected when sending a fax. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite from the other side. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Transmission=>Switch to T.38 on CED tone received” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Transmission=>Switch to T.38 on CED tone received” (in the case of H.323).

Use default

To change the default behavior, uncheck this option. If this option is checked, the default settings are used.

T.38 Redundancy

The options, specified in this area, allow you to override the default SIP T.38 Redundancy or H.323 T.38 Redundancy settings.

Indication

Specifies the number of redundant T.38 fax packets to be sent to indicate CNG, CED tones, no signal. Ranges varies from 0 (no redundancy) to 5.

LS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for the low-speed V.21-based T.30 fax machine protocol. Low speed is used during the fax negotiation phase which is done at 300 Bps and is most likely to be affected by bad QoS. Ranges varies from 0 (no redundancy) to 5.

HS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for high-speed V.17, V.27, and V.29 T.4 or T.6 fax machine image data. High speed is used during the transmission phase which is done between 2400 Kbps and 14400 Kbps. Although bad QoS will deteriorate image quality, a few missing scan lines ultimately does not effect the human's perception of the received image. Ranges varies from 0 (no redundancy) to 5.

Use default

To change default SIP (or H.323) T.38 Redundancy settings, uncheck this option. If this option is checked, the default SIP (or H.323) T.38 Redundancy settings are used.


Audio Settings

Audio Settings (Outgoing VOIP Call Routing)

Fax Voip FSP Control Panel ›› VOIP ›› Outgoing VOIP Call Routing ›› Outgoing VOIP Call Routing Settings ››

Audio Settings

Audio File to play before fax (8 kHz 16-bit or 8-bit Mono wave file)

Audio file to be played before sending a fax when the outgouing fax call is answered. You can browse to a preferred audio file or enter the file path. The audio file must be an 8 kHz 16-bit Mono or 8 kHz 8-bit Mono wave file (.wav). The example of the wave file can be found in the *{CommonAppDataFolder}\FaxVoip FSP\Sounds\Fax folder after the installation of the Fax Voip FSP. By default the intro_fax_out.wav file is used.

Voice announcement before sending fax

Check this option to play selected audio file before sending fax. Emphasize that the use of this option is not recommended if not assumed that a human answers the call.

Use default

To change default Audio Settings , uncheck this option. If this option is checked, the default Audio Settings are used.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Incoming VOIP Call Routing

Fax Voip FSP Control Panel ›› VOIP ››

Incoming VOIP Call Routing feature allows you to configure different routes for incoming calls depending on the implementation of some initial conditions. Depending on the Caller Number, Called Number etc., the incoming call can be routed to Windows Fax Service with T.38 support or using only audio fax mode (Fax over G.711 codec). The maximum supported number of Incoming VOIP Call Routing rules is not limited.

There are two types of rules:

  • Rules applied to incoming SIP calls
  • Rules applied to incoming H.323 calls

The rules of different types highlighted in different colors in the Incoming VOIP Call Routing table.

The incoming calls can be routed to:

  • Windows Fax Service with T.38 support
  • Windows Fax Service as G.711 (audio) fax

The following fax settings can be set or overridden by the Incoming VOIP Call Routing rule:

  • Fax Mode (T.38, G.711 audio fax)
  • Maximum Fax Bitrate
  • ECM (Error Correction Mode)
  • Forced switching to T.38 mode based on timer
  • Forced switching to T.38 mode based on receiving CNG fax tone
  • T.38 Redundancy

Fax Voip FSP always checks Incoming VOIP Call Routing rules, starting with the rule # 1. The call will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. If there is no one rule that satisfies the conditions of the call, the call can not be implemented. For example, if rule # 1 applies for all incoming SIP calls ('VOIP Call From' = sip:.*; 'VOIP Call To' = sip:.*), then other rules # 2, # 3, etc. applied to incoming SIP calls never be able to work under any conditions. To be able to receive incoming calls of selected type (SIP or H.323), you must have at least one rule for this type of call in the Incoming VOIP Call Routing table.

If there are no rules in the Incoming VOIP Call Routing table, Fax Voip FSP automatically invites to create default rules for Incoming calls at the time of clicking <Apply> button.

The default rules are as follows:

  • All incoming SIP calls with sip: prefix are routed to the Windows Fax Service with T.38 support
  • All incoming H.323 calls are routed to the Windows Fax Service with T.38 support

If the rules of some kind can not be used in the current configuration of the program, Fax Voip FSP does not load them at startup and ignores these rules.

  • If Enable SIP option is unchecked (SIP is disabled, see in the VOIP Settings ), Fax Voip FSP does not load and ignores rules applied to incoming SIP calls.
  • If Enable H.323 option is unchecked (H.323 is disabled, see in the VOIP Settings ), Fax Voip FSP does not load and ignores rules applied to incoming H.323 calls.

The rules that can not be used in the current configuration of the program are always highlighted in red.

Incoming VOIP Call Routing Table contains the following information:

Rule

Unique number of the current rule.

VOIP Call From

Specifies the format of SIP or H.323 address of remote party for which current rule applies. SIP or H.323 address of the remote party usually has the format like 'prefix:CallerID@sipserver'. In the case of SIP, sip: and tel: prefixes are supported. In the case of H.323, h323: prefix is supported. The first part is the number of the caller, the second part is the name of SIP or H.323 server. For example 'h323:.*' means “H.323 calls from any number and from any H.323 server”, '(sip|tel):.*' means “SIP calls from any number, from any sip network and with any possible prefixes”, 'sip:.*@sip.mynetwork.com' means “calls from any number from sip.mynetwork.com server only”. The biggest problem may occur when you try to specify server part of address here. It is normal that you enter the server name as 'myserver.com', and it works in terms of SIP Registration, but when you have incoming call the name of the same server looks like '@sip.myserver.com:5060'. In this example the construction 'sip:.*@myserver.com' is incorrect and will not work, the correct rule for VOIP Call From should be written as: 'sip:.*@sip.myserver.com:5060'.

VOIP Call To

Specifies the format of called number for which current rule applies. In the case of SIP, sip: and tel: prefixes are supported. In the case of H.323, the standard h323: prefix is added. For example '(sip|tel):.*' means “calls to any number with prefix sip: or tel:”, 'sip:100@.*' means “calls to number 100”.

To Fax Voip FSP

Specifies the destination for Incoming Call. Fax Voip FSP application always route calls to Windows Fax Service (MS-FAX).

Fax Mode

Displays Fax Mode applied to the current rule. G.711 means G.711 fax (audio). T.38 means support for T.38 mode, when receiving faxes with this rule.

Audio Fax Tweaks

Individual Audio Fax options that override the general options that are specified in the Audio Fax Settings (SIP) or Audio Fax Settings (H.323) .

Possible Audio Fax Tweaks options are:

MaxRate_in

Maximum bitrate for incoming audio faxes (Fax over G.711 codec). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “SIP=>Audio Fax=>Audio Fax Reception=>Maximum bitrate” field (in the case of SIP) or in the “H.323=>Audio Fax=>Audio Fax Reception=>Maximum bitrate” field (in the case of H.323).

ECM_in (0 – disabled, 1 - enabled)

Possibility to use Error Correction Mode for incoming audio faxes (Fax over G.711 codec). This option overwrites the default settings, specified in the “SIP=>Audio Fax=>Audio Fax Reception=>Enable Error Correction Mode” (in the case of SIP) or in the “H.323=>Audio Fax=>Audio Fax Reception =>Enable Error Correction Mode” (in the case of H.323).

T.38 Fax Tweaks

Individual T.38 Fax options that override the general options that are specified in the T.38 Fax Settings (SIP) or T.38 Fax Settings (H.323) .

Possible T.38 Fax Tweaks options are:

T38MaxRate_in

Maximum bitrate for incoming T.38 faxes. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “SIP=>T.38 Fax=>T.38 Fax Reception=>Maximum bitrate” field (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Reception=>Maximum bitrate” field (in the case of H.323).

T38ECM_in (0 – disabled, 1 - enabled)

Possibility to use Error Correction Mode for incoming T.38 faxes. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Reception=>Enable Error Correction Mode” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Reception=>Enable Error Correction Mode” (in the case of H.323).

T38SwitchOnTimer_in (Off – disabled, 0-20 – delay in seconds)

Forced switching to T.38 mode immediately (0 seconds) or after the specified time interval (1-20 seconds) for incoming faxes. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite or CNG tone from the other side. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Reception=>Switch to T.38 after ... seconds” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Reception=>Switch to T.38 after ... seconds” (in the case of H.323).

T38SwitchOnCNG_in (0 – disabled, 1 - enabled)

Forced switching to T.38 mode if the fax machine specific tone (CNG signal) is detected when receiving a fax. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite from the other side. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Reception=>Switch to T.38 on CNG tone received” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Reception=>Switch to T.38 on CNG tone received” (in the case of H.323).

T38Redundancy

T.38 Redundancy in the format I/LS/HS. The values for (I)ndication, (L)ow (S)peed and (H)igh (S)peed IFP packets are specified separately. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 UDPTL Redundancy” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 UDPTL Redundancy” (in the case of H.323).

The following commands are available in the Incoming Plan Contextual Tab of the Ribbon:

Incoming Rules

New (Ctrl + N)

Click to create new Incoming VOIP Call Routing rule.

Copy (Ctrl + C)

Click to create a copy of the selected Incoming VOIP Call Routing rule. Can be useful when creating a large number of similar rules. To edit newly created rule, select it and use Edit command.

Edit (Ctrl + E)

Click to edit Incoming VOIP Call Routing rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Incoming VOIP Call Routing rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Incoming VOIP Call Routing rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Incoming VOIP Call Routing rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Incoming Plan Contextual Tab are also available from the context menu of the list.


To create (or edit) Incoming VOIP Call Routing rule

Fax Voip FSP Control Panel ›› VOIP ›› Incoming VOIP Call Routing ››

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click Incoming Plan.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the VOIP Incoming Call Routing Rule window in the General panel, in the VOIP Protocol area, select the type of incoming calls, can be SIP or H.323. Specify the conditions under which this rule applies (in the VOIP Call From and VOIP Call To sections). In the Call To Fax Voip FSP Line area, be sure to specify how to route the call: to Windows Fax Service with T.38 support or to Windows Fax Service using only audio fax mode (Fax over G.711 codec). More details can be found in the chapter Incoming VOIP Call Routing Settings , General Settings section.

5. Configure Fax Settings if necessary.

6. Click <OK> button to fix changes.

7. To change the preference order for Incoming VOIP Call Routing rules use Move Up and Move Down commands. One of the entries should be selected.

8. Click <Apply> button to save modified settings for Incoming VOIP Call Routing. All the changes are applied immediately.


To manage Incoming Call Routing rules

To manage Incoming VOIP Call Routing rules

Fax Voip FSP Control Panel ›› VOIP ›› Incoming VOIP Call Routing ››

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click Incoming Plan.

3. To change the preference order for Incoming VOIP Call Routing rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. All the changes are applied immediately.


Incoming VOIP Call Routing Settings

Fax Voip FSP Control Panel ›› VOIP ›› Incoming VOIP Call Routing ››

This section provides information about settings, that you can do in the VOIP Incoming Call Routing rule dialog.

  • General Settings
  • Fax Settings


General Settings

General Settings (Incoming VOIP Call Routing)

Fax Voip FSP Control Panel ›› VOIP ›› Incoming VOIP Call Routing ›› Incoming VOIP Call Routing Settings ››

General Settings

VOIP Protocol

In this area you can select the type of incoming calls for which the rule applied. The rule can be applied to SIP or H.323 incoming calls.

SIP

If this option selected, the rule applies to incoming SIP calls.

H.323

If this option selected, the rule applies to incoming H.323 calls.

VOIP Call From

The settings in this area allow to specify the first part of route pattern, for which the rule applies. The rule can be applied to incoming calls from any phone number, from specified phone number (username) or from a group of phone numbers. At the same time, the SIP/H.323 rule can be applied to incoming calls from any SIP or H.323 endpoint or only to incoming calls from specified SIP/H.323 endpoint (SIP/H.323 server).

Prefixes

sip:

If this option selected, the rule applies to incoming SIP calls with sip: prefix in the first part of route pattern.

tel:

If this option selected, the rule applies to incoming SIP calls with tel: prefix in the first part of route pattern (TEL URI scheme).

From Number (Username) =

If this option selected, the rule applies to incoming calls from any number or from specified number (or username).

Select <any> to receive calls from any phone number.

Enter phone number (or username) to receive calls from this phone number (or username) only.

From Number (Username) starts with

If this option selected, the rule applies to incoming calls from the group of phone numbers with specified prefix.

From VOIP Network

From VOIP Network option can be used with both incoming SIP and H.323 calls. Enter the name or IP-address of SIP or H.323 endpoint (SIP/H.323 server) to apply the rule to calls from this endpoint (server) only. <any> means that the rule applies to calls from any SIP or H.323 endpoint. Be careful using this field. For example, the name of the server is 'sip.myserver.com' and the port is 5060. In the SIP Registration table you can use 'sip.myserver.com' without adding port number. Nevertheless, in the case of incoming calls, the same server can insert the port number in the SIP address, ie pass the string 'sip.myserver.com:5060', or even send a different name or IP address. In this case you shoud enter 'sip.myserver.com:5060' in the From VOIP Network field.

VOIP Call To

The settings in this area allow to specify the second part of route pattern, for which this rule applies. The rule can be applied to incoming calls to any phone number, to specified phone number (username) or to a group of phone numbers.

Prefixes

sip:

If this option selected, the rule applies to incoming SIP calls with sip: prefix in the second part of route pattern.

tel:

If this option selected, the rule applies to incoming SIP calls with tel: prefix in the second part of route pattern (TEL URI scheme).

To Number (Username) =

If this option selected, the rule applies to incoming calls to any number or to specified number (or username).

Select <any> to receive calls addressed to any phone number.

Enter phone number (or username) to receive calls to this phone number (or username) only. If there are entries in SIP Registrations table or in the H.323 Telephone numbers list, the phone number (or username) can be selected from the drop-down list.

To Number (Username) starts with

If this option selected, the rule applies to incoming calls to the group of phone numbers with specified prefix. For example in the case of prefix '2' (see the picture below), the rule will be applied to incoming calls to 200,201,2000,2001 ,...,, but will not be applied to incoming calls to 100,301,4002 ...

Call To Fax Voip FSP Line

The settings, specified in this area, allow you to specify the destination for Incoming Call.

To Windows Fax Service

Fax Voip FSP application always route calls to Windows Fax Service.

T.38 support

Use Use this option to enable T.38 fax protocol support. If you use this option and the fax can not be received using T.38 mode, Fax Voip FSP switches to audio fax mode and receives the fax as audio (Fax over G.711 codec).

G.711 (audio)

Use this option to receive faxes as audio (Fax over G.711 codec).


Fax Settings

Fax Settings (Incoming VOIP Call Routing)

Fax Voip FSP Control Panel ›› VOIP ›› Incoming VOIP Call Routing ›› Incoming VOIP Call Routing Settings ››

Fax Settings

Fax Support

Fax Mode applied to the current rule.

G.711 audio fax

Check this option to receive faxes as audio.

T.38 fax

Check this option to receive T.38 faxes.

G.711 Audio Fax Settings

The options, specified in this area, allow you to override default Audio Fax Reception settings.

Maximum bitrate

Use this option to change Maximum bitrate for incoming audio faxes (Fax over G.711 codec). Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “SIP=>Audio Fax=>Audio Fax Reception=>Maximum bitrate” field (in the case of SIP) or in the “H.323=>Audio Fax=>Audio Fax Reception=>Maximum bitrate” field (in the case of H.323).

Use default

To change Maximum bitrate, uncheck this option. If this option is checked, the default Maximum bitrate value is used.

Error Correction Mode

Possibility to use Error Correction Mode for incoming audio faxes (Fax over G.711 codec). This option overwrites the default settings, specified in the “SIP=>Audio Fax=>Audio Fax Reception=>Enable Error Correction Mode” (in the case of SIP) or in the “H.323=>Audio Fax=>Audio Fax Reception=>Enable Error Correction Mode” (in the case of H.323).

Use default

To change default Error Correction Mode settings, uncheck this option. If this option is checked, the default settings are used.

T.38 Fax Settings

The options, specified in this area, allow you to override default T.38 Fax Reception settings.

Maximum bitrate

Use this option to change Maximum bitrate for incoming T.38 faxes. Maximum bitrate value can be set 14400/9600/4800 which corresponds to rate limits of standard protocols used for facsimile. This option overwrites the default maximum bitrate, specified in the “SIP=>T.38 Fax=>T.38 Fax Reception=>Maximum bitrate” field (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Reception=>Maximum bitrate” field (in the case of H.323).

Use default

To change Maximum bitrate, uncheck this option. If this option is checked, the default Maximum bitrate value is used.

Error Correction Mode

Possibility to use Error Correction Mode for incoming T.38 faxes. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Reception=>Enable Error Correction Mode” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Reception=>Enable Error Correction Mode” (in the case of H.323).

Use default

To change default Error Correction Mode settings, uncheck this option. If this option is checked, the default settings are used.

Switch to T.38 after ... seconds

This option provides a forced switching to T.38 mode immediately (0 seconds) or after the specified time interval (1-20 seconds) for incoming faxes. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite or CNG tone from the other side. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Reception=>Switch to T.38 after ... seconds” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Reception=>Switch to T.38 after ... seconds” (in the case of H.323).

Use default

To change the default behavior, uncheck this option. If this option is checked, the default settings are used.

Switch to T.38 on CNG tone received

This option provides a forced switching to T.38 mode if the fax machine specific tone (CNG signal) is detected when receiving a fax. Fax Voip FSP sends T.38 re-invite to the other side without waiting for T.38 re-invite from the other side. This option overwrites the default settings, specified in the “SIP=>T.38 Fax=>T.38 Fax Reception=>Switch to T.38 on CNG tone received” (in the case of SIP) or in the “H.323=>T.38 Fax=>T.38 Fax Reception=>Switch to T.38 on CNG tone received” (in the case of H.323).

Use default

To change the default behavior, uncheck this option. If this option is checked, the default settings are used.

T.38 UDPTL Redundancy

The options, specified in this area, allow you to override the default T.38 UDPTL Redundancy settings.

Indication

Specifies the number of redundant T.38 fax packets to be sent to indicate CNG, CED tones, no signal. Ranges varies from 0 (no redundancy) to 5.

LS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for the low-speed V.21-based T.30 fax machine protocol. Low speed is used during the fax negotiation phase which is done at 300 Bps and is most likely to be affected by bad QoS. Ranges varies from 0 (no redundancy) to 5.

HS-Redundancy

Specifies the number of redundant T.38 fax packets to be sent for high-speed V.17, V.27, and V.29 T.4 or T.6 fax machine image data. High speed is used during the transmission phase which is done between 2400 Kbps and 14400 Kbps. Although bad QoS will deteriorate image quality, a few missing scan lines ultimately does not effect the human's perception of the received image. Ranges varies from 0 (no redundancy) to 5.

Use default

To change default settings, uncheck this option. If this option is checked, the default settings are used.


User Agent

User Agent Settings

Fax Voip FSP Control Panel ›› VOIP ››

Parameters considered here are used to identify Fax Voip FSP in the process of interaction with other elements of SIP or H.323 network. These parameters allow to inform other party about the program or equipment used by the user.

Product Vendor

Information about the vendor of SIP or H.323 software or hardware. By default FaxVoip Software vendor is reported.

Product Name

Information about the name of equipment or software used by user. By default FaxVoip FSP product name is reported.

Product Version

Information about the version of product. By default current version of Fax Voip FSP is reported.

T.35 Country Code

The T.35 Country Code identifies the country where the software or hardware manufacturer is located. By default 181 (United States) code is used.

T.35 Extension

The T.35 Extension is used in order to accommodate additional country codes. By default 0 is used.

Manufacturer Code

The Manufacturer Code identifies the manufacturer within the country. By default 1 is used.

The table below shows how these options are used:

SIP / H.323 | Field | Value | Default Value
SIP | User-Agent: | <Product Name> + <Product Version> | FaxVoip FSP 4.3.1
 | Organization: | <Product Vendor> | FaxVoip Software
 | Session Name (s): | <Product Name> + <Product Version> | FaxVoip FSP 4.3.1
H.323 | productID: | <Product Vendor> + <Product Name> | FaxVoip Software FaxVoip FSP
 | versionID: | <Product Version> | 4.3.1
 | t35CountryCode: | <T.35 Country Code> | United States (181)
 | T35Extension: | <T.35 Extension> | 0
 | manufacturerCode | <Manufacturer Code> | 1


Incoming Fax Routing Methods

Incoming Fax Routing Methods: E-mail, Store in Folder, Print, Custom

Fax Voip FSP Control Panel ››

Fax Voip FSP implements Fax Voip FSP Routing Extension that is integrated into the Windows Fax Service. When the fax service receives a fax transmission, it routes the received document through each of the fax routing methods defined by a fax routing extension.

You can configure Incoming Routing Methods to route incoming faxes to recipients on the network. Depending on the Caller Number (Caller ID) and Called Number (DID), different actions can be applied to incoming fax. These actions are defined by the so-called rules. The independent set of rules is used for each method.

The fax routing methods defined by the Fax Voip FSP Routing Extension are very similar to the fax routing methods defined by the Microsoft Routing Extension (available on any Windows Server computer, such as Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012R2 etc.). The essential difference is the possibility to do routing based on Called Number (DID) and without being tied to a specific fax device. Please note, that Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties. In addition, Fax Voip FSP routing methods work not only on Windows Server computers, but also on any workstation, such as Windows 11, Windows 10, Windows 8.1 etc.

The Fax Voip FSP Routing Extension includes the following Incoming Routing Methods that can be configured in the Fax Voip FSP Control Panel:

Route through e-mail

Incoming faxes can be delivered via e-mail to one or more e-mail recipients.

Store in a folder

Incoming faxes can be copied to one or more local or network folder.

Print

This method allows to automatically print Incoming faxes.

Custom

This method allows to easy add any routing functionality by using custom application that is started after receiving a fax. The using of this method is not limited by the current licences.

Incoming Methods page contains the following information:

Incoming Method

The Incoming Routing Method name.

Max # of Rules

Total number of rules, that can be used. It is usually the sum of Basic and Additional number of rules.

Basic

Basic number of rules, that can be used. Specified as the number of Fax Voip Windows Fax Service Provider Lines + 1. The TRIAL version allows the use of no more than 2 rules of every type.

Additional

Additional number of rules, defined by the Fax Voip FSP Extended Fax Routing (E-mail, Store in Folder, Print) license.

The following commands are available in the Incoming Methods Contextual Tab of the Ribbon:

Incoming Methods

Route through e-mail

Click to configure Route through e-mail rules for incoming faxes.

Store in a folder

Click to configure Store in a folder rules for incoming faxes.

Print

Click to configure Print rules for incoming faxes.

Custom

Click to configure custom routing for incoming faxes.

Alternatively, you can double-click a method in the Incoming Methods list, or select Edit command from the context menu.

The following diagram provides an overview of the incoming fax routing process:

On Windows Server computer, you can view Fax Voip FSP Routing Extension fax routing methods in the Microsoft Fax Service Manager, see picture below.

When configuring Fax Voip FSP Routing Extension fax routing methods, please take note of the following:

  • The Incoming Routing Methods should be configured in the Fax Voip FSP Control Panel.
  • You should not enable or disable fax routing methods for separately taken Fax Voip Line devices in the Microsoft Fax Service Manager or using any other way. The Fax Voip FSP software automatically enables or disables the fax routing method for all Fax Voip Line devices, depending on the presence or absence of the rules for this method.
  • If you have Fax Voip FSP license, you can use the Fax Voip FSP Routing Extension fax routing methods not only with Fax Voip Line virtual devices, but also with other fax devices installed in your system (hardware modems, etc.). In this case you should manually enable fax routing methods for your fax devices using Microsoft Fax Service Manager or any other way. Also, most likely you will not be able to route faxes based on Called Number (DID) because it is usually not transmitted into the Windows Fax Service software.
  • On Windows Server computer, you can set priority order of incoming routing methods. In the Microsoft Fax Service Manager, on the left pane double-click Fax, double-click Incoming Routing, click Global Methods (see the picture above). In the details pane, right-click the method required, and then click either Move up or Move down. It should be understood that this option has practically no effect, because each method defined by the Fax Voip FSP Routing Extension is always executed in the separated thread. This architecture also significantly increases the reliability of the entire application, when compared with our previous implementations (Fax Voip T38 Fax and Voice, version 7).

To view Fax Voip FSP Routing Extension log, use Enable Fax Voip FSP Routing Extension debug logging option, see more details in the Fax Voip FSP Logs chapter. To view detailed logs for fax routing methods, use options described in the Incoming Routing Methods Logs chapter of this user manual.

Notes

  • To use Incoming Fax Routing Methods feature, you should have the Fax Voip Windows Fax Service Provider Lines license installed.
  • The basic number of allowed rules for each method is specified as the number of Fax Voip Windows Fax Service Provider Lines plus 1. The TRIAL version allows the use of no more than 2 rules of every type.
  • To significantly increase the maximum number of available rules, you can purchase separate license Fax Voip FSP Extended Fax Routing (E-mail, Store In Folder, Print). Note that this license can not be used in the absence of the Fax Voip Windows Fax Service Provider Lines license.
  • The using of the Custom routing method is not limited by the current licences.


Route through e-mail

Route through e-mail Incoming Fax Routing Method

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ››

You can configure Route through e-mail Incoming Routing Method to route incoming faxes to e-mail recipients. Depending on the Caller Number and Called Number (DID), incoming fax can be routed to different e-mail addresses.

The behavior is defined by the so-called rules. Fax Voip FSP always checks Route through e-mail rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. For example, if rule # 1 applies for all incoming calls ('Caller ID' = .*; 'Called Number' = .*), then other rules # 2, # 3, etc. applied to incoming calls never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not send e-mail message to the specified e-mail addresses. This can be used to temporarily stop sending faxes to e-mail for specified Caller (or Called) numbers.

To route an incoming fax through e-mail, you must:

  • Configure the Windows Fax Service to receive faxes using Fax Voip Line device(s)
  • Configure SMTP settings
  • Configure 'New Fax Received' e-mail template (if necessary)
  • Create one or more rules, where you should specify e-mail recipients and the fax delivery format

Incoming fax can be routed to one or more e-mail recipients. To, CC and BCC e-mail fields can be used. The fax delivery format can be TIFF, PDF or SFF.

The maximum supported number of Route through e-mail rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Route through e-mail fax routing method log, use Enable 'Route through e-mail' incoming routing method debug logging option, see more details in the Incoming Routing Methods Logs chapter of this user manual. To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

Route incoming faxes through e-mail table contains the following information:

Rule

Unique number of the current rule.

Caller ID

Specifies the Caller ID pattern for which the rule applies.

Called Number

Specifies the Called Number (DID) pattern for which the current rule applies. Please note, that Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties.

Enabled

Specifies whether e-mail sending enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not send e-mail message to the specified e-mail addresses. This can be used to temporarily disable sending faxes to e-mail for specified Caller (or Called) numbers.

Mail To

Contains a list of the e-mail addresses.

CC

Displays the e-mail addresses that appear in the Cc box of e-mail message.

BCC

Displays the e-mail addresses that appear in the Bcc box of e-mail message.

Attach Fax

Specifies whether received fax will be attached to the e-mail message.

Format

Specifies the fax delivery format. Can be TIFF, PDF or SFF.

Filename Template

Specifies the custom filename template for the attached fax. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff.

E-mail Templates

Specifies whether custom or default settings are used for 'New Fax Received' e-mail template .

The following commands are available in the Route through e-mail Contextual Tab of the Ribbon:

Route through e-mail Rules

New (Ctrl + N)

Click to create new Route through e-mail rule.

Copy (Ctrl + C)

Click to create a copy of the selected Route through e-mail rule. Can be useful when creating a large number of similar rules. To edit newly created rule, select it and use Edit command.

Edit (Ctrl + E)

Click to edit Route through e-mail rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Route through e-mail rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Route through e-mail rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Action

Enable (Ctrl + B)

Click to enable the selected rule(s).

Disable (Ctrl + L)

Click to disable the selected rule(s). If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not send e-mail message to the specified e-mail addresses. This can be used to temporarily stop sending faxes to e-mail for specified Caller (or Called) numbers.

Move

Use the commands below to change preference order for different Route through e-mail rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Route through e-mail Contextual Tab are also available from the context menu of the list.


To create or edit e-mail routing rule

Creating or editing e-mail routing rules

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Route through e-mail ››

1. Open Fax Voip FSP Control Panel.

2. Click Incoming Methods in TreeView, then click Route through e-mail.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Route through e-mail Rule window in the General panel, specify the conditions under which this rule applies (in the Caller ID and Called Number (DID) sections). More details can be found in the chapter Route through e-mail Settings , General Settings section.

5. Switch to the E-mail panel.

6. In the E-mail panel, check After reception to send a fax by e-mail to enable rule. In the Mail to area, specify e-mail message recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s E-mail Address and Type recipient’s name (optional) fields and then added to the Message recipients lists by using <To>, <Cc> and <Bcc> buttons. To select e-mail recipients from Address Book (Windows Contacts), click the Address Book button. More details can be found in the chapter Route through e-mail Settings , E-mail Settings section.

7. Switch to the Format panel.

8. In the Format panel select fax delivery format, TIFF, PDF or SFF. Specify how file names are generated. If you do not want to attach the fax to e-mail message, check Do not attach a copy of the received fax box. More details can be found in the chapter Route through e-mail Settings , Format Settings section.

9. Switch to the Templates panel.

10. In the Templates panel, specify whether to use default or custom settings for 'New Fax Received' e-mail template . Configure e-mail template to be used with the rule. More details can be found in the chapter Route through e-mail Settings , E-mail Templates Settings section.

11. Click <OK> button to fix changes.

12. To change the preference order for Route through e-mail fax routing method rules use Move Up and Move Down commands. One of the entries should be selected.

13. Click <Apply> button to save modified settings for Route through e-mail Incoming Routing. All the changes are applied immediately.


To manage e-mail routing rules

Managing Route through e-mail rules

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Route through e-mail ››

1. Open Fax Voip FSP Control Panel.

2. Click Incoming Methods in TreeView, then click Route through e-mail.

3. To change the preference order for Route through e-mail fax routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. All the changes are applied immediately.


Route through e-mail Settings

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Route through e-mail ››

This section provides information about settings, that you can do in the Route through e-mail rule dialog.

  • General Settings
  • E-mail Settings
  • Format Settings
  • E-mail Templates Settings


General Settings

General Settings (Route through e-mail)

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Route through e-mail ›› Route through e-mail Settings ››

General Settings

Caller ID

The settings in this area allow to specify the Caller ID pattern for which the rule applies. The rule can be applied to incoming calls from any phone number, from specified phone number or from a group of phone numbers.

Caller ID =

If this option selected, the rule applies to incoming calls from any number or from specified number.

Select <any> to receive calls from any phone number.

Enter phone number to receive calls from this phone number only.

Caller ID starts with

If this option selected, the rule applies to incoming calls from the group of phone numbers with specified prefix.

Called Number (DID)

The settings in this area allow to specify the Called Number (DID) pattern for which the current rule applies. The rule can be applied to incoming calls to any phone number, to specified phone number or to a group of phone numbers. Please note, that Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties.

Called Number =

If this option selected, the rule applies to incoming calls to any number or to specified number.

Select <any> to receive calls addressed to any phone number.

Enter phone number to receive calls to this phone number only. If there are entries in SIP Registrations table or in the H.323 Telephone numbers list, the phone number can be selected from the drop-down list.

Called Number starts with

If this option selected, the rule applies to incoming calls from to the group of phone numbers with specified prefix. For example in the case of prefix '1631' (see the picture below), the rule will be applied to incoming calls to 16317008090, 16314901610,...,, but will not be applied to incoming calls to 14259876543, 13601234567 ...


E-mail Settings

E-mail Settings (Route through e-mail)

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Route through e-mail ›› Route through e-mail Settings ››

E-mail Settings

After reception to send a fax by e-mail

This option allows to enable or disable e-mail sending. To enable the rule, check this option. To disable e-mail sending, uncheck it. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not send e-mail message to the specified e-mail addresses. This can be used to temporarily stop sending faxes to e-mail for specified Caller (or Called) numbers.

Mail to

In this area, you can specify e-mail message recipients.

Type recipient’s E-mail Address

The e-mail address of the e-mail recipient that you want to add, should be initially entered in this field.

Type recipient’s name (optional)

The name of the e-mail recipient should be initially entered in this field.

<Address Book>

Click to select e-mail recipients from Address Book (Windows Contacts).

Message recipients

<To>

Use this button to add e-mail recipient to the main list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s E-mail Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the main list of e-mail recipients.

<Cc>

Use this button to add e-mail recipient to the Cc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s E-mail Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the Cc list of e-mail recipients.

<Bcc>

Use this button to add e-mail recipient to the Bcc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s E-mail Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the Bcc list of e-mail recipients.


Format Settings

Format Settings (Route through e-mail)

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Route through e-mail ›› Route through e-mail Settings ››

Format Settings

Fax Delivery Format

In this area, you can specify fax delivery format that you want to use with the current rule. You also can specify whether to attach the fax to e-mail message.

Deliver incoming faxes in the following format

Select fax delivery format, that you want to use with the current rule. The incoming fax can be delivered via e-mail as TIFF, PDF or SFF attachment.

Do not attach a copy of the received fax

Check If you do not want to attach the fax to e-mail message.

Filename Template

In this area, you can specify filename template for the attached faxes.

Use Default Template (FAX...)

Select this option to use default filename template with the current rule. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected fax delivery format).

Use Custom Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %CallerID%, %StartTime%, %PagesReceived% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %CallerID%. The telephone number of the calling device.
      • %CalledNumber%. The telephone number of the called party (DID).
      • %RemoteFaxID%. The Transmitting Subscriber ID (TSID) received from the fax sender.
      • %LocalFaxID%. The Called Subscriber ID (CSID) that identifies you as a fax recipient, sent to the fax sender.
      • %StartTime%. The starting time for the fax job that received the fax document.
      • %EndTime%. The ending time for the fax job that received the fax document.
      • %Duration%. The total time that elapses between the beginning of fax reception and the end of fax reception.
      • %PagesReceived%. The number of pages in the received fax document.
      • %DeviceName%. The name of the device that received the fax document. Example: Fax Voip Line 2.
      • %FaxMessageID%. The unique number that identifies the fax job that received the fax document.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax delivery format).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use SecureSmtpClient or System.Net.Mail method for sending e-mail messages.


E-mail Templates Settings

E-mail Templates Settings (Route through e-mail)

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Route through e-mail ›› Route through e-mail Settings ››

E-mail Templates Settings

On this page you can override the default settings for 'New Fax Received' e-mail template .

Use default e-mail templates settings

If this option checked, the default settings for e-mail templates are used.

E-mail Templates

In this area, you can specify custom settings for e-mail templates that will be applied to the current rule only.

Select Template

Use this drop-down list to select the template you want to edit. You can configure the following e-mail template: New Fax Received.

Use Default Template

Check this box if you don’t want to customize the selected template. The e-mail template embedded into the program code will be used in this case.

To customize the selected template, see notes below.

Notes

  • For more information on how to configure New Fax Received template, see E-mail Templates: New Fax Received . Settings for the Route through e-mail rule should be made in the same way.


Store in a folder

Store in a folder Incoming Fax Routing Method

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ››

You can configure Store in a folder Incoming Routing Method to copy incoming faxes to specified local or network folders. Depending on the Caller Number and Called Number (DID), incoming fax can be routed to different folders.

The behavior is defined by the so-called rules. Fax Voip FSP always checks Store in a folder rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. For example, if rule # 1 applies for all incoming calls ('Caller ID' = .*; 'Called Number' = .*), then other rules # 2, # 3, etc. applied to incoming calls never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified Caller (or Called) numbers.

To store an incoming fax in the specified folder, you must:

  • Configure the Windows Fax Service to receive faxes using Fax Voip Line device(s)
  • Create one or more rules, where you should specify folder names and format for saving incoming faxes

Incoming fax can be routed to one or more local or network folders. The format for saving incoming faxes can be TIFF, PDF or SFF.

The maximum supported number of Store in a folder rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Store in a folder fax routing method log, use Enable 'Store in a folder' incoming routing method debug logging option, see more details in the Incoming Routing Methods Logs chapter of this user manual.

Store incoming faxes in a folder table contains the following information:

Rule

Unique number of the current rule.

Caller ID

Specifies the Caller ID pattern for which the rule applies.

Called Number

Specifies the Called Number (DID) pattern for which the current rule applies. Please note, that Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties.

Enabled

Specifies whether store in a folder procedure enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified Caller (or Called) numbers.

Store in Folder

Displays folders locations for storing copies of incoming faxes.

Format

Specifies the format for saving incoming faxes. Can be TIFF, PDF or SFF.

Filename Template

Specifies the custom filename template to be used when copying received faxes to the specified folder(s). When specifying the default filename template, file names are generated based on the current date and time, and also random value.

The following commands are available in the Store in a folder Contextual Tab of the Ribbon:

Store in a folder Rules

New (Ctrl + N)

Click to create new Store in a folder rule.

Copy (Ctrl + C)

Click to create a copy of the selected Store in a folder rule. Can be useful when creating a large number of similar rules. To edit newly created rule, select it and use Edit command.

Edit (Ctrl + E)

Click to edit Store in a folder rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Action

Enable (Ctrl + B)

Click to enable the selected rule(s).

Disable (Ctrl + L)

Click to disable the selected rule(s). If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified Caller (or Called) numbers.

Move

Use the commands below to change preference order for different Store in a folder rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Store in a folder Contextual Tab are also available from the context menu of the list.

Notes

  • To use the Store in a folder method, the Network Service account must have access to the folders that you use.


To create or edit Store in a folder rule

Creating or editing Store in a folder rules

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Store in a folder ››

1. Open Fax Voip FSP Control Panel.

2. Click Incoming Methods in TreeView, then click Store in a folder.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Store in a folder Rule window in the General panel, specify the conditions under which this rule applies (in the Caller ID and Called Number (DID) sections). More details can be found in the chapter Store in a folder Settings , General Settings section.

5. Switch to the Store in Folder panel.

6. In the Store in Folder panel, check After reception to copy a fax into specified folders to enable rule. In the Store in Folder area, specify folders where to store incoming faxes. The folder should be initially selected or typed in the text field and then added to the Store in folders list by using <Add> button. More details can be found in the chapter Store in a folder Settings , Store in Folder settings section.

7. Switch to the Format panel.

8. In the Format panel select format for saving incoming faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter Store in a folder Settings , Format Settings section.

9. Click <OK> button to fix changes.

10. To use the Store in a folder method, the Network Service account must have access to the folders that you use. In the dialog box shown in the figure below, click Yes to grant access to the specified folders for Network Service account.

11. To change the preference order for Store in a folder fax routing method rules use Move Up and Move Down commands. One of the entries should be selected.

12. Click <Apply> button to save modified settings for Store in a folder Incoming Routing. All the changes are applied immediately.


To manage Store in a folder rules

Managing Store in a folder rules

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Store in a folder ››

1. Open Fax Voip FSP Control Panel.

2. Click Incoming Methods in TreeView, then click Store in a folder.

3. To change the preference order for Store in a folder fax routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. All the changes are applied immediately.


Store in a folder Settings

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Store in a folder ››

This section provides information about settings, that you can do in the Store in a folder rule dialog.

  • General Settings
  • Store in Folder Settings
  • Format Settings


General Settings

General Settings (Store in a folder)

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Store in a folder ›› Store in a folder Settings ››

General Settings

Caller ID

The settings in this area allow to specify the Caller ID pattern for which the rule applies. The rule can be applied to incoming calls from any phone number, from specified phone number or from a group of phone numbers.

Caller ID =

If this option selected, the rule applies to incoming calls from any number or from specified number.

Select <any> to receive calls from any phone number.

Enter phone number to receive calls from this phone number only.

Caller ID starts with

If this option selected, the rule applies to incoming calls from the group of phone numbers with specified prefix.

Called Number (DID)

The settings in this area allow to specify the Called Number (DID) pattern for which the current rule applies. The rule can be applied to incoming calls to any phone number, to specified phone number or to a group of phone numbers. Please note, that Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties.

Called Number =

If this option selected, the rule applies to incoming calls to any number or to specified number.

Select <any> to receive calls addressed to any phone number.

Enter phone number to receive calls to this phone number only. If there are entries in SIP Registrations table or in the H.323 Telephone numbers list, the phone number can be selected from the drop-down list.

Called Number starts with

If this option selected, the rule applies to incoming calls from to the group of phone numbers with specified prefix. For example in the case of prefix '1631' (see the picture below), the rule will be applied to incoming calls to 16317008090, 16314901610,...,, but will not be applied to incoming calls to 14259876543, 13601234567 ...


Store in Folder Settings

Store in Folder Settings (Store in a folder)

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Store in a folder ›› Store in a folder Settings ››

Store in Folder Settings

After reception to copy a fax into specified folders

This option allows to enable or disable store in a folder procedure. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified Caller (or Called) numbers.

Store in folder

In this area, you can specify local or network folders where incoming faxes should be stored.

<Browse>

Click this button to select the desired folder using standard windows Browse For Folder dialog. Local or network folder can be selected.

You can also manually type the folder name in the text field.

Store in folders

<Add>

Use this button to add folder to the list of folders. The folder should be initially selected or entered in the text field.

<Remove>

Use this button to remove folder from the list of folders.

Notes

  • To use the Store in a folder method, the Network Service account must have access to the folders that you use.


Format Settings

Format Settings (Store in a folder)

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Store in a folder ›› Store in a folder Settings ››

Format Settings

Format for saving incoming faxes

In this area, you can specify fax format that you want to use with the current rule.

Save incoming faxes in the following format

Select the fax format, that you want to use with the current rule. The incoming faxes can be stored in the TIFF, PDF or SFF format.

Filename Template

In this area, you can specify filename template to be used when copying received faxes to the specified folder(s).

Use Default Template

Select this option to use default filename template with the current rule. When specifying the default filename template, file names are generated based on the current date and time, and also random value.

Use Custom Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %CallerID%, %StartTime%, %PagesReceived% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %CallerID%. The telephone number of the calling device.
      • %CalledNumber%. The telephone number of the called party (DID).
      • %RemoteFaxID%. The Transmitting Subscriber ID (TSID) received from the fax sender.
      • %LocalFaxID%. The Called Subscriber ID (CSID) that identifies you as a fax recipient, sent to the fax sender.
      • %StartTime%. The starting time for the fax job that received the fax document.
      • %EndTime%. The ending time for the fax job that received the fax document.
      • %Duration%. The total time that elapses between the beginning of fax reception and the end of fax reception.
      • %PagesReceived%. The number of pages in the received fax document.
      • %DeviceName%. The name of the device that received the fax document. Example: Fax Voip Line 2.
      • %FaxMessageID%. The unique number that identifies the fax job that received the fax document.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

Notes

  • When generating identical file names (for example, when specifying custom filename template without using %variables%), a sequential number is added to the file name. For example, if the filename template is 'FAX' and the fax format is 'PDF', faxes will be copied to the specified folder(s) with the following names: FAX.pdf, FAX (2).pdf, FAX (3).pdf ....


Print

Print Incoming Fax Routing Method

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ››

You can configure selective print-out of the incoming faxes by using Print Incoming Routing Method. Depending on the Caller Number and Called Number (DID), incoming fax can be printed to different printers.

The behavior is defined by the so-called rules. Fax Voip FSP always checks Print rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the conditions of the call. All other rules are ignored. For example, if rule # 1 applies for all incoming calls ('Caller ID' = .*; 'Called Number' = .*), then other rules # 2, # 3, etc. applied to incoming calls never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified Caller (or Called) numbers.

To print an incoming fax to the specified printer, you must:

  • Configure the Windows Fax Service to receive faxes using Fax Voip Line device(s)
  • Create one or more rules, where you should specify printers

Incoming fax can be routed to one or more printers.

The maximum supported number of Print rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Print fax routing method log, use Enable 'Print' incoming routing method debug logging option, see more details in the Incoming Routing Methods Logs chapter of this user manual.

Print incoming faxes table contains the following information:

Rule

Unique number of the current rule.

Caller ID

Specifies the Caller ID pattern for which the rule applies.

Called Number

Specifies the Called Number (DID) pattern for which the current rule applies. Please note, that Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties.

Enabled

Specifies whether incoming fax printing enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified Caller (or Called) numbers.

Printer

Displays printers for printing incoming faxes.

The following commands are available in the Print Contextual Tab of the Ribbon:

Print Rules

New (Ctrl + N)

Click to create new Print rule.

Copy (Ctrl + C)

Click to create a copy of the selected Print rule. Can be useful when creating a large number of similar rules. To edit newly created rule, select it and use Edit command.

Edit (Ctrl + E)

Click to edit Print rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Action

Enable (Ctrl + B)

Click to enable the selected rule(s).

Disable (Ctrl + L)

Click to disable the selected rule(s). If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified Caller (or Called) numbers.

Move

Use the commands below to change preference order for different Print rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Print Contextual Tab are also available from the context menu of the list.

Notes

  • When using Print method, the printing is carried out on behalf of the Network Service account. For this reason, the selected printer does not have to show any dialog boxes before printing.


To create or edit print routing rule

Creating or editing Print rules

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Print ››

1. Open Fax Voip FSP Control Panel.

2. Click Incoming Methods in TreeView, then click Print.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Print Rule window in the General panel, specify the conditions under which this rule applies (in the Caller ID and Called Number (DID) sections). More details can be found in the chapter Print Routing Settings , General Settings section.

5. Switch to the Print panel.

6. In the Print panel, check After reception to print a fax to enable rule. in the Select Printers area, specify printers. The printer should be initially selected and then added to the Printer names list by using <Add> button. More details can be found in the chapter Print Routing Settings , Print settings section.

7. Click <OK> button to fix changes.

8. To change the preference order for Print fax routing method rules use Move Up and Move Down commands. One of the entries should be selected.

9. Click <Apply> button to save modified settings for Print Incoming Routing. All the changes are applied immediately.


To manage print routing rules

Managing Print rules

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Print ››

1. Open Fax Voip FSP Control Panel.

2. Click Incoming Methods in TreeView, then click Print.

3. To change the preference order for Print fax routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. All the changes are applied immediately.


Print Routing Settings

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Print ››

This section provides information about settings, that you can do in the Print rule dialog.

  • General Settings
  • Print Settings


General Settings

General Settings (Print Routing)

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Print ›› Print Routing Settings ››

General Settings

Caller ID

The settings in this area allow to specify the Caller ID pattern for which the rule applies. The rule can be applied to incoming calls from any phone number, from specified phone number or from a group of phone numbers.

Caller ID =

If this option selected, the rule applies to incoming calls from any number or from specified number.

Select <any> to receive calls from any phone number.

Enter phone number to receive calls from this phone number only.

Caller ID starts with

If this option selected, the rule applies to incoming calls from the group of phone numbers with specified prefix.

Called Number (DID)

The settings in this area allow to specify the Called Number (DID) pattern for which the current rule applies. The rule can be applied to incoming calls to any phone number, to specified phone number or to a group of phone numbers. Please note, that Fax Voip FSP stores the Called Number (DID) in the Routing Information field, which is available in particular in the Windows Fax and Scan software, in the incoming fax properties.

Called Number =

If this option selected, the rule applies to incoming calls to any number or to specified number.

Select <any> to receive calls addressed to any phone number.

Enter phone number to receive calls to this phone number only. If there are entries in SIP Registrations table or in the H.323 Telephone numbers list, the phone number can be selected from the drop-down list.

Called Number starts with

If this option selected, the rule applies to incoming calls from to the group of phone numbers with specified prefix. For example in the case of prefix '1631' (see the picture below), the rule will be applied to incoming calls to 16317008090, 16314901610,...,, but will not be applied to incoming calls to 14259876543, 13601234567 ...


Print Settings

Print Settings (Print Routing)

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Print ›› Print Routing Settings ››

Print Settings

After reception to print a fax

This option allows to enable or disable incoming fax printing. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified Caller (or Called) numbers.

Select Printers

In this area, you can specify printers for printing incoming faxes.

Before adding the printer, you should select it in the combobox.

Printer names

<Add>

Use this button to add printer to the list of printers. The printer should be initially selected in the combobox.

<Remove>

Use this button to remove printer from the list of printers.


Custom Routing

Custom routing for incoming faxes

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ››

The Custom Routing Method defined by the Fax Voip FSP Routing Extension allows you to easy add any routing functionality by using custom application that is started after receiving a fax. The using of this method is not limited by the current licences.

This method provides software vendors with a flexible way to connect software applications that route received fax transmissions through multiple routing methods. These routing methods can include, but are not limited to: printing faxes, storing faxes, converting fax graphic images to text files, delivering faxes in electronic mail attachments etc. The software vendor is responsible for developing functions of the method, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration.

When executing Custom Routing Method (Fax Voip FSP Routing Extension), the Windows Fax Service starts the application, specified by the customer, after receiving a fax. The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax file (TIFF) and other important parameters, such as CallerID, Called Number (DID), TSID, CSID etc. and then do any necessary actions. The custom application must be terminated automatically after execution. The application is responsible for deleting the temporary copy of the received fax (TIFF file) and the folder in which this file is placed. Custom Application is started using the Network Service account, so the Network Service account must have necessary access to files, folders and other objects with which your application works. See more details in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

Custom application that should be started after receiving a fax

Here you can choose the application that will be started after receiving a fax. You can browse to a preferred executable file or enter the file path. The example of the custom routing application (RouteCustom.exe) can be found in the Fax Voip FSP installation folder, usually C:\Program Files (x86)\FaxVoip FSP\RouteCustom.exe. See also in the Custom Application Sample chapter of this user manual.

Create temporary copy of the received fax (TIFF file)

If you select this option, the method creates a temporary folder (subfolder in the %temp% folder for the Network Service account) and copies the received fax (TIFF file) into this folder. The temporary folder (%temp%) for the Network Service account is usually C:\Windows\ServiceProfiles\NetworkService\AppData\Local\Temp\. The path to the temporary TIFF file is passed to the custom application via TiffFileName command-line argument. The custom application is responsible for deleting the temporary TIFF file and the temporary folder in which this file is located. If this option is not checked, the method does not create the copy of the received fax, but the custom application can still access the received fax by using Fax Service API functions (based on Job ID parameter that is also passed via command line).

Enable custom routing

The Fax Voip FSP software automatically enables or disables the Custom method (Fax Voip FSP Routing Extension) for all Fax Voip Line devices, depending on whether this option is checked or not.


Custom Application Requirements

Custom Application Requirements (Developer's Guide)

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Custom Routing ››

The custom routing application, specified by the customer, is started by the Windows Fax Service when executing Custom Routing Method (Fax Voip FSP Routing Extension), after receiving a fax. The individual developer is responsible for developing this application, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration. The application functions can include, but are not limited to: printing faxes, storing faxes, converting fax graphic images to text files, delivering faxes in electronic mail attachments etc.

Below are the general requirements that must be taken into account by the software vendor when writing the custom application.

Command-Line Arguments

The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax file (TIFF) and other important parameters, such as CallerID, Called Number (DID), TSID, CSID etc.

The following is an example of the command-line arguments passed to your application:

/@@@TiffFileName=C:\Windows\ServiceProfiles\NetworkService\AppData\Local\Temp\5547_c\FAX.tif

/@@@JobId=5547 /@@@ElapsedTime=00:00:55

/@@@ReceiveTime=07.28.2017@00:42:11 /@@@PageCount=1

/@@@Csid=Fax Voip FSP /@@@Tsid=(901) 222-3344

/@@@CallerId=19012223344 /@@@RoutingInfo=16314901610

/@@@ReceiverName=Fax Voip Line 0 /@@@ReceiverNumber=Fax Voip FSP

/@@@DeviceName=Fax Voip Line 0 /@@@DeviceId=24576

Command line arguments match to the elements of the FAX_ROUTE structure , see below:

/@@@TiffFileName=

The temporary copy of the fax file (TIFF) associated with a received fax document. This file and the temporary folder in which it is located (subfolder in the %temp% folder for Network Service account) should be deleted in custom routing application after applying necessary actions. If the Create temporary copy of the received fax (TIFF file) option is unchecked, this argument is missing in the command line. See also in the Custom routing for incoming faxes chapter of this user manual.

/@@@JobId=

Specifies a unique number that identifies the fax job that received the fax document.

/@@@ElapsedTime=

Represents the total time that elapses between the beginning of fax reception and the end of fax reception. The format of this string is 'hh:mm:ss'.

/@@@ReceiveTime=

The starting time for the fax job that received the fax document. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@PageCount=

Specifies the number of pages in the received fax document.

/@@@Csid=

Specifies the called station identifier of the local fax device (Local Fax ID) that received the fax document. This identifier is usually a telephone number.

/@@@Tsid=

Specifies the transmitting station identifier of the remote fax device (Remote Fax ID) that sent the fax document. This identifier is usually a telephone number.

/@@@CallerId=

Identifies the calling device that sent the fax document. This string usually includes the telephone number of the calling device.

/@@@RoutingInfo=

Specifies the routing string for the received fax document. Fax Voip FSP stores the Called Number (DID) in this string.

/@@@ReceiverName=

According to MSDN, specifies the name of the person who received the fax document (usually coincides with DeviceName and not used).

/@@@ReceiverNumber=

According to MSDN, specifies the telephone number of the fax device that received the fax document (usually coincides with Csid - local fax device identifier, and not used).

/@@@DeviceName=

Specifies the name of the device that received the fax document.

/@@@DeviceId=

Specifies the permanent line identifier for the receiving fax device.

Temporary copy of the received fax (TIFF file)

If the Create temporary copy of the received fax (TIFF file) option is checked (see in the Custom routing for incoming faxes chapter of this user manual), the Custom Routing Method (Fax Voip FSP Routing Extension) creates a temporary folder and copies the received fax (TIFF file) into this folder. The temporary folder is created in the %temp% folder for the Network Service account. The path to the temporary TIFF file is passed to the custom application via TiffFileName command-line argument, see above.

For example,

/@@@TiffFileName=C:\Windows\ServiceProfiles\NetworkService\AppData\Local\Temp\5547_c\FAX.tif

The path to the TIFF file is:

C:\Windows\ServiceProfiles\NetworkService\AppData\Local\Temp\5547_c\FAX.tif

The path to the temporary folder is:

C:\Windows\ServiceProfiles\NetworkService\AppData\Local\Temp\5547_c\

The temporary folder in which TIFF file (FAX.tif) is placed can be used by your custom routing application to store temporary files that your application generates.

The custom application is responsible for deleting the temporary TIFF file and the temporary folder in which this file is located. You must permanently delete the temporary folder in your application after you perform all the necessary actions.

If the Create temporary copy of the received fax (TIFF file) option is not checked, the Custom Routing Method (Fax Voip FSP Routing Extension) does not create the copy of the received fax, but the custom application can still access the received fax by using Fax Service API functions (based on JobId parameter that is also passed via command line).

Running under Network Service account

The custom application is started in the context of the Windows Fax Service using the Network Service account, so the Network Service account must have necessary access to files, folders and other objects with which your application works.

Terminating the application

The Custom Routing Method (Fax Voip FSP Routing Extension) executes the custom routing application in the separated thread by calling the CreateProcess function . The Windows Fax Service does not monitor the application after it is started and does not guarantee its correct completion. The developer of the custom routing application is responsible for the correct automatic termination of the application after execution.


Custom Application Sample

Fax Voip FSP Control Panel ›› Incoming Fax Routing Methods ›› Custom Routing ››

The example of the custom routing application (RouteCustom.exe) can be found in the Fax Voip FSP installation folder, usually C:\Program Files (x86)\FaxVoip FSP\RouteCustom.exe.

The source codes (RouteCustom.zip archive) can be found in the Fax Voip FSP data folder, usually C:\ProgramData\FaxVoip FSP\Samples\RouteCustom.zip. To unpack the archive, right click it and then select Extract All... from the context menu.

The code example is a console application written in Visual Basic .Net and can be compiled using Microsoft Visual Studio 2013 or later versions.

This sample demonstrates the use of a custom routing method for incoming faxes, taking into account the requirements for writing such application, see also in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

  • The application parses the predefined command line and populates the internal structure where it stores path to the temporary TIFF file and other routing info parameters, such as CallerID, Called Number (DID), TSID, CSID etc.
  • Writes the routing info into standard ini file.
  • Copies the temporary TIFF file to the specified folder with an unique name that contains the date and time the fax was received.
  • Before the application finishes, it deletes the temporary folder and the temporary TIFF file placed in this folder.
  • The application provides automatic completion after performing all necessary actions.
  • The application uses folders and files for which Network Service account definitely has write access.

To use the sample

1. Copy the RouteCustom.exe file into the Fax Voip FSP installation folder. You can use a different folder, but make sure that the Network Service account has access to your folder.

2. Open Fax Voip FSP Control Panel. Click Incoming Methods in TreeView, then click Custom.

3. On the Custom routing for incoming faxes page, select the Enable custom routing check box.

4. In the Custom application that should be started after receiving a fax field, enter the path to RouteCustom.exe file or select it using the small button placed to the right of the field.

5. Select the Create temporary copy of the received fax (TIFF file) check box.

6. Click <Apply> button to save changes.

After receiving a fax,

1. Open the Fax Voip FSP data folder in Windows Explorer, usually C:\ProgramData\FaxVoip FSP\.

2. Check the RouteCustom subfolder for RouteCustom.ini file.

3. Check the RouteCustom\Incoming Faxes subfolder for copy of the received fax.

4. The RouteCustom.txt log file is stored in the log subfolder.


Outgoing Fax Routing Methods

Outgoing Fax Routing Methods: E-mail, Store in Folder, Print, Custom

Fax Voip FSP Control Panel ››

When sending faxes, you can configure Outgoing Routing Methods to route outgoing faxes. Depending on the recipient's fax number, the name of the computer user account who submitted the fax job, and the success or failure of sending the fax, different actions can be applied to outgoing fax. These actions are defined by the so-called rules. The independent set of rules is used for each method.

The following Outgoing Routing Methods can be configured:

E-mail Delivery Receipts

An e-mail receipt can be sent to one or more e-mail addresses, to confirm whether the fax has been sent correctly.

Store in a folder

Outgoing faxes can be copied to one or more local or network folder.

Print

This method allows to automatically print outgoing faxes.

Custom

This method allows to easy add any routing functionality by using custom application that is started after sending a fax. The using of this method is not limited by the current licences.

Outgoing Methods page contains the following information:

Outgoing Method

The Outgoing Routing Method name.

Priority

The priority order of Outgoing Routing Methods. It should be understood that the outgoing routing methods for each fax are executed sequentially in a single thread. Certain operations (sending an e-mail, converting to another graphic format, printing, etc.) may take some time, often up to several seconds. To change the priority order, use the Move Up and Move Down commands, see below.

Max # of Rules

Total number of rules, that can be used. It is usually the sum of Basic and Additional number of rules.

Basic

Basic number of rules, that can be used. Specified as the number of Fax Voip Windows Fax Service Provider Lines + 1. The TRIAL version allows the use of no more than 2 rules of every type.

Additional

Additional number of rules, defined by the Fax Voip FSP Extended Fax Routing (E-mail, Store in Folder, Print) license.

The following commands are available in the Outgoing Methods Contextual Tab of the Ribbon:

Outgoing Methods

E-mail Receipts

Click to configure E-mail Delivery Receipts rules for outgoing faxes.

Store in a folder

Click to configure Store in a folder rules for outgoing faxes.

Print

Click to configure Print rules for outgoing faxes.

Custom

Click to configure custom routing for outgoing faxes.

Move

Use the commands below to change preference order for different Outgoing Methods. One of the methods should be selected.

Move Up (Ctrl + U)

Move the selected method up.

Move Down (Ctrl + D)

Move the selected method down.

To configure outgoing method, you also can double-click a method in the Outgoing Methods list, or select Edit command from the context menu.

The following diagram provides an overview of the outgoing fax routing process:

When using Outgoing Routing Methods, please take note of the following:

  • The Outgoing Routing Methods can only be applied to faxes sent via Fax Voip Line virtual devices and can not be applied to faxes sent via other fax devices installed in your system (hardware modems, etc.).
  • On Windows Server computer, to access successfully sent faxes, the fax service should be configured to archive all successfully sent faxes to Sent Items folder, see below.
  • To access fax jobs database, the Fax Voip FSP Service (running under the local system account) should have View outgoing fax jobs and View message archives access permissions to fax server, see below.
  • To use Outgoing Fax Routing Methods functionality in Windows 7 or Windows Server 2008R2, you should manually install the hotfix (KB2535158) provided by Microsoft, see below.

To view Outgoing Routing Methods log, use Enable Outgoing Routing Methods debug logging option, see more details in the Outgoing Routing Methods Logs chapter. The Outgoing Routing Methods are called directly from the Fax Voip FSP Service and this is reflected in the corresponding log, use Enable VOIP debug logging option, see more details in the Fax Voip FSP Logs chapter.

Notes

  • To use Outgoing Fax Routing Methods feature, you should have the Fax Voip Windows Fax Service Provider Lines license installed.
  • The basic number of allowed rules for each method is specified as the number of Fax Voip Windows Fax Service Provider Lines plus 1. The TRIAL version allows the use of no more than 2 rules of every type.
  • To significantly increase the maximum number of available rules, you can purchase separate license Fax Voip FSP Extended Fax Routing (E-mail, Store In Folder, Print). Note that this license can not be used in the absence of the Fax Voip Windows Fax Service Provider Lines license.
  • The using of the Custom routing method is not limited by the current licences.

Configuring fax service to archive all successfully sent faxes

On Windows Server computer, to access successfully sent faxes, the fax service should be configured to archive all successfully sent faxes to Sent Items folder. Normally, this is automatically configured when installing Fax Voip FSP, see also Register the Fax Service Provider .

To manually configure fax service to archive all incoming and sent faxes on Windows Server computer, do the following:

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip FSP tray icon menu or click Fax Service Manager in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, on the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Archives page, check Archive all faxes to this folder option. By default, incoming and sent faxes are stored in the C:\ProgramData\Microsoft\Windows NT\MSFax folder. Click Apply.

Providing access to outgoing fax jobs and fax message archives for Fax Voip FSP service (SYSTEM account)

To access fax jobs database, the Fax Voip FSP Service (running under the local system account) should have View outgoing fax jobs and View message archives access permissions to fax server. Normally, this is automatically configured when installing Fax Voip FSP, see also Register the Fax Service Provider . To manually configure permissions, do the following:

1. In Windows 11, in Windows Fax and Scan, on the Tools menu, click Fax Settings..., and then switch to Security page. In Windows Server 2022, in the Microsoft Fax Service Manager, on the left pane right click on the Fax; on the context menu, click Properties; in the Fax (Local) Properties window switch to Security page.

2. On the Security page, click Advanced.

3. In the Advanced Security Settings for Fax window, select SYSTEM permission entry and click Edit. If the SYSTEM permission entry does not exist, click Add, click Select a principal, type SYSTEM, click Check Names, click OK.

4. In the Permission Entry for Fax window, click Show advanced permissions. Select the View outgoing fax jobs and View message archives check boxes. Click OK. See picture below.

5. In the Advanced Security Settings for Fax window, click OK.

Troubleshooting in Windows 7 and Windows Server 2008R2 (applying hotfix from Microsoft)

On a computer that is running Windows 7 or Windows Server 2008R2, the Outgoing Fax Routing Methods usually do not work by default. This is because the Fax Voip FSP Service (running under the local system account) that uses the Fax Service Extended COM API can not enumerate the fax jobs of the other user accounts. This issue occurs even when local system account has necessary permissions to enumerate the fax jobs of all users (View outgoing fax jobs and View message archives access permissions), see above. The problem is described in the following article on the Microsoft website:

https://support.microsoft.com/en-us/help/2535158/an-application-that-uses-the-fax-service-extended-com-api-only-enumera

To fix the problem, you should manually install the hotfix (KB2535158) provided by Microsoft. Unfortunately, this hotfix is ​​no longer available for downloading from the Microsoft website. You can find the required installation packages (both 64-bit and 32-bit) in the Fax Voip FSP installation folder, most likely the path will be as follows: C:\Program Files (x86)\FaxVoip FSP\FixJobEnum_Win7_2008R2\. Alternatively, you can download the required installation package from the Fax Voip website.

To fix the problem in Windows 7 64-bit or Windows Server 2008R2, please download and install the following package:

https://www.t38faxvoip.com/downloads/Windows6.1-KB2535158-x64.zip

To fix the problem in Windows 7 32-bit, please download and install the following package:

https://www.t38faxvoip.com/downloads/Windows6.1-KB2535158-x86.zip

After applying the fix, you must restart your computer.


E-mail Delivery Receipts

E-mail Delivery Receipts Outgoing Fax Routing Method

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ››

When sending faxes, you can configure E-mail Delivery Receipts Outgoing Routing Method to send e-mail receipts to the predefined e-mail address(es), to confirm whether the fax has been sent correctly. Delivery notification receipts provide users with information about the success or failure of their sent faxes. Note that this functionality is completely independent from the similar function, which is used together with Mail to Fax , see Delivery notification to user e-mail address option in the Delivery Receipts to user e-mail address (Mail to Fax) chapter of this user manual. The notification to e-mail is sent regardless of the method of creating a fax. Depending on the recipient's fax number, the name of the computer user account who submitted the fax job, and the success or failure of sending the fax, delivery receipt can be sent to different e-mail addresses.

The behavior is defined by the so-called rules. Fax Voip FSP always checks E-mail Delivery Receipts rules, starting with the rule # 1. The receipt will be sent according to the first rule, which satisfies the specified conditions. All other rules are ignored. For example, if rule # 1 applies for all outgoing faxes ('Fax Number' = .*; 'Account' = .*; 'OK' = yes; 'Failed' = yes), then other rules # 2, # 3, etc. applied to outgoing faxes never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not send delivery receipt to the specified e-mail addresses. This can be used to temporarily stop sending receipts for specified recipient's fax number or fax account.

To use E-mail Delivery Receipts functionality, you must:

  • Configure the Windows Fax Service to send faxes using Fax Voip Line device(s)
  • Configure SMTP settings
  • Configure 'Fax successfully sent' e-mail template (if necessary)
  • Configure 'Failed to send a fax' e-mail template (if necessary)
  • Create one or more rules, where you should specify e-mail recipients and the fax delivery format

The delivery receipt can be sent to one or more e-mail recipients. To, CC and BCC e-mail fields can be used. A copy of the sent fax can be attached to the e-mail message in TIFF, PDF or SFF format.

The maximum supported number of E-mail Delivery Receipts rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view E-mail Delivery Receipts outgoing fax routing method log, use Enable Outgoing Routing Methods debug logging option, see more details in the Outgoing Routing Methods Logs chapter. To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

E-mail Delivery Receipts table contains the following information:

Rule

Unique number of the current rule.

Fax Number

Specifies the recipient's fax number pattern for which the rule applies.

Account

Specifies the name of the computer user account (fax account) who submitted the fax job for which the current rule applies. The rule can be applied to single fax account or to all fax accounts.

OK

Specifies whether the rule applies for successfully sent faxes.

Failed

Specifies whether the rule applies for failed fax sending.

Enabled

Specifies whether e-mail sending enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not send delivery receipt to the specified e-mail addresses. This can be used to temporarily disable sending receipts for specified recipient's fax number or fax account.

Mail To

Contains a list of the e-mail addresses.

CC

Contains a list of the e-mail addresses that appear in the Cc box of e-mail message.

BCC

Contains a list of the e-mail addresses that appear in the Bcc box of e-mail message.

Attach Fax

Specifies whether to attach a copy of the sent fax to the e-mail message.

Format

Specifies the file format for the attached fax. Can be TIFF, PDF or SFF.

Filename Template

Specifies the custom filename template for the attached fax. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff.

E-mail Templates

Specifies whether custom or default settings are used for E-mail Templates .

The following commands are available in the E-mail Receipts Contextual Tab of the Ribbon:

E-mail Receipts Rules

New (Ctrl + N)

Click to create new E-mail Delivery Receipts rule.

Copy (Ctrl + C)

Click to create a copy of the selected E-mail Delivery Receipts rule. Can be useful when creating a large number of similar rules. To edit newly created rule, select it and use Edit command.

Edit (Ctrl + E)

Click to edit E-mail Delivery Receipts rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more E-mail Delivery Receipts rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more E-mail Delivery Receipts rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Action

Enable (Ctrl + B)

Click to enable the selected rule(s).

Disable (Ctrl + L)

Click to disable the selected rule(s). If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not send delivery receipt to the specified e-mail addresses. This can be used to temporarily stop sending receipts for specified recipient's fax number or fax account.

Move

Use the commands below to change preference order for different E-mail Delivery Receipts rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the E-mail Receipts Contextual Tab are also available from the context menu of the list.


To create or edit E-mail Delivery Receips rule

Creating or editing E-mail Delivery Receips rule

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› E-mail Delivery Receipts ››

1. Open Fax Voip FSP Control Panel.

2. Click Outgoing Methods in TreeView, then click E-mail Receipts.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the E-mail Delivery Receipts Rule window in the General panel, specify the conditions under which this rule applies (in the Recipient Fax Number and User Name (Fax Account) sections). Specify whether the rule applies for successfully sent faxes or/and for failed fax sending. More details can be found in the chapter E-mail Delivery Receipts Settings , General Settings section.

5. Switch to the E-mail panel.

6. In the E-mail panel, check After sending a fax to send delivery receipt by e-mail to enable rule. In the Mail to area, specify e-mail message recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s E-mail Address and Type recipient’s name (optional) fields and then added to the Message recipients lists by using <To>, <Cc> and <Bcc> buttons. To select e-mail recipients from Address Book (Windows Contacts), click the Address Book button. More details can be found in the chapter E-mail Delivery Receipts Settings , E-mail Settings section.

7. Switch to the Format panel.

8. In the Format panel specify whether to attach a copy of the sent fax to the e-mail message. Select format for the attached faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter E-mail Delivery Receipts Settings , Format Settings section.

9. Switch to the Templates panel.

10. In the Templates panel, specify whether to use default or custom settings for e-mail templates. Configure e-mail templates to be used with the rule. More details can be found in the chapter E-mail Delivery Receipts Settings , E-mail Templates Settings section.

11. Click <OK> button to fix changes.

12. To change the preference order for E-mail Delivery Receipts outgoing fax routing method rules use Move Up and Move Down commands. One of the entries should be selected.

13. Click <Apply> button to save modified settings for E-mail Delivery Receipts rules. All the changes are applied immediately.


To manage E-mail Delivery Receips rules

Managing E-mail Delivery Receips rules

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› E-mail Delivery Receipts ››

1. Open Fax Voip FSP Control Panel.

2. Click Outgoing Methods in TreeView, then click E-mail Receipts.

3. To change the preference order for E-mail Delivery Receipts outgoing fax routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. All the changes are applied immediately.


E-mail Delivery Receipts Settings

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› E-mail Delivery Receipts ››

This section provides information about settings, that you can do in the E-mail Delivery Receipts rule dialog.

  • General Settings
  • E-mail Settings
  • Format Settings
  • E-mail Templates Settings


General Settings

General Settings (E-mail Delivery Receipts)

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

General Settings

Recipient Fax Number

The settings in this area allow to specify the recipient's fax number pattern for which the rule applies. The rule can be applied to outgoing faxes to any fax number, to a single fax number or to a group of fax numbers.

Fax Number =

If this option selected, the rule applies to outgoing faxes to any fax number or to a single fax number.

Select <any> to apply the rule to outgoing faxes to any fax number.

Enter fax number to apply the rule to outgoing faxes to this fax number only.

Fax Number starts with

If this option selected, the rule applies to outgoing faxes to the group of fax numbers with specified prefix.

User Name (Fax Account)

The settings in this area allow to select whether to apply the rule to single fax account or to all fax accounts.

Apply the rule for fax jobs submitted by any user

If this option selected, the rule applies to faxes submitted by any user.

User Name =

If this option selected, the rule applies only to faxes submitted by the specified user. The User Name (Fax Account) can be selected from the drop-down list. On Windows Server computer, fax users are listed in the Microsoft Fax Service Manager under Accounts. The information about fax users is stored in subkeys of the HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Fax\Accounts registry key.

Success or failure

The options in this area allow to specify whether to apply the rule for successfully sent faxes or/and for failed fax sending. At least one of these options must be selected.

Apply the rule for successfully sent faxes

If this option selected, the rule is applied in the case of successfull fax sending.

Apply the rule for failed fax sending

If this option selected, the rule is applied in the case of unsuccessfull fax sending.


E-mail Settings

E-mail Settings (E-mail Delivery Receipts)

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

E-mail Settings

After sending a fax to send delivery receipt by e-mail

This option allows to enable or disable e-mail sending. To enable the rule, check this option. To disable e-mail sending, uncheck it. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not send delivery receipt to the specified e-mail addresses. This can be used to temporarily stop sending receipts for specified recipient's fax number or fax account.

Mail to

In this area, you can specify e-mail message recipients.

Type recipient’s E-mail Address

The e-mail address of the e-mail recipient that you want to add, should be initially entered in this field.

Type recipient’s name (optional)

The name of the e-mail recipient should be initially entered in this field.

<Address Book>

Click to select e-mail recipients from Address Book (Windows Contacts).

Message recipients

<To>

Use this button to add e-mail recipient to the main list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s E-mail Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the main list of e-mail recipients.

<Cc>

Use this button to add e-mail recipient to the Cc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s E-mail Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the Cc list of e-mail recipients.

<Bcc>

Use this button to add e-mail recipient to the Bcc list of e-mail recipients. The e-mail address and the recipient’s name should be initially entered in the Type recipient’s E-mail Address and Type recipient’s name (optional) fields.

<Remove>

Use this button to remove e-mail recipient from the Bcc list of e-mail recipients.


Format Settings

Format Settings (E-mail Delivery Receipts)

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

Format Settings

Fax Delivery Format

In this area, you can specify whether a copy of the fax should be attached to the e-mail message and select the file format for the attached faxes to be used with the current rule.

Attach a copy of the sent fax in the following format:

Check this box to attach a copy of the fax to the e-mail message. Select the file format in which you want to receive a copy of the fax. Can be TIFF, PDF or SFF.

Filename Template

In this area, you can specify filename template for the attached faxes.

Use Default Template (FAX...)

Select this option to use default filename template with the current rule. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected format).

Use Custom Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %RecipientName%. The name of the recipient.
      • %DocumentName%. The user-friendly name to display for the fax document. If the fax is generated by the Mail to Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string. When sending a fax in the usual way (from the Windows Fax and Scan software), can be constantly replaced by the pointless string (e. g. 'Test Fax'), due to errors in the Microsoft Fax software.
      • %Subject%. Contains the contents of the subject field on the cover page of the fax.
      • %PagesTotal%. The total number of pages in the fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
      • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as TSID specified in the Sender Information , or it is specified by the settings of the fax device that was used for fax transmission, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.
      • %SubmissionTime%. The time that the fax was submitted for processing.
      • %OriginalScheduledTime%. The time that the fax was originally scheduled for transmission.
      • %StartTime%. The time that the fax began transmitting.
      • %EndTime%. The time that the fax completed transmission.
      • %Duration%. The duration of the fax transmission.
      • %Retries%. In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %DeviceName%. The name of the device on which the fax message was transmitted. Example: Fax Voip Line 2.
      • %Status%. Operation completion code. Examples: OK (in the case of a successful fax sending), NO_ANSWER, BUSY.
      • %FaxMessageID%. The unique identifier for the outbound fax.
      • %FaxAccount%. The name of the computer user account (fax account) who submitted the fax job.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use SecureSmtpClient or System.Net.Mail method for sending e-mail messages.


E-mail Templates Settings

E-mail Templates Settings (E-mail Delivery Receipts)

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› E-mail Delivery Receipts ›› E-mail Delivery Receipts Settings ››

E-mail Templates Settings

On this page you can override the default settings for e-mail templates, see in the E-mail Templates chapter of this user manual.

Use default e-mail templates settings

If this option checked, the default settings for e-mail templates are used.

E-mail Templates

In this area, you can specify custom settings for e-mail templates that will be applied to the current rule only.

Select Template

Use this drop-down list to select the template you want to edit. You can configure the following e-mail templates: Fax successfully sent, Failed to send a fax.

Use Default Template

Check this box if you don’t want to customize the selected template. The e-mail template embedded into the program code will be used in this case.

To customize the selected template, see notes below.

Notes

  • For more information on how to configure Fax successfully sent template, see Email Templates: Fax successfully sent . Settings for the E-mail Delivery Receipts rule should be made in the same way.
  • For more information on how to configure Failed to send a fax template, see Email Templates: Failed to send a fax . Settings for the E-mail Delivery Receipts rule should be made in the same way.


Store in a folder

Store in a folder Outgoing Fax Routing Method

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ››

When sending faxes, you can configure Store in a folder Outgoing Routing Method to copy outgoing faxes to specified local or network folders. Depending on the recipient's fax number, the name of the computer user account who submitted the fax job, and the success or failure of sending the fax, outgoing fax can be routed to different folders.

The behavior is defined by the so-called rules. Fax Voip FSP always checks Store in a folder rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the specified conditions. All other rules are ignored. For example, if rule # 1 applies for all outgoing faxes ('Fax Number' = .*; 'Account' = .*; 'OK' = yes; 'Failed' = yes), then other rules # 2, # 3, etc. applied to outgoing faxes never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified recipient's fax number or fax account.

To store outgoing fax in the specified folder, you must:

  • Configure the Windows Fax Service to send faxes using Fax Voip Line device(s)
  • Create one or more rules, where you should specify folder names and format for saving outgoing faxes

Outgoing fax can be routed to one or more local or network folders. The format for saving outgoing faxes can be TIFF, PDF or SFF.

The maximum supported number of Store in a folder rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Store in a folder outgoing fax routing method log, use Enable Outgoing Routing Methods debug logging option, see more details in the Outgoing Routing Methods Logs chapter of this user manual.

Store outgoing faxes in a folder table contains the following information:

Rule

Unique number of the current rule.

Fax Number

Specifies the recipient's fax number pattern for which the rule applies.

Account

Specifies the name of the computer user account (fax account) who submitted the fax job for which the current rule applies. The rule can be applied to single fax account or to all fax accounts.

OK

Specifies whether the rule applies for successfully sent faxes.

Failed

Specifies whether the rule applies for failed fax sending.

Enabled

Specifies whether store in a folder procedure enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified recipient's fax number or fax account.

Store in Folder

Displays folders locations for storing copies of outgoing faxes.

Format

Specifies the format for saving outgoing faxes. Can be TIFF, PDF or SFF.

Filename Template

Specifies the custom filename template to be used when copying outgoing faxes to the specified folder(s). When specifying the default filename template, file names are generated based on the current date and time, and also random value.

The following commands are available in the Store in a folder Contextual Tab of the Ribbon:

Store in a folder Rules

New (Ctrl + N)

Click to create new Store in a folder rule.

Copy (Ctrl + C)

Click to create a copy of the selected Store in a folder rule. Can be useful when creating a large number of similar rules. To edit newly created rule, select it and use Edit command.

Edit (Ctrl + E)

Click to edit Store in a folder rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Store in a folder rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Action

Enable (Ctrl + B)

Click to enable the selected rule(s).

Disable (Ctrl + L)

Click to disable the selected rule(s). If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified recipient's fax number or fax account.

Move

Use the commands below to change preference order for different Store in a folder rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Store in a folder Contextual Tab are also available from the context menu of the list.


To create or edit Store in a folder rule

Creating or editing Store in a folder rules

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Store in a folder ››

1. Open Fax Voip FSP Control Panel.

2. Click Outgoing Methods in TreeView, then click Store in a folder.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Store in a folder Rule window in the General panel, specify the conditions under which this rule applies (in the Recipient Fax Number and User Name (Fax Account) sections). Specify whether the rule applies for successfully sent faxes or/and for failed fax sending. More details can be found in the chapter Store in a folder Settings , General Settings section.

5. Switch to the Store in Folder panel.

6. In the Store in Folder panel, check After sending to copy a fax into specified folders to enable rule. In the Store in Folder area, specify folders where to store outgoing faxes. The folder should be initially selected or typed in the text field and then added to the Store in folders list by using <Add> button. More details can be found in the chapter Store in a folder Settings , Store in Folder settings section.

7. Switch to the Format panel.

8. In the Format panel select format for saving outgoing faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter Store in a folder Settings , Format Settings section.

9. Click <OK> button to fix changes.

10. To change the preference order for Store in a folder outgoing fax routing method rules use Move Up and Move Down commands. One of the entries should be selected.

11. Click <Apply> button to save modified settings for Store in a folder rules. All the changes are applied immediately.


To manage Store in a folder rules

Managing Store in a folder rules

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Store in a folder ››

1. Open Fax Voip FSP Control Panel.

2. Click Outgoing Methods in TreeView, then click Store in a folder.

3. To change the preference order for Store in a folder outgoing fax routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. All the changes are applied immediately.


Store in a folder Settings

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Store in a folder ››

This section provides information about settings, that you can do in the Store in a folder rule dialog.

  • General Settings
  • Store in Folder Settings
  • Format Settings


General Settings

General Settings (Store in a folder)

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Store in a folder ›› Store in a folder Settings ››

General Settings

Recipient Fax Number

The settings in this area allow to specify the recipient's fax number pattern for which the rule applies. The rule can be applied to outgoing faxes to any fax number, to a single fax number or to a group of fax numbers.

Fax Number =

If this option selected, the rule applies to outgoing faxes to any fax number or to a single fax number.

Select <any> to apply the rule to outgoing faxes to any fax number.

Enter fax number to apply the rule to outgoing faxes to this fax number only.

Fax Number starts with

If this option selected, the rule applies to outgoing faxes to the group of fax numbers with specified prefix.

User Name (Fax Account)

The settings in this area allow to select whether to apply the rule to single fax account or to all fax accounts.

Apply the rule for fax jobs submitted by any user

If this option selected, the rule applies to faxes submitted by any user.

User Name =

If this option selected, the rule applies only to faxes submitted by the specified user. The User Name (Fax Account) can be selected from the drop-down list. On Windows Server computer, fax users are listed in the Microsoft Fax Service Manager under Accounts. The information about fax users is stored in subkeys of the HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Fax\Accounts registry key.

Success or failure

The options in this area allow to specify whether to apply the rule for successfully sent faxes or/and for failed fax sending. At least one of these options must be selected.

Apply the rule for successfully sent faxes

If this option selected, the rule is applied in the case of successfull fax sending.

Apply the rule for failed fax sending

If this option selected, the rule is applied in the case of unsuccessfull fax sending.


Store in Folder Settings

Store in Folder Settings (Store in a folder)

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Store in a folder ›› Store in a folder Settings ››

Store in Folder Settings

After sending to copy a fax into specified folders

This option allows to enable or disable store in a folder procedure. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not copy faxes to the specified folders. This can be used to temporarily disable store in a folder procedure for specified recipient's fax number or fax account.

Store in folder

In this area, you can specify local or network folders where outgoing faxes should be stored.

<Browse>

Click this button to select the desired folder using standard windows Browse For Folder dialog. Local or network folder can be selected.

You can also manually type the folder name in the text field.

Store in folders

<Add>

Use this button to add folder to the list of folders. The folder should be initially selected or entered in the text field.

<Remove>

Use this button to remove folder from the list of folders.


Format Settings

Format Settings (Store in a folder)

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Store in a folder ›› Store in a folder Settings ››

Format Settings

Format for saving outgoing faxes

In this area, you can specify fax format that you want to use with the current rule.

Save outgoing faxes in the following format

Select the fax format, that you want to use with the current rule. The outgoing faxes can be stored in the TIFF, PDF or SFF format.

Filename Template

In this area, you can specify filename template to be used when copying outgoing faxes to the specified folder(s).

Use Default Template

Select this option to use default filename template with the current rule. When specifying the default filename template, file names are generated based on the current date and time, and also random value.

Use Custom Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %RecipientName%. The name of the recipient.
      • %DocumentName%. The user-friendly name to display for the fax document. If the fax is generated by the Mail to Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string. When sending a fax in the usual way (from the Windows Fax and Scan software), can be constantly replaced by the pointless string (e. g. 'Test Fax'), due to errors in the Microsoft Fax software.
      • %Subject%. Contains the contents of the subject field on the cover page of the fax.
      • %PagesTotal%. The total number of pages in the fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
      • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as TSID specified in the Sender Information , or it is specified by the settings of the fax device that was used for fax transmission, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.
      • %SubmissionTime%. The time that the fax was submitted for processing.
      • %OriginalScheduledTime%. The time that the fax was originally scheduled for transmission.
      • %StartTime%. The time that the fax began transmitting.
      • %EndTime%. The time that the fax completed transmission.
      • %Duration%. The duration of the fax transmission.
      • %Retries%. In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %DeviceName%. The name of the device on which the fax message was transmitted. Example: Fax Voip Line 2.
      • %Status%. Operation completion code. Examples: OK (in the case of a successful fax sending), NO_ANSWER, BUSY.
      • %FaxMessageID%. The unique identifier for the outbound fax.
      • %FaxAccount%. The name of the computer user account (fax account) who submitted the fax job.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

Notes

  • When generating identical file names (for example, when specifying custom filename template without using %variables%), a sequential number is added to the file name. For example, if the filename template is 'FAX' and the fax format is 'PDF', faxes will be copied to the specified folder(s) with the following names: FAX.pdf, FAX (2).pdf, FAX (3).pdf ....


Print

Print Outgoing Fax Routing Method

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ››

When sending faxes, you can configure selective print-out of the outgoing faxes by using Print Outgoing Routing Method. Depending on the recipient's fax number, the name of the computer user account who submitted the fax job, and the success or failure of sending the fax, outgoing fax can be printed to different printers.

The behavior is defined by the so-called rules. Fax Voip FSP always checks Print rules, starting with the rule # 1. The fax will be routed according to the first rule, which satisfies the specified conditions. All other rules are ignored. For example, if rule # 1 applies for all outgoing faxes ('Fax Number' = .*; 'Account' = .*; 'OK' = yes; 'Failed' = yes), then other rules # 2, # 3, etc. applied to outgoing faxes never be able to work under any conditions.

Every rule can be enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified recipient's fax number or fax account.

To print outgoing fax to the specified printer, you must:

  • Configure the Windows Fax Service to send faxes using Fax Voip Line device(s)
  • Create one or more rules, where you should specify printers

Outgoing fax can be routed to one or more printers.

The maximum supported number of Print rules is specified by the current license. The rules that can not be used in the current configuration of the program are always highlighted in red and ignored.

To view Print outgoing fax routing method log, use Enable Outgoing Routing Methods debug logging option, see more details in the Outgoing Routing Methods Logs chapter of this user manual.

Print outgoing faxes table contains the following information:

Rule

Unique number of the current rule.

Fax Number

Specifies the recipient's fax number pattern for which the rule applies.

Account

Specifies the name of the computer user account (fax account) who submitted the fax job for which the current rule applies. The rule can be applied to single fax account or to all fax accounts.

OK

Specifies whether the rule applies for successfully sent faxes.

Failed

Specifies whether the rule applies for failed fax sending.

Enabled

Specifies whether outgoing fax printing enabled or disabled. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified recipient's fax number or fax account.

Printer

Displays printers for printing outgoing faxes.

The following commands are available in the Print Contextual Tab of the Ribbon:

Print Rules

New (Ctrl + N)

Click to create new Print rule.

Copy (Ctrl + C)

Click to create a copy of the selected Print rule. Can be useful when creating a large number of similar rules. To edit newly created rule, select it and use Edit command.

Edit (Ctrl + E)

Click to edit Print rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Print rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Action

Enable (Ctrl + B)

Click to enable the selected rule(s).

Disable (Ctrl + L)

Click to disable the selected rule(s). If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified recipient's fax number or fax account.

Move

Use the commands below to change preference order for different Print rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Print Contextual Tab are also available from the context menu of the list.

Notes

  • When using Print method, the printing is carried out on behalf of the SYSTEM user account. For this reason, the selected printer does not have to show any dialog boxes before printing.


To create or edit print routing rule

Creating or editing Print rules

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Print ››

1. Open Fax Voip FSP Control Panel.

2. Click Outgoing Methods in TreeView, then click Print.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Print Rule window in the General panel, specify the conditions under which this rule applies (in the Recipient Fax Number and User Name (Fax Account) sections). Specify whether the rule applies for successfully sent faxes or/and for failed fax sending. More details can be found in the chapter Print Routing Settings , General Settings section.

5. Switch to the Print panel.

6. In the Print panel, check After sending to print a fax to enable rule. in the Select Printers area, specify printers. The printer should be initially selected and then added to the Printer names list by using <Add> button. More details can be found in the chapter Print Routing Settings , Print settings section.

7. Click <OK> button to fix changes.

8. To change the preference order for Print outgoing fax routing method rules use Move Up and Move Down commands. One of the entries should be selected.

9. Click <Apply> button to save modified settings for Print rules. All the changes are applied immediately.


To manage print routing rules

Managing Print rules

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Print ››

1. Open Fax Voip FSP Control Panel.

2. Click Outgoing Methods in TreeView, then click Print.

3. To change the preference order for Print outgoing fax routing method rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. All the changes are applied immediately.


Print Routing Settings

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Print ››

This section provides information about settings, that you can do in the Print rule dialog.

  • General Settings
  • Print Settings


General Settings

General Settings (Print Routing)

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Print ›› Print Routing Settings ››

General Settings

Recipient Fax Number

The settings in this area allow to specify the recipient's fax number pattern for which the rule applies. The rule can be applied to outgoing faxes to any fax number, to a single fax number or to a group of fax numbers.

Fax Number =

If this option selected, the rule applies to outgoing faxes to any fax number or to a single fax number.

Select <any> to apply the rule to outgoing faxes to any fax number.

Enter fax number to apply the rule to outgoing faxes to this fax number only.

Fax Number starts with

If this option selected, the rule applies to outgoing faxes to the group of fax numbers with specified prefix.

User Name (Fax Account)

The settings in this area allow to select whether to apply the rule to single fax account or to all fax accounts.

Apply the rule for fax jobs submitted by any user

If this option selected, the rule applies to faxes submitted by any user.

User Name =

If this option selected, the rule applies only to faxes submitted by the specified user. The User Name (Fax Account) can be selected from the drop-down list. On Windows Server computer, fax users are listed in the Microsoft Fax Service Manager under Accounts. The information about fax users is stored in subkeys of the HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Fax\Accounts registry key.

Success or failure

The options in this area allow to specify whether to apply the rule for successfully sent faxes or/and for failed fax sending. At least one of these options must be selected.

Apply the rule for successfully sent faxes

If this option selected, the rule is applied in the case of successfull fax sending.

Apply the rule for failed fax sending

If this option selected, the rule is applied in the case of unsuccessfull fax sending.


Print Settings

Print Settings (Print Routing)

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Print ›› Print Routing Settings ››

Print Settings

After sending to print a fax

This option allows to enable or disable outgoing fax printing. To enable the rule, check this option. To disable the action of the rule, uncheck it. If the rule is disabled, Fax Voip FSP takes this rule into account (as in the case of enabled) but does not print faxes. This can be used to temporarily disable printing for specified recipient's fax number or fax account.

Select Printers

In this area, you can specify printers for printing outgoing faxes.

Before adding the printer, you should select it in the combobox.

Printer names

<Add>

Use this button to add printer to the list of printers. The printer should be initially selected in the combobox.

<Remove>

Use this button to remove printer from the list of printers.


Custom Routing

Custom routing for outgoing faxes

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ››

The Custom Routing Method allows you to easy add any routing functionality by using custom application that is started after sending a fax. The using of this method is not limited by the current licences.

This method provides software vendors with a flexible way to connect software applications that route outgoing fax through multiple routing methods. These routing methods can include, but are not limited to: printing faxes, storing faxes, converting fax graphic images to text files, delivering faxes in electronic mail attachments etc. The software vendor is responsible for developing functions of the method, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration.

When executing Custom Routing Method, the Fax Voip FSP Service starts the application, specified by the customer, after sending a fax. The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax file and other important parameters, such as Recipient Fax Number, TSID, CSID etc. and then do any necessary actions. The custom application must be terminated automatically after execution. The application is responsible for deleting the temporary copy of the outgoing fax (TIFF, PDF or SFF file) and the folder in which this file is placed. Custom Application is started using the Local System account, so the Local System account must have necessary access to files, folders and other objects with which your application works. See more details in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

Custom application that should be started after sending a fax

Here you can choose the application that will be started after sending a fax. You can browse to a preferred executable file or enter the file path. The example of the custom routing application (RouteOutCustom.exe) can be found in the Fax Voip FSP installation folder, usually C:\Program Files (x86)\FaxVoip FSP\RouteOutCustom.exe. See also in the Custom Application Sample chapter of this user manual.

Create temporary copy of the sent fax in the following format:

If you select this option, the method creates a temporary folder (subfolder in the %temp% folder for the Local System account) and copies the outgouing fax (TIFF, PDF or SFF file depending on your choice) into this folder. The temporary folder (%temp%) for the Local System account is usually C:\Windows\TEMP\. The path to the temporary fax file is passed to the custom application via FaxFileName command-line argument. The custom application is responsible for deleting the temporary fax file and the temporary folder in which this file is located. If this option is not checked, the method does not create the copy of the outgouing fax, but the custom application can still access the outgouing fax by using Fax Service API functions (based on Job ID parameter that is also passed via command line).

Enable custom routing

If you select this option, the Fax Voip FSP software applies the Custom Routing Method for all outgouing faxes sent using Fax Voip Line devices.


Custom Application Requirements

Custom Application Requirements (Developer's Guide)

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Custom Routing ››

The custom routing application, specified by the customer, is started by the Fax Voip FSP Service when executing Custom Routing Method, after sending a fax. The individual developer is responsible for developing this application, for creating graphical user interface (GUI) to configure the rules and other settings, and for storing the configuration. The application functions can include, but are not limited to: printing faxes, storing faxes, converting fax graphic images to text files, delivering faxes in electronic mail attachments etc.

Below are the general requirements that must be taken into account by the software vendor when writing the custom application.

Command-Line Arguments

The command line passed to an application is predefined and contains all the necessary information. The developer of the custom application can parse the command line in his application to obtain the path to the fax file and other important parameters, such as Recipient Fax Number, TSID, CSID etc.

The following is an example of the command-line arguments passed to your application:

/@@@FaxFileName=C:\WINDOWS\TEMP\201d656403e9a8c_oc\FAX.pdf

/@@@RecipientFaxNumber=19012223344 /@@@RecipientName=John Smith

/@@@SenderName=Dan Black /@@@SenderFaxNumber=(631) 490-2023

/@@@SenderTSID=(631) 490-2023 FAX /@@@SenderEmail=Dan@t38faxvoip.com

/@@@SenderCompany=FaxVoip Software, LLC /@@@SenderDepartment=Sales

/@@@SenderTitle=Sales Manager /@@@SenderOfficeLocation=14

/@@@SenderHomePhone=(425) 686-1097 /@@@SenderOfficePhone=(631) 490-1288

/@@@SenderAddress=324 6th Avenue\n10014 New York\nUSA /@@@SenderBillingCode=015

/@@@DocumentName=invoice07_10_20_003.pdf;Information.txt /@@@HasCoverPage=1

/@@@Subject=This is the subject line on the cover page of the fax.

/@@@PagesTotal=4 /@@@TiffSize=132386

/@@@CSID=(901) 222-3344 /@@@TSID=Fax Voip FSP /@@@Priority=1

/@@@SubmissionTime=07.10.2020@01:28:18 /@@@OriginalScheduledTime=07.10.2020@01:28:18

/@@@StartTime=07.10.2020@01:32:49 /@@@EndTime=07.10.2020@01:36:14 /@@@Duration=00:03:25

/@@@Retries=0 /@@@PagesTransferred=4 /@@@DeviceName=Fax Voip Line 0

/@@@Status=OK /@@@JobId=201d656bff5f86f /@@@BroadcastId=2001d656bff5f75e

/@@@FaxAccount=SERVER\Administrator

Command line arguments match to the elements of the following objects: FaxOutgoingJob , FaxOutgoingMessage , FaxRecipient , FaxSender , see Fax Service Extended COM Reference documentation.

/@@@FaxFileName=

The temporary copy of the fax file (TIFF, PDF or SFF file depending on your choice) associated with outgoing fax document. This file and the temporary folder in which it is located (subfolder in the %temp% folder for Local System account) should be deleted in custom routing application after applying necessary actions. If the Create temporary copy of the sent fax in the following format option is unchecked, this argument is missing in the command line. See also in the Custom routing for outgoing faxes chapter of this user manual.

/@@@RecipientFaxNumber=

The fax number of the recipient.

/@@@RecipientName=

The name of the recipient. Can be displayed on the cover page.

/@@@SenderName=

The name of the sender.

/@@@SenderFaxNumber=

The fax number associated with the sender.

/@@@SenderTSID=

The transmitting station identifier (TSID) for the sender's device, specified in the Sender Information . Displayed at the top of each faxed page. Note that depending on the fax server settings, it may be different from the actually transmitted TSID, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual. See also the description of TSID command-line argument.

/@@@SenderEmail=

E-mail address associated with the sender. If the fax is generated by the Mail to Fax function, this is the sender's e-mail address extracted from the e-mail message.

/@@@SenderCompany=

The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline).

/@@@SenderDepartment=

The department name associated with the sender.

/@@@SenderTitle=

The title associated with the sender.

/@@@SenderOfficeLocation=

The office location of the sender.

/@@@SenderHomePhone=

The home telephone number associated with the sender.

/@@@SenderOfficePhone=

The office telephone number associated with the sender.

/@@@SenderAddress=

The street address associated with the sender. Usually includes the city, state, zip code (postal code) and country/region for the sender. To indicate wrap lines, the '\n' character is used.

/@@@SenderBillingCode=

The billing code associated with the sender.

/@@@DocumentName=

The user-friendly name to display for the fax document. If the fax is generated by the Mail to Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are separated by a semicolon. When sending a fax consisting only of a cover page, replaced with an empty string. When sending a fax in the usual way (from the Windows Fax and Scan software), can be constantly replaced by the pointless string (e. g. 'Test Fax'), due to errors in the Microsoft Fax software.

/@@@HasCoverPage=

Indicates whether the fax has a cover page. Can be one of the following values: 1 - has a cover page, 0 - no cover page.

/@@@Subject=

Contains the contents of the subject field on the cover page of the fax.

/@@@PagesTotal=

The total number of pages in the outbound fax.

/@@@TiffSize=

The size, in bytes, of the Tagged Image File Format Class F (TIFF Class F) file associated with the outbound fax.

/@@@CSID=

The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.

/@@@TSID=

The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as SenderTSID, or it is specified by the settings of the fax device that was used for fax transmission.

/@@@Priority=

Priority used when sending the fax. Can be one of the following values: 0 - low, 1 - normal, 2 - high.

/@@@SubmissionTime=

The time that the outgoing fax was submitted for processing. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@OriginalScheduledTime=

The time that the fax was originally scheduled for transmission. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@StartTime=

The time that the outgoing fax began transmitting. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@EndTime=

The time that the outgoing fax completed transmission. The format of this string is 'mm.dd.yyyy@hh:mm:ss'.

/@@@Duration=

Represents the total time that elapses between the beginning of fax transmission and the end of fax transmission. The format of this string is 'hh:mm:ss'.

/@@@Retries=

In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.

/@@@PagesTransferred=

The number of successfully sent fax pages.

/@@@DeviceName=

Specifies the name of the device on which the fax message was transmitted.

/@@@Status=

Operation completion code. Example: OK (in the case of a successful fax sending), NO_ANSWER, BUSY.

/@@@JobId=

The unique identifier for the outgoing fax.

/@@@BroadcastId=

The unique identifier assigned to the fax job during the submission process. When you submit a fax to be sent to more than one recipient, separate fax jobs will be created, but as part of the same fax broadcast, they will share the same Broadcast ID.

/@@@FaxAccount=

The name of the computer user account (fax account) who submitted the fax job.

Temporary copy of the sent fax

If the Create temporary copy of the sent fax in the following format option is checked (see in the Custom routing for outgoing faxes chapter of this user manual), the Custom Routing Method creates a temporary folder and copies the outgoing fax (TIFF, PDF or SFF file depending on your choice) into this folder. The temporary folder is created in the %temp% folder for the Local System account. The path to the temporary fax file is passed to the custom application via FaxFileName command-line argument, see above.

For example,

/@@@FaxFileName=C:\WINDOWS\TEMP\201d656403e9a8c_oc\FAX.pdf

The path to the fax file (PDF format) is:

C:\WINDOWS\TEMP\201d656403e9a8c_oc\FAX.pdf

The path to the temporary folder is:

C:\WINDOWS\TEMP\201d656403e9a8c_oc\

The temporary folder in which fax file (FAX.tif, FAX.pdf or FAX.sff) is placed can be used by your custom routing application to store temporary files that your application generates.

The custom application is responsible for deleting the temporary fax file and the temporary folder in which this file is located. You must permanently delete the temporary folder in your application after you perform all the necessary actions.

If the Create temporary copy of the sent fax in the following format option is not checked, the Custom Routing Method does not create the copy of the outgoing fax, but the custom application can still access the outgoing fax by using Fax Service API functions (based on JobId parameter that is also passed via command line).

Running under Local System account

The custom application is started in the context of the Fax Voip FSP Service using the Local System account, so the Local System account must have necessary access to files, folders and other objects with which your application works.

Terminating the application

The Custom Routing Method executes the custom routing application in the separated thread by calling the CreateProcess function . The Fax Voip FSP Service does not monitor the application after it is started and does not guarantee its correct completion. The developer of the custom routing application is responsible for the correct automatic termination of the application after execution.


Custom Application Sample

Fax Voip FSP Control Panel ›› Outgoing Fax Routing Methods ›› Custom Routing ››

The example of the custom routing application (RouteOutCustom.exe) can be found in the Fax Voip FSP installation folder, usually C:\Program Files (x86)\FaxVoip FSP\RouteOutCustom.exe.

The source codes (RouteOutCustom.zip archive) can be found in the Fax Voip FSP data folder, usually C:\ProgramData\FaxVoip FSP\Samples\RouteOutCustom.zip. To unpack the archive, right click it and then select Extract All... from the context menu.

The code example is a console application written in Visual Basic .Net and can be compiled using Microsoft Visual Studio 2013 or later versions.

This sample demonstrates the use of a custom routing method for outgoing faxes, taking into account the requirements for writing such application, see also in the Custom Application Requirements (Developer's Guide) chapter of this user manual.

  • The application parses the predefined command line and populates the internal structure where it stores path to the temporary fax file (TIFF, PDF or SFF) and other routing info parameters, such as Recipient Fax Number, TSID, CSID etc.
  • Writes the routing info into standard ini file.
  • Copies the temporary TIFF, PDF or SFF file to the specified folder with an unique name that contains the date and time the fax was sent.
  • Before the application finishes, it deletes the temporary folder and the temporary fax file placed in this folder.
  • The application provides automatic completion after performing all necessary actions.
  • The application uses folders and files for which Local System account definitely has write access.

To use the sample

1. Copy the RouteOutCustom.exe file into the Fax Voip FSP installation folder. You can use a different folder, but make sure that the Local System account has access to your folder.

2. Open Fax Voip FSP Control Panel. Click Outgoing Methods in TreeView, then click Custom.

3. On the Custom routing for outgoing faxes page, select the Enable custom routing check box.

4. In the Custom application that should be started after sending a fax field, enter the path to RouteOutCustom.exe file or select it using the small button placed to the right of the field.

5. Select the Create temporary copy of the sent fax in the following format check box. Select the file format in which the temporary copy of the outgoing fax should be created. Can be TIFF, PDF or SFF.

6. Click <Apply> button to save changes.

After sending a fax,

1. Open the Fax Voip FSP data folder in Windows Explorer, usually C:\ProgramData\FaxVoip FSP\.

2. Check the RouteOutCustom subfolder for RouteOutCustom.ini file.

3. Check the RouteOutCustom\Outgoing Faxes subfolder for copy of the outgoing fax.

4. The RouteOutCustom.txt log file is stored in the log subfolder.


Fax

Fax Voip FSP Control Panel ››

  • Fax Settings
  • Intelligent fax retransmission
  • Dialing Rules
  • Fax Timeouts
  • Convert to Fax Settings
  • Printto Options
  • Fax Viewer Settings


Fax Settings

Fax Voip FSP Control Panel ›› Fax ››

Fax Voip FSP uses Windows Fax Service and Windows Fax and Scan application to send and receive faxes.

Click to launch Windows Fax and Scan

Launches the Windows Fax and Scan application.

Click to start Fax Service Manager

Opens the Microsoft Fax Service Manager. Only available on server operating systems, such as Windows Server 2022.

Click to show Fax Printer Properties

Click to view fax printer properties.

Click to create a new fax

Creating a new fax to be sent to one or more recipients. Any printable document can be sent as a fax.

Click to send test fax page

Click to create and send test fax page using Fax printer.

Notes

  • For more information about configuring Windows Fax Service, see Windows Fax Service .
  • For more information about sending and receiving faxes, see Sending and Receiving Faxes .


Intelligent fax retransmission

Fax Voip FSP Control Panel ›› Fax ››

The intelligent fax retransmission system is implemented in Fax Voip FSP software. Briefly, when retrying, the fax transmission is started commencing with the first page that was not successfully transmitted to avoid having to resend pages that have already been completed.

A problem with some fax systems is "dropped" or incomplete transmissions due to poor phone line connections, which in part is caused by the growth of VoIP (Voice over Internet). Fax transmissions that were originally designed around the PSTN (Public Switched Telephone Network) have more difficulty completing transmissions and often require several retries to complete in the VOIP environment. Also as the number of pages increases, the chances of successful transmissions decrease. Also, there is no page counting system in the fax protocol, so that a 100 page fax that cannot complete after 90 pages will start anew at page 1 the next attempt. This system results in confusion for the recipient that receives multiple copies of some pages, is not sure when the fax is complete, and also results in continued and longer transmissions rather than sending only the remaining missing pages.

The intelligent fax retransmission system allows you to deliver the completed fax faster than previously accomplished and to reduce the telephony and computing resources used by the fax service by, in the case of incomplete transmissions, only sending the remaining pages of an incomplete facsimile document, rather than the entire document including the pages that were already transmitted.

Fax Voip FSP counts the pages in the facsimile image being sent and monitors the count of pages successfully and not successfully transmitted. In case of unsuccessful fax transmission, the Fax Voip FSP stores the number of successfully transmitted pages and the unique identifier for the outbound fax job (assigned by the fax server) in its internal collection. When the fax server restarts the job, Fax Voip FSP uses this information and starts sending from the first page that was not successfully transmitted, and not from the first page of the fax.

When retrying, send a fax commencing with the first page that was not successfully transmitted to avoid having to resend pages that have already been completed.

Check this option to resend only the remaining pages of an incomplete facsimile document, rather than the entire document including the pages that were already transmitted.

Click for more info

Click to read about Intelligent fax retransmission (current chapter).

When using intelligent fax retransmission functionality, please take note of the following:

  • Fax Voip FSP stores information about failed fax transmissions and the number of successfully transmitted pages in its internal collection. In the current implementation, this information is not stored anywhere on your hard drive or in the external database and will be lost if the Fax Voip FSP Service is restarted. After restarting the service, any fax to be retransmitted will be sent commencing with the first fax page.
  • To collect information about the number of successfully transmitted fax pages and properly associate this information with the unique identifier for the outbound fax job, the Fax Voip FSP Service (running under the local system account) should have View outgoing fax jobs access permission to fax server, see below.
  • To use intelligent fax retransmission functionality in Windows 7 or Windows Server 2008R2, you should manually install the hotfix (KB2535158) provided by Microsoft, see below.

To configure number of fax retries and interval between them (Windows 11)

1. Select Windows Fax and Scan command from the Fax Voip FSP tray icon menu or click Windows Fax and Scan in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In Windows Fax and Scan, on the Tools menu, click Fax Settings....

3. In the Fax Settings window, on the Advanced page, in the Re-dialing area, in the Number of attempts box, specify the maximum number of transmission retries (0-99) before the fax receives a Retries exceeded status. In the Retry after box, specify the number of minutes (0-999) between the end of the last failed transmission and the next retry. Click Apply.

To configure number of fax retries and interval between them (Windows Server 2022)

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip FSP tray icon menu or click Fax Service Manager in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, on the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Outbox page, in the Fax transmissions area, in the Number of retries box, specify the maximum number of transmission retries (0-99) before the fax receives a Retries exceeded status. In the Retry after box, specify the number of minutes (0-999) between the end of the last failed transmission and the next retry. Click Apply.

Providing access to outgoing fax jobs for Fax Voip FSP service (SYSTEM account)

To collect information about the number of successfully transmitted fax pages and properly associate this information with the unique identifier for the outbound fax job, the Fax Voip FSP Service (running under the local system account) should have View outgoing fax jobs access permission to fax server. Normally, this is automatically configured when installing Fax Voip FSP, see also Register the Fax Service Provider . To manually configure permissions, do the following:

1. In Windows 11, in Windows Fax and Scan, on the Tools menu, click Fax Settings..., and then switch to Security page. In Windows Server 2022, in the Microsoft Fax Service Manager, on the left pane right click on the Fax; on the context menu, click Properties; in the Fax (Local) Properties window switch to Security page.

2. On the Security page, click Advanced.

3. In the Advanced Security Settings for Fax window, select SYSTEM permission entry and click Edit. If the SYSTEM permission entry does not exist, click Add, click Select a principal, type SYSTEM, click Check Names, click OK.

4. In the Permission Entry for Fax window, click Show advanced permissions. Check View outgoing fax jobs. Click OK. See picture below.

5. In the Advanced Security Settings for Fax window, click OK.

Troubleshooting in Windows 7 and Windows Server 2008R2 (applying hotfix from Microsoft)

On a computer that is running Windows 7 or Windows Server 2008R2, the intelligent fax retransmission functionality usually does not work by default. This is because the Fax Voip FSP Service (running under the local system account) that uses the Fax Service Extended COM API can not enumerate the fax jobs of the other user accounts. This issue occurs even when local system account has necessary permissions to enumerate the fax jobs of all users (View outgoing fax jobs access permission), see above. The problem is described in the following article on the Microsoft website:

https://support.microsoft.com/en-us/help/2535158/an-application-that-uses-the-fax-service-extended-com-api-only-enumera

To fix the problem, you should manually install the hotfix (KB2535158) provided by Microsoft. Unfortunately, this hotfix is ​​no longer available for downloading from the Microsoft website. You can find the required installation packages (both 64-bit and 32-bit) in the Fax Voip FSP installation folder, most likely the path will be as follows: C:\Program Files (x86)\FaxVoip FSP\FixJobEnum_Win7_2008R2\. Alternatively, you can download the required installation package from the Fax Voip website.

To fix the problem in Windows 7 64-bit or Windows Server 2008R2, please download and install the following package:

https://www.t38faxvoip.com/downloads/Windows6.1-KB2535158-x64.zip

To fix the problem in Windows 7 32-bit, please download and install the following package:

https://www.t38faxvoip.com/downloads/Windows6.1-KB2535158-x86.zip

After applying the fix, you must restart your computer.


Dialing Rules

Dialing Rules (Microsoft Telephony)

Fax Voip FSP Control Panel ›› Fax ››

Dialing rules provided by Windows Telephony API (TAPI) are used by Windows Fax Service and Windows Fax and Scan software when translating fax numbers entered in canonical format.

The canonical format is a universal phone number format that explicitly identifies the components of a phone number, which TAPI translates according to a country or region's dialing rules. The canonical address format is:

+Country/RegionCode (AreaCode) SubscriberNumber

+

Indicates that the number is in canonical format.

Country/RegionCode

The standard country/region code that identifies the country or region for a phone number. This contains one or more digits from 0 through 9. The country/region code is delimited by the space that follows it.

(AreaCode)

The area or city code for the phone number. This may contain one or more digits from 0 through 9. The area or city code is delimited by parentheses. This component is omitted for countries/regions that do not use area or city codes.

(SubscriberNumber)

The number for a phone subscriber. This usually contains one or more digits from 0 to 9 and formatting characters.

For example, this is how you would enter a number for a subscriber in the United States of America in canonical phone number format:

+1 (425) 123-4567

When you select a specific rule in the New Fax window in Windows Fax and Scan software, the dialing rules is applied at the time of creating a fax job. In this case, the dialing string is also generated at the time of creating a fax job and cannot be changed later. The fax number in Windows Fax and Scan is displayed using formatting characters (spaces and dashes).

When you select (None) in Dialing rule field in the New Fax window in Windows Fax and Scan software, or when creating a fax using Fax Service API, the dialing rules are not applied at the time of creating a fax job and the fax number in Windows Fax and Scan is displayed without changes, in the same format as it was entered. In this case, the default dialing rules (associated with the location selected in the Phone and Modem options in Windows Control Panel) will be applied at the time of dialing the fax number.

In the case of non-canonical fax number, it is dialed and displayed without changes, in the same format as it was entered.

On this page you can configure dialing rules and see how fax number will be translated into dialing string and how it will be displayed in Windows Fax and Scan software.

Dialing Rule

Select the dialing rule (location). Similar to choosing a rule in the New Fax window in Windows Fax and Scan software.

(None)

The dialing rules are not applied at the time of creating a fax job. The default dialing rules (associated with the location selected in the Phone and Modem options in Windows Control Panel) will be applied at the time of dialing the fax number.

<specific rule>

The selected dialing rules is applied at the time of creating a fax job.

New rule...

Select this option to configure dialing rules (Phone and Modem options in Windows Control Panel). For more information, see Dialing Rules Overview .

Location name

The name of the location that is used to convert the number.

Country/Region

The country or region associated with the location to be used.

City/Area Code

The area or city code associated with the location to be used.

Calling Card

The calling card associated with the location to be used. Calling card information is ignored if (None) is selected and the default rule is applied at the time of dialing number.

<Set as Current>

Click to use the selected location as default (associated with the location selected in the Phone and Modem options in Windows Control Panel).

<Configure Rules>

Click to configure dialing rules (Phone and Modem options in Windows Control Panel). For more information, see Dialing Rules Overview .

Fax Number

In this box you can enter a fax number to see how it will be translated into dialing string and how it will be displayed in Windows Fax and Scan software.

Displayable String

The recipient's fax number displayed in Windows Fax and Scan software. May contain formatting characters (spaces and dashes).

Dialing String

The fax number as it will be dialed after applying the dialing rules. The error message usually indicates that the original fax number is not in the correct format.

Destanation Country

Destination country/region of the translated fax number.

Notes

  • Dialing rules provided by TAPI do not always match the dialing rules that are required by your VoIP/SIP network. For example, the dialing string may contain special characters such as 'W', ',', '#' etc. For additional translation of the fax number, use Outgoing VOIP Call Routing rules.
  • Dialing rules are not applied when using fax numbers in non-canonical format.
  • For more information on using dialing rules, see Dialing Rules Overview chapter of this user manual.


Dialing Rules Overview

Fax Voip FSP Control Panel ›› Fax ›› Dialing Rules ››

Telephony API (TAPI) allows you to configure dialing rules for all telephony programs. If you run a TAPI-supported program before configuring dialing (for example, when trying to send a fax using Windows Fax and Scan software), the program normally prompts you for the minimum information required for dialing. You are required to select your country/region and enter your city/area code. Tone dialing is set by default and should be enabled for most telephone services.

To completely configure dialing rules on a computer, use Phone and Modem options in Windows Control Panel, as described below.

Dial locations

A dial location is the set of parameters that is used to analyze telephone numbers and determine the correct sequence of numbers to dial. You can create as many dial locations as you need for different dialing requirements.

A dial location can correspond to an actual geographic location, such as an office or hotel room, where you need to include codes for dialing outside of the company or building. If your work takes you to different cities, countries, or regions, you can create a dial location for each area, city, or country/region code.

A dial location can also be created for dialing rules that are not necessarily associated with a geographic location. For example, you can create different dialing rules for different purposes.

Dial location information includes:

  • Name
  • Country or region
  • Area (or city) code
  • Dialing rules
  • Area code rules
  • Calling card information

Naming and using dial locations

Dial locations can be named anything that is helpful for remembering them later. The default dial location is the location selected in the Phone and Modem dialog box. Many telephony programs (in particular Windows Fax and Scan software) allow you to select a different dial location before dialing. When a telephony program dials a long distance number, it uses the dialing information provided by the selected dial location to complete the connection.

The available dial locations are listed on the Dialing Rules tab of Phone and Modem options in Windows Control Panel. On this tab, you can select the default dial location, create a new dial location, or edit any existing dial location.

To open Phone and Modem dialog box, switch to Search pane, type phone and modem, and then click Phone and Modem. Alternatively, you can select Fax -> Dialing Rules in the Fax Voip FSP Control Panel , in TreeView, and then click <Configure Rules> button, see also in the Dialing Rules (Microsoft Telephony) chapter of this user manual.

To create a new dial location, click New... . If you want to edit an existing dial location, select it and then click Edit... .

General dial location rules

General dial location rules specify the name of a location, the country or region, and the local area code. Tone dialing is set by default and should be enabled for most telephone services. The default rules for dialing local, long distance, and international calls are determined by the country or region that you have selected.

Area code rules

Area code rules enable you to change the dialing patterns for calls to numbers in the same country or region. The default area code rule for numbers in another area code often requires the program to dial the long distance operator, the area or city code, and then the phone number. For numbers in the same area code, the program dials only the subscriber's phone number.

To create a new area code rule, click New... . If you want to edit an existing rule, select it and then click Edit... .

In the example below, we add the long distance operator '1' and the area code before the number for calls within the same '631' area code.

Calling cards

A dial location can use calling card information to specify a long distance operator or international operator different from the default operator for a country or region. Regarding the Windows Fax Service software (launched under network service account), it should be understood that calling card information is tied to the current user account and is ignored if the default dialing rule is applied at the time of dialing fax number.


Fax Timeouts

Fax Voip FSP Control Panel ›› Fax ››

Using Fax Timeouts options allows the Fax Voip FSP to forcibly terminate the VoIP phone call and free up fax resources (Fax Voip Line virtual devices).

In a normal scenario, Fax Voip FSP automatically ends the call after successful transmission or reception of a fax, as well as in case of receiving final statistics on unsuccessful transmission or reception of a fax from the fax module. The call also ends (and the fax resources are released) when the remote party hangs up. Correct call termination is also provided by a set of internal timeouts in the low-level Fax Voip FSP codes. In practice, due to various reasons (the remote party did not hang up, errors in SIP signaling), it is rare, but possible situations when the call does not end within a reasonable time. Using the Fax Timeouts options below guarantees the call termination in any case and helps to avoid stuck calls.

Fax Transmission (Outgoing Calls)

The timeout options below are applied to the outgoing faxes:

Wait for call answer no more than ... seconds

Specifies how long Fax Voip FSP should wait for call answer before timing out. Default timeout: 90 seconds. Can vary from 10 to 180 seconds. Note that telephone system usually terminates a call if it is not answered within 60-90 seconds.

Time to establish connection with a fax, no more than ... seconds

The maximum time to wait for the start of fax transmission. Time reckoning starts with the remote party answer detection and ends when the first page of the fax begins to be transmitted. Default timeout: 90 seconds. Can vary from 10 to 180 seconds.

Transmit each fax page no more than ... minutes

The maximum transmission time for one page of a fax. Default timeout: 15 minutes. Can vary from 5 to 90 minutes. Note that the actual transmission time of fax page depends on many factors: page content, fax bitrate, using of Error Correction Mode (ECM) etc.

Maximum outgoing call duration ... minutes

The maximum duration of an outgoing call. Default timeout: 60 minutes. Can vary from 5 to 90 minutes. Note that many telephone service providers forcibly terminate any call after 30-90 minutes.

Fax Reception (Incoming Calls)

The timeout options below are applied to the incoming faxes:

Time to establish connection with a fax, no more than ... seconds

The maximum time to wait for the start of fax reception. Time reckoning starts when an incoming call is answered and ends when the first page of the fax begins to be received. Default timeout: 90 seconds. Can vary from 10 to 180 seconds.

Receive each fax page no more than ... minutes

The maximum time to receive one page of a fax. Default timeout: 15 minutes. Can vary from 5 to 90 minutes. Note that the actual transmission time of fax page depends on many factors: page content, fax bitrate, using of Error Correction Mode (ECM) etc.

Maximum incoming call duration ... minutes

The maximum duration of an incoming call. Default timeout: 60 minutes. Can vary from 5 to 90 minutes. Note that many telephone service providers forcibly terminate any call after 30-90 minutes.


Convert to Fax

Convert to Fax Settings

Fax Voip FSP Control Panel ›› Fax ››

Direct Converting to Fax feature allows to convert some of the most popular graphics file formats into compatible fax format (TIFF). In Fax Voip FSP software this feature is used with Mail to Fax function and when sending a fax using SendFax.exe command line tool .

In the case of using Direct Converting to Fax, installing the application associated with the required file extension is not necessary. Please note, that due to design of the Windows Fax Service software, the background printing is used in any case. But In the case of using Direct Converting to Fax, the temporary TIFF file (the result of direct converting) will be printed instead of original document (e.g. PDF).

Currently supported file formats (can be converted to fax directly):

*.pdf (Adobe PDF file) (default)

*.tif, *.tiff (TIFF Image) (default)

*.sff (Structured Fax File) (default)

*.qfx (Ventafax QFX File) (default)

*.bmp (Bitmap Image)

*.jpg, *.jpeg (JPEG Image)

*.gif (GIF Image)

*.png (PNG Image)

*.ico (Icon)

*.wmf, *.emf (Windows Meta File)

The most frequent problem that can be solved with the help of Direct Converting to Fax is the possibility to use PDF attachments with Mail to Fax function. Installation of Adobe Reader as well as Acrobat Wrapper are not required. No need to do complicated settings to do Mail to Fax working with PDF attachments.

Select file types to be converted to fax format directly

This table contains a list of file types that can be converted into fax format directly. If the file type is selected, the Direct Converting procedure will be applied to all files of this type. If the file type is not selected, the file will be printed using Fax printer and application associated with this file type in your system. All other file types not listed in the table are always printed using Fax printer and the associated application.

TIFF options

The settings below allow you to specify the fax format (output TIFF file) created as a result of Direct Converting.

Auto Rotate

This parameter controls the automatic orientation selection algorithm. If this option is selected and the original document is in landscape orientation, the document will be rotated 90 degrees clockwise when converting into fax format. If this option is not selected, the original orientation will be preserved. This option can be ignored depending on the fax printer settings.

A4 page

Check this option to send A4 page fax. If this option selected, Fax Voip FSP sets the page width to 1728 and the page height in the range of 1100...1210 (204x98 dpi) or in the range of 2200...2420 (204x196 dpi). If this option not selected, Fax Voip FSP does not control the page height. This option can be ignored depending on the fax printer settings.

HALFTONE Effect

Halftone is the reprographic technique that simulates continuous tone imagery through the use of dots, varying either in size, in shape or in spacing. You need to use this option when converting color documents to fax. If this option is not selected, the color image converted to black and white fax format, will be of very low quality. It should be noted that in the case of direct converting the default Windows settings are used when HALFTONE function applies. For this reason, if the fax is created from a color document and HALFTONE effect option selected, the time of transmittion will be large enough. Fax, created using the Fax printer (the same color document) has acceptable quality and is transmitted much faster. Note also that in the case of Direct Converting of PDF files containing color images, this option is ignored, a HALFTONE effect is always applied, the time of fax transmission is not very large and the quality of fax is acceptable.

The results of applying different combinations of the above options are shown in the picture below:

Notes

  • The Direct Converting to Fax function not applied if user prints a document using the Fax printer.
  • It’s recommended to use Direct Converting to Fax function with PDF files, especially if you use Mail to Fax function and PDF attachments .


Printto Options

Fax Voip FSP Control Panel ›› Fax ››

The standard printto verbs are used by Windows to associate file extension with application responsible for printing of files with given extension. For example, to print text document (*.txt) notepad.exe application usually used. To print files with .doc and .rtf extensions Microsoft Word is used. Printing PDF is usually associated with Acrobat Reader etc... To print files in different graphics formats shimgvw.dll system library or Paint application typically used.

Windows Fax and Scan and Fax Voip FSP applications use printto functionality in the following cases:

  • When creating a fax using the New Fax command in Windows Fax and Scan and then adding document by selecting Insert -> File Attachment... .
  • When selecting Send to -> Fax recipient command from the context menu of the file in Windows Explorer.
  • When creating a fax using the New Fax command in the Fax Voip FSP Control Panel or by using Send a fax command from the context menu associated with Fax Voip FSP icon in the system tray.
  • When using Mail to Fax function ( FaxDocument.ConnectedSubmit and FaxDocument.ConnectedSubmit2 methods, Fax Service API)
  • When sending a fax using SendFax.exe command line tool ( FaxDocument.ConnectedSubmit and FaxDocument.ConnectedSubmit2 methods, Fax Service API)

The described printto functionality is very useful, but it depends on the applications installed on the system and the settings made ​​by the user. Lack of correct file associations leads to inoperability of the above functions with certain file extensions. Even in the case of well-known extensions, the file association can be corrupted when you install new application. Starting with Windows Vista not possible to configure printto file associations via user interface. In Windows 11, Windows 10 and Windows 8 / 8.1 the default associations do not allow the use printto with most of file extensions. In Windows Server OS this problem is not present because new Windows Store apps is not installed by default.

The function described in this chapter restores correct file associations for standard file types, and also solves some other printing problems.

Note, that in Windows 11 and Windows 10 the function described in this chapter not always resolves all the issues and the file associations should be assigned manually, see To manually fix file associations in Windows 11 and Windows 10 chapter of this user manual.

Printto options

Click to read how to manually fix file associations in Windows 11 and Windows 10

Click to open To manually fix file associations in Windows 11 and Windows 10 chapter of this user manual. The chapter contains information important for Windows 11 and Windows 10 users. The information may also be useful for users of other operating systems, such as Windows 8/8.1 or Windows Server 2022/2019/2016/2012/2012R2.

<Repair ‘printto’ verbs>

Use this button to fix standard printto file associations and solve some other printing problems. To use this option, administrator privileges are usually required. Administrator rights are requested only when necessary.

Depending on the operating system, the function solves the following issues:

On Windows 11 / 10 / 8 / 8.1 64-bit and Windows Server 2019 / 2016 / 2012 / 2012R2

Fixes printing from windows service. Well-known bug. The application does not see printers. In the case of calling FaxDocument.ConnectedSubmit2 method (Fax Service API) application hangs. In other cases the printing fails. Critical when running Mail to Fax function as Windows Service .

On all operating systems

Repairs standard ‘printto’ verbs for standard ProgID classes. The currently supported ProgID classes are: txtfile, giffile, jpegfile, pjpegfile, pjpegfile, pngfile, TIFImage.Document, wdpfile, PBrush, emffile, rlefile, wmffile, Paint.Picture, icofile.

On all operating systems

Repairs standard ‘printto’ verbs for standard file extensions under current user account. The currently supported file extensions are: *.txt, *.bmp, *.dib, *.emf, *.gif, *.ico, *.jfif, *.jpe, *.jpeg, *.jpg, *.jxr, *.png, *.rle, *.tif, *.tiff, *.wdp, *.wmf. In Windows 11 and Windows 10 the file associations should be assigned manually, see To manually fix file associations in Windows 11 and Windows 10 chapter of this user manual.

Notes

  • The Repair ‘printto’ verbs function is always performed during Fax Voip FSP program installation. However, at the time of installation the function is initially executed with administrator privileges, ie excluding the settings of the current user. We recommend that you run this function after Fax Voip FSP installation, and in the case of problems with printing.
  • The log file printto_fix.txt is always stored in the {CommonAppDataFolder}\FaxVoip FSP\log folder, where {CommonAppDataFolder} is the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.
  • For Windows 11 and Windows 10 users, see also To manually fix file associations in Windows 11 and Windows 10 chapter of this user manual.


To manually fix file associations in Windows 11 and Windows 10

Fax Voip FSP Control Panel ›› Fax ›› Printto Options ››

In Windows 11 and Windows 10, the applying of Repair ‘printto’ verbs function unfortunately is not enough to fully resolve the problems with printing (printto function). The mechanism of assigning the file associations once again changed in these operating systems. You need to manually assign the associations of file types with specific applications.

The file associations can be easily configured for the current user account. When running Mail to Fax function as Windows Service, configure service to use regular user account. See details in the Configure Mail to Fax system as Windows Service chapter of this user manual.

To configure file associations for the current user account

1. Right-click the Start button, and then click Settings.

2. In the Settings window click Apps, and then click Default apps.

3. On the Default apps page, click Choose defaults by file type.

4. Under Choose defaults by file type, make sure that file extension (e.g. .tif) is associated with the desired application. To change the default program, click the extension, and then select application to be used with selected file type (e.g. Windows Photo Viewer).

5. Open Fax Voip FSP Control Panel. Click Fax in TreeView, then click Fax Converter. Click Repair ‘printto’ verbs. (See also Printto Options chapter).

Recommended file associations

In the table below you will find the settings that we recommend for standard file type associations. You can assign other default programs, but correct operation of printto function is not guaranteed in this case.

Extension

Description

Default program

.bmp

Bitmap image

Paint

.dib

Bitmap image

Paint

.emf

EMF File

Paint

.gif

GIF File

Windows Photo Viewer

.ico

ICO File

Windows Photo Viewer

.jfif

JPEG image

Windows Photo Viewer

.jpe

JPEG image

Windows Photo Viewer

.jpeg

JPEG image

Windows Photo Viewer

.jpg

JPEG image

Windows Photo Viewer

.jxr

Windows Media Photo

Windows Photo Viewer

.png

PNG image

Windows Photo Viewer

.rle

RLE File

Paint

.tif

TIFF image

Windows Photo Viewer

.tiff

TIFF image

Windows Photo Viewer

.wdp

Windows Media Photo

Windows Photo Viewer

.wmf

WMF File

Paint

.txt

Text Document

Notepad

Notes

  • The method of assigning file associations, decribed in this chapter, can be used not only in Windows 11 and Windows 10 but also on other operating systems, such as Windows 8/8.1 or Windows Server 2022/2019/2016/2012/2012R2.
  • The described method can be also applied to other file types, that are not mentioned in the Recommended file associations list.


Fax Viewer

Fax Viewer Settings

Fax Voip FSP Control Panel ›› Fax ››

Open TIFF command

Here you can choose the TIFF viewer software that will be used to view faxes stored as TIFF files. You can browse to a preferred executable file or enter the file path. Standard options are: 1) explorer – to view TIFF files in the system explorer window according to your system settings. 2) rundll32 shimgvw.dll,ImageView_Fullscreen – to view TIFF files using Windows Photo Viewer.

Default

Use this button to reset Open TIFF command to default.

Notes

  • Currently, this setting specifies the application used to view the outgoing fax when you track it using the SendFax.exe utility. See Track fax job (GUI mode) , View command.


Send a Fax using SendFax.exe tool

Fax Voip FSP Control Panel ››

SendFax.exe is a command line utility that allows you to automatically create and track a fax job.

For more information about SendFax.exe and command line options, see SendFax.exe command line options .

To configure command line and then run SendFax.exe from the Fax Voip FSP Control Panel, see To Configure and Run SendFax.exe using Fax Voip FSP Control Panel .

For more information about Configure SendFax.exe options dialog box, see SendFax.exe options .

To track the fax job when starting the SendFax.exe in GUI mode, see Track fax job (GUI mode) .

To track the fax job when starting the SendFax.exe in console mode, see Track fax job (console mode) .

To view SendFax.exe logs, see SendFax.exe Logs .


SendFax.exe command line options

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ››

SendFax.exe is a command line utility that allows you to automatically create and track a fax job. Can be used in different scenarios, such as bat-files or in the custom applications. Helps to automate the process of fax sending.

SendFax.exe can be found in the Fax Voip FSP installation folder. This tool uses Fax Voip FSP libraries and should be placed in the Fax Voip FSP installation folder. You should not move SendFax.exe to other folder.

To generate a command line and test SendFax.exe, open Fax Voip FSP Control Panel, click Fax in the tree, and then click SendFax.exe, see in the To Configure and Run SendFax.exe using Fax Voip FSP Control Panel chapter of this user manual.

The example of usage with bat-file can be found in the following file: *{CommonAppDataFolder}\FaxVoip FSP\SendFax\Sample\SendFax_test.bat.

usage (GUI mode): SendFax.exe [options]

usage (console mode): SendFax_c.exe [options]

Fax Recipient options:

To specify single recipient, use /FaxNumber and /RecipientName options. To specify multiple recipients, use /RecipientList option.

/FaxNumber=value

The fax number of the person you want to send the fax to.

/RecipientName=value

The name of the person you want to send the fax to. Can be displayed on the cover page.

/RecipientList=value

The full path to the text file in which the list of fax recipients is stored. Each line corresponds to a single recipient. You can specify not only the fax number, but also the name of the recipient e.g. 3068811245<Robert>.

Fax Document options:

To send a single document, use /FileName option. To send multiple documents, use /FileList option. To send a fax consisting only of a cover page, skip these options and specify '/CoverPage=true'.

/FileName=value

The full path to the document to be sent as a fax.

/FileList=value

The full path to the text file in which the list of documents is stored. Each line corresponds to a single document. Full paths to the files should be specified.

/DocumentName=value

The user-friendly name to display for the fax document. Overrides the default value, which lists the original names of documents to be sent.

Cover Page options:

/CoverPage=value

Overrides the 'Include cover pages with faxes' option specified in the Cover Pages Settings (SendFax.exe) .

/CoverPage=true

Include cover page with fax. Required option when sending a fax consisting only of the cover page.

/CoverPage=false

Don't Include cover page with fax.

/CoverInfo=value

The full path to the custom ini-file that contains information for creating the cover page. Overrides the default Cover Pages Settings (SendFax.exe) and Sender Information Settings (SendFax.exe) .

The ini-file structure is as follows:

[Template]

Overrides the default cover page template. If the section does not exist, default template is used.

UseServerCoverPage=

1 - use common template; 0 - use personal template

CoverPageName=

Cover page name (confident, fyi, generic, urgent) or full path to the template file.

[Sender]

Overrides the default sender information. If the section does not exist, default values are used.

SdrName=

The name of the sender.

SdrFaxNumber=

Fax number associated with the sender.

SdrEmail=

The e-mail address associated with the sender. Can be overridden by the /SdrEmail option. The e-mail address can be processed by Mail to Fax function ( e-mail receipts to the specified address ).

SdrCompany=

The company name associated with the sender. Displayed at the top of each faxed page. Can be overridden by the /FaxHeader option.

SdrDepartment=

The department name associated with the sender.

SdrTitle=

The title associated with the sender.

SdrOfficeLocation=

The office location of the sender.

SdrHomePhone=

The home telephone number associated with the sender.

SdrOfficePhone=

The office telephone number.

SdrAddress=

The street address associated with the sender. To wrap lines, use '\n' character.

SdrBillingCode=

The billing code associated with the sender.

SdrTsid=

The transmitting station identifier (TSID) for the sender's device. Displayed at the top of each faxed page. Can be overridden by the /FaxStationID option.

[Content]

Overrides default cover page subject and note. If the section does not exist, default values are used.

CoverPageSubject=

The cover page subject.

CoverPageNote=

The cover page note. To wrap lines, use '\n' character.

Fax options (overrides):

/FaxStationID=value

The transmitting station identifier (TSID) for the sender's device. Displayed at the top of each faxed page. Overrides the TSID specified in the 'Sender Information', including the default Windows Fax Service settings.

/FaxHeader=value

Fax HeadLine string. Displayed at the top of each faxed page. Overrides the 'Company name' value, specified in the 'Sender Information', including the default Windows Fax Service settings.

/SdrEmail=value

The e-mail address associated with the sender. Overrides the e-mail address specified in the 'Sender Information', including the default Windows Fax Service settings. The e-mail address can be processed by Mail to Fax function ( e-mail receipts to the specified address ).

Schedule and Priority options:

/Priority=value

Specifies the priority to use when sending the fax.

/Priority=Low

The fax will be sent with a low priority.

/Priority=Normal

The fax will be sent with a normal priority (default).

/Priority=High

The fax will be sent with a high priority.

/Discount

Send the fax during the discount rate period.

/Schedule=value

Send the fax no sooner than the specified date and time. The date and time format should match the settings of your computer, e.g. 10.07.2019 22:15:30 If this option is not used or the date and time can not be recognized, the current date and time are used.

TIFF options (applied if only Direct Converting is used):

/AutoRotate=value

Overrides the default value specified in the Fax Converter settings .

/AutoRotate=true

Apply automatic orientation selection algorithm.

/AutoRotate=false

Don't use automatic orientation selection algorithm.

/A4Page=value

Overrides the default value specified in the Fax Converter settings .

/A4Page=true

Set the page width and height to A4 page format.

/A4Page=false

Do not control the page height.

/HALFTONE=value

Overrides the default value specified in the Fax Converter settings .

/HALFTONE=true

Apply HALFTONE Effect to the fax.

/HALFTONE=false

Don't apply HALFTONE Effect to the fax.

Converting options (forced modes):

/ForceDirectConvert

Create the fax using Direct Converting function. Fax Converter settings are ignored. Can be applied only with the following file types: pdf, tif(tiff), sff, qfx, bmp, jpg(jpeg), gif, png, ico, wmf(emf).

/ForcePrint

Create the fax using fax printer. Fax Converter settings are ignored. If printing fails, the utility will attempt to create the fax using Direct Converting function.

E-mail Delivery Receipts options (native):

Native E-mail Delivery Receipts are part of Windows Fax Service software and only available in Windows Server OS. This functionality does not support SSL when sending e-mails.

/EmailReceiptMS=value

Overrides the default value specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) .

/EmailReceiptMS=true

Send a delivery report through SMTP mail.

/EmailReceiptMS=false

Do not send a delivery report through SMTP mail.

/ReceiptAddressMS=value

The e-mail address to which the fax service should send a delivery receipt when the fax job reaches a final state. Overrides the default address specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) .

/GroupReceiptMS=value

Overrides the default value specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) .

/GroupReceiptMS=true

Send a summary receipt for all the recipients of the broadcast.

/GroupReceiptMS=false

Send an individual delivery receipt for each recipient of the broadcast.

/ReceiptAttachFaxMS=value

Overrides the default value specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) .

/ReceiptAttachFaxMS=true

Attach a fax to the receipt.

/ReceiptAttachFaxMS=false

Do not attach a fax to the receipt.

Fax Track options:

/Track

Track fax activity after creating a job. This option is ignored when sending a fax to multiple recipients.

/JobID=value

Do not create new fax job. Only track previously created fax. Valid outbound fax job ID should be specified. When using this option, all the above options are ignored.

Console options:

To operate in console mode, run the SendFax_c.exe application.

/DoNotCloseConsole

Do not close console after execution. 'Press any key to continue . . .' message is displayed.

/Console

Using this option, you can run SendFax.exe application (GUI version) in console mode. Please note that the calling application does not wait for the console to terminate in this case. Instead, run SendFax_c.exe application.

Debug and log options:

/DebugLog

Enable debug log containing detailed information about SendFax.exe operations. Log file path: *{CommonAppDataFolder}\FaxVoip FSP\log\SendFax_Debug.txt

/Log

Enable simple log containing brief information about SendFax.exe operations. Log file path: *{CommonAppDataFolder}\FaxVoip FSP\log\SendFax_Log.txt

e.g.

SendFax.exe /FaxNumber=13607451257 /RecipientName=Andre Hedges /CoverPage=true /CoverInfo=C:\ProgramData\FaxVoip FSP\SendFax\Sample\coverpage_test.ini /Track /DebugLog /Log

SendFax_c.exe /FaxNumber=14251234567 /RecipientName=Bob Linkermann /CoverPage=true /FileName=C:\ProgramData\FaxVoip FSP\SendFax\Sample\testPDF.pdf /Priority=High /ForceDirectConvert /Track /DoNotCloseConsole /DebugLog /Log

SendFax_c.exe /RecipientList=C:\ProgramData\FaxVoip FSP\SendFax\Sample\Recipients_test.txt /FileList=C:\ProgramData\FaxVoip FSP\SendFax\Sample\FileList_test.txt /FaxStationID=1(425)987-6543 /FaxHeader=This is my company /DoNotCloseConsole /DebugLog /Log

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Configure and Run SendFax.exe

To Configure and Run SendFax.exe using Fax Voip FSP Control Panel

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ››

On this page you can easily configure SendFax.exe command line options and then run it to send a fax or to track the status of a previously created fax. The proposed visual tool can be useful for developers who want to test and then use SendFax.exe in their applications, as well as for ordinary users who just want to send a fax.

The following commands are available in the SendFax.exe Contextual Tab of the Ribbon:

Run SendFax.exe

Run

Click to run SendFax.exe utility with selected options.

Copy

Click to copy the command line to the Clipboard.

Track Fax

Select this check box to track fax activity after creating a job. Adds /Track option to command line. This option is ignored when sending a fax to multiple recipients.

Console Mode

Select this check box to run console version of SendFax.exe utility (SendFax_c.exe). When launched in the parent console, a new console window is not created. The calling process is waiting for the console application to complete. If check box is not selected, SendFax.exe is launched in GUI mode. The GUI mode is useful to track the fax and also for hiding the console.

Do not close console

If this check box is selected, the console window is not closed after execution and 'Press any key to continue . . .' message is displayed. Adds /DoNotCloseConsole option to command line. Do not use this option in automated scripts.

Configure SendFax.exe

Edit

Click to configure SendFax.exe command line options, see SendFax.exe options . To quickly change command line options of the specified type, double-click the selected entry in the SendFax.exe options list.

Refresh

Click to update SendFax.exe command line, using options configured in the SendFax.exe options list.

Clear

Click to clear SendFax.exe command line options.

Recipient list

Click to view/edit the list of fax recipients stored in a separate text file (/RecipientList command line option, usually used when sending a fax to multiple recipients).

Document list

Click to view/edit the list of documents to be sent as a fax, which is stored in a separate text file (/FileList command line option, usually used when sending multiple fax documents).

Cover Page

Click to view/edit the cover page settings stored in a separate ini file (/CoverInfo command line option).

SendFax.exe Logs

Enable debug log

Select this check box to enable debug log containing detailed information about SendFax.exe operations. Adds /DebugLog option to command line.

Enable simple log

Select this check box to enable simple log containing brief information about SendFax.exe operations. Adds /Log option to command line.

View debug log

Click to view SendFax.exe debug log.

View debug log

Click to view SendFax.exe debug log.

View simple log

Click to view SendFax.exe simple log.

SendFax.exe logs

Click to switch to the SendFax.exe Logs page.

Command line

SendFax.exe command line, consists of the application path and command line arguments. It is automatically generated based on your configuration. The text field can be edited manually, but these changes are not saved and do not guarantee the correct launch of the SendFax.exe utility.

Do not create new fax job. Only track previously created fax.

Select this check box if you want to track previously created fax. Valid outbound Fax Job ID should be specified. When using this option, a new fax is not created.

Fax Job ID

Valid outbound fax job ID - unique identifier for the outbound fax message.

Fax Job ID can be obtained using Fax Service API, see FaxOutgoingJob.Id property , or it can be viewed in the Windows Fax and Scan software, in the fax properties. In Windows Fax and Scan, in the Outbox, select the fax, and then right-click it. On the context menu, click Properties. The Job ID property can be found on the Details page.

SendFax.exe options list allows you to easily view the current SendFax.exe setting. To quickly change command line options of the specified type, double-click the selected entry. See also SendFax.exe options chapter of this user manual. The following options can be configured:

  • Console Mode. Indicates whether the application starts in console (Type: YES; SendFax_c.exe) or GUI mode (Type: NO; SendFax.exe).
  • Fax Recipients. A fax can be sent to one recipient (Type: SINGLE; /FaxNumber=...[/RecipientName=...]) or to multiple recipients (Type: LIST; /RecipientList=).
  • Include Cover Page. Specifies whether the cover page will be added to the document and sent as the first page in the fax. You can use the default 'Include cover pages with faxes' option specified in the Cover Pages Settings (SendFax.exe) (Type: DEFAULT), or you can override it (Type: OVERRIDE; /CoverPage=...)
  • Cover Page Info. You can use default Cover Pages Settings (SendFax.exe) and Sender Information Settings (SendFax.exe) (Type: DEFAULT), or you can override them completely or partially using ini-file (Type: OVERRIDE; /CoverInfo=...).
  • Fax Documents. You can send a single fax document (Type: SINGLE; /FileName=...), multiple fax documents (Type: LIST; /FileList=...), or you can send a fax consisting only of a cover page (Type: NONE).
  • Document Name. The user-friendly name to display for the fax document. The default value, which lists the original names of documents to be sent (Type: DEFAULT) can be overridden (Type: OVERRIDE; /DocumentName=...).
  • Schedule Fax. The fax can be sent immediately (Type: NOW), scheduled for a later time (Type: TIME; /Schedule=...) or sent during the discount rate period (Type: DISCOUNT; /Discount).
  • Priority. Specifies the priority to use when sending the fax. The fax can be sent with a low priority (Type: LOW; /Priority=Low), normal priority (Type: NORMAL) or high priority (Type: HIGH; /Priority=High).
  • Fax Station ID. The transmitting station identifier (TSID) for the sender's device. Displayed at the top of each faxed page. The default value can be used (Type: DEFAULT). Or you can override the TSID specified in the 'Sender Information', including the default Windows Fax Service settings (Type: OVERRIDE; /FaxStationID=...).
  • Fax Headline. Fax HeadLine (Company name) string. Displayed at the top of each faxed page. The default value can be used (Type: DEFAULT). Or you can override the 'Company name' value, specified in the 'Sender Information', including the default Windows Fax Service settings (Type: OVERRIDE; /FaxHeader=...).
  • Sender E-mail. The e-mail address associated with the sender. The default value can be used (Type: DEFAULT). Or you can override the e-mail address specified in the 'Sender Information', including the default Windows Fax Service settings (Type: OVERRIDE; /SdrEmail=...). The e-mail address can be processed by Mail to Fax function ( e-mail receipts to the specified address ).
  • Force Direct Converting. (Type: YES; /ForceDirectConvert) The fax is created using Direct Converting function. Fax Converter settings are ignored. Can be applied only with the following file types: pdf, tif(tiff), sff, qfx, bmp, jpg(jpeg), gif, png, ico, wmf(emf). (Type: NO) The /ForceDirectConvert option is not applied.
  • Force Printing. (Type: YES; /ForcePrint) The fax is created using fax printer. Fax Converter settings are ignored. If printing fails, the utility will attempt to create the fax using Direct Converting function. (Type: NO) The /ForcePrint option is not applied.
  • Auto Rotate. You can use the default value specified in the Fax Converter settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /AutoRotate=...).
  • A4 Page. You can use the default value specified in the Fax Converter settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /A4Page=...).
  • HALFTONE Effect. You can use the default value specified in the Fax Converter settings (Type: DEFAULT), or you can override it (Type: OVERRIDE; /HALFTONE=...).
  • E-mail Receipts (native). Specifies whether to send a delivery report through SMTP mail. You can use the default value specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) (Type: DEFAULT), or you can override it (Type: OVERRIDE; /EmailReceiptMS=...). Native E-mail Delivery Receipts are part of Windows Fax Service software and only available in Windows Server OS. This functionality does not support SSL when sending e-mails.
  • E-mail To (native). The e-mail address to which the fax service should send a delivery receipt when the fax job reaches a final state. You can use the default value specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) (Type: DEFAULT), or you can override it (Type: OVERRIDE; /ReceiptAddressMS=...).
  • Group Receipt (native). Indicates whether to send an individual delivery receipt for each recipient of the broadcast, or to send a summary receipt for all the recipients. You can use the default value specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) (Type: DEFAULT), or you can override it (Type: OVERRIDE; /GroupReceiptMS=...).
  • Attach Fax to Receipt (native). Indicates whether to attach a fax to the receipt. You can use the default value specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) (Type: DEFAULT), or you can override it (Type: OVERRIDE; /ReceiptAttachFaxMS=...).
  • Track Fax. You can track fax activity after creating a job (Type: YES; /Track). This option is ignored when sending a fax to multiple recipients. If this option is not specified, the SendFax.exe terminates after creating a fax job (Type: NO).
  • Do not close console. If this option is specified (Type: YES; /DoNotCloseConsole), the console is not closed after execution and 'Press any key to continue . . .' message is displayed. If this option is not specified (Type: NO) the console exits immediately after execution.
  • Enable Debug Log. If this option is specified (Type: YES; /DebugLog), the debug log containing detailed information about SendFax.exe operations is generated. If this option is not specified (Type: NO) the debug log is not generated.
  • Enable Simple Log. If this option is specified (Type: YES; /Log), the simple log containing brief information about SendFax.exe operations is generated. If this option is not specified (Type: NO) the simple log is not generated.


Cover Pages

Cover Pages Settings (SendFax.exe)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› Configure and Run SendFax.exe ››

On this page you can specify default cover page settings that will be used when sending a fax using SendFax.exe command line utility .

A cover page contains user-specified information about a fax sender and a recipient, and often a short message, together with system information, such as transmission date and time. You can use cover pages in different ways. You can send a fax that consists only of a cover page. Your fax message will be included as a cover page note. Alternatively, you can send a cover page in addition to another fax document. For example, you might fax a Microsoft Word document and include a cover page with it. In this case, the cover page will be added to the document and sent as the first page in the fax.

The options below can be overridden by the /CoverPage and /CoverInfo command line options, see in the SendFax.exe command line options and Cover Pages Settings (SendFax.exe options) chapters of this user manual.

Click to configure sender information

Click to switch to the Sender Information (SendFax.exe) page to configure default sender information that will be used when using SendFax.exe utility.

Include cover page with faxes

Specifies whether the cover page will be added to the document and sent as the first page in the fax when using SendFax.exe utility.

Use common cover page template

If this option selected, the common cover page template stored on the fax server will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip FSP settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Subject (default)

In this box, you can specify the default fax subject that will be used when using SendFax.exe utility. This information is usually displayed on cover page. You can leave this field empty.

Cover page notes (default)

In this box, you can specify the default text of a message or note from the sender that will appear on the cover page (when using SendFax.exe utility). You can leave this field empty.

Notes

  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (SendFax.exe) chapter of this user manual.


Sender Information

Sender Information Settings (SendFax.exe)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› Configure and Run SendFax.exe ››

On this page you can specify information about the fax sender for inclusion on the cover page in the case of using Sendfax.exe command line utility . The Fax ID (TSID) is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. Company name and Fax ID (TSID) are also displayed at the top of each faxed page (Fax Headline). The e-mail address specified in the E-mail field can be processed by Mail to Fax function ( e-mail receipts to the specified address ).

The options below can be overridden by the /CoverInfo command line option, see in the SendFax.exe command line options and Sender Information Settings (SendFax.exe options) chapters of this user manual.

Use default sender information when using SendFax.exe tool

If this option selected, the default sender information specified in the Windows Fax and Scan software (Tools -> Sender Information...) is used. You should understand that default sender information depends on the user account under which the SendFax.exe utility is launched.

Use the following sender information when using SendFax.exe tool

If this option selected, the SendFax.exe utility uses the sender information specified below.

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

E-mail

The e-mail address associated with the sender. The e-mail address can be processed by Mail to Fax function ( e-mail receipts to the specified address ). Can be overridden by the /SdrEmail command line option.

Title

The title associated with the sender.

Company

The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline). The Fax Headline is limited to 50 characters. Can be overridden by the /FaxHeader command line option.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Fax ID (TSID)

The transmitting station identifier (TSID) for the sender's device. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. The TSID is limited to 20 characters. Note that depending on the fax server settings, this option can be ignored and TSID specified in the settings of the fax device is actually transmitted, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual. Can be overridden by the /FaxStationID command line option.

Billing code

The billing code associated with the sender.

Notes

  • The e-mail address specified in the E-mail field can be processed by Mail to Fax function ( e-mail receipts to the specified address ). To use this functionality, you should manually enable Send faxes from e-mail option in the Mail to Fax Settings . To avoid sending an e-mail in this case, you should create Mail to Fax rule for the specified e-mail address and disable sending notifications, see in the Receipts Settings (Mail to Fax Rule) chapter of this user manual.


E-mail Receipts (native)

E-mail Delivery Receipts (native) Settings (SendFax.exe)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› Configure and Run SendFax.exe ››

On this page you can specify default settings for native e-mail delivery receipts that will be used when sending a fax using Sendfax.exe command line utility .

Native E-mail Delivery Receipts are part of Windows Fax Service software and only available in Windows Server OS (e.g. Windows Server 2022). This functionality does not support SSL when sending e-mails. Alternatively, you can specify an e-mail address in the Sender Information Settings , and it can then be processed by Mail to Fax function ( e-mail receipts to the specified address ). You can also use the E-mail Delivery Receipts Outgoing Fax Routing Method from the Fax Voip FSP package.

The options below can be overridden by the following command line options: /EmailReceiptMS, /ReceiptAddressMS, /GroupReceiptMS and /ReceiptAttachFaxMS, see in the SendFax.exe command line options and E-mail Receipts - native (SendFax.exe options) chapters of this user manual.

Do not send e-mail delivery receipts when using SendFax.exe tool

Select this option to disable delivery receipts. Can be overridden by the /EmailReceiptMS command line option.

Send e-mail delivery receipts when using SendFax.exe tool

Select this option to send a delivery report through SMTP mail. Can be overridden by the /EmailReceiptMS command line option.

E-mail To:

The e-mail address to which the fax service should send a delivery receipt when the fax job reaches a final state, that is, when the fax has been successfully sent or when the transmission fails. Can be overridden by the /ReceiptAddressMS command line option.

<Address Book>

Click to select e-mail recipient from Address Book (Windows Contacts).

Use one receipt for delivery to multiple recipients

Indicates whether to send an individual delivery receipt for each recipient of the broadcast, or to send a summary receipt for all the recipients. If this box is not checked, an individual delivery receipt will be sent for each recipient of the broadcast. Can be overridden by the /GroupReceiptMS command line option.

Attach a copy of the sent fax

Check this box to attach a fax (TIFF file) to the receipt. When a fax is sent to multiple recipients and Use one receipt for delivery to multiple recipients option is specified, the fax usually cannot be attached to the receipt because the fax differs for each recipient. Can be overridden by the /ReceiptAttachFaxMS command line option.

<Configure SMTP>

Click to configure SMTP Settings (Windows Fax Service) . Administrator privileges are required.


SMTP Settings (Windows Fax Service)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› Configure and Run SendFax.exe ›› E-mail Receipts (native) ››

To configure SMTP settings to be used with Native E-mail Delivery Receipts functionality, follow these steps:

1. Open Fax Voip FSP Control Panel.

2. Click Fax in TreeView, then click SendFax.exe, then click E-mail Receipts (native).

3. Click <Configure SMTP> button.

4. In the SMTP Settings (Windows Fax Service) window, configure the SMTP settings.

SMTP Settings (Windows Fax Service)

Enable SMTP e-mail receipts delivery

Select this check box to enable sending delivery reports through SMTP mail.

From e-mail address

The e-mail address from which the mail message receipt will be sent.

Server address

The name of the SMTP server from which the receipts will be sent.

Port

The SMTP port number, usually 25.

Anonymous access

The server sends fax transmission receipts using a nonauthenticated SMTP protocol. Usually not used.

Basic authentication

The server sends fax transmission receipts using a basic (plain text) authenticated SMTP protocol. User name and Password are required. You should usually select this option.

Integrated Windows Authentication

The server sends fax transmission receipts using an NTLM-authenticated SMTP protocol. User name and Password are required. Usually not used.

User name

The SMTP user name used for authenticated connections. This is usually the same as the part of e-mail address to the left of the at sign (@).

Password

The SMTP password used for authenticated connections.

Confirm password

This field is used to confirm the SMTP password.

Use these SMTP settings for the Route Through E-mail incoming routing method (Microsoft Routing Extension)

Indicates whether to use the above SMTP settings for the Microsoft Routing Extension, which allows incoming faxes to be routed to e-mail addresses (native functionality).

5. Click <OK> button to save your settings. All the changes are applied immediately. Administrator privileges are required.

Notes

  • This functionality is a part of Windows Fax Service software and only available in Windows Server OS (e.g. Windows Server 2022). SSL is not supported when sending e-mails.
  • Alternatively, you can configure SMTP settings using Microsoft Fax Service Manager. To access these settings, on the left pane right click on the Fax, select Properties and then switch to Receipts page.


SendFax.exe options

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ››

This section provides information on how to configure SendFax.exe command line options using the Configure SendFax.exe options dialog box, see also in the To Configure and Run SendFax.exe using Fax Voip FSP Control Panel chapter of this user manual.

To configure SendFax.exe options and then run SendFax.exe, do the following:

1. Open Fax Voip FSP Control Panel.

2. Click Fax in TreeView, and then click SendFax.exe.

3. To edit command line options click Edit in the SendFax.exe Contextual Tab of the Ribbon. To quickly change command line options of the specified type, double-click the selected entry in the SendFax.exe options list.

4. In the Configure SendFax.exe options window, specify one or more fax recipients, select documents to send as a fax and specify other necessary options. Click OK.

5. To run SendFax.exe utility with selected options click Run in the SendFax.exe Contextual Tab of the Ribbon.

The following options can be configured in the Configure SendFax.exe options dialog box:

  • Fax Recipients
  • Documents
  • Convert to Fax Settings
  • Cover Page Settings
  • Sender Information Settings
  • Priority and Schedule Settings
  • E-mail Receipts (native)


Fax Recipients

Fax Recipients (SendFax.exe options)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› SendFax.exe options ››

Fax Recipients

On this page you can specify one or more fax recipients.

Fax number

The fax number of the person you want to send the fax to. To send a fax to multiple recipients, type each recipient's fax number in the Fax number field and (optionally) recipient's name in the Recipient name field, and then click Add to add the recipient to the list of recipients.

Recipient name

The name of the person you want to send the fax to. Can be displayed on the cover page.

<Address book>

Click to select one or more fax recipients from Address Book (Windows Contacts). To be added to the list of fax recipients, the selected recipient should have non-empty Business fax field or non-empty Home fax field.

<Add From File>

Click to load a list of fax numbers from selected text file. When preparing a text file, you must be guided by the following rules:

      • Each row can contain a single fax number.
      • The fax number should be placed in the beginning of the row. Spaces and tabs at the beginning of the row are ignored.
      • The row can contain any additional information such as company name, phone number etc. This information should be separated from the fax number using any of the following delimiters: space, tab or semicolon.

Please note that this method does not allow to add recipient names.

<Add>

Use this button to add the recipient to the list of recipients. The recipient's fax number should be initially entered in the Fax number field and (optionally) the recipient's name should be entered in the Recipient name field.

<Remove>

Use this button to remove the recipient from the list of recipients.

<Edit>

Click this button to change the recipient's fax number and name. One of the recipients should be selected in the list.

Store the list of recipients in the file

Select this check box, to store the list of fax recipients in the text file (/RecipientList= command line option). The full path to the text file in which the list of fax recipients is stored should be specified in the text box below. If this check box is not selected, the single fax recipient is specified by using /FaxNumber= and (optionally) /RecipientName= command line options.

<Browse>

Click this button to specify the path to the text file in which the list of fax recipients is stored. The default path is *{CommonAppDataFolder}\FaxVoip FSP\SendFax\Recipients.txt.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Documents

Documents (SendFax.exe options)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› SendFax.exe options ››

Documents

On this page you can specify one or more documents to send as a fax.

Document

The full path to the document to be sent as a fax. To send multiple documents, select each document in this text box, and then click Add to add the document to the list of documents.

<Browse>

Click this button to select the path to the document to be sent as a fax. Any printable document can be sent as a fax.

<Add>

Use this button to add the document to the list of documents. The document should be initially selected in the text box above.

<Remove>

Use this button to remove the document from the list of documents.

Store the list of documents in the file

Select this check box, to store the list of documents in the text file (/FileList= command line option). The full path to the text file in which the list of documents is stored should be specified in the text box below. If this check box is not selected, the full path to the single document to be sent as a fax is specified by using /FileName= command line option.

<Browse>

Click this button to specify the path to the text file in which the list of documents is stored. The default path is *{CommonAppDataFolder}\FaxVoip FSP\SendFax\FileList.txt.

Document name (override)

Select this check box to override the default user-friendly name to display for the fax document (/DocumentName= command line option). Specify the document name in the text box on the right. If this check box is not selected, the default value (the list of original document names to be send) is used.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Convert to Fax

Convert to Fax Settings (SendFax.exe options)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› SendFax.exe options ››

Convert to Fax Settings

On this page you can specify how to convert your documents into fax (TIFF file).

TIFF Options (applied if only Direct Converting is used)

In this area, you can override the default TIFF Options specified in the Fax Converter settings . These options only applied if the fax is created using Direct Converting.

Auto Rotate (override)

Select this check box to override the default value specified in the Fax Converter settings . On the right, select True to apply automatic orientation selection algorithm (/AutoRotate=true command line option). Or select False to not use automatic orientation selection algorithm (/AutoRotate=false command line option).

A4 page (override)

Select this check box to override the default value specified in the Fax Converter settings . On the right, select True to set the page width and height to A4 page format (/A4Page=true command line option). Or select False to not control the page height (/A4Page=false command line option).

HALFTONE Effect (override)

Select this check box to override the default value specified in the Fax Converter settings . On the right, select True to apply HALFTONE Effect to the fax (/HALFTONE=true command line option). Or select False to not apply HALFTONE Effect to the fax (/HALFTONE=false command line option).

Forced Modes

The options below allow you to ignore the default Fax Converter settings .

Force Direct Converting

Select this check box to create the fax using Direct Converting function (/ForceDirectConvert command line option). Fax Converter settings are ignored. Can be applied only with the following file types: pdf, tif(tiff), sff, qfx, bmp, jpg(jpeg), gif, png, ico, wmf(emf).

Force Printing

Select this check box to create the fax using fax printer (/ForcePrint command line option). Fax Converter settings are ignored. If printing fails, the SendFax.exe utility will attempt to create the fax using Direct Converting function.


Cover Page

Cover Page Settings (SendFax.exe options)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› SendFax.exe options ››

Cover Page Settings

A cover page contains user-specified information about a fax sender and a recipient, and often a short message, together with system information, such as transmission date and time. You can use cover pages in different ways. You can send a fax that consists only of a cover page. Your fax message will be included as a cover page note. Alternatively, you can send a cover page in addition to another fax document. For example, you might fax a Microsoft Word document and include a cover page with it. In this case, the cover page will be added to the document and sent as the first page in the fax.

On this page you can override the default settings for cover page specified in the Cover Pages Settings (SendFax.exe) .

Include cover page (override)

Select this check box to override the default Include cover pages with faxes option specified in the Cover Pages Settings (SendFax.exe) . On the right, select True to include cover page with fax (/CoverPage=true command line option). Or select False to not Include cover page with fax (/CoverPage=false command line option). To send a fax consisting only of a cover page, select the check box and then select True on the right (/CoverPage=true is a required command line option in this case).

Cover page template (override default SendFax.exe settings)

Select this check box to override the default coverpage template specified in the Cover Pages Settings (SendFax.exe) . The modified settings are stored in the [Template] section of the custom ini-file (/CoverInfo= command line option).

Use common cover page template

If this option selected, the common cover page template stored on the fax server will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip FSP settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Cover page subject and note (override default SendFax.exe settings)

Select this check box to override the default coverpage subject and note specified in the Cover Pages Settings (SendFax.exe) . The modified settings are stored in the [Content] section of the custom ini-file (/CoverInfo= command line option).

Subject line

In this box, you can specify the fax subject. This information is usually displayed on cover page. You can leave this field empty.

Cover page note

In this box, you can specify the text of a message or note from the sender that will appear on the cover page. You can leave this field empty.

Store cover page information in this file

The full path to the custom ini-file that contains information for creating the cover page (/CoverInfo= command line option).

<Browse>

Click this button to specify the path to the custom ini-file in which the cover page information is stored. The default path is *{CommonAppDataFolder}\FaxVoip FSP\SendFax\coverpage.ini.

Notes

  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (SendFax.exe options) chapter of this user manual.
  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Sender Information

Sender Information Settings (SendFax.exe options)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› SendFax.exe options ››

Sender Information Settings

Sender information is displayed on cover pages. The Fax ID (TSID) is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. Company name and Fax ID (TSID) are also displayed at the top of each faxed page (Fax Headline). The e-mail address specified in the E-mail field can be processed by Mail to Fax function ( e-mail receipts to the specified address ).

On this page you can override the default settings for sender information specified in the Sender Information Settings (SendFax.exe) .

Sender information (override default SendFax.exe settings)

Select this check box to override the default settings for sender information specified in the Sender Information Settings (SendFax.exe) . The modified settings are stored in the [Sender] section of the custom ini-file (/CoverInfo= command line option).

Use default sender information

Indicates whether the default sender information specified in the Windows Fax and Scan software (Tools -> Sender Information...) is used. You should understand that default sender information depends on the user account under which the SendFax.exe utility is launched.

Use the following sender information

If this option selected, the SendFax.exe utility uses the sender information specified below.

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

E-mail

The e-mail address associated with the sender. The e-mail address can be processed by Mail to Fax function ( e-mail receipts to the specified address ). Can be overridden by the Sender e-mail (override) option, see below (/SdrEmail= command line option).

Title

The title associated with the sender.

Company

The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline). The Fax Headline is limited to 50 characters. Can be overridden by the Fax Headline (override) option, see below (/FaxHeader= command line option).

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Fax ID (TSID)

The transmitting station identifier (TSID) for the sender's device. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. The TSID is limited to 20 characters. Note that depending on the fax server settings, this option can be ignored and TSID specified in the settings of the fax device is actually transmitted, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual. Can be overridden by the Fax Station ID (override) option, see below (/FaxStationID= command line option).

Billing code

The billing code associated with the sender.

Fax Station ID (override)

Select this check box to override the default transmitting station identifier (TSID) specified in the 'Sender Information', including the default Windows Fax Service settings (/FaxStationID= command line option). Specify the TSID in the text box on the right. The TSID is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is also transmitted at the top of each faxed page.

Fax Headline (override)

Select this check box to override the default Fax HeadLine (Company name) string specified in the 'Sender Information', including the default Windows Fax Service settings (/FaxHeader= command line option). Specify the Fax HeadLine in the text box on the right. The Fax HeadLine is usually transmitted at the top of each faxed page.

Sender e-mail (override)

Select this check box to override the default e-mail address specified in the 'Sender Information', including the default Windows Fax Service settings (/SdrEmail= command line option). Specify the e-mail address in the text box on the right. The e-mail address can be processed by Mail to Fax function ( e-mail receipts to the specified address ).

Notes

  • The e-mail address specified in the E-mail field or using Sender e-mail (override) option (/SdrEmail= command line option) can be processed by Mail to Fax function ( e-mail receipts to the specified address ). To use this functionality, you should manually enable Send faxes from e-mail option in the Mail to Fax Settings . To avoid sending an e-mail in this case, you should create Mail to Fax rule for the specified e-mail address and disable sending notifications, see in the Receipts Settings (Mail to Fax Rule) chapter of this user manual.


Priority and Schedule

Priority and Schedule Settings (SendFax.exe options)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› SendFax.exe options ››

Priority and Schedule

On this page you can specify when you want your fax to be sent, and set the priority of the fax.

Priority

In this area, you can specify the priority to use when sending the fax.

Send fax as

Specify the priority to use. All faxes that have a high priority (/Priority=High command line option) will be sent before a fax that has a normal or a low priority (/Priority=Low command line option). All faxes that have a normal priority will be sent before a fax that has a low priority. The default priority is normal.

Schedule Fax

In this area, you can specify when you want your fax to be sent.

Now

Select this option to send a fax immediately after creating a job.

When discount rates apply

Select this option if the fax should be sent when discount rates apply (/Discount command line option). On computer with Windows Server OS (e.g. Windows Server 2022), discount rate settings can be configured in Microsoft Fax Service Manager (Fax (Local) -> Properties -> Outbox). On Windows 11 or Windows 10 computer, discount rate settings can be configured in Windows Fax and Scan application (Tools -> Fax Settings -> Advanced).

At this time

Select this option to specify the date and time you wish to send your fax (/Schedule= command line option).


E-mail Receipts (native)

E-mail Receipts - native (SendFax.exe options)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› SendFax.exe options ››

E-mail Delivery Receipts (native)

Native E-mail Delivery Receipts are part of Windows Fax Service software and only available in Windows Server OS (e.g. Windows Server 2022). This functionality does not support SSL when sending e-mails. Alternatively, you can specify an e-mail address in the Sender Information Settings , and it can then be processed by Mail to Fax function ( e-mail receipts to the specified address ). You can also use the E-mail Delivery Receipts Outgoing Fax Routing Method from the Fax Voip FSP package.

On this page you can override the default settings for native e-mail delivery receipts specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) .

Send e-mail delivery receipt (override)

Select this check box to override the default value specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) . On the right, select True to send a delivery report through SMTP mail (/EmailReceiptMS=true command line option). Or select False to not send a delivery report through SMTP mail (/EmailReceiptMS=false command line option).

E-mail To (override)

Select this check box to override the default e-mail address specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) . On the right, specify the e-mail address to which the fax service should send a delivery receipt when the fax job reaches a final state (/ReceiptAddressMS= command line option).

<Address Book>

Click to select e-mail recipient from Address Book (Windows Contacts).

Use one receipt for delivery to multiple recipients (override)

Select this check box to override the default value specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) . On the right, select True to send a summary receipt for all the recipients of the broadcast (/GroupReceiptMS=true command line option). Or select False to send an individual delivery receipt for each recipient of the broadcast (/GroupReceiptMS=false command line option).

Attach a copy of the sent fax (override)

Select this check box to override the default value specified in the E-mail Delivery Receipts (native) Settings (SendFax.exe) . On the right, select True to attach a fax (TIFF file) to the receipt (/ReceiptAttachFaxMS=true command line option). Or select False to not attach a fax to the receipt (/ReceiptAttachFaxMS=false command line option).

<Configure SMTP>

Click to configure SMTP Settings (Windows Fax Service) . Administrator privileges are required. Alternatively, you can configure SMTP settings using Microsoft Fax Service Manager. To access SMTP settings, in the Microsoft Fax Service Manager, on the left pane right click on the Fax, select Properties and then switch to Receipts page.


Track fax job (GUI mode)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ››

When starting the SendFax.exe utility in GUI mode with /Track command line option, the fax track window is displayed. The fax track window is similar to the Fax Monitor included in the Windows Fax and Scan software, but it allows you to track the specific outgoing fax job you just created. You can not only monitor the fax , but also manage your fax and view fax properties . The /Track option is ignored when sending a fax to multiple recipients. You also can track previously created fax by using /JobID= command line option.

Fax Track Window Ribbon Commands

The following commands are available in the Application Menu:

View (F3)

Click to view the fax in the TIFF viewer software. See also Fax Viewer Settings .

Delete (Del)

Click to delete the fax. Cancels the current fax sending process and disconnects. The fax is permanently deleted from the Outbox or Sent Items folder.

Pause

Click to pause the fax.

Resume

Click to resume the fax.

Restart

Click to restart the fax job in the case of failed transmission.

Help (F1)

Click to open Help file. To display the application help system you also can use Help Button, which is placed in the upper right corner of the Ribbon.

Exit (Ctrl + X)

Click to quit the application.

The following commands are available in the Main tab:

Fax

View (F3)

Click to view the fax in the TIFF viewer software. See also Fax Viewer Settings .

Delete (Del)

Click to delete the fax. Cancels the current fax sending process and disconnects. The fax is permanently deleted from the Outbox or Sent Items folder.

Actions

Pause

Click to pause the fax.

Resume

Click to resume the fax.

Restart

Click to restart the fax job in the case of failed transmission.

Panes

Events

Click to show or hide the event log. See also Monitoring a fax .

Properties

Click to show or hide the fax properties. See also View fax properties .

Preview

Click to show or hide the preview pane.

The following commands are available in the View tab:

Ribbon colors

Standard Theme

Select this option to use the default Ribbon theme specified by the operating system.

Custom Blend

Select this option to customize Ribbon colors. Please note that this option does not work correctly in Windows 11, Windows 10 version 1809 or later, Windows Server 2022 and in Windows Server 2019.

Background

Select the global background color for a customized ribbon.

Highlight

Select the global highlight color for a customized ribbon (Windows 7 only).

Text

Select the global text color for a customized ribbon.

Current view

Ribbon

Uncheck this option to hide the Ribbon. Switching to the classic mode will occur the next time you start the application.

Toolbar

Flag this option to show the classic Toolbar. Switching to the classic mode will occur the next time you start the application.

Menu Bar

Flag this option to show the classic Menu Bar. Switching to the classic mode will occur the next time you start the application.

Default view

Restore Defaults

Use this option to restore the default view of the fax track window.

The Quick Access Toolbar (QAT) is a small, customizable toolbar that exposes a set of Commands that are specified by the application or selected by the user.

By default, the Quick Access Toolbar (QAT) is located in the title bar of the fax track window but can be configured to display below the ribbon. In addition to exposing Commands, the Quick Access Toolbar (QAT) also includes a customizable drop-down menu that contains the complete set of default Quick Access Toolbar (QAT) Commands (whether hidden or displayed in the Quick Access Toolbar (QAT)) and a set of Quick Access Toolbar (QAT) and ribbon options. Almost all ribbon controls can be added to the Quick Access Toolbar (QAT) through the context menu shown in the following screen shot.


Monitoring a fax

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› Track fax job (GUI mode) ››

When you launch the SendFax.exe utility with /Track command line option, a window with the current information about your fax is displayed immediately after the job is successfully created. The main area displays information about the fax recipient, current status of the fax (e.g. which page is being currently transmitted), as well as information about the time elapsed since the fax transmission is started. To view a complete list of events related to your fax, click Events in the ribbon. You can stop fax tracking at any time by closing the fax track window.


View fax properties

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› Track fax job (GUI mode) ››

To view fax properties in the fax track window, click Properties in the ribbon. To show the preview pane, click Preview.

The following fax properties are displayed in the General tab:

Fax Properties (General)

  • Recipient Number. The fax number associated with the recipient.
  • Recipient Name. The name of the recipient. Can be displayed on the cover page.
  • Pages. The total number of pages in the outbound fax.
  • Status. The current status of the fax job (e.g In progress, Retrying, Completed).
  • Extended Status. The fax job's extended status (e.g Dialing, Sending page..., No answer, Busy).
  • CSID. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
  • TSID. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as fax number specified in the Sender Information , or it is specified by the settings of the fax device that was used for fax transmission, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.
  • Device Name. The name of the device on which the fax message was transmitted. Example: Fax Voip Line 2.
  • Retries. In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
  • Scheduled Time. Indicates the time to submit the fax for processing to the fax service.
  • Start Time. The time that the outbound fax job began transmitting.
  • End Time. The time that the outbound fax job completed transmission.
  • Duration. The duration of the fax transmission.

The following fax properties are displayed in the Details tab:

Fax Properties (Details)

  • Document Name. The user-friendly name to display for the fax document.
  • Cover Page. Indicates whether the fax has a cover page.
  • Subject. Contains the contents of the subject field on the cover page of the fax.
  • Size. The size, in kilobytes, of the Tagged Image File Format Class F (TIFF Class F) file associated with the outbound fax.
  • Priority. Priority used when sending the fax; for example, normal, low, or high priority.
  • Job ID. The unique identifier for the outbound fax job. You can use the identifier to retrieve the archived fax message after the job completes successfully. You should use this identifier when starting SendFax.exe with /JobID= command line option to track previously created fax.
  • Broadcast ID. The unique identifier assigned to the fax job during the submission process. When you submit a fax to be sent to more than one recipient, separate fax jobs will be created, but as part of the same fax broadcast, they will share the same Broadcast ID.
  • Submission Time. The time that the outbound fax was submitted for processing.
  • Original Scheduled Time. The time that the fax was originally scheduled for transmission.
  • Scheduled Type. Specifies the schedule type that was used for the transmission. This property can indicate the following: the fax should be transmitted right away, that it should be sent at a specified time, or that it should be sent during a period of discounted rates.
  • Receipt Type. Specifies the type of delivery receipt to deliver when the fax message reaches a final state. The receipt type can be Simple Mail Transport Protocol (SMTP) mail or no receipt. Native E-mail Delivery Receipts are only available in Windows Server OS (e.g. Windows Server 2022), see also in the E-mail Receipts (native) chapter of this user manual.
  • Receipt Address. The e-mail address to which the native delivery report will be sent.
  • Group Broadcast Receipts. Indicates whether to send an individual delivery receipt for each recipient of the broadcast or to send a summary receipt for all recipients.

The following fax properties are displayed in the Sender Information tab:

Fax Properties (Sender Information)

  • Name. The name of the sender.
  • Fax Number. Fax number associated with the sender.
  • E-mail. The e-mail address associated with the sender.
  • Title. The title associated with the sender.
  • Company. The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline).
  • Department. The department name associated with the sender.
  • Office Location. The office location of the sender.
  • Work Phone. The office telephone number associated with the sender.
  • Home Phone. The home telephone number associated with the sender.
  • Address. The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.
  • Billing Code. The billing code associated with the sender.
  • TSID. The transmitting station identifier (TSID) for the sender's device, usually the same as fax number specified in the Sender Information . Note that depending on the fax server settings, it may be different from the actually transmitted Fax ID, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.

The Preview tab is used to preview the fax.

Fax Preview


Manage fax job

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ›› Track fax job (GUI mode) ››

When you launch the SendFax.exe utility in GUI mode with /Track command line option, you can not only view information about the fax progress, but also manage your fax.

To view the fax in the TIFF viewer software, click View or press F3 key.

To delete the fax, click Delete or press Del key. This command cancels the current fax sending process and disconnects. The fax is permanently deleted from the Outbox or Sent Items folder.

To pause the fax, click Pause.

To resume the fax, click Resume.

To restart the fax job in the case of failed transmission, click Restart.


Track fax job (console mode)

Fax Voip FSP Control Panel ›› Send a Fax using SendFax.exe tool ››

When starting the console version of SendFax.exe utility (SendFax_c.exe) with /Track command line option, the information about fax events (e.g. which page is being currently transmitted) is output directly to the console. The /Track option is ignored when sending a fax to multiple recipients. You also can track previously created fax by using /JobID= command line option.

By default, the fax tracking process stops when the fax is successfully sent or the number of retries is exceeded, after which SendFax.exe utility automatically terminates. If you do not want the console to close automatically after execution, use the /DoNotCloseConsole command line option. You can stop fax tracking at any time by closing the console window, or by pressing the Ctrl + C key combination.

Notes

  • Please note that you cannot manage your fax job when starting SendFax.exe utility in console mode.


Audio

Fax Voip FSP Control Panel ››

  • Audio Settings
  • Audio Codecs


Audio Settings

Fax Voip FSP Control Panel ›› Audio ››

Audio File to play before fax (must be 8 kHz 16-bit or 8-bit Mono wave file)

Audio file to be played before sending a fax when the outgouing fax call is answered. You can browse to a preferred audio file or enter the file path. The audio file must be an 8 kHz 16-bit Mono or 8 kHz 8-bit Mono wave file (.wav). The example of the wave file can be found in the *{CommonAppDataFolder}\FaxVoip FSP\Sounds\Fax folder after the installation of the Fax Voip FSP. By default the intro_fax_out.wav file is used.

Voice announcement before sending fax

Check this option to play selected audio file before sending fax. Emphasize that the use of this option is not recommended if not assumed that a human answers the call.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.
  • Options described in this section can be overridden by the Outgoing Call Routing settings.


Audio Codecs

Fax Voip FSP Control Panel ›› Audio ››

  • Audio Codec Settings
  • Audio Codec requirements for Faxes


Audio Codec Settings

Fax Voip FSP Control Panel ›› Audio ›› Audio Codecs ››

You can choose from the following Audio Codecs:

G.711-uLaw-64k (default)

G.711-ALaw-64k (default)

G.723.1

G.726-32k

GSM-06.10

iLBC

SpeexNB

SpeexWB

At least one audio codec must be selected. In the left panel you can see the codecs available for use. The right panel shows codecs selected by user. Selected codecs can be arranged in preference order. By default the codec preference order only applies to outgoing calls. During incoming calls the preference order provided by the remote side usually used.

Please note that sending and receiving faxes imposes more stringent restrictions on the use of audio codecs. To understand more please read the chapter Audio Codec requirements for Faxes of this user manual.

The following commands are available:

<Add> (or double-click selected entry in the Available codecs panel)

Use this button to add codecs for use with Fax Voip FSP. You must select one or more codecs in the Available codecs panel before using this button.

<Remove> (or double-click selected entry in the Selected codecs panel)

Use this button to remove codecs from the Selected codecs panel. You must select one or more codecs in the Selected codecs panel before using this button.

<Up> and <Down>

Use these buttons to change preference order for the selected audio codecs. You must select one of the codecs in the Selected codecs panel before using these buttons.

You can also do any of the above actions by selecting the appropriate command from the context menu of the list.


Audio Codec requirements for Faxes

Fax Voip FSP Control Panel ›› Audio ›› Audio Codecs ››

When configuring the Fax Mode, you should pay attention to the selection of Audio Codecs.

When selecting voice codecs, you should be guided by the following rules:

  • T.38 fax is fully compatible with using of any audio codec. At least one audio codec must be selected. At least one of the selected codecs must be supported by your SIP or H.323 network.
  • Please note that depending on the T.38 fax settings some initial fax operations can be performed in the audio mode before switching to T.38. If you use codecs other than G.711-ulaw or G.711-Alaw, CNG and CED fax tones can be not transmitted and not detected. That is why we recommend to use G.711 codecs even if you work with T.38 faxes.
  • To ensure CNG tone generation when sending T.38 fax and audio codec is not G.711-ulaw or G.711-Alaw, you can use Switch to T.38 after ... seconds T.38 fax option with small delay (0-2 sec).
  • Audio fax (Fax over G.711 codec) can only operate when using codecs G.711-ulaw or G.711-Alaw. Thus, at least one of these two codecs must be selected and supported by your SIP or H.323 network.
  • To prevent sending or receiving faxes in the audio mode, you can disable G.711-ulaw and G.711-Alaw codecs. This is possible if your SIP or H.323 provider supports one of the other voice codecs.
  • To provide compatibility with audio fax when using codecs other than G.711-ulaw and G.711-Alaw, it is strongly recommended to use the highest preference for G.711-ulaw and G.711-Alaw. The correct re-invite to G.711-ulaw or G.711-Alaw when starting the call using other audio codec is not guaranteed in the Fax Voip FSP application.


E-mail

Fax Voip FSP Control Panel ››

  • Fax to Mail, Mail to Fax and Delivery Receipts
  • Mail to Fax
  • SMTP Settings
  • POP3 / IMAP Settings
  • Configure SMTP, POP3 and IMAP using OAuth 2.0
  • E-mail Templates


Fax to Mail, Mail to Fax and Delivery Receipts

Fax Voip FSP Control Panel ›› E-mail ››

Mail to Fax Service

The Mail To Fax function is implemented using a separated module. This module can be started as an application under the current user account, or can be configured to run it as Windows Service.

Run Mail to Fax system as application

Select this option if you want to run Fax Voip FSP mail subsystem as an application. The mail subsystem is automatically started after the user logon. You usually can use this option on single-user system. When using this option on multi-user system, the behavior is unpredictable. To change this option, administrator privileges are required.

Run Mail to Fax system as Windows service

Select this option if you want to run Fax Voip FSP mail subsystem as Windows Service. The service is automatically started on Windows startup, before user logon. This option is recommended for multi-user systems. At the same time, it is strongly recommended to run this service on behalf of the regular user account, and not under the local system or network service accounts. The specified user will be able to view and manage faxes generated by the service in Windows Fax and Scan application and also configure file type associations (responsible for the correct printing of various documents). To install the service, see Configure Mail to Fax system as Windows Service chapter of this user manual. See also Using Mail to Fax as Windows Service chapter. To change this option, administrator privileges are required.

<START>

Use this button to start Mail to Fax system (Fax Voip FSP Mail service). The Mail To Fax function should be enabled in your settings.

<STOP>

Use this button to stop Mail to Fax system (Fax Voip FSP Mail service).

Startup type

Indicates how the mail subsystem is started (Application or Windows Service). In the case of service, the name of the account under which the service is started is also displayed.

Status

Indicates if mail subsystem (Fax Voip FSP Mail service) is running.

Fax To Mail

The Fax To Mail function is implemented using Route through e-mail Incoming Fax Routing Method . Depending on the Caller Number and Called Number (DID), incoming fax can be routed to different e-mail addresses. The same incoming fax can be routed to one or more e-mail recipients. To, CC and BCC e-mail fields can be used, the fax delivery format (TIFF, PDF or SFF) can be selected individually for each rule.

To configure Fax To Mail, you usually need to create one or more e-mail routing rules , configure SMTP settings , and modify 'New Fax Received' e-mail template (if necessary).

Mail To Fax And Delivery Receipts

To enable and configure Mail To Fax function, see Mail to Fax chapter of this user manual. You also need to configure POP3 / IMAP settings . To enable notifications of a successful or failed fax delivery to the sender's e-mail addresses, you also need to configure SMTP settings .

The Delivery Receipts via e-mail functionality is implemented using E-mail Delivery Receipts Outgoing Fax Routing Method . Depending on the recipient's fax number, the name of the computer user account who submitted the fax job, and the success or failure of sending the fax, delivery receipt can be sent to different e-mail addresses. The delivery receipt can be sent to one or more e-mail recipients. To, CC and BCC e-mail fields can be used. A copy of the sent fax can be attached to the e-mail message in TIFF, PDF or SFF format. To enable and configure Delivery Receipts, you usually need to create one or more E-mail Delivery Receipts rules . You also need to configure SMTP settings .

For both functions, you can modify the following e-mail templates (if necessary): Fax successfully sent , Failed to send a fax and Failed to create fax job .


Configure Mail to Fax as Windows Service

Configure Mail to Fax system as Windows Service

Fax Voip FSP Control Panel ›› E-mail ›› Fax to Mail, Mail to Fax and Delivery Receipts ››

The Fax Voip FSP Mail to Fax system can be configured as Windows Service. The service is automatically started on Windows startup, before user logon. This option is recommended for multi-user systems.

It is strongly recommended to run Fax Voip FSP Mail service on behalf of the regular user account, and not under the local system or network service accounts. The specified user will be able to view and manage faxes generated by the service in Windows Fax and Scan application and also configure file type associations (responsible for the correct printing of various documents).

To configure Mail to Fax system as Windows Service

1. Open Fax Voip FSP Control Panel. Click Email in TreeView.

2. Select Run Mail to Fax system as Windows service option and then click <Apply>. Administrator privileges are required.

3. In the Mail to Fax service window, specify the user name and password of the account that will be used to run the Fax Voip FSP Mail service. The user account must be in the form DOMAIN\Username. By default, Fax Voip FSP suggests you to use the current account (with administrator rights). You should clear understand that only the specified user will be able to view and manage faxes generated by the service in Windows Fax and Scan application. Also, the file type associations (responsible for correct printing of various documents) should be configured under the specified user account. For the reasons mentioned above, you should not run this service under system or network service accounts*. Click OK.

4. Wait until the program completes all necessary actions and starts Fax Voip FSP Mail service.

5. After the installation is complete and the service is started, you should see Startup type: Windows Service and Status: Service is running, see picture below. The name of the account under which the service is started is also displayed in the Startup type field.

Notes

  • (* : To start the service under Local System account, type LocalSystem in the User name box (password is not required). To start the service under Network Service account, type NT AUTHORITY\NetworkService in the User name box (password is not required). Please note that running Fax Voip FSP Mail service under system or network service accounts is not recommended.
  • The user account that will be used to run the Fax Voip FSP Mail service should have Log on as a service right. When installing the service, Fax Voip FSP forcibly adds Log on as a service right to the specified account. On some systems you can check and configure Log on as service right by using Local Group Policy Editor (gpedit.msc) under Local Computer Policy -> Computer Configuration -> Windows Settings -> Security Settings -> Local Policies -> User Rights Assignment, Log on as a service policy.

To change user account under which the service is started

It is assumed that Mail to Fax system is already configured as Windows Service.

1. Right click the Start button, and then click Computer Management.

2. In the Computer Management, on the left pane double-click Computer Management (Local), double-click Services and Applications, click Services.

3. Right click on the Fax Voip FSP Mail service. On the context menu, click Properties.

4. In the Fax Voip FSP Mail Properties (Local Computer) window, on the Log On page, select This account and then click Browse... .

5. In the Select User dialog, type account name and then click Check Names. Click OK.

6. Type the password for the selected user account in the Password and Confirm Password boxes, and then click OK.

7. Right click on the Fax Voip FSP Mail service. On the context menu, click Restart.

Notes

  • Alternatively, you can temporarily remove the service by selecting the Run Mail to Fax system as application option in the Fax Voip FSP Control Panel and clicking <Apply>. Then follow the procedure described at the beginning of this chapter, specifying the desired user account.


Mail to Fax

Fax Voip FSP Control Panel ›› E-mail ››

The Mail to Fax function will let you send faxes directly from your e-mail application. The body of your e-mail messages will act as the fax cover page, while any attached documents (e.g. PDF, TIFF, or TXT formats) will be converted into additional fax pages. Faxes can be sent to multiple recipients, and you can mix different formats as attachments to your messages.

To use Mail to Fax function, you must:

  • Configure the Windows Fax Service to send faxes using Fax Voip Line device(s)
  • Configure POP3 / IMAP settings
  • Configure SMTP settings
  • Configure 'Fax successfully sent' e-mail template (if necessary)
  • Configure 'Failed to send a fax' e-mail template (if necessary)
  • Configure 'Failed to create fax job' e-mail template (if necessary)
  • Enable Mail to Fax function

To enable Mail To Fax function, configure e-mail attachment types, specify priority and schedule parameters, see Mail to Fax Settings .

To configure dialing rules, see Dialing Rules (Mail to Fax) .

To configure fax delivery notifications via e-mail, see Delivery Receipts to user e-mail address (Mail to Fax) .

To use fax cover pages, see Cover Pages Settings (Mail to Fax) .

To specify information about the fax sender for inclusion on the cover page, see Sender Information Settings (Mail to Fax) .

To customize the behavior of the Mail to Fax function, depending on the sender's e-mail address, see Mail to Fax Rules .

For the necessary information on creating and sending fax e-mails, see Sending faxes from e-mails .

To configure Mail to Fax subsystem to be started as Windows Service, see Configure Mail to Fax as Windows Service .

If you have problems, see Mail to Fax Troubleshooting .


Mail to Fax Settings

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ››

To enable or disable Mail to Fax

Send faxes from e-mail

This option allows you to enable or disable Mail to Fax functionality. Check this checkbox, if you want to send faxes from e-mail. If Fax Voip FSP mail subsystem is configured As Windows Service, administrator privileges may be required to change this option.

By default, the Mail to Fax function is available for any e-mail address. However, you can allow or deny the use of this function for one, several, or all e-mail addresses by using Mail to Fax Rules . See also in the General Settings (Mail to Fax Rule) chapter of this user manual.

E-mail attachment types

The options below can be overridden in the Mail to Fax Rules , see in the Attachments Settings (Mail to Fax Rule) chapter of this user manual.

Allow any file types as e-mail attachments

If this option is selected, Mail to Fax will accept emails with any attachments. Please note that this in no way guarantees that your document will be correctly converted and faxed. See also in the E-mail attachments chapter of this user manual.

Allow only the specified file extensions

If this option is selected, Mail to Fax will only accept e-mail attachments with specified file extensions. Enter the file extensions in the text box on the right. The file extensions should be separated by a semicolon. Example: .TIF;.PDF;.TXT.

Priority and schedule

The options below can be overridden in the Mail to Fax Rules , see in the Schedule Settings (Mail to Fax Rule) chapter of this user manual.

When sending faxes from e-mails, set the following priority

Specify the priority to use when sending the fax generated by the Mail to Fax function. All faxes that have a high priority will be sent before a fax that has a normal or a low priority. All faxes that have a normal priority will be sent before a fax that has a low priority. The default priority is normal.

Schedule faxes from e-mails when discount rates apply

Specify if the fax generated by the Mail to Fax function should be sent when discount rates apply. On Windows Server computer, discount rate settings can be configured in Microsoft Fax Service Manager (Fax (Local) -> Properties -> Outbox). On Windows 11 or Windows 10 computer, discount rate settings can be configured in Windows Fax and Scan application (Tools -> Fax Settings -> Advanced).


Dialing Rules

Dialing Rules (Mail to Fax)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ››

On this page you can specify how the fax number is translated into dialing string.

The options below can be overridden in the Mail to Fax Rules , see in the Dialing Rules Settings (Mail to Fax Rule) chapter of this user manual.

Convert fax number to non-canonical format before creating a fax job

Specify whether to convert fax numbers to non-canonical format before creating a fax job. If this option is not checked, the recipient's fax number is displayed without changes in Windows Fax and Scan software, in the same format as it was provided by e-mail user. In this case, when using canonical number format, the default dialing rules (associated with the location selected in the Phone and Modem options in Windows Control Panel) will be applied at the time of dialing the fax number.

Internal translation (removes '+', brackets, dashes and spaces)

When using this option, the '+' character as well as all parentheses, dashes and spaces will be removed from the dialed number. Note that this function does not really check whether the original fax number is in canonical format ("+" in the beginning, etc.).

Dialing Rule

When using this option, the dialing rules (TAPI) associated with the location selected in the combo box on the right will be applied to the recipient's fax number before the fax job is created.

(default)

The default dialing rules (associated with the location selected in the Phone and Modem options in Windows Control Panel) will be applied before the fax job is created.

<specific rule>

The dialing rules associated with the location selected in the combo box will be applied before the fax job is created. Note that using a specific location does not change the default location selected in the Phone and Modem options in Windows Control Panel.

New rule...

Select this option to configure dialing rules (Phone and Modem options in Windows Control Panel). For more information, see Dialing Rules Overview .

<Configure Rules>

Click to configure dialing rules (Phone and Modem options in Windows Control Panel). For more information, see Dialing Rules Overview .

Location name

The name of the location that is used to convert the number.

Country/Region

The country or region associated with the location to be used.

City/Area Code

The area or city code associated with the location to be used.

Add prefix before number

Use this option if you want to add a specified prefix to the dialed fax number. This can be useful in a variety of scenarios. The specified prefix can be then removed when applying the Outgoing VOIP Call Routing rules. See description of the If Number starts with and Remove digits... options in the General Settings (Outgoing VOIP Call Routing) chapter of this user manual. When using this option and fax numbers in canonical format, we recommend that you also use Convert fax number to non-canonical format before creating a fax job option.

Use original fax number when sending delivery notification to user e-mail address

When using this option, the original recipient's fax number (as entered by the e-mail user) will be indicated in the e-mail notification. If this option is not checked, the translated fax number (for example, with a prefix added) will be indicated. This option is ignored if the e-mail user specifies multiple fax recipients in the single e-mail message.

Fax Number

In this box you can enter a fax number to see how it will be translated into dialing string and how it will be displayed in Windows Fax and Scan software.

Displayable String

The recipient's fax number displayed in Windows Fax and Scan software.

Dialing String

The fax number as it will be dialed. When Convert fax number to non-canonical format before creating a fax job option is unchecked and the recipient's fax number is in canonical format, the default dialing rules (associated with the location selected in the Phone and Modem options in Windows Control Panel) will be applied at the time of dialing the fax number. The error message usually indicates that the original fax number is not in the correct format.

Destanation Country

Destination country/region of the translated fax number.

Notes

  • Dialing rules provided by TAPI do not always match the dialing rules that are required by your VoIP/SIP network. For example, the dialing string may contain special characters such as 'W', ',', '#' etc. For additional translation of the fax number, use Outgoing VOIP Call Routing rules.
  • Dialing rules (TAPI) are not applied when using fax numbers in non-canonical format.
  • For more information on using dialing rules, see Dialing Rules Overview chapter of this user manual.


Delivery Receipts

Delivery Receipts to user e-mail address (Mail to Fax)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ››

On this page you can specify whether e-mail sender should be notified via e-mail of a successful or failed fax delivery. You can select the format for attached faxes and specify how file names are generated.

The options below can be overridden in the Mail to Fax Rules , see in the Receipts Settings (Mail to Fax Rule) chapter of this user manual.

Click to configure e-mail templates

Click to switch to the E-mail Templates page to configure default e-mail templates that will be used with Mail to Fax function.

Delivery notification to user e-mail address

Specifies whether to send a notification of a successful or failed fax delivery to the sender's e-mail address.

Attach a copy of the sent fax in the following format

Specifies whether a copy of the sent fax should be attached to the e-mail message. Select the file format in which you want to receive a copy of the sent fax. Can be TIFF, PDF or SFF. Note that this option is ignored in the case of any errors in the fax job creation (not possible to convert your original document into the fax format, the specified fax number is invalid, e-mail address is blocked etc.). In this case the delivery notification is always sent without fax attachment.

The options below are responsible for how file names are generated for the attached faxes.

Use Default Filename Template (FAX...)

Select this option to use default filename template. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected format).

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %RecipientName%. The name of the recipient.
      • %DocumentName%. If the fax is generated by the Mail to Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string.
      • %Subject%. Contains the contents of the subject field on the cover page of the fax.
      • %PagesTotal%. The total number of pages in the fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
      • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as TSID specified in the Sender Information Settings , or it is specified by the settings of the fax device that was used for fax transmission.
      • %SubmissionTime%. The time that the fax was submitted for processing.
      • %OriginalScheduledTime%. The time that the fax was originally scheduled for transmission.
      • %StartTime%. The time that the fax began transmitting.
      • %EndTime%. The time that the fax completed transmission.
      • %Duration%. The duration of the fax transmission.
      • %Retries%. In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %DeviceName%. The name of the device on which the fax message was transmitted. Example: Fax Voip Line 2.
      • %Status%. Operation completion code. Examples: OK (in the case of a successful fax sending), NO_ANSWER, BUSY.
      • %FaxMessageID%. The unique identifier for the outbound fax.
      • %FaxAccount%. The name of the computer user account (fax account) who submitted the fax job.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use SecureSmtpClient or System.Net.Mail method for sending e-mail messages.


Cover Pages

Cover Pages Settings (Mail to Fax)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ››

The options below can be overridden in the Mail to Fax Rules , see in the Cover Pages Settings (Mail to Fax Rule) chapter of this user manual.

Click to configure sender information

Click to switch to the Sender Information (Mail to Fax) page to configure default sender information that will be used with Mail to Fax function.

Include cover page with faxes

Specifies whether the cover page will be added to the document and sent as the first page in the fax when using Mail to Fax function.

Allow to send faxes consisting only of a cover page

Specifies whether you can send faxes consisting only of a cover page when using Mail to Fax function.

Use common cover page template

If this option selected, the common cover page template stored on the fax server will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip FSP settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Notes

  • When using Mail to Fax function, you can specify cover page subject and cover page note in the body part of your e-mail message. The recipient name, as well as the recipient fax number can be specified in the subject of your e-mail message. See details in the Sending Cover Pages chapter of this user manual.
  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (Mail to Fax) chapter of this user manual.


Sender Information

Sender Information Settings (Mail to Fax)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ››

On this page you can specify information about the fax sender for inclusion on the cover page in the case of using Mail to Fax function. The Fax ID (TSID) is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. Company name and Fax ID (TSID) are also displayed at the top of each faxed page (Fax Headline).

The options below can be overridden in the Mail to Fax Rules , see in the Sender Information Settings (Mail to Fax Rule) chapter of this user manual.

Use default sender information when using Mail to Fax function

If this option selected, the default sender information specified in the Windows Fax and Scan software (Tools -> Sender Information...) is used. You should understand that default sender information depends on the user account under which the Fax Voip FSP mail subsystem (Fax Voip FSP Mail service) is started.

Use the following sender information when using the Mail to Fax function

If this option selected, the Mail to Fax function uses the sender information specified below.

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

Title

The title associated with the sender.

Company

The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline). The Fax Headline is limited to 50 characters.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Fax ID (TSID)

The transmitting station identifier (TSID) for the sender's device. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. The TSID is limited to 20 characters. Note that depending on the fax server settings, this option can be ignored and TSID specified in the settings of the fax device is actually transmitted, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.

Billing code

The billing code associated with the sender.

Notes

  • In the case of using Mail to Fax function, the e-mail address, associated with the sender, that also can be displayed on the cover page is forcibly extracted from the e-mail message. The e-mail address, specified in the Windows Fax and Scan software (Tools -> Sender Information...) is ignored.
  • If you specify an e-mail address in the Windows Fax and Scan software (Tools -> Sender Information...) and then send the fax in the usual way (from the Windows Fax and Scan software), and at the same time the Mail to Fax function is active, then your fax will be handled by the Mail to Fax system, and the notification of a successful or failed fax delivery will be sent to the specified e-mail address. To avoid sending an e-mail in this case, you should create Mail to Fax rule for the specified e-mail address and disable sending notifications, see in the Receipts Settings (Mail to Fax Rule) chapter of this user manual.


Mail to Fax Rules

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ››

The so-called Mail to Fax rules allow you to customize the behavior of the Mail to Fax function, depending on the sender's e-mail address. The maximum supported number of Mail to Fax rules is not limited.

Fax Voip FSP always checks Mail to Fax rules, starting with the rule # 1. If the e-mail address matches the pattern, specified in the rule, then all subsequent rules are ignored. For example, if rule # 1 applies for all e-mail addresses ('E-mail' = *@*), then other rules # 2, # 3, etc. never be able to work under any conditions. If there is no one rule that matches the sender's e-mail address, the default Mail to Fax Settings will be applied.

The rule can be applied to:

  • single e-mail address
  • group of e-mails with specified domain part
  • all e-mail addresses

There are two types of rules:

  • Allow. Rules that allow the using of Mail to Fax functionality for the specified e-mail address(es).
  • Deny. Rules that deny the using of Mail to Fax functionality for the specified e-mail address(es).

The following Mail to Fax Settings can be set or overridden by the Mail to Fax rules:

  • Dialing Rules
  • Delivery notification to user e-mail address
  • File types that can be used as e-mail attachments
  • Cover Pages
  • Sender Information
  • Fax Priority and Schedule
  • E-mail Templates : Fax successfully sent , Failed to send a fax , Failed to create fax job

Customization rules (Mail to Fax) table contains the following information:

Rule

Unique number of the current rule.

E-mail

Specifies the e-mail address pattern for which the rule applies.

Allow

Specifies whether the rule allow or deny the using of Mail to Fax functionality for the specified e-mail address(es).

Dialing Rules

Specifies whether custom or default Mail to Fax settings are used for Dialing Rules .

Receipts

Specifies whether custom or default Mail to Fax settings are used for fax delivery notifications .

Attachments

Specifies whether custom or default Mail to Fax settings are used for e-mail attachments.

Cover Pages

Specifies whether custom or default Mail to Fax settings are used for Cover Pages .

Sender Info

Specifies whether custom or default Mail to Fax settings are used for Sender Information .

Schedule

Specifies whether custom or default Mail to Fax settings are used for fax priority and schedule.

E-mail Templates

Specifies whether custom or default settings are used for E-mail Templates .

The following commands are available in the Mail to Fax Contextual Tab of the Ribbon:

Mail to Fax Rules

New (Ctrl + N)

Click to create new Mail to Fax rule.

Copy (Ctrl + C)

Click to create a copy of the selected Mail to Fax rule. Can be useful when creating a large number of similar rules. To edit newly created rule, select it and use Edit command.

Edit (Ctrl + E)

Click to edit Mail to Fax rule. One of the entries should be selected. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete one or more Mail to Fax rules. One or more entries should be selected.

Delete (Del)

Click to delete one or more Mail to Fax rules. One or more entries should be selected.

Delete All

Click to delete all rules in the list.

Move

Use the commands below to change preference order for different Mail to Fax rules. One of the entries should be selected.

Move Up (Ctrl + U)

Move the selected rule up.

Move Down (Ctrl + D)

Move the selected rule down.

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Most of the commands placed on the Mail to Fax Contextual Tab are also available from the context menu of the list.


To create or edit Mail to Fax rule

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Rules ››

1. Open Fax Voip FSP Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax, then click Customization.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Mail to Fax Rule window in the General panel, specify the e-mail address for which this rule applies. To select e-mail address from Address Book (Windows Contacts), click the Address Book button. Select the type of rule: Allow or Deny. More details can be found in the chapter Mail to Fax Rules Settings , General Settings section.

5. Switch to the Dialing Rules panel.

6. In the Dialing Rules panel, specify whether to use default or custom settings for dialing rules. Specify whether to convert fax number to non-canonical format before creating a fax job. Specify whether to add prefix before number. More details can be found in the chapter Mail to Fax Rules Settings , Dialing Rules Settings section.

7. Switch to the Receipts panel.

8. In the Receipts panel, specify whether to use default or custom settings for fax delivery notifications. Specify whether e-mail sender should be notified via e-mail of a successful or failed fax delivery. Select format for the attached faxes, TIFF, PDF or SFF. Specify how file names are generated. More details can be found in the chapter Mail to Fax Rules Settings , Receipts Settings section.

9. Switch to the Attachments panel.

10. In the Attachments panel, specify whether to use default or custom settings for e-mail attachments. Specify whether the customer can use any types of e-mail attachments or only files with the specified extensions. More details can be found in the chapter Mail to Fax Rules Settings , Attachments Settings section.

11. Switch to the Cover Pages panel.

12. In the Cover Pages panel, specify whether to use default or custom settings for fax cover pages. Specify whether the customer can use cover pages. Select common or personal cover page template to be used. More details can be found in the chapter Mail to Fax Rules Settings , Cover Pages Settings section.

13. Switch to the Sender panel.

14. In the Sender panel, specify whether to use default or custom settings for sender information. Enter information about the fax sender. To import sender information for the specified e-mail address from Address Book (Windows Contacts), click the Address Book button. More details can be found in the chapter Mail to Fax Rules Settings , Sender Information Settings section.

15. Switch to the Schedule panel.

16. In the Schedule panel, specify whether to use default or custom settings for fax priority and schedule. Set the priority and specify whether to send faxes when discount rates apply. More details can be found in the chapter Mail to Fax Rules Settings , Schedule Settings section.

17. Switch to the Templates panel.

18. In the Templates panel, specify whether to use default or custom settings for e-mail templates. Configure e-mail templates to be used with the rule. More details can be found in the chapter Mail to Fax Rules Settings , Email Templates Settings section.

19. Click <OK> button to fix changes.

20. To change the preference order for Mail to Fax rules use Move Up and Move Down commands. One of the entries should be selected.

21. Click <Apply> button to save modified settings for Mail to Fax rules. All the changes are applied immediately.


To manage Mail to Fax rules

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Rules ››

1. Open Fax Voip FSP Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax, then click Customization.

3. To change the preference order for Mail to Fax rules use Move Up and Move Down commands. One of the rules should be selected.

4. To remove one or more rules, select the rules, then click Delete.

5. Click <Apply> button to save modified settings for rules. All the changes are applied immediately.


Mail to Fax Rules Settings

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Rules ››

This section provides information about settings, that you can do in the Mail to Fax Rule dialog.

  • General Settings
  • Dialing Rules Settings
  • Receipts Settings
  • Attachments Settings
  • Cover Pages Settings
  • Sender Information Settings
  • Schedule Settings
  • E-mail Templates Settings


General Settings

General Settings (Mail to Fax Rule)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

General Settings

E-mail address

The settings in this area allow to specify the E-mail address pattern for which the rule applies. The rule can be applied to single e-mail address, to the group of e-mails with the specified domain part or to all e-mail addresses.

E-mail address

If this option selected, the rule applies to single e-mail address.

<Address Book>

Click this button to select e-mail address from Address Book (Windows Contacts). When using this option, the Sender Information for the selected contact can be also imported from the Address Book.

E-mail group

If this option selected, the rule applies to the group of e-mails with the specified domain part.

Any e-mail address

If this option selected, the rule applies to all e-mail addresses.

Type of rule

The settings in this area allow to specify the type of rule. The rule can allow or deny the using of Mail to Fax functionality for the specified e-mail address(es).

Allow

If this option selected, the Mail to Fax function processes e-mails from the specified e-mail address(es).

Deny

If this option selected, the Mail to Fax function does not process e-mails from the specified e-mail address(es).


Dialing Rules Settings

Dialing Rules Settings (Mail to Fax Rule)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Dialing Rules Settings

On this page you can override the default settings for dialing rules specified in the Dialing Rules (Mail to Fax) .

Use default Mail to Fax settings

If this option checked, the default settings for dialing rules are used.

Convert fax number to non-canonical format before creating a fax job

Specify whether to convert fax numbers to non-canonical format before creating a fax job. If this option is not checked, the recipient's fax number is displayed without changes in Windows Fax and Scan software, in the same format as it was provided by e-mail user. In this case, when using canonical number format, the default dialing rules (associated with the location selected in the Phone and Modem options in Windows Control Panel) will be applied at the time of dialing the fax number.

Internal translation (removes '+', brackets, dashes and spaces)

When using this option, the '+' character as well as all parentheses, dashes and spaces will be removed from the dialed number. Note that this function does not really check whether the original fax number is in canonical format ("+" in the beginning, etc.).

Dialing Rule

When using this option, the dialing rules (TAPI) associated with the location selected in the combo box on the right will be applied to the recipient's fax number before the fax job is created.

(default)

The default dialing rules (associated with the location selected in the Phone and Modem options in Windows Control Panel) will be applied before the fax job is created.

<specific rule>

The dialing rules associated with the location selected in the combo box will be applied before the fax job is created. Note that using a specific location does not change the default location selected in the Phone and Modem options in Windows Control Panel.

New rule...

Select this option to configure dialing rules (Phone and Modem options in Windows Control Panel). For more information, see Dialing Rules Overview .

<Configure Rules>

Click to configure dialing rules (Phone and Modem options in Windows Control Panel). For more information, see Dialing Rules Overview .

Location name

The name of the location that is used to convert the number.

Country/Region

The country or region associated with the location to be used.

City/Area Code

The area or city code associated with the location to be used.

Add prefix before number

Use this option if you want to add a specified prefix to the dialed fax number. This can be useful in a variety of scenarios. In particular, this can be used to route faxes from different e-mail users via different SIP accounts. The specified prefix can be then removed when applying the Outgoing VOIP Call Routing rules. See description of the If Number starts with and Remove digits... options in the General Settings (Outgoing VOIP Call Routing) chapter of this user manual. When using this option and fax numbers in canonical format, we recommend that you also use Convert fax number to non-canonical format before creating a fax job option.

Use original fax number when sending delivery notification

When using this option, the original recipient's fax number (as entered by the e-mail user) will be indicated in the e-mail notification. If this option is not checked, the translated fax number (for example, with a prefix added) will be indicated. This option is ignored if the e-mail user specifies multiple fax recipients in the single e-mail message.

Fax Number

In this box you can enter a fax number to see how it will be translated into dialing string and how it will be displayed in Windows Fax and Scan software.

Displayable String

The recipient's fax number displayed in Windows Fax and Scan software.

Dialing String

The fax number as it will be dialed. When Convert fax number to non-canonical format before creating a fax job option is unchecked and the recipient's fax number is in canonical format, the default dialing rules (associated with the location selected in the Phone and Modem options in Windows Control Panel) will be applied at the time of dialing the fax number. The error message usually indicates that the original fax number is not in the correct format.

Destanation Country

Destination country/region of the translated fax number.

Notes

  • Dialing rules provided by TAPI do not always match the dialing rules that are required by your VoIP/SIP network. For example, the dialing string may contain special characters such as 'W', ',', '#' etc. For additional translation of the fax number, use Outgoing VOIP Call Routing rules.
  • Dialing rules (TAPI) are not applied when using fax numbers in non-canonical format.
  • For more information on using dialing rules, see Dialing Rules Overview chapter of this user manual.


Receipts Settings

Receipts Settings (Mail to Fax Rule)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Receipts Settings

On this page you can override the default settings for fax delivery notifications specified in the Delivery Receipts Settings (Mail to Fax) .

Use default Mail to Fax settings

If this option checked, the default settings for fax delivery notifications are used.

Click to configure e-mail templates

Click to switch to the Templates page.

Delivery Receipts

In this area, you can specify custom settings for fax delivery notifications that will be applied to the current rule only.

Delivery notification to user e-mail address

Specifies whether to send a notification of a successful or failed fax delivery to the sender's e-mail address.

Attach a copy of the sent fax in the following format

Specifies whether a copy of the sent fax should be attached to the e-mail message. Select the file format in which you want to receive a copy of the sent fax. Can be TIFF, PDF or SFF. Note that this option is ignored in the case of any errors in the fax job creation (not possible to convert your original document into the fax format, the specified fax number is invalid, e-mail address is blocked etc.). In this case the delivery notification is always sent without fax attachment.

The options below are responsible for how file names are generated for the attached faxes.

Use Default Filename Template (FAX...)

Select this option to use default filename template with the current rule. When specifying the default filename template, the fax attachment name is FAX.tif, FAX.pdf or FAX.sff (depending on the selected format).

Use Custom Filename Template:

Select this option to specify custom filename template in the text box below. Filename template may contain arbitrary text, as well as so-called %variables% that are replaced by actual data (e.g. %RecipientFaxNumber%, %StartTime%, %PagesTransferred% etc.). Filename template can not contain any of the following characters: \ / : * ? " < > | ; An example of file name for the current filename template (taking into account the selected date and time formats) is shown below under Example.

Insert a variable

Use this button to insert a variable in the text box on the left, where the custom filename template is specified. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu.

The following variables can be used with custom filename template (replaced by actual data):

      • %RecipientFaxNumber%. The fax number of the recipient.
      • %RecipientName%. The name of the recipient.
      • %DocumentName%. If the fax is generated by the Mail to Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are comma separated. When sending a fax consisting only of a cover page, replaced with an empty string.
      • %Subject%. Contains the contents of the subject field on the cover page of the fax.
      • %PagesTotal%. The total number of pages in the fax.
      • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
      • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as TSID specified in the Sender Information Settings , or it is specified by the settings of the fax device that was used for fax transmission.
      • %SubmissionTime%. The time that the fax was submitted for processing.
      • %OriginalScheduledTime%. The time that the fax was originally scheduled for transmission.
      • %StartTime%. The time that the fax began transmitting.
      • %EndTime%. The time that the fax completed transmission.
      • %Duration%. The duration of the fax transmission.
      • %Retries%. In the case of a successfully sent fax, the number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. In the case of failed fax delivery, the number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
      • %PagesTransferred%. The number of successfully sent fax pages.
      • %DeviceName%. The name of the device on which the fax message was transmitted. Example: Fax Voip Line 2.
      • %Status%. Operation completion code. Examples: OK (in the case of a successful fax sending), NO_ANSWER, BUSY.
      • %FaxMessageID%. The unique identifier for the outbound fax.
      • %FaxAccount%. The name of the computer user account (fax account) who submitted the fax job.

Format

Select the locale (region and language) to specify how to display date and time values for the current filename template. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

Date

Check this box to use the date part of DateTime value. Select date format from the drop-down list. Available date formats depend on the selected locale (region and language). Slashes ' / ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Time

Check this box to use the time part of DateTime value. Select time format from the drop-down list. Available time formats depend on the selected locale (region and language). Colon characters ' : ' that cannot be used in file names are replaced with dashes ' - '. An example of the formatting for the current selection is shown on the right under Example.

Example

An example of file name for the current filename template (taking into account the selected date and time formats, as well as the selected fax format).

Notes

  • When using CDO.Message method for sending e-mail messages (see more details in the SMTP Settings chapter) and the presence of unicode characters in the name of the attached file (usually when using a non-standard locale to format date and time), these characters can be replaced by underlining ' _ '. To fix the problem, use SecureSmtpClient or System.Net.Mail method for sending e-mail messages.


Attachments Settings

Attachments Settings (Mail to Fax Rule)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Attachments Settings

On this page you can override the default settings for e-mail attachments specified in the Mail to Fax Settings .

Use default Mail to Fax settings

If this option checked, the default settings for e-mail attachments are used.

Attachment types

In this area, you can specify custom settings for e-mail attachments that will be applied to the current rule only.

Allow any file types as e-mail attachments

If this option is selected, Mail to Fax will accept emails with any attachments. Please note that this in no way guarantees that your document will be correctly converted and faxed. See also in the E-mail attachments chapter of this user manual.

Allow only the specified file extensions

If this option is selected, Mail to Fax will only accept e-mail attachments with specified file extensions. Enter the file extensions in the text box on the right. The file extensions should be separated by a semicolon. Example: .TIF;.PDF;.TXT.


Cover Pages Settings

Cover Pages Settings (Mail to Fax Rule)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Cover Pages Settings

On this page you can override the default settings for cover pages specified in the Cover Pages Settings (Mail to Fax) .

Use default Mail to Fax settings

If this option checked, the default settings for cover pages are used.

Click to configure sender information

Click to switch to the Sender page.

Cover Pages

In this area, you can specify custom settings for fax cover pages that will be applied to the current rule only.

Include cover page with faxes

Specifies whether the cover page will be added to the document and sent as the first page in the fax when using Mail to Fax function.

Allow to send faxes consisting only of a cover page

Specifies whether you can send faxes consisting only of a cover page when using Mail to Fax function.

Use common cover page template

If this option selected, the common cover page template stored on the fax server will be used. You can choose one of the following predefined templates: Confidential, FYI, Generic and Urgent. Common cover page files are usually stored in the following folder: C:\ProgramData\Microsoft\Windows NT\MSFax\Common Coverpages.

Use personal cover page template stored in a file on the local computer

If this option selected, the specified personal cover page template stored in a file on the local computer will be used. Click the button to the right of the text box to choose the desired cover page template. Personal cover page files are usually stored in the Personal CoverPages folder: C:\Users\<Account Name>\Documents\Fax\Personal CoverPages, but you can save your cover page template in any other folder on your hard drive and then specify it in the Fax Voip FSP settings.

<New...>

Click to create new personal cover page template using Fax Cover Page Editor application. By default new template is stored in the Personal CoverPages folder. Alternatively, you can create and manage your personal cover pages using Windows Fax and Scan software (Tools -> Cover Pages... ).

<Edit...>

Click to open the selected cover page template in the Fax Cover Page Editor application.

Notes

  • When using Mail to Fax function, you can specify cover page subject and cover page note in the body part of your e-mail message. The recipient name, as well as the recipient fax number can be specified in the subject of your e-mail message. See details in the Sending Cover Pages chapter of this user manual.
  • To specify Sender Information, that is usually displayed on cover pages, see in the Sender Information Settings (Mail to Fax Rule) chapter of this user manual.


Sender Information Settings

Sender Information Settings (Mail to Fax Rule)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Sender Information Settings

Sender information is displayed on cover pages. The Fax ID (TSID) is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. Company name and Fax ID (TSID) are also displayed at the top of each faxed page (Fax Headline).

On this page you can override the default settings for sender information specified in the Sender Information Settings (Mail to Fax) .

Use default Mail to Fax settings

If this option checked, the default settings for sender information are used.

Sender Information

In this area, you can specify custom settings for sender information that will be applied to the current rule only.

Use default sender information when using Mail to Fax function

If this option selected, the default sender information specified in the Windows Fax and Scan software (Tools -> Sender Information...) is used. You should understand that default sender information depends on the user account under which the Fax Voip FSP mail subsystem (Fax Voip FSP Mail service) is started.

Use the following sender information when using the Mail to Fax function

If this option selected, the Mail to Fax function uses the sender information specified below.

<Address Book>

Click this button to import sender information for the specified e-mail address from Address Book (Windows Contacts).

Full name

The name of the sender.

Fax number

Fax number associated with the sender.

Title

The title associated with the sender.

Company

The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline). The Fax Headline is limited to 50 characters.

Office location

The office location of the sender.

Department

The department name associated with the sender.

Home phone

The home telephone number associated with the sender.

Work phone

The office telephone number associated with the sender.

Address

The street address associated with the sender. The street address should also include the city, state, zip code (postal code) and country/region for the sender.

Fax ID (TSID)

The transmitting station identifier (TSID) for the sender's device. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. The TSID is limited to 20 characters. Note that depending on the fax server settings, this option can be ignored and TSID specified in the settings of the fax device is actually transmitted, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.

Billing code

The billing code associated with the sender.

Notes

  • In the case of using Mail to Fax function, the e-mail address, associated with the sender, that also can be displayed on the cover page is forcibly extracted from the e-mail message. The e-mail address, specified in the Windows Fax and Scan software (Tools -> Sender Information...) is ignored.


Schedule Settings

Schedule Settings (Mail to Fax Rule)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

Schedule Settings

On this page you can override the default settings for fax priority and schedule specified in the Mail to Fax Settings .

Use default Mail to Fax settings

If this option checked, the default settings for fax priority and schedule are used.

Priority and Schedule

In this area, you can specify custom settings for fax priority and schedule that will be applied to the current rule only.

Set priority

Specify the priority to use. All faxes that have a high priority will be sent before a fax that has a normal or a low priority. All faxes that have a normal priority will be sent before a fax that has a low priority. The default priority is normal.

Schedule faxes when discount rates apply

Specify if the fax should be sent when discount rates apply. On Windows Server computer, discount rate settings can be configured in Microsoft Fax Service Manager (Fax (Local) -> Properties -> Outbox). On Windows 11 or Windows 10 computer, discount rate settings can be configured in Windows Fax and Scan application (Tools -> Fax Settings -> Advanced).


E-mail Templates Settings

E-mail Templates Settings (Mail to Fax Rule)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Rules ›› Mail to Fax Rules Settings ››

E-mail Templates Settings

On this page you can override the default settings for e-mail templates, see in the E-mail Templates chapter of this user manual.

Use default e-mail templates settings

If this option checked, the default settings for e-mail templates are used.

Email Templates

In this area, you can specify custom settings for e-mail templates that will be applied to the current rule only.

Select Template

Use this drop-down list to select the template you want to edit. You can configure the following e-mail templates: Fax successfully sent, Failed to send a fax, Failed to create fax job.

Use Default Template

Check this box if you don’t want to customize the selected template. The e-mail template embedded into the program code will be used in this case.

To customize the selected template, see notes below.

Notes

  • For more information on how to configure Fax successfully sent template, see Email Templates: Fax successfully sent . Settings for the Mail to Fax rule should be made in the same way.
  • For more information on how to configure Failed to send a fax template, see Email Templates: Failed to send a fax . Settings for the Mail to Fax rule should be made in the same way.
  • For more information on how to configure Failed to create fax job template, see Email Templates: Failed to create fax job . Settings for the Mail to Fax rule should be made in the same way.


Sending faxes from e-mails

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ››

This section provides you with the necessary information on using Mail to Fax function.

To create and send fax e-mail, see Composing of e-mail message .

To send faxes with cover pages, see Sending Cover Pages .

Supported e-mail attachments are discussed in the E-mail attachments chapter.

To use PDF files as e-mail attachments, see Using PDF files as attachment .

To configure a list of e-mail users that can use Mail to Fax function, see Blocking e-mail addresses .

For information about e-mail notifications of a successful or failed fax delivery, see E-mail notifications .

For information related to running Mail to Fax function as Windows Service, see Using Mail to Fax as Windows Service .


Composing of e-mail message

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Sending faxes from e-mails ››

To send a fax e-mail, you need to create an e-mail containing the following mandatory elements:

  • To: The e-mail address configured on the Fax Voip FSP POP3 / IMAP Settings to accept fax e-mails (e.g. faxserver@t38faxvoip.com).
  • Subject: The subject line is used to determine the numbers you wish to send the fax to (e.g. 14256681718). You can specify not only Recipient Fax Number but also the Recipient Name (e.g. 16317801544<Andreas Grein>). You can also specify several fax recipients which should be separated by semicolons (e.g. 14256681718;16317801544<Andreas Grein>). The Recipient Name is usually displayed on fax cover page, see also in the Sending Cover Pages chapter of this user manual.
  • The email body. You can to leave this field empty. Optionally, you can specify cover page subject and cover page note in the body part of your e-mail message. See details in the Sending Cover Pages chapter of this user manual.
  • Attachments. The actual fax content is taken from the attachment. You can attach one or more files that will be merged into a single fax message. Supported file formats that can be converted into the fax are discussed in the E-mail attachments chapter. In the case of sending a fax consisting only of a cover page, you should not attach files to your e-mail message.


Sending Cover Pages

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Sending faxes from e-mails ››

Mail to Fax function allows you to use fax cover pages when sending faxes from e-mail. A cover page contains user-specified information about a fax sender and a recipient, and often a short message, together with system information, such as transmission date and time.

To specify common or personal cover page template to be used, see Cover Pages Settings (Mail to Fax) . The Include cover page with faxes option is responsable for adding the cover page to the fax document. The Allow to send faxes consisting only of a cover page option allows you to send single-page faxes in which the fax message is included as a cover page note. The settings for cover pages can be personalized for different sender e-mail addresses by using Mail to Fax Rules , see also Cover Pages Settings (Mail to Fax Rule) .

To specify sender information to be displayed on cover pages, see Sender Information Settings (Mail to Fax) . The sender information can be personalized for different sender e-mail addresses by using Mail to Fax Rules , see also Sender Information Settings (Mail to Fax Rule) . Note, that the e-mail address, associated with the sender, that also can be displayed on the cover page is forcibly extracted from the e-mail message.

The Recipient Name, as well as the Recipient Fax Number should be specified in the subject line of your e-mail message, see picture below.

Cover page subject and cover page note should be included in the body part of your e-mail message. The string that contains the contents of the cover page subject should be enclosed in square brackets and placed above the text that contains the contents of the cover page note. Empty strings in the beginning of the text and also between the subject and the note are ignored. The figure below shows how to create an e-mail message.

The figure below shows the cover page after faxing.


E-mail attachments

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Sending faxes from e-mails ››

When using Mail to Fax function, the actual fax content is taken from the e-mail attachment. You can attach one or more files that will be merged into a single fax message.

By default, the Fax Voip FSP does not impose any restrictions on the types of attachments that you can use. Unfortunately, this in no way guarantees that your document will be correctly converted and faxed. To avoid undesirable problems, please test Mail to Fax function with different attachment types on your computer, configure your operating system (if necessary) and then specify file extensions that will be used with Mail to Fax in Fax Voip FSP settings. The information below will help you to configure your system.

Your document (e-mail attachment) can be converted into a fax in two different ways:

  • Using Direct Converting to Fax feature.
  • Printing in the background (printto function) using standard Fax printer included in Windows Fax Service.

Direct Converting to Fax

Direct Converting to Fax feature allows to convert some of the most popular graphics file formats into compatible fax format (TIFF). Installing the application associated with the required file extension is not necessary. Supported file extensions: *.PDF, *.TIF, *.TIFF, *.SFF, *.QFX, *.BMP, *.JPG, *.JPEG, *.GIF, *.PNG, *.ICO, *.WMF, *.EMF. To use Direct Converting to Fax for the specified attachment type, flag the corresponding file extension in the Fax Voip FSP Control Panel (Fax -> Fax Converter), see details in the Convert to Fax Settings chapter of this user manual.

Printing in the background

If Direct Converting to Fax is not supported and not configured for your file extension (e-mail attachment), Mail to Fax function trying to print it in the background using Fax printer. The application associated with the required file extension should be installed and registered on your computer. The associated application should support standard printto command that is used by Windows when printing a file. For example, to print text document (*.txt) notepad.exe application usually used. To print files in different graphics formats shimgvw.dll system library or Paint application typically used. To print files with .doc and .rtf extensions, installation of Microsoft Word is required.

Theoretically, any printable file can be used as e-mail attachment. However, not all is as good as we would like. For example, if you print with Microsoft Word (*. doc, * rtf), printing is not in the background. The associated application can show dialog boxes when printing, this requires the user to participate, which will make it impossible to automatically print the document. Some file types, which are normally printed “manually”, can not be printed in the background. In other words, the situation with printto is strongly dependent on the specific machine and applications installed on it.

The correct printto functionality can be easily fixed for the following file extensions: *.TXT, *.BMP, *.DIB, *.EMF, *.GIF, *.ICO, *.JFIF, *.JPE, *.JPEG, *.JPG, *.JXR, *.PNG, *.RLE, *.TIF, *.TIFF, *.WDP, *.WMF by using Repair ‘printto’ verbs command in the Fax Voip FSP Control Panel (Fax -> Fax Converter), see details in the Printto Options chapter of this user manual. For Windows 11 and Windows 10 users, see also To manually fix file associations in Windows 11 and Windows 10 .

In the case of unsuccessful printing of your document (e-mail attachment), Mail to Fax function trying to use Direct Converting to Fax (if supported for this file extension).

In the case of unsuccessful printing, you typically may encounter two types of errors. In the first case, the Mail to Fax subsystem immediately returns 'No application is associated with the specified file for this operation' error in the fax delivery notification via e-mail. In the second case, the Mail to Fax subsystem returns 'The wait operation timed out' after 5 minutes of waiting, during which the Mail to Fax subsystem hangs. Such a long wait time is due to the internal timeout in FaxDocument.ConnectedSubmit and FaxDocument.ConnectedSubmit2 methods (Fax Service API) and can not be easily fixed in our application. For this reason, we recommend to block file extension by using Allow only the specified file extensions option (see below) or use Direct Converting to Fax feature for this file type (if possible).

To configure Mail to Fax to operate with specified e-mail attachments only

1. Open Fax Voip FSP Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax.

3. Select Allow only the specified file extensions option. Enter the file extensions in the text box on the right. The file extensions should be separated by a semicolon. Example: .TIF;.PDF;.TXT.

4. Click <Apply> button. All the changes are applied immediately.

The settings for e-mail attachments can be personalized for different sender e-mail addresses by using Mail to Fax Rules , see also Attachments Settings (Mail to Fax Rule) .

Notes

  • It is strongly recommended to use Direct Converting to Fax function if this is possible with file type you want to use. In the case of using Direct Converting to Fax, additional tests and installing the application associated with selected file type not required.
  • To fix printto associations for standard file extensions, use Repair ‘printto’ verbs function. See in the Printto Options chapter of this user manual. For Windows 11 and Windows 10 users, see also To manually fix file associations in Windows 11 and Windows 10 .
  • Please note, that due to design of the Windows Fax Service software, the background printing is used in any case. But In the case of using Direct Converting to Fax , the temporary TIFF file (the result of direct converting) will be printed instead of original document (e.g. PDF).


Using PDF files as attachments

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Sending faxes from e-mails ››

Adobe Portable Document Format (PDF) is one of the most popular formats when working with faxes. Therefore, we have to consider this topic separately. When using Mail to Fax feature, two different methods can be used, when preparing the fax from the original PDF document:

  • Direct Converting to Fax of your PDF document (recommended)
  • Printing the original PDF document (printto function) using standard Fax printer included in Windows Fax Service.

To use Direct Converting to Fax (recommended)

1. Open Fax Voip FSP Control Panel.

2. Click Fax in TreeView, then click Fax Converter.

3. In the Select file types to be converted to fax format directly list, select the check box next to the Adobe PDF file type, to use direct converting for PDF files.

4. Click <Apply> button. All the changes are applied immediately.

To print PDF files using printto

If Direct Converting to Fax is disabled for PDF files, Fax Voip FSP automatically prints PDF file using the standard program specified on your system for viewing and printing PDF files. Usually it is Adobe Acrobat Reader. Since version 8 of the Adobe Reader it has changed behavior when used to print PDF documents automatically. It will no longer close itself after being called using ShellExecute(printto, ...) API function. In this situation, PDF files can not be used as e-mail attachments.

Nevertheless, there is a solution to this issue. More information can be found at https://www.biopdf.com/ :

https://www.biopdf.com/acrowrap/close_adobe_reader.php

You need to download and install Acrobat Wrapper . In this case the Adobe Reader will be closed correctly after “printing”.

If you use Adobe Reader with Mail to Fax function for processing mails with PDF attachments, the following should be taken into account:

  • To automatically close PDF files after printing, the last version of Acrobat Wrapper should be installed after the installation of Adobe Reader.
  • After any updates of Adobe Reader you must to reinstall Acrobat Wrapper. In this regard, it is desirable to disable the automatic update of Adobe Reader.
  • The described method does not work in the case of configuring Mail to Fax as Windows Service regardless of the version of Adobe Reader and Acrobat Wrapper.

To download and install Adobe Reader do the following:

1. Go to this web page at adobe site: Download new and previous versions of Adobe Reader .

2. Select the operation system and the language. In the Select a version field select Reader 11.0.XX English for Windows or Reader DC 202X.X.X English for Windows. We recommend you to uncheck McAfee and Chrome Extension options, not clear if you need them.

3. Click Download Acrobat Reader button and follow the installation instructions.

Notes

  • All the problems associated with 'print PDF files using printto' feature can not be considered as errors in the Fax Voip FSP software. The recommendations in this chapter are provided 'AS IS' and any claims relating to this function are not considered by our support team.
  • To resolve problems arising as a result of failed tests, follow the instructions in the Mail to Fax Troubleshooting chapter of this user manual.


Blocking e-mail addresses

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Sending faxes from e-mails ››

By default, Mail to Fax function handles fax e-mails received from any e-mail address. This is not a good practice, since anyone who knows the e-mail address of the Fax Voip FSP server can send unauthorized faxes. To avoid this, we strongly recommend that you set up a list of e-mail users who are allowed to use the Mail to Fax functionality. This task can be easily done with the help of Mail to Fax Rules .

To block an e-mail address

1. Open Fax Voip FSP Control Panel.

2. Click E-mail in TreeView, then click Mail to Fax, then click Customization.

3. To create new rule click New. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the Mail to Fax Rule window, on the General page, specify the e-mail address for which the rule applies or select the e-mail address from Address Book (Windows Contacts) by clicking the Address Book button. To apply the rule to the group of e-mails, select E-mail group option and then specify the domain (e.g. gmail.com). To apply the rule to all e-mail addresses, select Any e-mail address option. In the Type of rule area, select Deny. See also in the chapter Mail to Fax Rules Settings , General Settings section.

5. Optionally, you can disable delivery notifications to the blocked e-mail address(es). To do this, on the Receipts page, uncheck Use default Mail to Fax settings option, and then uncheck Delivery notification to user e-mail address option. Otherwise, the e-mail user will receive a notification with 'Sorry, your e-mail address has been blocked...' error when trying to send an e-mail message. See also in the chapter Mail to Fax Rules Settings , Receipts Settings section.

6. Click <OK> button to fix changes.

7. To change the preference order for Mail to Fax rules use Move Up and Move Down commands. One of the entries should be selected.

8. Click <Apply> button to save modified settings for Mail to Fax rules. All the changes are applied immediately.

In this example, see the figure above, the using of Mail to Fax function is allowed for any e-mail address with @t38faxvoip.com domain part, except the robby@t38faxvoip.com address, for which the separated Deny rule is created. Note that the rule for 'robby@t38faxvoip.com' is placed before the rule for '*@t38faxvoip.com'. The Deny rule, which applies to all e-mail addresses (*@*), must be placed after all other rules.


E-mail notifications

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Sending faxes from e-mails ››

When using Mail to Fax feature, the e-mail user can receive e-mail notifications of a successful or failed fax delivery. To enable or disable delivery notifications, see Delivery notification to user e-mail address option in the Delivery Receipts to user e-mail address (Mail to Fax) chapter of this user manual. The settings can be personalized for different sender e-mail addresses by using Mail to Fax Rules , see also Receipts Settings (Mail to Fax Rule) .

In the case of failed fax delivery, an e-mail notification usually contains the error code and its description. The table below shows tipical errors, as well as some recommendations for troubleshooting.

Error | Error description | How to fix the problem
Fax successfully sent
OK |  |
Failed to send fax
Operation completion code, returned by the fax server. Example: NO_ANSWER. | Error description, returned by the fax server. Example: The receiving device did not answer the call. | Error returned by the fax server not always indicates a real problem (for example, the phone line can be really busy, the call was not answered, the dialed number is not a fax number etc.). In any case these errors are in no way related to Mail to Fax function. Try first to send a fax from the Windows Fax and Scan software. If does not work, configure Fax Voip FSP and Windows Fax Service correct way. Please read this user manual.
Fax Recipients not specified. | At least one fax recipient should be specified in the subject of the e-mail message. | Specify the correct recipient fax number in the subject line of your e-mail message. For more details, see Composing of e-mail message .
No attachments in your e-mail. | No attachments in your e-mail or unreadable attachment name. Sending cover pages only option is also disabled for your account. Nothing to send. | Create an e-mail that contains attachment(s), see Composing of e-mail message . Enable the Allow to send faxes consisting only of a cover page option, see Cover Pages Settings (Mail to Fax) . If you sent an e-mail with attachment, but the attachment somehow "lost" (strange...), try changing the type of incoming mail server from IMAP to POP3 or try with another server, see POP3 / IMAP Settings .
File extention not supported. | The file extention... is not supported. Error Index File = ... (with specifying the e-mail attachment name). Please contact the administrator of the fax server to get detailed information about supported formats. | Explicitly specify the extension of your file next to the option Allow only the specified file extensions or select Allow any file types as e-mail attachments option. For more details, see Mail to Fax Settings and E-mail attachments .
The document could not be converted into fax. | Error returned by the Direct Converting to Fax function ... Error Index File = ... (with specifying the e-mail attachment name that caused the error). | Most likely your file is corrupted.
Failed to submit fax job. Invalid attachment. | Error returned by the FaxDocument.ConnectedSubmit or FaxDocument.ConnectedSubmit2 methods (Fax Service API), usually 'No application is associated with the specified file for this operation' ... Error Index File = ... (with specifying the e-mail attachment name that caused the error). | Install the application associated with the required file extension. The associated application should support standard printto command that is used by Windows when printing a file. For more details, see E-mail attachments .
Failed to submit fax job. | Error returned by the FaxDocument.ConnectedSubmit or FaxDocument.ConnectedSubmit2 methods (Fax Service API), not associated with e-mail attachment file. | The solution to the problem depends on error returned.
Your email address has been blocked.
Incorrect Sender e-mail. | Sorry, your e-mail address has been blocked. Please contact administrator of the server. | The e-mail address is blocked by the Mail to Fax Rules . For more details, see Blocking e-mail addresses .


Mail to Fax as Windows Service

Using Mail to Fax as Windows Service

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Sending faxes from e-mails ››

By default, the Fax Voip FSP Mail to Fax subsystem is configured to be started as application under current user account. To configure Mail to Fax subsystem to be started as Windows Service, see Configure Mail to Fax as Windows Service . The service is automatically started on Windows startup, before user logon. This option is recommended for multi-user systems.

Run the service under user account

It is strongly recommended to run Fax Voip FSP Mail service on behalf of the regular user account, and not under the local system or network service accounts. There are at least two reasons for this:

  • Ability to view and manage faxes generated by the service in Windows Fax and Scan application
  • Ability to configure file type associations (responsible for the correct printing of various documents)

Viewing and managing faxes in Windows Fax and Scan

The current user does not have access to faxes created by the other user. If the Fax Voip FSP Mail service is started under Local System account, the faxes will also be created using Local System account. You are not able to view and manage faxes in the Windows Fax and Scan application in this case. There is no normal solution to this problem. You can do certain manipulations on the Fax Properties -> Security page, but this does not solve all the problems that you will encounter. If the Fax Voip FSP Mail service is started under the specified user account, the specified user will be able to view and manage faxes generated by the service in the usual way (when logged into the system). Note that only one user (under which the service is running) can access the faxes.

Configuring file type associations

When creating a fax from your document, the Mail to Fax function trying print the document in the background using Fax printer. The success of this operation is specified by the presence of the application associated with the required file extension that should be installed and correctly registered on your computer. The associated application should support standard printto command that is used by Windows when printing a file. The file type associations, responsible for the correct printing of various documents, can be easily configured for the current user account. However, there is no easy way to configure file type associations for the local system or network service accounts. If the Fax Voip FSP Mail service is started under Local System account, the Mail to Fax function does not see your settings and usually not able to print the document. If the Fax Voip FSP Mail service is started under the specified user account, the specified user can configure file type associations in the usual way (when logged into the system).

For more details, see also the folllowing chapters of this user manual: E-mail attachments , Printto Options , To manually fix file associations in Windows 11 and Windows 10 .

Notes

  • When configuring Mail to Fax to use different e-mail attachments, always make tests under current user account before you re-configure Mail to Fax subsystem to be started as Windows Service.
  • Repeat your tests after reconfiguring Mail to Fax subsystem to be started as Windows Service.


Mail to Fax Troubleshooting

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ››

  • Frequently Asked Questions (FAQ)
  • To view Mail to Fax log
  • General instructions for recovery of Mail to Fax function
  • Using e-mail attachments with file names in national languages


Frequently Asked Questions

Frequently Asked Questions (FAQ)

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Troubleshooting ››

I have configured email2fax but it does not work. I always receive reply via e-mail: 'Failed to send a fax... Status: NO_ANSWER; Description: The receiving device did not answer the call'. Any suggestions?

Error returned by the fax server not always indicates a real problem (for example, the phone line can be really busy, the call was not answered, the dialed number is not a fax number etc.). In any case these errors are in no way related to Mail to Fax function. Try first to send a fax from the Windows Fax and Scan software. If does not work, configure Fax Voip FSP and Windows Fax Service correct way. Please read this user manual.

I have a problem with email2fax service. When I send some PDF attachment I receive reply from system: 'Description: No attachments in your mail or unreadable attachment name... Nothing to send'. This problem does not apply to all attachments...

Try changing the type of incoming mail server from IMAP to POP3 or try with another server, see POP3 / IMAP Settings . Depending on the IMAP server and its settings, you may encounter this problem.

Until now, we have used the Google mail server with email2fax, but for some reason it stopped working. Where is the problem?

To use Fax Voip FSP with Gmail (Basic authentication) after May 30, 2022 you should turn on 2 Step Authentication for your Gmail account and then to generate the App Password from Google Security. The App Password should be then used in Fax Voip FSP settings instead of the main password for your Google account. See the Microsoft Community forum for details. See also YouTube video .

I am unable to configure Fax Voip FSP with my POP3 (IMAP, SMTP) server. I am using Fax Voip FSP version 3.3.1 (2.4.1). Can you please help?

The problem may be the TLS version requirements on your mail server. Starting from Fax Voip FSP version 4.1.1, TLS version 1.2 is used in the case of secure connection (SSL). Previous versions of Fax Voip FSP used TLS version 1.0. Please install the latest version of Fax Voip FSP software.

My e-mail provider tells me that I should use OAuth 2.0 when configuring POP3 (IMAP, SMTP). I am using Fax Voip FSP version 4.1.1 (3.3.1, 2.4.1). Can you please help?

Modern authentication (OAuth 2.0 token-based authorization) support is added in Fax Voip FSP version 4.2.1. Please install the latest version of Fax Voip FSP software.

When I send DOC attachment I receive the following error: 'Failed to submit fax job. Invalid attachment... No application is associated with the specified file for this operation'. How to fix?

Try to install the application associated with the required file extension. The associated application should support standard printto command that is used by Windows when printing a file. For example, to print files with .doc and .rtf extensions Microsoft Word should be installed on your computer where you have Fax Voip FSP. For more details, see E-mail attachments .

When I send my attachment, email2fax hangs. Then I receive the following error: 'Failed to submit fax job. Invalid attachment... The wait operation timed out'. Why?

The Mail to Fax subsystem is not able to print your document and for some reason not able to return error immediately. It returns 'The wait operation timed out' after 5 minutes of waiting, during which the Mail to Fax subsystem hangs. Such a long wait time is due to the internal timeout in FaxDocument.ConnectedSubmit and FaxDocument.ConnectedSubmit2 methods (Fax Service API) and can not be easily fixed in our application. For this reason, we recommend you to block file extension by using Allow only the specified file extensions option (see in the E-mail attachments chapter) or use Direct Converting to Fax feature for this file type (if possible).

Can I use e-mail attachments with filenames in Polish? It will be quite difficult to force 70 users in polish office to stop using polish chars...

The Fax Voip FSP supports Unicode, thus you are unlikely to have problems because of this. But if you are in doubt, configure your system to support the Polish language, see Using e-mail attachments with file names in national languages .

We can’t send outgoing faxes anymore through e-mail. Stopping and starting the service didn’t help...

For creating Mail to Fax debug log, see To view Mail to Fax log . Follow General instructions for recovery of Mail to Fax function .


To view Mail to Fax log

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Troubleshooting ››

1. Open Fax Voip FSP Control Panel.

2. Click Options in TreeView, then click E-mail Logs. Then select Enable Mail to Fax debug logging option.

3. To automatically remove debug log file on Mail to Fax system (Fax Voip FSP Mail service) startup, select Clear log at Mail to Fax service startup option.

4. Click <Apply> button.

To view Mail to Fax log click <View> button near the Enable Mail to Fax debug logging checkbox.

Notes

  • To view detailed information about receiving e-mail messages, use Enable Receive Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.
  • To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.


Recovery of Mail to Fax function

General instructions for recovery of Mail to Fax function

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Troubleshooting ››

As a result of failed experiments with various types of e-mail attachments you may encounter situations when the e-mails are no longer accepted by Fax Voip FSP and the Mail to Fax function does not work (it is assumed that your POP3 / IMAP Settings are correct). When this happens, an increased CPU usage may be displayed.

Examine the Mail to Fax log

1. Follow the instructions in the To view Mail to Fax log chapter to enable logging.

2. In the Fax Voip FSP Control Panel, click E-mail in TreeView. Click <STOP> and then <START> to restart Mail to Fax subsystem (Fax Voip FSP Mail service).

3. Wait at least 5 minutes. The internal timeout of FaxDocument.ConnectedSubmit and FaxDocument.ConnectedSubmit2 methods (Fax Service API) is 5 minutes and this can not be easily fixed in our application. The Mail to Fax subsystem can return 'The wait operation timed out' after 5 minutes of waiting, during which the Mail to Fax subsystem hangs. This will be reflected in the log file and you will be able to fix the problem by blocking the bad file extension which caused an error, see in the E-mail attachments chapter of this user manual.

4. Click Options in TreeView, then click E-mail Logs. To view the log, click <View> button near the Enable Mail to Fax debug logging checkbox.

5. Examine the log file and try to fix the problem. You can also send the log file to our support team by e-mail.

Try to disable "Run Mail to Fax... as Windows Service"

1. Open Fax Voip FSP Control Panel.

2. Click E-mail in TreeView. Select Run Mail to Fax system as application option.

3. Click <Apply>. Make sure that Mail to Fax subsystem is started.

4. See if the problem has disappeared. Examine the log file.

Delete temporary files

1. Open Fax Voip FSP Control Panel.

2. In the Fax Voip FSP Control Panel, click E-mail in TreeView. Click <STOP> to stop Mail to Fax subsystem (Fax Voip FSP Mail service).

3. In Windows Explorer open the {CommonAppDataFolder}\FaxVoip FSP folder, usually 'C:\ProgramData\FaxVoip FSP'.

4. In the Fax Voip FSP data folder find the folder {CommonAppDataFolder}\FaxVoip FSP\attach, usually 'C:\ProgramData\FaxVoip FSP\attach', and open it. If there are any files in that folder, delete them. To investigate the problem, you can copy the existing files to another location before deleting, and then send them to our support team by e-mail.

5. In the Fax Voip FSP data folder find the folder {CommonAppDataFolder}\FaxVoip FSP\mail, usually 'C:\ProgramData\FaxVoip FSP\mail', and open it. If there are any files in that folder, delete them. To investigate the problem, you can copy the existing files to another location before deleting, and then send them to our support team by e-mail.

6. In the Fax Voip FSP Control Panel, click E-mail in TreeView. Click <START> to start Mail to Fax subsystem (Fax Voip FSP Mail service).

Notes

  • The Mail to Fax function is based on possibility of your system to use the printto function with different types of documents (e-mail attachments). The behavior with different types of attachments depends on your system and software installed. For more details, see also the folllowing chapters of this user manual: E-mail attachments , Printto Options , To manually fix file associations in Windows 11 and Windows 10 . All the problems associated with specified attachment type can not be considered as errors in the Fax Voip FSP program.
  • The Mail To Fax function is provided 'AS IS'. Should understand that it is not the main function in our application. We are always ready to help you to solve different problems with Mail To Fax but any claims relating to this function are not considered by our support team.


E-mail attachments with file names in national languages

Using e-mail attachments with file names in national languages

Fax Voip FSP Control Panel ›› E-mail ›› Mail to Fax ›› Mail to Fax Troubleshooting ››

Note that Fax Voip FSP supports Unicode. Thus, you should not encounter problems described in this chapter and may use any file names for your e-mail attachments. Nevertheless the information below can be useful.

When sending faxes as e-mail attachments, users often use long file names and write the names of files in their native language, such as Polish or Russian. Examples of files with such names are displayed in the picture below.

It is recommended that you use short file names written in English. If you still want to use your native language and have problems with such files, configure your operating system to support your language. The following example illustrates how to do this for the Polish language.

To configure Windows to support the desired language, follow these steps:

1. Switch to Search pane, type control panel, and then click Control Panel.

2. In the Control Panel click Region.

3. In the Region window select Administrative page.

4. On the Administrative page, in the Language for non-Unicode programs area click Change system locale.

5. In the Region Settings window select your national language, for example Polish (Poland).

6. Click OK.

7. In the Change System Locale dialog window click Restart now to restart the computer.


SMTP Settings

Fax Voip FSP Control Panel ›› E-mail ››

SMTP server responsible for sending outgoing e-mail messages. SMTP settings are required for the following Fax Voip FSP function:

  • Route through e-mail Incoming Fax Routing Method . Forwarding received faxes to e-mail recipients.
  • E-mail Delivery Receipts Outgoing Fax Routing Method . Notification of a successful or failed fax delivery to the predefined e-mail address(es).
  • Mail to Fax . Notification of a successful or failed fax delivery to the sender's e-mail address.

It is assumed that you have an e-mail account, received from your Internet service provider or system administrator. Caution! To avoid unexpected problems this account should not be used by other e-mail clients to receive and send regular e-mails.

Enable OAuth 2.0 Modern Authentication

Select this checkbox to use OAuth 2.0 protocol when sending e-mail messages. To configure OAuth 2.0, see OAuth 2.0 Settings (SMTP) . Modern authentication (OAuth 2.0 token-based authorization) is currently used by many well-known e-mail systems such as Gmail , Microsoft ( Office 365 , Hotmail, Outlook.com ), Yahoo! and is intended to replace Basic authentication. OAuth 2.0 is supported starting from Fax Voip FSP version 4.2.1.

Click to configure OAuth 2.0

Click to configure OAuth 2.0 Settings (SMTP) .

Send e-mail method

SecureSmtpClient

This method initially implemented in Fax Voip FSP version 4.2.1 to support the OAuth 2.0 protocol when sending e-mail messages via SMTP. Supports both Implicit SSL connection (usually on port 465) and Explicit SSL with sending STARTTLS command (usually port 587 or 25 used). This method ignores errors if your SMTP server does not have valid SSL certificate. When sending e-mail message, a detailed log is generated, see in the E-mail Logs chapter of this user manual.

CDO.Message

Select this option, if you want to use Collaboration Data Objects (CDO) for Microsoft Windows 2000 (Cdosys.dll) to send e-mails from Fax Voip FSP. Use this option if your SMTP server requires Implicit SSL connection (usually on port 465). Using this method the error is generated if your SMTP server does not have valid SSL certificate. You also need this method to send digitally signed e-mail messages.

System.Net.Mail

If this option selected, .Net Framework method is used to send e-mails. Use this option if your SMTP server requires Explicit SSL with sending STARTTLS command (usually port 587 or 25 used). This method ignores errors if your SMTP server does not have valid SSL certificate.

Sender’s e-mail address

Specifies the e-mail address that Fax Voip FSP uses to send e-mails. When Fax Voip FSP sends message, this e-mail address appears in the From box of the outgoing message.

Sender’s name

Specifies the friendly name associated with e-mail address used by Fax Voip FSP. When Fax Voip FSP sends message, this name appears in the From box of the outgoing message. The default name is Fax Voip FSP, but you can leave it blank. In this case, the Sender’s e-mail address will be displayed in the From box instead of the name.

SMTP Server

Specifies your SMTP server for outgoing e-mail messages.

Port

Specifies the port number you connect to on your outgoing e-mail (SMTP) server. This port number is usually 25. In the case of using Implicit SSL connection port number is usually 465. If Explicit SSL with sending STARTTLS command is used, the port number is usually 587 or 25.

My server requires a secure connection (SSL)

Specifies whether to use the Secure Sockets Layer (SSL) security protocol when connecting to the SMTP server. The administrator of Internet service provider for the server will indicate if the SSL requirement exists. Please note that starting from Fax Voip FSP version 4.1.1, TLS version 1.2 is used in the case of secure connection (SSL). Previous versions of Fax Voip FSP used TLS version 1.0.

SSL Mode

Implicit

Select this option, if your SMTP server requires Implicit SSL connection (usually on port 465). With this method an SSL session is established up front before any protocol commands are sent. Implicit SSL mode is implemented via SecureSmtpClient and CDO.Message methods of sending e-mails.

Explicit (STARTTLS)

Select this option, if your SMTP server requires Explicit SSL (usually port 587 or 25 used). In this mode, the SMTP session begins on an unencrypted channel, then a STARTTLS command is issued by the client to the server to switch to secure communication using SSL. Explicit SSL mode is implemented via SecureSmtpClient and System.Net.Mail methods of sending e-mails.

My server requires authentication

Check this checkbox, if your SMTP server requires authentication.

Login

Specifies your SMTP account name. This is usually the same as the part of e-mail address to the left of the at sign (@).

Password

Provides a space to type the password assigned by your Internet service provider. The password is not required and is ignored if OAuth 2.0 Modern Authentication is used.

Send digitally signed e-mail messages

Adds digital signature to all messages that Fax Voip FSP sends. If messages signed, recipients will be able to determine if a message is really from you. The valid digital certificate suitable for the specified Sender’s e-mail address must be installed into the Local Machine Certificate Store on your system. The Network Service account, under which Windows Fax Service is started, should have read access permissions to your certificate private keys. The recipient does not need a digital ID to view signed messages.

Clear signing

A clear signed message separates the digital signature from the signed data. Non-S/MIME-enabled e-mail clients can read only clear signed messages. Use this option, when you don't know the recipient's S/MIME capabilities.

Opaque signing

Specifies whether digitally signed message should be encoded to help avoid tampering with the signature. If this option is on, users of e-mail programs that do not support S/MIME will not be able to read signed messages. When you do know that a recipient has S/MIME capability, you can use either clear or opaque signing.

<Certificate>

Click to display a dialog box that contains the properties of an X.509 certificate and its associated certificate chain. If valid certificate associated with specified Sender’s e-mail address not found, the information message is displayed. The valid certificate must be installed into the Local Machine Certificate Store on your system. The Network Service account, under which Windows Fax Service is started, should have read access permissions to your certificate private keys. If your certificate is installed into the Current User Certificate Store, Fax Voip FSP proposes to install it into the Local Machine Certificate Store. If your certificate is installed into the Local Machine Certificate Store, but Network Service account does not have read access permissions to private keys, Fax Voip FSP proposes to grant read access permissions to private keys for fax service (Network Service account). Follow the instructions of the dialog boxes. Please note, that administrator privileges are required, to check access permissions for Network Service account and to install the certificate into the Local Machine Certificate Store. See more details in the To obtain and install secure e-mail certificate chapter of this user manual.

<Test>

Use this button to run built-in SMTP client for testing your SMTP settings before using.

Notes

  • Modern authentication (OAuth 2.0 token-based authorization) is supported starting from Fax Voip FSP version 4.2.1. To configure OAuth 2.0, see OAuth 2.0 Settings (SMTP) .
  • Starting from Fax Voip FSP version 4.1.1, TLS version 1.2 is used in the case of secure connection (SSL). Previous versions of Fax Voip FSP used TLS version 1.0.
  • To use Fax Voip FSP with Gmail (Basic authentication) after May 30, 2022 you should turn on 2 Step Authentication for your Gmail account and then to generate the App Password from Google Security. The App Password should be then used in Fax Voip FSP settings instead of the main password for your Google account. See the Microsoft Community forum for details. See also YouTube video .
  • Implicit SSL connection is supported with SecureSmtpClient and CDO.Message methods. Explicit SSL with sending STARTTLS command is supported with SecureSmtpClient and System.Net.Mail methods.
  • If your SMTP server does not have valid SSL certificate, use SecureSmtpClient or System.Net.Mail method.
  • To send digitally signed messages, use CDO.Message method.
  • To send digitally signed messages, the valid digital certificate suitable for the specified Sender’s e-mail address must be installed into the Local Machine Certificate Store. The Network Service account, under which Windows Fax Service is started, should have read access permissions to your certificate private keys. More information can be found in the To obtain and install secure e-mail certificate chapter of this user manual.
  • Fax Voip FSP sends e-mail messages using UTF-8 encoding.
  • When using CDO.Message method for sending e-mail messages and the presence of unicode characters in the name of the attached file, these characters can be replaced by underlining ' _ '. The problem can be observed when using custom filename templates, usually when choosing a non-standard locale for formatting date and time. For more details see the following chapters: Format Settings (Route through e-mail) , Format Settings (E-mail Delivery Receipts) , Delivery Receipts to user e-mail address (Mail to Fax) , Receipts Settings (Mail to Fax Rule) . To fix the problem, use SecureSmtpClient or System.Net.Mail method for sending e-mail messages.
  • To verify your settings, use <Test> button, see in the Testing e-mail sending chapter. To view log, use Enable Send Mail debug logging option, see in the E-mail Logs chapter of this user manual.


OAuth 2.0 Settings

OAuth 2.0 Settings (SMTP)

Fax Voip FSP Control Panel ›› E-mail ›› SMTP Settings ››

Modern authentication (OAuth 2.0 token-based authorization) is currently used by many well-known e-mail systems such as Gmail , Microsoft ( Office 365 , Hotmail, Outlook.com ), Yahoo! and is intended to replace Basic authentication. OAuth 2.0 support is added in Fax Voip FSP version 4.2.1.

On this page, you can specify OAuth 2.0 settings that will be used when sending e-mails via the SMTP server, see also SMTP Settings chapter of this user manual. Use <Get Refresh Token> button to send Authorization Request, confirm your e-mail account details and to generate Refresh Token (the procedure runs in a separate web browser window and requires user interaction). The Refresh Token has a long lifetime (usually one year) and is used to automatically obtain Access Token at the time of sending or receiving e-mail messages (without user interaction). To use the same e-mail account for both outgoing and incoming e-mail messages, select the Use this OAuth 2.0 configuration for POP3 / IMAP checkbox. After configuring the OAuth 2.0 settings and generating Refresh Token, click <Apply> button to save your settings.

Click to configure SMTP Settings

Click to configure SMTP settings .

<Load Profile>

Click to load the predefined settings selected from the dropdown list on the right. As an 'OAuth 2.0 Application', we mainly used Client ID / Client Secret pairs imported from the Mozilla Thunderbird e-mail client. The following profiles (tested with Fax Voip FSP) can be selected:

Google / Gmail.com (Thunderbird)

Select this option to configure Fax Voip FSP for using with your Gmail account. To generate Refresh Token, in the Open authorization request in this browser area, select the option Default Browser or Internet Explorer. Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Google website .

Microsoft / Office 365 / Hotmail / Outlook.com (MS Oauth Test)

Select this option to configure Fax Voip FSP for using with your Microsoft ( Office 365 , Hotmail, Outlook.com ) account. To generate Refresh Token, in the Open authorization request in this browser area, select WebBrowser (.Net), Internet Explorer, or Default Browser. Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Microsoft website .

Microsoft / Office 365 / Hotmail / Outlook.com (Thunderbird)

Select this option to configure Fax Voip FSP for using with your Microsoft ( Office 365 , Hotmail, Outlook.com ) account. To generate Refresh Token, in the Open authorization request in this browser area, select the option WebBrowser (.Net) or Internet Explorer. Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Microsoft website .

Yahoo.com (Thunderbird)

Select this option to configure Fax Voip FSP for using with your Yahoo! account. To generate Refresh Token, in the Open authorization request in this browser area, select the option Internet Explorer or WebBrowser (.Net). Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Yahoo website .

Yandex.com (Fax Voip)

Select this option to configure Fax Voip FSP for using with your Yandex.com account. To generate Refresh Token, in the Open authorization request in this browser area, select the option WebBrowser (.Net) or Internet Explorer. Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Yandex website .

Yandex.com (Thunderbird)

Select this option to configure Fax Voip FSP for using with your Yandex.com account. To generate Refresh Token, in the Open authorization request in this browser area, select the option WebBrowser (.Net) or Internet Explorer. Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Yandex website .

Mail.ru (Thunderbird)

Select this option to configure Fax Voip FSP for using with your Mail.ru account. To generate Refresh Token, in the Open authorization request in this browser area, select the option Internet Explorer or WebBrowser (.Net). Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Mail.ru website .

Authorization URI

The address of authorization endpoint that accepts an authentication request. The authorization endpoint is used for authentication and authorization and returns an authorization grant to the client application.

Token URI

The address of token endpoint that is used by client application to exchange an authorization grant or refresh token for an access token.

Scope

A space-separated list of scopes. OAuth 2.0 scopes provide a way to limit the amount of access that is granted to an access token.

Client ID

The public identifier for the client application.

Client Secret

Used to authenticate the identity of the application to the service API when the application requests access to a user account. Can be an empty string for a "public" application.

Redirect URI

The callback address to which authentication responses can be sent and received by application. It must match one of the redirect URIs the developer registered when creating the application, and the authorization server should reject the request if it does not match.

E-mail Address

The e-mail address associated with the user account.

Refresh Token

The Refresh Token is used to automatically obtain Access Token at the time of sending or receiving e-mail messages (without user interaction). The Refresh Token is long-lived (usually one year). To generate Refresh Token, use <Get Refresh Token> button.

<Get Refresh Token>

Use this button to send Authorization Request, confirm your e-mail account details and to generate Refresh Token (the procedure runs in a separate web browser window and requires user interaction).

Open authorization request in this browser

Choose one of the options below. We offer 3 different methods as depending on the e-mail OAuth 2.0 server and Redirect URI parameter (registered by the developer when creating the application), some of them may not work.

Internet Explorer

If this option is selected, the InternetExplorer object (Windows Internet Explorer web browser) is used to process the authorization request. This option works with all e-mail OAuth 2.0 providers we have tested. Note that this option also works in Windows 11, where Microsoft locked Internet Explorer browser.

WebBrowser (.Net)

If this option is selected, the WebBrowser Control (.NET Framework) is used to process the authorization request. Note that this option does not work with Gmail (unsupported browser error).

Default Browser

If this option is selected, the default web browser is used to process the authorization request. Please note that this option only works with applications for which Redirect URI = http://127.0.0.1 is explicitly specified by the developer. Also, this uses a random unused port, which is not always supported by the e-mail OAuth 2.0 provider. The browser window must be manually closed by the user. In our tests, this only worked with Gmail and Microsoft (Microsoft / Office 365 / Hotmail / Outlook.com (MS Oauth Test) profile). Tested with Microsoft Edge and Internet Explorer as default web browsers.

<Clear>

Click to clear all text boxes on this page.

Use this OAuth 2.0 configuration for POP3 / IMAP

Select this checkbox to use the same e-mail account for both outgoing and incoming e-mail messages.

Notes

  • As an 'OAuth 2.0 Application', we mainly used Client ID / Client Secret pairs imported from the Mozilla Thunderbird e-mail client (the source codes are available at this page ). Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the website of your e-mail OAuth 2.0 provider.


Obtain and install secure e-mail certificate

To obtain and install secure e-mail certificate

Fax Voip FSP Control Panel ›› E-mail ›› SMTP Settings ››

To send digitally signed e-mail messages with Fax Voip FSP software, the valid digital certificate suitable for the specified Sender’s e-mail address, must be installed into the Local Machine Certificate Store on your system. The Network Service account, under which Windows Fax Service is started, should have read access permissions to your certificate private keys.

To obtain certificate

Digital certificates are issued by independent certification authorities. When you apply for a digital certificate at a certification authority's Web site, your identity is verified before an ID is issued. There are different classes of digital certificates, each certifying to a different level of trustworthiness. For more information, visit the certification authority's Web site. You can use Free Email certificate from Actalis .

After obtaining certificate, it is usually installed in the Current User Personal Certificate Store. To access your certificate, follow these steps:

1. Switch to Search pane, type control panel, and then click Control Panel. In the Control Panel click Network and Internet, and then click Internet options.

2. In the Internet Properties dialog on the Content page, click Certificates.

3. In the Certificates window select Personal page and then double-click your certificate. Make sure that the information about the presence of the private key is displayed.

Having a valid certificate in the Current User Certificate Store does not provide automatic signing of e-mail messages that Fax Voip FSP sends. The certificate must be installed into the Local Machine Certificate Store. The Network Service account, under which Windows Fax Service is started, should have read access permissions to your certificate private keys. The easiest way is to use the Fax Voip FSP Control Panel to correctly re-install the certificate.

To re-install your certificate into Local Machine Store using Fax Voip FSP Control Panel

It is assumed that the valid digital certificate suitable for the specified Sender’s e-mail address, is already installed into the Current User Certificate Store. To install the certificate into the Local Machine Certificate Store, do the following:

1. Open Fax Voip FSP Control Panel.

2. Click E-mail in TreeView, then click SMTP.

3. Click <Certificate> button.

4. In the dialog box window click Yes to install your certificate into the Local Machine Certificate Store and to grant read access to private keys for fax service (Network Service account). Administrator privileges are required.

5. In the next dialog box, click OK.

The subsequent sections show how to manually install the certificate into the Local Machine Certificate Store. As earlier, it is assumed that the valid digital certificate suitable for the specified Sender’s e-mail address, is already installed into the Current User Certificate Store. You must first export the certificate together with the private key and to store it in the Personal Information Exchange – PKCS #12 (.PFX) file.

To export certificate with private key

1. Switch to Search pane, type control panel, and then click Control Panel. In the Control Panel click Network and Internet, and then click Internet options.

2. In the Internet Properties dialog on the Content page, click Certificates.

3. In the Certificates window select Personal page and select your certificate. Click Export. Follow Certificate Export Wizard instructions.

4. On the Export Private Key page, select Yes, export the private key option.

5. On the Export File Format page, select Personal Information Exchange – PKCS #12 (.PFX) option. Select other options, except the option Delete the private key if export is successful as shown in the picture below.

6. On the next page enter password to protect the private key.

7. On the File to Export page specify the name of the file you want to export.

8. On the Completing the Certificate Export Wizard page click Finish to close the wizard.

Upon successful completion of this procedure, you can remove the certificate from Certificate Store if you plan to reinstall it. To do this click Remove in the Certificates window.

To install certificate into Local Machine Certificate Store

1. Double-click the .PFX file where your certificate with the private key is saved.

2. In the Certificate Import Wizard, on the first page select Local Machine option. Click Next and follow instructions. To install certificate into Local Machine Certificate Store, administrator privileges are required.

3. Follow Certificate Import Wizard instructions.

4. On the Private key protection page, enter password for the private key. You can flag available options in the Import options area if you want. Click Next.

5. On the Certificate Store page choose Automatically select the certificate store based on the type of certificate option. Click Next.

6. On the Completing the Certificate Import Wizard page click Finish to close the wizard.

To access certificates installed into Local Machine Certificate Store

1. Open a Command Prompt window.

2. Type mmc and press the ENTER key. Note that to view certificates in the local machine store, you must be in the Administrator role.

3. On the File menu, click Add/Remove Snap In.

4. In the Add or Remove Snap-ins dialog box, in the Available snap-ins list select Certificates. Click Add.

5. In the Certificates snap-in dialog box, select Computer account and click Next.

6. In the Select Computer dialog box, click Finish.

7. On the Add or Remove Snap-ins dialog box, click OK.

8. In the Console Root window, click Certificates (Local Computer) to view the certificate stores for the computer.

9. (Optional). On the File menu, click Save or Save As. Save the console file for later reuse.

Providing access to certificate private keys for fax service

1. Open the mmc Certificates snap-in, as shown in the previous section.

2. Right click your certificate. On the context menu, select All Tasks and then click Manage Private Keys... .

3. In the Permissions for ... private keys window click Add... .

4. In the Select Users or Groups dialog, enter NETWORK SERVICE and then click Check Names. Click OK.

5. In the Permissions for ... private keys window, in the Group or user names list, select NETWORK SERVICE. Grant Read access permissions for Network Service account, as shown in the picture below. Click Apply.

To view certificate in Fax Voip FSP application

1. Open Fax Voip FSP Control Panel.

2. Click E-mail in TreeView, then click SMTP.

3. To view certificate click <Certificate> button. If valid certificate associated with specified Sender’s e-mail address found, it will be displayed. To verify access permissions for Network Service account, administrator privileges are required.


Testing e-mail sending

Testing e-mail sending with built-in SMTP client

Fax Voip FSP Control Panel ›› E-mail ›› SMTP Settings ››

1. Open Fax Voip FSP Control Panel.

2. You can use Enable Send Mail debug logging option to view e-mail sending log. To activate log option click Options in TreeView, then click E-mail logs. Then select Enable Send Mail debug logging option and click <Apply> button.

3. Click E-mail in TreeView, then click SMTP.

4. Click <Test> button to run built-in SMTP client. When using OAuth 2.0 Modern Authentication, the secure e-mail icon is displayed in the upper left corner of the Sending Test Mail window. When sending digitally signed message, the certificate icon is displayed. The Log checkbox in the lower left corner indicates that Enable Send Mail debug logging option is active.

5. Specify the recipient's e-mail address in the To text box. You can specify not only e-mail but also the name of the recipient. You can also specify multiple recipients which should be separated by a semicolon. Example: sales@company.com;Support<support@company.com>. In the Cc and Bcc text boxes, you can specify the e-mail recipients that appear in the Cc and Bcc boxes of e-mail message respectively. Use <To>, <Cc> and <Bcc> buttons to select e-mail recipients from Address Book (Windows Contacts).

6. Change the text in the Subject field if you want.

7. Change the text in the main text field if you want to send a message with another mail body.

8. To select attachment, click <Attach> and choose the file that you want to send. To send e-mail without attachment, clear the text in the Attach field.

9. Click <Send> button to send e-mail message.

10. When using SecureSmtpClient method for sending e-mail, communication session with the SMTP mail server will be displayed in the Testing E-mail SMTP Server window. Click <Close> to close the window.

11. The message box with results of sending e-mail will be displayed. In the case of error you will see error number and error description in the message box. Click <OK> button to close built-in SMTP client. To view log of e-mail sending click Options in TreeView, then click E-mail logs, and then click <View> button near the Enable Send Mail debug logging checkbox.


POP3 / IMAP Settings

Fax Voip FSP Control Panel ›› E-mail ››

POP3 / IMAP server responsible for receiving of e-mail messages. POP3 / IMAP settings are required for the following Fax Voip FSP function:

  • Mail to Fax . Sending faxes from e-mails.

It is assumed that you have an e-mail account, received from your Internet service provider or system administrator. Caution! To avoid unexpected problems this account should not be used by other e-mail clients to receive and send regular e-mails.

Enable OAuth 2.0 Modern Authentication

Select this checkbox to use OAuth 2.0 protocol when receiving e-mail messages. To configure OAuth 2.0, see OAuth 2.0 Settings (POP3 / IMAP) . Modern authentication (OAuth 2.0 token-based authorization) is currently used by many well-known e-mail systems such as Gmail , Microsoft ( Office 365 , Hotmail, Outlook.com ), Yahoo! and is intended to replace Basic authentication. OAuth 2.0 is supported starting from Fax Voip FSP version 4.2.1.

Click to configure OAuth 2.0

Click to configure OAuth 2.0 Settings (POP3 / IMAP) .

Account type

Specifies the protocol to use for your incoming e-mail server. You can select between POP3 and IMAP.

Incoming mail Server

Specifies your POP3 / IMAP server for incoming messages. You can get this information from your Internet service provider (ISP) or local area network (LAN) administrator.

Port

Specifies the port number you connect to on your incoming e-mail server. This port number is usually 110 for POP3 servers and 143 for IMAP servers. In the case of using secure connection (SSL), the port number is usually 995 for POP3 servers and 993 for IMAP servers.

My server requires a secure connection (SSL)

Specifies whether to use the Secure Sockets Layer (SSL) security protocol when connecting to the POP3 / IMAP server. The administrator of Internet service provider for the server will indicate if the SSL requirement exists. Please note that starting from Fax Voip FSP version 4.1.1, TLS version 1.2 is used in the case of secure connection (SSL). Previous versions of Fax Voip FSP used TLS version 1.0.

Login

Specifies your POP3 / IMAP account name. This is usually the same as the part of e-mail address to the left of the at sign (@).

Password

Provides a space to type the password assigned by your Internet service provider. The password is not required and is ignored if OAuth 2.0 Modern Authentication is used.

Check for new messages every ... sec

The interval for checking mailbox, using Mail to Fax function. This value can vary from 10 to 60 seconds.

<Test>

Use this button to test your POP3 / IMAP settings before using.

Notes

  • If you sent an e-mail with attachment, but the attachment somehow "lost" (strange...), try changing the type of incoming mail server from IMAP to POP3 or try with another server. Depending on the IMAP server and its settings, you may encounter this problem.
  • If your server supports both POP3 and IMAP, it is recommended to use POP3. With some servers (e.g. in the case of pop.gmail.com / imap.gmail.com), incoming e-mail messages that are received and deleted via IMAP, can be then received again via POP3. This can lead to confusion.
  • Modern authentication (OAuth 2.0 token-based authorization) is supported starting from Fax Voip FSP version 4.2.1. To configure OAuth 2.0, see OAuth 2.0 Settings (POP3 / IMAP) .
  • Starting from Fax Voip FSP version 4.1.1, TLS version 1.2 is used in the case of secure connection (SSL). Previous versions of Fax Voip FSP used TLS version 1.0.
  • To use Fax Voip FSP with Gmail (Basic authentication) after May 30, 2022 you should turn on 2 Step Authentication for your Gmail account and then to generate the App Password from Google Security. The App Password should be then used in Fax Voip FSP settings instead of the main password for your Google account. See the Microsoft Community forum for details. See also YouTube video .
  • In the case of using SSL connection, invalid POP3 / IMAP server SSL certificate is ignored.
  • To verify your settings, use <Test> button, see in the Testing POP3 / IMAP settings chapter. To view log, use Enable Receive Mail debug logging option, see in the E-mail Logs chapter of this user manual.


OAuth 2.0 Settings

OAuth 2.0 Settings (POP3 / IMAP)

Fax Voip FSP Control Panel ›› E-mail ›› POP3/IMAP Settings ››

Modern authentication (OAuth 2.0 token-based authorization) is currently used by many well-known e-mail systems such as Gmail , Microsoft ( Office 365 , Hotmail, Outlook.com ), Yahoo! and is intended to replace Basic authentication. OAuth 2.0 support is added in Fax Voip FSP version 4.2.1.

On this page, you can specify OAuth 2.0 settings that will be used when receiving e-mails via POP3 or IMAP server, see also POP3 / IMAP Settings chapter of this user manual. Use <Get Refresh Token> button to send Authorization Request, confirm your e-mail account details and to generate Refresh Token (the procedure runs in a separate web browser window and requires user interaction). The Refresh Token has a long lifetime (usually one year) and is used to automatically obtain Access Token at the time of sending or receiving e-mail messages (without user interaction). After configuring the OAuth 2.0 settings and generating Refresh Token, click <Apply> button to save your settings.

Click to configure POP3/IMAP Settings

Click to configure POP3 / IMAP settings .

<Load Profile>

Click to load the predefined settings selected from the dropdown list on the right. As an 'OAuth 2.0 Application', we mainly used Client ID / Client Secret pairs imported from the Mozilla Thunderbird e-mail client. The following profiles (tested with Fax Voip FSP) can be selected:

Google / Gmail.com (Thunderbird)

Select this option to configure Fax Voip FSP for using with your Gmail account. To generate Refresh Token, in the Open authorization request in this browser area, select the option Default Browser or Internet Explorer. Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Google website .

Microsoft / Office 365 / Hotmail / Outlook.com (MS Oauth Test)

Select this option to configure Fax Voip FSP for using with your Microsoft ( Office 365 , Hotmail, Outlook.com ) account. To generate Refresh Token, in the Open authorization request in this browser area, select WebBrowser (.Net), Internet Explorer, or Default Browser. Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Microsoft website .

Microsoft / Office 365 / Hotmail / Outlook.com (Thunderbird)

Select this option to configure Fax Voip FSP for using with your Microsoft ( Office 365 , Hotmail, Outlook.com ) account. To generate Refresh Token, in the Open authorization request in this browser area, select the option WebBrowser (.Net) or Internet Explorer. Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Microsoft website .

Yahoo.com (Thunderbird)

Select this option to configure Fax Voip FSP for using with your Yahoo! account. To generate Refresh Token, in the Open authorization request in this browser area, select the option Internet Explorer or WebBrowser (.Net). Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Yahoo website .

Yandex.com (Fax Voip)

Select this option to configure Fax Voip FSP for using with your Yandex.com account. To generate Refresh Token, in the Open authorization request in this browser area, select the option WebBrowser (.Net) or Internet Explorer. Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Yandex website .

Yandex.com (Thunderbird)

Select this option to configure Fax Voip FSP for using with your Yandex.com account. To generate Refresh Token, in the Open authorization request in this browser area, select the option WebBrowser (.Net) or Internet Explorer. Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Yandex website .

Mail.ru (Thunderbird)

Select this option to configure Fax Voip FSP for using with your Mail.ru account. To generate Refresh Token, in the Open authorization request in this browser area, select the option Internet Explorer or WebBrowser (.Net). Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Mail.ru website .

Authorization URI

The address of authorization endpoint that accepts an authentication request. The authorization endpoint is used for authentication and authorization and returns an authorization grant to the client application.

Token URI

The address of token endpoint that is used by client application to exchange an authorization grant or refresh token for an access token.

Scope

A space-separated list of scopes. OAuth 2.0 scopes provide a way to limit the amount of access that is granted to an access token.

Client ID

The public identifier for the client application.

Client Secret

Used to authenticate the identity of the application to the service API when the application requests access to a user account. Can be an empty string for a "public" application.

Redirect URI

The callback address to which authentication responses can be sent and received by application. It must match one of the redirect URIs the developer registered when creating the application, and the authorization server should reject the request if it does not match.

E-mail Address

The e-mail address associated with the user account.

Refresh Token

The Refresh Token is used to automatically obtain Access Token at the time of sending or receiving e-mail messages (without user interaction). The Refresh Token is long-lived (usually one year). To generate Refresh Token, use <Get Refresh Token> button.

<Get Refresh Token>

Use this button to send Authorization Request, confirm your e-mail account details and to generate Refresh Token (the procedure runs in a separate web browser window and requires user interaction).

Open authorization request in this browser

Choose one of the options below. We offer 3 different methods as depending on the e-mail OAuth 2.0 server and Redirect URI parameter (registered by the developer when creating the application), some of them may not work.

Internet Explorer

If this option is selected, the InternetExplorer object (Windows Internet Explorer web browser) is used to process the authorization request. This option works with all e-mail OAuth 2.0 providers we have tested. Note that this option also works in Windows 11, where Microsoft locked Internet Explorer browser.

WebBrowser (.Net)

If this option is selected, the WebBrowser Control (.NET Framework) is used to process the authorization request. Note that this option does not work with Gmail (unsupported browser error).

Default Browser

If this option is selected, the default web browser is used to process the authorization request. Please note that this option only works with applications for which Redirect URI = http://127.0.0.1 is explicitly specified by the developer. Also, this uses a random unused port, which is not always supported by the e-mail OAuth 2.0 provider. The browser window must be manually closed by the user. In our tests, this only worked with Gmail and Microsoft (Microsoft / Office 365 / Hotmail / Outlook.com (MS Oauth Test) profile). Tested with Microsoft Edge and Internet Explorer as default web browsers.

<Clear>

Click to clear all text boxes on this page.

Use OAuth 2.0 settings configured for SMTP

Select this checkbox to use the same e-mail account for both outgoing and incoming e-mail messages. If this option is selected, OAuth 2.0 Settings (SMTP) are also used for POP3 / IMAP.

Notes

  • As an 'OAuth 2.0 Application', we mainly used Client ID / Client Secret pairs imported from the Mozilla Thunderbird e-mail client (the source codes are available at this page ). Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the website of your e-mail OAuth 2.0 provider.


Testing POP3 / IMAP Settings

Fax Voip FSP Control Panel ›› E-mail ›› POP3/IMAP Settings ››

To test connection to POP3 / IMAP server

1. Open Fax Voip FSP Control Panel.

2. Click E-mail in TreeView, then click POP3/IMAP. Click <Test> button.

3. Communication session with the incoming mail server will be displayed in the Testing E-mail Server window. Click <Close> to close the window. Note that Fax Voip FSP does not download messages from the server and does not delete them in the testing process.

To view POP3 / IMAP log

1. Open Fax Voip FSP Control Panel.

2. Click Options in TreeView, then click E-mail Logs. Then select Enable Receive Mail debug logging option and click <Apply> button.

To view POP3 / IMAP log click <View> button near the Enable Receive Mail debug logging checkbox.


Configure SMTP, POP3 and IMAP using OAuth 2.0

Configure SMTP, POP3 and IMAP using OAuth 2.0 Modern Authentication

Fax Voip FSP Control Panel ›› E-mail ››

Modern authentication (OAuth 2.0 token-based authorization) is currently used by many well-known e-mail systems such as Gmail , Microsoft ( Office 365 , Hotmail, Outlook.com ), Yahoo! and is intended to replace Basic authentication. OAuth 2.0 support is added in Fax Voip FSP version 4.2.1.

To configure OAuth 2.0 for use with SMTP to send e-mail messages, see OAuth 2.0 Settings (SMTP) .

To configure OAuth 2.0 for use with POP3 / IMAP to receive e-mail messages, see OAuth 2.0 Settings (POP3 / IMAP) .

Below you will find examples of configuring Fax Voip FSP with e-mail OAuth 2.0 providers:

  • Configure SMTP, POP3 and IMAP with Google (Gmail.com) account using OAuth 2.0
  • Configure SMTP, POP3 and IMAP with Microsoft (Office 365, Hotmail, Outlook.com) account using OAuth 2.0
  • Configure SMTP, POP3 and IMAP with Yahoo.com account using OAuth 2.0


Google (Gmail.com)

Configure SMTP, POP3 and IMAP with Google (Gmail.com) account using OAuth 2.0

Fax Voip FSP Control Panel ›› E-mail ›› Configure SMTP, POP3 and IMAP using OAuth 2.0 ››

1. Open Fax Voip FSP Control Panel. Click E-mail in TreeView, then click SMTP. On the SMTP settings page, select the Enable OAuth 2.0 Modern Authentication checkbox.

2. Click E-mail in TreeView, then click POP3/IMAP. On the POP3/IMAP settings page, select the Enable OAuth 2.0 Modern Authentication checkbox.

3. Click E-mail in TreeView, then click SMTP, then click OAuth 2.0. On the OAuth 2.0 Settings (SMTP) page, select Use this OAuth 2.0 configuration for POP3 / IMAP checkbox. Select Google / Gmail.com (Thunderbird) option from the drop-down list, and then click <Load Profile> button.

4. In the E-mail Address text box, enter e-mail address associated with your Gmail account. In the Open authorization request in this browser area, select either Default Browser or Internet Explorer. Click <Get Refresh Token> button.

5. In the web browser window, on the Sign in with Google page, select the correct account or check that the correct e-mail address is entered, and then click Next.

6. On the next page, enter your password and click Next.

7. If 2-Step Verification is turned on for your Gmail account, enter the code you received from Google. Optionally, select the Don't ask again on this device checkbox. Then, click Next.

8. On the next page, click Allow to confirm the requested access to your Gmail mailbox.

9. If Default Browser option was selected, close the web browser window manually.

10. Make sure the Refresh Token has been generated successfully. Click <Apply> button to save your settings and Refresh Token.

11. Click E-mail in TreeView, then click POP3/IMAP, then click OAuth 2.0. To use 2 different e-mail accounts for outgoing and incoming e-mail messages, uncheck the Use OAuth 2.0 settings configured for SMTP checkbox, and then repeat steps 3-10 for OAuth 2.0 Settings (POP3 / IMAP) .

12. Click E-mail in TreeView, then click SMTP. Make sure the following settings are configured:

Enable OAuth 2.0 Modern Authentication: YES

Send e-mail method: SecureSmtpClient

Sender's e-mail address: the e-mail address associated with your Gmail account

SMTP Server: smtp.gmail.com

Port: 465

My server requires a secure connection (SSL): YES

SSL Mode: Implicit

My server requires authentication: YES

Login: the e-mail address associated with your Gmail account

Click <Test> button to send test e-mail message, see also Testing e-mail sending .

13. Click E-mail in TreeView, then click POP3/IMAP. Make sure the following settings are configured (POP3):

Enable OAuth 2.0 Modern Authentication: YES

Account type: POP3

Incoming Mail Server: pop.gmail.com

Port: 995

My server requires a secure connection (SSL): YES

Login: the e-mail address associated with your Gmail account

Click <Test> button to test POP3 connection, see also Testing POP3 / IMAP Settings .

14. To use IMAP protocol to receive e-mail messages, use the following settings:

Enable OAuth 2.0 Modern Authentication: YES

Account type: IMAP

Incoming Mail Server: imap.gmail.com

Port: 993

My server requires a secure connection (SSL): YES

Login: the e-mail address associated with your Gmail account

Click <Test> button to test IMAP connection, see also Testing POP3 / IMAP Settings .

Notes

  • As an 'OAuth 2.0 Application', we have used Client ID / Client Secret pair imported from the Mozilla Thunderbird e-mail client (the source codes are available at this page ). Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Google website .
  • To configure SMTP, POP3 and IMAP with Gmail using Basic authentication, after May 30, 2022 you should turn on 2 Step Authentication for your Gmail account and then to generate the App Password from Google Security. The App Password should be then used in Fax Voip FSP settings instead of the main password for your Google account. See the Microsoft Community forum for details. See also YouTube video .


Microsoft (Office 365, Hotmail, Outlook.com)

Configure SMTP, POP3 and IMAP with Microsoft (Office 365, Hotmail, Outlook.com) account using OAuth 2.0

Fax Voip FSP Control Panel ›› E-mail ›› Configure SMTP, POP3 and IMAP using OAuth 2.0 ››

1. Open Fax Voip FSP Control Panel. Click E-mail in TreeView, then click SMTP. On the SMTP settings page, select the Enable OAuth 2.0 Modern Authentication checkbox.

2. Click E-mail in TreeView, then click POP3/IMAP. On the POP3/IMAP settings page, select the Enable OAuth 2.0 Modern Authentication checkbox.

3. Click E-mail in TreeView, then click SMTP, then click OAuth 2.0. On the OAuth 2.0 Settings (SMTP) page, select Use this OAuth 2.0 configuration for POP3 / IMAP checkbox. Select Microsoft / Office 365 / Hotmail / Outlook.com (Thunderbird) or Microsoft / Office 365 / Hotmail / Outlook.com (MS Oauth Test) from the drop-down list, and then click <Load Profile> button.

4. In the E-mail Address text box, enter e-mail address associated with your Microsoft account. In the Open authorization request in this browser area, select either WebBrowser (.Net) or Internet Explorer. If Microsoft / Office 365 / Hotmail / Outlook.com (MS Oauth Test) was selected, you can also select Default Browser. Click <Get Refresh Token> button.

5. In the web browser window, enter your password and click Sign in.

6. On the next page, click Yes to confirm the requested access to your Microsoft account mailbox.

7. If Default Browser option was selected, close the web browser window manually.

8. Make sure the Refresh Token has been generated successfully. Click <Apply> button to save your settings and Refresh Token.

9. Click E-mail in TreeView, then click POP3/IMAP, then click OAuth 2.0. To use 2 different e-mail accounts for outgoing and incoming e-mail messages, uncheck the Use OAuth 2.0 settings configured for SMTP checkbox, and then repeat steps 3-8 for OAuth 2.0 Settings (POP3 / IMAP) .

10. Click E-mail in TreeView, then click SMTP. Make sure the following settings are configured:

Enable OAuth 2.0 Modern Authentication: YES

Send e-mail method: SecureSmtpClient

Sender's e-mail address: the e-mail address associated with your Microsoft account

SMTP Server: outlook.office365.com

Port: 587

My server requires a secure connection (SSL): YES

SSL Mode: Explicit (STARTTLS)

My server requires authentication: YES

Login: the e-mail address associated with your Microsoft account

Click <Test> button to send test e-mail message, see also Testing e-mail sending . Please note that sending e-mail messages via SMTP using OAuth 2.0 may not work, see comments below.

11. Click E-mail in TreeView, then click POP3/IMAP. Make sure the following settings are configured (POP3):

Enable OAuth 2.0 Modern Authentication: YES

Account type: POP3

Incoming Mail Server: outlook.office365.com

Port: 995

My server requires a secure connection (SSL): YES

Login: the e-mail address associated with your Microsoft account

Click <Test> button to test POP3 connection, see also Testing POP3 / IMAP Settings .

12. To use IMAP protocol to receive e-mail messages, use the following settings:

Enable OAuth 2.0 Modern Authentication: YES

Account type: IMAP

Incoming Mail Server: outlook.office365.com

Port: 993

My server requires a secure connection (SSL): YES

Login: the e-mail address associated with your Microsoft account

Click <Test> button to test IMAP connection, see also Testing POP3 / IMAP Settings .

Notes

  • The Microsoft / Office 365 / Hotmail / Outlook.com (Thunderbird) profile uses Client ID imported from the Mozilla Thunderbird e-mail client (the source codes are available at this page ). The Microsoft / Office 365 / Hotmail / Outlook.com (MS Oauth Test) profile uses Client ID we found on the EmailArchitect website . Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Microsoft website .
  • Note that sending e-mail messages via SMTP using OAuth 2.0 or receiving e-mail messages via POP3 using OAuth 2.0 sometimes may not work. The problem is presumably on Microsoft side and depends on the type of Microsoft account (Office 365, Microsoft Exchange, Hotmail / Outlook.com) and its settings. On the one hand, Microsoft constantly warns about disabling Basic authentication for Office 365 and Exchange Online users: Deprecation of Basic authentication in Exchange Online . On the other hand, something may not work and the problem persists for several days, weeks or even months. Our latest tests with a regular Microsoft account (Hotmail / Outlook.com) show that everything (IMAP, POP3 and SMTP connection using OAuth 2.0) works as expected (June 2023). However, based on the above, for most Microsoft accounts it seems currently reasonable to use Basic authentication.


Yahoo.com

Configure SMTP, POP3 and IMAP with Yahoo.com account using OAuth 2.0

Fax Voip FSP Control Panel ›› E-mail ›› Configure SMTP, POP3 and IMAP using OAuth 2.0 ››

1. Open Fax Voip FSP Control Panel. Click E-mail in TreeView, then click SMTP. On the SMTP settings page, select the Enable OAuth 2.0 Modern Authentication checkbox.

2. Click E-mail in TreeView, then click POP3/IMAP. On the POP3/IMAP settings page, select the Enable OAuth 2.0 Modern Authentication checkbox.

3. Click E-mail in TreeView, then click SMTP, then click OAuth 2.0. On the OAuth 2.0 Settings (SMTP) page, select Use this OAuth 2.0 configuration for POP3 / IMAP checkbox. Select Yahoo.com (Thunderbird) option from the drop-down list, and then click <Load Profile> button.

4. In the E-mail Address text box, enter e-mail address associated with your Yahoo! account. In the Open authorization request in this browser area, select either Internet Explorer or WebBrowser (.Net). Click <Get Refresh Token> button.

5. In the web browser window, on the Sign in using your Yahoo account page, check that the correct e-mail address is entered, and then click Next.

6. On the next page, enter your password and click Next.

7. On the next page, click Agree to confirm the requested access to your Yahoo! mailbox.

8. Make sure the Refresh Token has been generated successfully. Click <Apply> button to save your settings and Refresh Token.

9. Click E-mail in TreeView, then click POP3/IMAP, then click OAuth 2.0. To use 2 different e-mail accounts for outgoing and incoming e-mail messages, uncheck the Use OAuth 2.0 settings configured for SMTP checkbox, and then repeat steps 3-8 for OAuth 2.0 Settings (POP3 / IMAP) .

10. Click E-mail in TreeView, then click SMTP. Make sure the following settings are configured:

Enable OAuth 2.0 Modern Authentication: YES

Send e-mail method: SecureSmtpClient

Sender's e-mail address: the e-mail address associated with your Yahoo! account

SMTP Server: smtp.mail.yahoo.com

Port: 587

My server requires a secure connection (SSL): YES

SSL Mode: Explicit (STARTTLS)

My server requires authentication: YES

Login: the e-mail address associated with your Yahoo! account

Click <Test> button to send test e-mail message, see also Testing e-mail sending .

11. Click E-mail in TreeView, then click POP3/IMAP. Make sure the following settings are configured (POP3):

Enable OAuth 2.0 Modern Authentication: YES

Account type: POP3

Incoming Mail Server: pop.mail.yahoo.com

Port: 995

My server requires a secure connection (SSL): YES

Login: the e-mail address associated with your Yahoo! account

Click <Test> button to test POP3 connection, see also Testing POP3 / IMAP Settings .

12. To use IMAP protocol to receive e-mail messages, use the following settings:

Enable OAuth 2.0 Modern Authentication: YES

Account type: IMAP

Incoming Mail Server: imap.mail.yahoo.com

Port: 993

My server requires a secure connection (SSL): YES

Login: the e-mail address associated with your Yahoo! account

Click <Test> button to test IMAP connection, see also Testing POP3 / IMAP Settings .

Notes

  • As an 'OAuth 2.0 Application', we have used Client ID / Client Secret pair imported from the Mozilla Thunderbird e-mail client (the source codes are available at this page ). Alternatively, you can create your own 'OAuth 2.0 Application', see instructions on the Yahoo website .
  • To configure SMTP, POP3 and IMAP with Yahoo! using Basic authentication, you should generate the App Password from Account Security. The App Password should be then used in Fax Voip FSP settings instead of the main password for your Yahoo! account. Please note that this feature may not be available for newly created accounts.


E-mail Templates

Fax Voip FSP Control Panel ›› E-mail ››

E-mail Templates allow you to modify the standard text of the e-mail messages used in the program. Both subject and body of the e-mail message can be changed according to your requirements and preferences. You can also select date and time formats.

Fax Voip FSP sends e-mail messages in the following cases:

  • Mail to Fax . Notification of a successful or failed fax delivery to the sender's e-mail address.
  • Route through e-mail Incoming Fax Routing Method . Forwarding received faxes to e-mail recipients.
  • E-mail Delivery Receipts Outgoing Fax Routing Method . Notification of a successful or failed fax delivery to the predefined e-mail address(es).

The e-mail content is different for different functions, so each template must be configured individually. In the templates, you can use the so-called %variables% that are replaced by actual data. Examples: %CallerID%, %PagesReceived%, %Duration% etc. The sets of variables are different for different templates. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the Insert a variable button to the right of the text box and select a variable from the drop-down menu. To restore the E-mail Subject or E-mail Body text, proposed by default (do not confuse with the default template embedded into the program code, see Use Default Template option), completely clear the text box and then click Apply.

The following templates are available for configuring:

  • New Fax Received . Used with Route through e-mail Incoming Fax Routing Method .
  • Fax successfully sent . Used with Mail to Fax function and E-mail Delivery Receipts Outgoing Fax Routing Method in the case of successfully sent fax.
  • Failed to send a fax . Used with Mail to Fax function and E-mail Delivery Receipts Outgoing Fax Routing Method in the case of failed fax sending.
  • Failed to create fax job . Used with Mail to Fax function in the case of errors when creating a fax job (not possible to convert your original document into the fax format, the specified fax number is invalid, e-mail address is blocked etc.).

Select Template

Use this drop-down list to select the template you want to edit.

Use Default Template

Check this box if you don’t want to customize the selected template.

Notes

  • For more information on configuring a particular template, please read the relevant section of this chapter.


New Fax Received

E-mail Templates: New Fax Received

Fax Voip FSP Control Panel ›› E-mail ›› E-mail Templates ››

New Fax Received template is used with Route through e-mail Incoming Fax Routing Method when forwarding received faxes to e-mail recipients. To modify this template, select New Fax Received from the Select Template drop-down list. To use default template, check Use Default Template box.

E-mail Subject (New Fax Received)

E-mail Subject.

E-mail Body

Content of the e-mail.

Insert a variable

Use this button to insert a variable in the text box on the left. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu. Please note that each text box has its own Insert a variable button, which is located to the right of the text box.

Date and time formats

Select the locale (region and language) to specify how to display date and time values for the current template. An example of the formatting for the current selection is shown below under Example. This selection affects the display of date and time values defined by the following variables: %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

The following variables can be used with New Fax Received template (replaced by actual data):

  • %CallerID%. The telephone number of the calling device.
  • %CalledNumber%. The telephone number of the called party (DID).
  • %RemoteFaxID%. The Transmitting Subscriber ID (TSID) received from the fax sender.
  • %LocalFaxID%. The Called Subscriber ID (CSID) that identifies you as a fax recipient, sent to the fax sender.
  • %StartTime%. The starting time for the fax job that received the fax document.
  • %EndTime%. The ending time for the fax job that received the fax document.
  • %Duration%. The total time that elapses between the beginning of fax reception and the end of fax reception.
  • %PagesReceived%. The number of pages in the received fax document.
  • %DeviceName%. The name of the device that received the fax document. Example: Fax Voip Line 2.
  • %FaxMessageID%. The unique number that identifies the fax job that received the fax document.
  • %ComputerName%. The name of the computer where Fax Voip FSP installed.
  • %RemoteFaxIDOrCallerID%. The mechanism for replacement is as follows: equivalent to %RemoteFaxID% if sender’s Fax ID is not an empty string; otherwise equivalent to %CallerID% if CallerID is not an empty string; otherwise unknown sender string.
  • %CallerIDOrRemoteFaxID%. The mechanism for replacement is as follows: equivalent to %CallerID% if CallerID is not an empty string; otherwise equivalent to %RemoteFaxID% if sender’s Fax ID is not an empty string; otherwise unknown sender string.
  • %CallerIDAndRemoteFaxID%. The mechanism for replacement is as follows: equivalent to %CallerID% (%RemoteFaxID%) if both CallerID and sender’s Fax ID are not empty strings; otherwise equivalent to %CallerID% if CallerID is not an empty string; otherwise equivalent to %RemoteFaxID% if sender’s Fax ID is not an empty string; otherwise unknown sender string. Example: 19012223344 ( (901) 222-3344).

Notes

  • When using the Route through e-mail Incoming Fax Routing Method , you can create personalized e-mail templates of this type for different rules, see in the E-mail Templates Settings (Route through e-mail) chapter of this user manual.
  • For common information on e-mail templates, see E-mail Templates chapter.


Fax successfully sent

E-mail Templates: Fax successfully sent

Fax Voip FSP Control Panel ›› E-mail ›› E-mail Templates ››

Fax successfully sent template is used with Mail to Fax function and E-mail Delivery Receipts Outgoing Fax Routing Method when sending notifications of a successful fax delivery to the sender's e-mail address or predefined e-mail address(es) respectively. To modify this template, select Fax successfully sent from the Select Template drop-down list. To use default template, check Use Default Template box.

E-mail Subject (Fax Sent OK)

E-mail Subject.

E-mail Body

Content of the e-mail.

Insert a variable

Use this button to insert a variable in the text box on the left. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu. Please note that each text box has its own Insert a variable button, which is located to the right of the text box.

Date and time formats

Select the locale (region and language) to specify how to display date and time values for the current template. An example of the formatting for the current selection is shown below under Example. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

The following variables can be used with Fax successfully sent template (replaced by actual data):

  • %RecipientFaxNumber%. The fax number of the recipient.
  • %RecipientName%. The name of the recipient.

  • %SenderEmail%. E-mail address associated with the sender. If the fax is generated by the Mail to Fax function, this is the sender's e-mail address extracted from the e-mail message.
  • %SenderName%. The name of the sender.
  • %SenderFaxNumber%. Fax number associated with the sender.
  • %SenderFaxID%. The transmitting station identifier (TSID) for the sender's device, specified in the Sender Information . It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. Note that depending on the fax server settings, it may be different from the actually transmitted Fax ID, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual. See also the description of %LocalFaxID% variable.
  • %SenderCompany%. The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline).
  • %SenderDepartment%. The department name associated with the sender.
  • %SenderTitle%. The title associated with the sender.
  • %SenderOfficeLocation%. The office location of the sender.
  • %SenderHomePhone%. The home telephone number associated with the sender.
  • %SenderOfficePhone%. The office telephone number associated with the sender.
  • %SenderAddress%. The street address associated with the sender. Usually includes the city, state, zip code (postal code) and country/region for the sender.
  • %SenderBillingCode%. The billing code associated with the sender.

  • %DocumentName%. The user-friendly name to display for the fax document. If the fax is generated by the Mail to Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are separated by a semicolon. When sending a fax consisting only of a cover page, replaced with an empty string. When used with E-mail Delivery Receipts Outgoing Fax Routing Method and sending a fax in the usual way (from the Windows Fax and Scan software), can be constantly replaced by the pointless string (e. g. 'Test Fax'), due to errors in the Microsoft Fax software.
  • %HasCoverPage%. Indicates if the fax has a cover page.
  • %Subject%. Contains the contents of the subject field on the cover page of the fax.
  • %PagesTotal%. The total number of pages in the outbound fax message.
  • %TiffSize%. The size, in kilobytes, of the Tagged Image File Format Class F (TIFF Class F) file associated with the outbound fax message.

  • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
  • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as %SenderFaxID%, or it is specified by the settings of the fax device that was used for fax transmission.
  • %Priority%. Priority used when sending the fax; for example, normal, low, or high priority.
  • %SubmissionTime%. The time that the outbound fax message was submitted for processing.
  • %OriginalScheduledTime%. The time that the fax message was originally scheduled for transmission.
  • %StartTime%. The time that the fax outbound message began transmitting.
  • %EndTime%. The time that the fax outbound message completed transmission.
  • %Duration%. The duration of the fax transmission.
  • %Retries%. The number of times that the fax service attempted to transmit an outgoing fax after the initial transmission attempt failed. The total number of possible retries depends on the limit set.
  • %DeviceName%. The name of the device on which the fax message was transmitted. Example: Fax Voip Line 2.
  • %Status%. Operation completion code. OK in the case of a successful fax sending.
  • %FaxMessageID%. The unique identifier for the outbound fax message. This is the same ID that the fax job had when the job was active.
  • %FaxAccount%. The name of the computer user account (fax account) who submitted the fax job.
  • %ComputerName%. The name of the computer where Fax Voip FSP installed.

Notes

  • When using the Mail to Fax function, you can create personalized e-mail templates of this type for different e-mail addresses, see in the E-mail Templates Settings (Mail to Fax Rule) chapter of this user manual.
  • When using the E-mail Delivery Receipts Outgoing Fax Routing Method , you can create personalized e-mail templates of this type for different rules, see in the E-mail Templates Settings (E-mail Delivery Receipts) chapter of this user manual.
  • For common information on e-mail templates, see E-mail Templates chapter.


Failed to send a fax

E-mail Templates: Failed to send a fax

Fax Voip FSP Control Panel ›› E-mail ›› E-mail Templates ››

Failed to send a fax template is used with Mail to Fax function and E-mail Delivery Receipts Outgoing Fax Routing Method when sending notifications of failed fax delivery to the sender's e-mail address or predefined e-mail address(es) respectively. To modify this template, select Failed to send a fax from the Select Template drop-down list. To use default template, check Use Default Template box.

E-mail Subject (Failed to send a fax)

E-mail Subject.

E-mail Body

Content of the e-mail.

Insert a variable

Use this button to insert a variable in the text box on the left. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu. Please note that each text box has its own Insert a variable button, which is located to the right of the text box.

Date and time formats

Select the locale (region and language) to specify how to display date and time values for the current template. An example of the formatting for the current selection is shown below under Example. This selection affects the display of date and time values defined by the following variables: %SubmissionTime%, %OriginalScheduledTime%, %StartTime%, %EndTime%. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

The following variables can be used with Failed to send a fax template (replaced by actual data):

  • %RecipientFaxNumber%. The fax number of the recipient.
  • %RecipientName%. The name of the recipient.

  • %SenderEmail%. E-mail address associated with the sender. If the fax is generated by the Mail to Fax function, this is the sender's e-mail address extracted from the e-mail message.
  • %SenderName%. The name of the sender.
  • %SenderFaxNumber%. Fax number associated with the sender.
  • %SenderFaxID%. The transmitting station identifier (TSID) for the sender's device, specified in the Sender Information . It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. Note that depending on the fax server settings, it may be different from the actually transmitted Fax ID, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual. See also the description of %LocalFaxID% variable.
  • %SenderCompany%. The company name associated with the sender. Usually displayed at the top of each faxed page (Fax Headline).
  • %SenderDepartment%. The department name associated with the sender.
  • %SenderTitle%. The title associated with the sender.
  • %SenderOfficeLocation%. The office location of the sender.
  • %SenderHomePhone%. The home telephone number associated with the sender.
  • %SenderOfficePhone%. The office telephone number associated with the sender.
  • %SenderAddress%. The street address associated with the sender. Usually includes the city, state, zip code (postal code) and country/region for the sender.
  • %SenderBillingCode%. The billing code associated with the sender.

  • %DocumentName%. The user-friendly name to display for the fax document. If the fax is generated by the Mail to Fax function, this is the original name of sender document including file extension. When sending multiple documents, they are separated by a semicolon. When sending a fax consisting only of a cover page, replaced with an empty string. When used with E-mail Delivery Receipts Outgoing Fax Routing Method and sending a fax in the usual way (from the Windows Fax and Scan software), can be constantly replaced by the pointless string (e. g. 'Test Fax'), due to errors in the Microsoft Fax software.
  • %HasCoverPage%. Indicates if the fax has a cover page.
  • %Subject%. Contains the contents of the subject field on the cover page of the fax.
  • %PagesTotal%. The total number of pages in the outbound fax job.
  • %TiffSize%. The size, in kilobytes, of the Tagged Image File Format Class F (TIFF Class F) file associated with the outbound fax job.

  • %RemoteFaxID%. The Called Subscriber ID (CSID) received from the fax recipient. The CSID usually consists of the recipient's fax number and business name.
  • %LocalFaxID%. The transmitting station identifier (TSID) that was actually transmitted to the recipient. Depending on the fax server settings, it can be the same as %SenderFaxID%, or it is specified by the settings of the fax device that was used for fax transmission.
  • %Priority%. Priority to use when sending the fax; for example, normal, low, or high priority.
  • %SubmissionTime%. The time that the outbound fax job was submitted for processing.
  • %OriginalScheduledTime%. The time that the fax job was originally scheduled for transmission.
  • %StartTime%. The time that the fax outbound job began transmitting.
  • %EndTime%. The time that the fax outbound job completed transmission.
  • %Duration%. The duration of the fax transmission.
  • %Retries%. The number of times that the fax service attempted to transmit an outgoing fax. The total number of possible retries depends on the limit set.
  • %PagesTransferred%. The number of successfully sent fax pages.
  • %DeviceName%. The name of the device on which the fax message was transmitting. Example: Fax Voip Line 2.
  • %Status%. Operation completion code. Example: NO_ANSWER.
  • %StatusText%. Error description. Example: The receiving device did not answer the call.
  • %FaxMessageID%. The unique identifier for the outbound fax job.
  • %FaxAccount%. The name of the computer user account (fax account) who submitted the fax job.
  • %ComputerName%. The name of the computer where Fax Voip FSP installed.

Notes

  • When using the Mail to Fax function, you can create personalized e-mail templates of this type for different e-mail addresses, see in the E-mail Templates Settings (Mail to Fax Rule) chapter of this user manual.
  • When using the E-mail Delivery Receipts Outgoing Fax Routing Method , you can create personalized e-mail templates of this type for different rules, see in the E-mail Templates Settings (E-mail Delivery Receipts) chapter of this user manual.
  • For common information on e-mail templates, see E-mail Templates chapter.


Failed to create fax job

E-mail Templates: Failed to create fax job

Fax Voip FSP Control Panel ›› E-mail ›› E-mail Templates ››

Failed to create fax job template is used with Mail to Fax function in the case of errors when creating a fax job (not possible to convert your original document into the fax format, the specified fax number is invalid, e-mail address is blocked etc.). To modify this template, select Failed to create fax job from the Select Template drop-down list. To use default template, check Use Default Template box.

E-mail Subject (Failed to send a Fax)

E-mail Subject in the case of unsuccessful creation of a fax job (not possible to convert your original document into the fax format, the specified fax number is invalid etc.).

E-mail Subject (E-mail address blocked)

E-mail Subject in the case of blocked sender’s e-mail address (according to program settings).

E-mail Body

Content of the e-mail.

Insert a variable

Use this button to insert a variable in the text box on the left. To insert a variable into the text, place the cursor in the desired location (or select text segment that you want to replace), press the button and then select a variable from the drop-down menu. Please note that each text box has its own Insert a variable button, which is located to the right of the text box.

Date and time formats

Select the locale (region and language) to specify how to display date and time values for the current template. An example of the formatting for the current selection is shown below under Example. This selection affects the display of date and time values defined by the %SubmissionTime% variable. By default, the date and time is formatted in accordance with operating system settings.

Use default date and time formats that match Windows display language

Click this button to select date and time formats that match Windows display language (for the current user).

The following variables can be used with Failed to create fax job template (replaced by actual data):

  • %FaxRecipients%. Depending on the nature of the error, the list of fax recipients or subject of the e-mail message received from e-mail sender.
  • %SenderEmail%. The sender's e-mail address extracted from the e-mail message.
  • %EmailSubject%. The subject of the e-mail message received from e-mail sender.
  • %DocumentName%. The original name of sender document including file extension. When sending multiple documents, they are separated by a semicolon. When sending a fax consisting only of a cover page, replaced with an empty string.
  • %SubmissionTime%. The time the e-mail message was received.
  • %Status%. A brief description of the error of creating fax job.
  • %StatusText%. Full description of the error of creating fax job.
  • %ComputerName%. The name of the computer where Fax Voip FSP installed.

Notes

  • When using the Mail to Fax function, you can create personalized e-mail templates of this type for different e-mail addresses, see in the E-mail Templates Settings (Mail to Fax Rule) chapter of this user manual.
  • For common information on e-mail templates, see E-mail Templates chapter.


Options and Logs

Fax Voip FSP Control Panel ››

  • Options
  • Fax Voip FSP Logs
  • Incoming Routing Methods Logs
  • Outgoing Routing Methods Logs
  • E-mail Logs
  • SendFax.exe Logs
  • Multi-Language Support


Options

Fax Voip FSP Control Panel ›› Options and Logs ››

Check for updates

Tick this option in order for Fax Voip FSP to automatically check for new version of the program on start up. If the new version is available, the tray notification message is displayed. To download and install new version, you should click this message. Note that Fax Voip FSP checks for updates no more frequently than once a day.

Load Fax Voip FSP tray icon on Windows startup

Use this option if you want to load Fax Voip FSP tray icon on Windows startup (after user logon). Note that the presence of icon in the tray is not necessary for program operation.


Fax Voip FSP Logs

Fax Voip FSP Control Panel ›› Options and Logs ››

Enable VOIP debug logging

The purpose of this option is to create a debug log file, which contains the essential information about Fax Voip FSP Service actions and behaviour in case of bugs and crashes. We recommend that you use this option only when you configure Fax Voip FSP or when problems arise.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Clear VOIP log at Fax Voip FSP service startup

Check this option to automatically remove debug log file on Fax Voip FSP Service startup.

Enable Fax Voip FSP debug logging

The purpose of this option is to create a debug log file, which contains the essential information about Fax Voip Windows Fax Service Provider actions. The fax service provider (FSP) is integrated into the Windows Fax Service.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file. Please note that you are not able to delete this file if Windows Fax Service is started.

Clear Fax Voip FSP log at Windows Fax Service startup

Check this option to automatically remove debug log file on Windows Fax Service startup.

Enable Fax Voip FSP Routing Extension debug logging

The purpose of this option is to create a debug log file, which contains the essential information about Fax Voip FSP Routing Extension actions. The Fax Routing Extension is integrated into the Windows Fax Service. To view detailed logs for fax routing methods, use options described in the Incoming Routing Methods Logs chapter of this user manual.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file. Please note that you are not able to delete this file if Windows Fax Service is started.

Clear Fax Voip FSP Routing Extension log at Windows Fax Service startup

Check this option to automatically remove debug log file on Windows Fax Service startup.

<To Log Folder>

Use this button to open Fax Voip FSP log folder in Windows Explorer.


Incoming Methods Logs

Incoming Routing Methods Logs

Fax Voip FSP Control Panel ›› Options and Logs ››

Enable 'Route through e-mail' incoming routing method debug logging

This option helps you to configure and test Route through e-mail incoming fax routing method. Analysis of the log will help you to identify errors and to specify correct e-mail routing rules. To view detailed information about sending e-mail messages, use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Enable 'Store in a folder' incoming routing method debug logging

This option helps you to configure and test Store in a folder incoming fax routing method. Analysis of the log will help you to identify errors and to specify correct rules for storing incoming faxes.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Enable 'Print' incoming routing method debug logging

This option helps you to configure and test Print incoming fax routing method. Analysis of the log will help you to identify errors and to specify correct rules for printing incoming faxes.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

<To Log Folder>

Use this button to open Fax Voip FSP log folder in Windows Explorer.


Outgoing Methods Logs

Outgoing Routing Methods Logs

Fax Voip FSP Control Panel ›› Options and Logs ››

Enable Outgoing Routing Methods debug logging

This option helps you to configure and test outgoing fax routing methods : E-mail Delivery Receipts , Store in a folder , Print , Custom . Analysis of the log will help you to identify errors and to specify correct routing rules. The Outgoing Routing Methods are called directly from the Fax Voip FSP Service and this is reflected in the other log, use Enable VOIP debug logging option, see more details in the Fax Voip FSP Logs chapter. To view detailed information about sending e-mail messages (when using E-mail Delivery Receipts fax routing method), use Enable Send Mail debug logging option, see more details in the E-mail Logs chapter of this user manual.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

<To Log Folder>

Use this button to open Fax Voip FSP log folder in Windows Explorer.


E-mail Logs

Fax Voip FSP Control Panel ›› Options and Logs ››

Enable Mail to Fax debug logging

This option helps you to configure and test Mail to Fax function. We recommend that you use this option only when you configure Fax Voip FSP or when problems arise.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Clear log at Mail to Fax service startup

Check this option to automatically remove debug log file on Mail to Fax system (Fax Voip FSP Mail service) startup.

Enable Send Mail debug logging

This option helps you to configure and test your SMTP settings . The log file shows results for each e-mail sending (used with Route through e-mail Incoming Fax Routing Method , E-mail Delivery Receipts Outgoing Fax Routing Method and Mail to Fax function). We recommend that you use this option only when you configure Fax Voip FSP or when problems arise.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Enable Receive Mail debug logging

This option helps you to identify errors in your POP3 / IMAP settings . The log file shows results for each POP3 / IMAP session (used with Mail to Fax function). We recommend that you use this option only when you configure Fax Voip FSP or when problems arise.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

<To Log Folder>

Use this button to open Fax Voip FSP log folder in Windows Explorer.


SendFax.exe Logs

Fax Voip FSP Control Panel ›› Options and Logs ››

SendFax.exe debug log

In this area you can view or delete debug log, generated by the SendFax.exe command line utility . The debug log contains detailed information about SendFax.exe operations. To enable debug log, run SendFax.exe with /DebugLog command line option.

<View>

Use this button to view debug log file.

<Delete>

Use this button to delete debug log file.

Clear debug log every time you start SendFax.exe

Check this option to automatically remove debug log file when SendFax.exe starts.

SendFax.exe simple log

In this area you can view or delete simple log, generated by the SendFax.exe command line utility . The simple log contains brief information about SendFax.exe operations. To enable simple log, run SendFax.exe with /Log command line option.

<View>

Use this button to view log file.

<Delete>

Use this button to delete log file.

<To Log Folder>

Use this button to open Fax Voip FSP log folder in Windows Explorer.


Multi-Language Support

Fax Voip FSP Control Panel ›› Options and Logs ››

In Fax Voip FSP application you can create and use so-called Language Profiles. Thus the user can translate the Fax Voip FSP program (in full or partially) to any desired language. Files with language settings are stored in the *{CommonAppDataFolder}\FaxVoip FSP\Language folder. The name of the subfolder where language files of the separately taken profile are stored matches the profile name. The profile name is usually the language name. Language files are standard ini-files saved in Unicode (UTF-16). The ini file names are fixed and correspond to different modules of the Fax Voip FSP.

After Fax Voip FSP installation the following standard profiles are always present:

  • English (Default). Reserved name. Default profile embedded into the program code. Language ini files are not used. You can not edit or delete this profile, but you can create a new profile with its use.
  • English. Reserved name. After installation of the program is the same as the default profile. However language data is loaded from ini files. Unlike the default profile, you can edit or delete it. What you should understand when you reinstall the program or upgrade version, language data is always replaced by default data. For this reason it is best to create a new language profile if you want to customize it.

To create new Language Profile, see To create Language Profile .

To customize profile, see To edit Language Profile .

To read more about the structure of language ini-files, see Language files .

To change Fax Voip FSP language, check the box for desired item in the Language Profiles list, see picture below. Click <Apply> button to save language settings. The changes will take effect immediately. Nevertheless, we recommend to completely restart Fax Voip FSP after changing language settings.

The following commands are available in the Language Contextual Tab of the Ribbon:

Language Profiles

New (Ctrl + N)

Click to create new Language Profile.

Edit (Ctrl + E)

Click to edit the selected Language Profile. Alternatively you can double-click the selected entry.

Delete (Del)

Click to delete the selected Language Profile(s).

Select

Select All (Ctrl + A)

Click to select all the entries in the list.

Select None (Ctrl + O)

Click to unselect all the entries in the list.

Invert Selection (Ctrl + I)

Click to invert the selected entries in the list.

Folder

Open Profile Folder

Click to open the folder with language files in Windows Explorer. One of the entries should be selected.

Most of the commands placed on the Language Contextual Tab are also available from the context menu of the list.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


To create Language Profile

Fax Voip FSP Control Panel ›› Options and Logs ›› Multi-Language Support ››

The new Language Profile can be created as a copy of one of the existing profiles. To create new profile, follow instructions below:

1. Open Fax Voip FSP Control Panel.

2. Click Options in TreeView, then click Language.

3. To create new Language Profile click New.

4. In the New Language Profile dialog, in the Enter the Language Profile Name or select from the list field, type or select the name of your new profile. We recommend to use the language name as a profile name, but you are free to enter any name which you like.

5. From the Copy data from drop-down list, select the name of an existing profile from which you want to copy the language data.

6. Click <OK> button.

The new profile will be created and displayed in the language list. To customize profile (edit language data), see To edit Language Profile . To use profile, check the box for profile item, and then click <Apply>.


To edit Language Profile

Fax Voip FSP Control Panel ›› Options and Logs ›› Multi-Language Support ››

After creating the new Language Profile you really have a copy of one of the earlier existed profiles, usually English (Default). To translate the program into the desired language, you need to edit the new Language Profile using one of the methods that you can find below in this chapter.

To edit Language Profile using Graphical User Interface (GUI):

1. Open Fax Voip FSP Control Panel.

2. Click Options in TreeView, then click Language.

3. Select the profile you want to edit and then click Edit.

4. In the Edit Language Profile dialog, from the Compare with Profile drop-down list select the profile that will be used for comparison.

5. Click <OK> button.

6. In the Edit Language Profile:<name> dialog, select Ini File Name and Section that you want to edit.

The table that you can see in the figure below, contains the following columns:

Parameter

The internal name of the variable that stores the text that can be translated. The variable name is usually associated with the corresponding text in English.

Column #2 (text to compare)

Displays the text that matches the profile that you selected for comparison. This column is used exclusively for tips and can not be edited.

Column #3 (text to edit)

Displays the text that matches the profile that you selected for editing. You can edit the text in this column to do your translation.

7. Edit the text in the third column. In the case of multi-line strings, use \n for new line character (supported with some parameters).

8. After doing the necessary changes, click <Close> button.

All changes are automatically saved when you select another Ini File Name or another Section, as well as when closing Edit Language Profile:<name> window.

To use profile, check the box for profile item, and then click <Apply>. If the profile is already in use, restart Fax Voip FSP to update language data (or double-change the current profile).

To manualy edit language files:

1. Open Fax Voip FSP Control Panel.

2. Click Options in TreeView, then click Language.

3. Select the profile you want to edit and then click Open Profile Folder.

4. Edit ini-files manually using notepad or other text editor. To read more about the structure of language ini-files, see Language files .

To use profile, check the box for profile item, and then click <Apply>. If the profile is already in use, restart Fax Voip FSP to update language data (or double-change the current profile).

Notes

  • sendfax.txt (help for SendFax.exe tool) language file is an exception and can not be edited using Graphical User Interface (GUI). You should manually edit this file.


Language files

Fax Voip FSP Control Panel ›› Options and Logs ›› Multi-Language Support ››

Files with language settings are stored in the *{CommonAppDataFolder}\FaxVoip FSP\Language folder. The name of the subfolder where language files of the separately taken profile are stored matches the profile name (usually the language name). Language files are standard ini-files saved in Unicode (UTF-16). The ini file names are fixed and correspond to different modules of the Fax Voip FSP. The only exception is the sendfax.txt language file (help for SendFax.exe tool) that is not a standard ini-file.

The ini-file structure is as follows:

[section1]

parameter11=value11

parameter12=value12

...

[section2]

parameter21=value21

parameter22=value22

...

In the case of multi-line strings, the \n new line character is used (supported with some parameters). In the case of missing ini-files, sections or some parameters, Fax Voip FSP uses default strings from the English (default) language profile (for missing parameters).

You can manually customize language settings by changing string values in the ini-files. Below you will find a brief description of the Fax Voip FSP language files.

FaxVoipFSPConfig.ini

Language settings for Fax Voip FSP Control Panel.

Sections:

[Form_FSPConfig] The common elements of the main form.

[Help] Help system.

[Menu] Context menus.

[Ribbon_TabMain] Ribbon. Main tab.

[Ribbon_TabView] Ribbon. View tab.

[Ribbon_TabTools] Ribbon. Tools tab.

[Ribbon_TabSIPAccounts] Ribbon. SIP Accounts contextual tab.

[Ribbon_TabOutgoingPlan] Ribbon. Outgoing Plan contextual tab.

[Ribbon_TabIncomingPlan] Ribbon. Incoming Plan contextual tab.

[Ribbon_TabRouteMain] Ribbon. Incoming Methods contextual tab.

[Ribbon_TabRouteEmail] Ribbon. Route through e-mail contextual tab (Incoming Fax Routing).

[Ribbon_TabRouteFolder] Ribbon. Store in a folder contextual tab (Incoming Fax Routing).

[Ribbon_TabRoutePrint] Ribbon. Print contextual tab (Incoming Fax Routing).

[Ribbon_TabRouteOutMain] Ribbon. Outgoing Methods contextual tab.

[Ribbon_TabRouteOutEmail] Ribbon. E-mail Receipts contextual tab (Outgoing Fax Routing).

[Ribbon_TabRouteOutFolder] Ribbon. Store in a folder contextual tab (Outgoing Fax Routing).

[Ribbon_TabRouteOutPrint] Ribbon. Print contextual tab (Outgoing Fax Routing).

[Ribbon_TabSendFaxExe] Ribbon. SendFax.exe contextual tab.

[Ribbon_TabMail2FaxRoute] Ribbon. Mail to Fax contextual tab.

[Ribbon_TabLanguage] Ribbon. Language contextual tab.

[Ribbon_Menu] Ribbon. Application Menu.

[Ribbon_Menu_H323Phones] Ribbon. H.323 Telephone numbers list. Context menu.

[Ribbon_Menu_AudioCodecs] Ribbon. Audio codecs list. Context menu.

[TreeView] TreeView which is displayed on the left side.

[VOIP] Voip Settings page.

[VOIP_SIP] SIP Settings page.

[VOIP_SIP_Registrations] SIP Registrations page.

[VOIP_SIP_T38Fax] T.38 Fax Settings (SIP) page.

[VOIP_SIP_AudioFax] Audio Fax Settings (SIP) page.

[VOIP_H323] H.323 Settings page.

[VOIP_H323_Gatekeeper] H.323 Gatekeeper page.

[VOIP_H323_T38Fax] T.38 Fax Settings (H.323) page.

[VOIP_H323_AudioFax] Audio Fax Settings (H.323) page.

[VOIP_OutgoingPlan] Outgoing Voip Call Routing page.

[VOIP_IncomingPlan] Incoming Voip Call Routing page.

[VOIP_UserAgent] User Agent page.

[Fax_IncomingMethods] Incoming Methods page.

[Fax_IncomingMethods_RouteThroughEmail] Route incoming faxes through e-mail page.

[Fax_IncomingMethods_StoreInFolder] Store incoming faxes in a folder page.

[Fax_IncomingMethods_Print] Print incoming faxes page.

[Fax_IncomingMethods_Custom] Custom routing for incoming faxes page.

[Fax_OutgoingMethods] Outgoing Methods page.

[Fax_OutgoingMethods_EmailReceipts] E-mail Delivery Receipts page.

[Fax_OutgoingMethods_StoreInFolder] Store outgoing faxes in a folder page.

[Fax_OutgoingMethods_Print] Print outgoing faxes page.

[Fax_OutgoingMethods_Custom] Custom routing for outgoing faxes page.

[Fax] Fax settings page.

[Fax_DialingRules] Dialing Rules (Microsoft Telephony) page.

[Fax_FaxTimeouts] Fax Timeouts page.

[Fax_FaxConverter] Convert to Fax page.

[Fax_FaxViewer] Fax Viewer page.

[Fax_SendFaxExe] SendFax.exe command line tool page.

[Fax_SendFaxExe_Cover] Cover Pages (SendFax.exe) page.

[Fax_SendFaxExe_Sender] Sender Information (SendFax.exe) page.

[Fax_SendFaxExe_Receipts] E-mail Delivery Receipts (native) - SendFax.exe page.

[Audio] Audio Settings page.

[Audio_Codecs] Audio Codec Settings page.

[Email] Mail to Fax Service page.

[Email_Mail2Fax] Mail to Fax page.

[Email_Mail2Fax_DialingRules] Dialing Rules (Mail to Fax) page.

[Email_Mail2Fax_Receipts] Delivery Receipts (Mail to Fax) page.

[Email_Mail2Fax_Cover] Cover Pages (Mail to Fax) page.

[Email_Mail2Fax_Sender] Sender Information (Mail to Fax) page.

[Email_Mail2Fax_Route] Customization rules (Mail to Fax) page.

[Email_SMTP] SMTP settings page.

[Email_SMTP_OAuth2] OAuth 2.0 Settings (SMTP) page.

[Email_POP3IMAP] POP3/IMAP settings page.

[Email_POP3IMAP_OAuth2] OAuth 2.0 Settings (POP3/IMAP) page.

[Email_Templates] E-mail Templates page.

[Options] Options, Fax Voip FSP Logs, Incoming Routing Methods Logs, Outgoing Routing Methods Logs, E-mail Logs and SendFax.exe Logs pages.

[Options_Language] Language Settings page.

[License] Licenses page.

[About] About page.

[Form_SIPregister] SIP registration (Create/Edit) dialog.

[Form_AddH323Number] Phone number (H.323) dialog.

[Form_VoipRouteOut] Voip Outgoing Call Routing Rule dialog, common elements.

[Form_VoipRouteOut_General] Voip Outgoing Call Routing Rule dialog, General page.

[Form_VoipRouteOut_Fax] Voip Outgoing Call Routing Rule dialog, Fax page.

[Form_VoipRouteOut_Audio] Voip Outgoing Call Routing Rule dialog, Audio page.

[Form_VoipRouteIn] Voip Incoming Call Routing Rule dialog, common elements.

[Form_VoipRouteIn_General] Voip Incoming Call Routing Rule dialog, General page.

[Form_VoipRouteIn_Fax] Voip Incoming Call Routing Rule dialog, Fax page.

[Form_RouteEmail] Route through e-mail Rule dialog (Incoming Fax Routing), common elements.

[Form_RouteEmail_General] Route through e-mail Rule dialog (Incoming Fax Routing), General page.

[Form_RouteEmail_Email] Route through e-mail Rule dialog (Incoming Fax Routing), E-mail page.

[Form_RouteEmail_Format] Route through e-mail Rule dialog (Incoming Fax Routing), Format page.

[Form_RouteEmail_Templates] Route through e-mail Rule dialog (Incoming Fax Routing), Templates page.

[Form_RouteFolder] Store in a folder Rule dialog (Incoming Fax Routing), common elements.

[Form_RouteFolder_General] Store in a folder Rule dialog (Incoming Fax Routing), General page.

[Form_RouteFolder_StoreInFolder] Store in a folder Rule dialog (Incoming Fax Routing), Store in Folder page.

[Form_RouteFolder_Format] Store in a folder Rule dialog (Incoming Fax Routing), Format page.

[Form_RoutePrint] Print Rule dialog (Incoming Fax Routing), common elements.

[Form_RoutePrint_General] Print Rule dialog (Incoming Fax Routing), General page.

[Form_RoutePrint_Print] Print Rule dialog (Incoming Fax Routing), Print page.

[Form_RouteOutEmail] E-mail Delivery Receipts Rule dialog (Outgoing Fax Routing), common elements.

[Form_RouteOutEmail_General] E-mail Delivery Receipts Rule dialog (Outgoing Fax Routing), General page.

[Form_RouteOutEmail_Email] E-mail Delivery Receipts Rule dialog (Outgoing Fax Routing), E-mail page.

[Form_RouteOutEmail_Format] E-mail Delivery Receipts Rule dialog (Outgoing Fax Routing), Format page.

[Form_RouteOutEmail_Templates] E-mail Delivery Receipts Rule dialog (Outgoing Fax Routing), Templates page.

[Form_RouteOutFolder] Store in a folder Rule dialog (Outgoing Fax Routing), common elements.

[Form_RouteOutFolder_General] Store in a folder Rule dialog (Outgoing Fax Routing), General page.

[Form_RouteOutFolder_StoreInFolder] Store in a folder Rule dialog (Outgoing Fax Routing), Store in Folder page.

[Form_RouteOutFolder_Format] Store in a folder Rule dialog (Outgoing Fax Routing), Format page.

[Form_RouteOutPrint] Print Rule dialog (Outgoing Fax Routing), common elements.

[Form_RouteOutPrint_General] Print Rule dialog (Outgoing Fax Routing), General page.

[Form_RouteOutPrint_Print] Print Rule dialog (Outgoing Fax Routing), Print page.

[Form_SendFaxExe] Configure SendFax.exe options dialog, common elements.

[Form_SendFaxExe_Recipients] Configure SendFax.exe options dialog, Recipients page.

[Form_SendFaxExe_Documents] Configure SendFax.exe options dialog, Documents page.

[Form_SendFaxExe_Converting] Configure SendFax.exe options dialog, Converting page.

[Form_SendFaxExe_Cover] Configure SendFax.exe options dialog, Cover Page page.

[Form_SendFaxExe_Sender] Configure SendFax.exe options dialog, Sender page.

[Form_SendFaxExe_Schedule] Configure SendFax.exe options dialog, Schedule page.

[Form_SendFaxExe_Receipts] Configure SendFax.exe options dialog, Receipts page.

[Form_CheckFaxNumber] Check Fax Number dialog.

[Form_Progress] Window that displays the progress of importing/removing fax numbers.

[Form_SmtpMSFax] SMTP Settings (Windows Fax Service) dialog.

[Form_Mail2FaxService] Mail to Fax service dialog.

[Form_Mail2FaxRoute] Mail to Fax Rule dialog, common elements.

[Form_Mail2FaxRoute_General] Mail to Fax Rule dialog, General page.

[Form_Mail2FaxRoute_DialingRules] Mail to Fax Rule dialog, Dialing Rules page.

[Form_Mail2FaxRoute_Receipts] Mail to Fax Rule dialog, Receipts page.

[Form_Mail2FaxRoute_Attach] Mail to Fax Rule dialog, Attachments page.

[Form_Mail2FaxRoute_Cover] Mail to Fax Rule dialog, Cover Pages page.

[Form_Mail2FaxRoute_Sender] Mail to Fax Rule dialog, Sender page.

[Form_Mail2FaxRoute_Schedule] Mail to Fax Rule dialog, Schedule page.

[Form_Mail2FaxRoute_Templates] Mail to Fax Rule dialog, Templates page.

[Form_TestMail] Sending Test Mail dialog.

[Form_TestSmtp] Testing E-mail SMTP Server window.

[Form_TestPop3] Testing E-mail Server (POP3/IMAP) window.

[Form_AddLanguage] New Language Profile dialog.

[Form_CompareLanguage] Edit Language Profile dialog (where to specify language for comparison).

[Form_EditLanguage] Edit Language Profile window.

[Form_License] Fax Voip FSP Licensing window.

[Form_VerifyID] Verification codes window.

[Form_Install] Window that displays the progress of starting or stopping services.

[Form_Backup] Backup Fax Voip FSP Configuration window.

[Form_Restore] Restore Fax Voip FSP Configuration window.

[Form_WinFaxService] Windows Fax Service Settings window.

FaxVoipFSPManager.ini

Language settings for Fax Voip FSP Manager.

Sections:

[Help] Help system.

[Menu] Fax Voip FSP menu in the system tray.

[Common] The common elements.

[Form_Trial] The window that appears in the trial version.

convert.ini

Language settings for converting files to different formats.

Sections:

[Convert_ToFax] Error texts when converting to fax format.

Email.ini

Language settings for SMTP logs, SSL callback and signing e-mail messages.

Sections:

[SendMail] SMTP logs.

[SSL_Callback] SSL callback.

[Sign_Message] Signing e-mail messages.

[OAuth2Token] Get Refresh Token procedure.

FaxStatusMSFax.ini

Language settings for fax status texts (Windows Fax Service).

Sections:

[Fax_ExtStatus] Extended fax status.

FixPrintto.ini

Language settings for Repair ‘printto’ verbs function log.

Sections:

[Common] Common texts.

[Print_System] Actions related to the correction when starting as Windows Service.

[Fix_Printto] Other parameters.

fswincom.ini

Language settings for the auxiliary tool (fswincom.exe), which is used during Fax Voip FSP installation and removing.

Sections:

[Common] Common texts.

[Form_Remove] Uninstall Fax Voip FSP window.

mailtext.ini

Language settings for default e-mail templates.

Sections:

[Fax_In] Incoming faxes, Route through e-mail Incoming Fax Routing Method.

[Fax_Out] Outgoing faxes, Mail To Fax, E-mail Delivery Receipts Outgoing Fax Routing Method.

sendfax.ini

Language settings for SendFax.exe utility.

Sections:

[Form_Track] Fax track window, main elements.

[Help] Help system.

[Menu] Fax track window, main menu.

[Toolbar] Fax track window, toolbar button text and tooltips.

[Ribbon_TabMain] Fax track window. Ribbon. Main tab.

[Ribbon_TabView] Fax track window. Ribbon. View tab.

[Ribbon_Menu] Fax track window. Ribbon. Menu.

[Properties] Fax track window. Properties pane.

[FaxStatus_Short] Fax job status. Brief description.

[FaxStatus_Long] Fax job status. Long description.

[FaxExtStatus_Short] Extended fax status. Brief description.

[FaxExtStatus_Long] Extended fax status. Long description.

[FaxProperty_Value] Values ​​for fax properties.

[App_Output] SendFax.exe actions and errors description.

sendfax.txt

Help text that displayed when running SendFax.exe utility without parameters. This is a text file in Unicode. Can not be edited using Graphical User Interface (GUI). Use notepad or other text editor to edit it.

TrayNotify.ini

Language settings for Tray Notifications.

Sections:

[New_Version] New version available notification.

[License] License notifications.

WinFaxService.ini

Language settings for Windows Fax Service installation utility.

Sections:

[Form_Install] Window that displays the progress of installation of Windows Fax Service.

[Common] Common texts.

Notes

  • *{CommonAppDataFolder} - the system file directory containing application data for all users. The name of this folder is usually C:\ProgramData.


Windows Fax Service

Windows Fax Service and Windows Fax and Scan application is an integrated fax software included in all Windows versions. It is an extensible fax platform that you can use to deploy shared fax resources in your organization. Users within an organization can install a connection to a remote fax printer on a network fax server and send and receive faxes using shared fax devices located on the server, as well as from a local fax device attached to their computers. Fax administrators can configure, manage, and monitor these shared fax resources. Centralized management of server-based shared fax devices means easier management and maintenance, and lower costs. Fax users can send and receive faxes without the need to use manual fax machines, saving time and effort.

The Windows Fax Service is a required component for Fax Voip FSP product, used to send and receive faxes and should be installed on your computer. Fax Voip FSP always trying to automatically install the Windows Fax Service on your computer during the installation process if not installed. To manually install Windows Fax Service on your computer, see To install the Windows Fax Service .

Fax Voip Windows Fax Service Provider (FSP) and Fax Voip FSP Routing Extension (responsible for Incoming Fax Routing Methods ) should be registered with Windows Fax Service. To manually register Fax Voip FSP, see Register the Fax Service Provider .

At the time of installation, Fax Voip FSP always trying to automatically configure the Windows Fax Service to use Fax Voip Line devices to send and receive faxes. To manually configure Windows Fax Service, see To configure the Windows Fax Service .

At the time of installation, Fax Voip FSP configures the Windows Fax Service to use 'Fax Voip FSP' as Fax Station ID for all Fax Voip Line devices. To manually configure Fax Station ID and Fax Headline, see To configure Fax Station ID and Fax Headline .

To configure fax server (Windows Server OS) to be shared with client computers, see Sharing Fax Resources .

To view and manage faxes created by another user, see To access faxes created by another user .

Notes

  • The maximum allowed number of fax devices that can be used with Windows Fax Service depends on the operating system. On Windows 11, Windows 10, Windows 8/8.1 and Windows 7 the fax device limit is one. On Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2, Windows Server 2008R2, Enterprise or Datacenter Edition, there is no fax device limit. On other versions of Windows 2008R2, the fax device limit is usually four.


Install the Fax Service

To install the Windows Fax Service

Windows Fax Service ››

Windows Fax Service (Windows Fax and Scan application) is usually installed on Windows 11, Windows 10, Windows 8/8.1 and Windows 7 computers by default.

Windows Fax Service (Fax Server role) is usually not installed on Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 and Windows Server 2008R2 computers by default.

Fax Voip FSP always trying to automatically install the Windows Fax Service on your computer during the installation process if not installed.

To manually install Windows Fax Service on Windows 10 (early versions), Windows 8/8.1 or Windows 7, see To install Windows Fax and Scan on Windows 10 computer .

To manually install Windows Fax Service on Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008R2, see To install the Fax Server role on Windows Server 2022 computer .

After manual installation of Windows Fax Service, you usually need To register Fax Voip Windows Fax Service Provider (FSP) with Fax Service .


Windows 10

To install Windows Fax and Scan on Windows 10 computer

Windows Fax Service ›› Install the Fax Service ››

1. Switch to Search pane, type control panel, and then click Control Panel.

2. In the Control Panel click Programs, and then click Turn Windows features on or off.

3. In the Windows features dialog box select Windows Fax and Scan, and then click OK.

Notes

  • The instructions above are not valid for Windows 11 and the latest versions of Windows 10, where Windows Fax and Scan is always installed and cannot be uninstalled or installed this way.


Windows Server 2022

To install the Fax Server role on Windows Server 2022 computer

Windows Fax Service ›› Install the Fax Service ››

1. Click the Start button, and then click Server Manager.

2. In the Server Manager in the left pane click Add roles and features.

3. In the Add Role and Features Wizard, on the Server Roles page, select the check box for Fax Server.

4. In the dialog box click Add Features to add required role services.

5. In the Add Role and Features Wizard click Next.

6. Follow the Add Role and Features Wizard. For more information, search Install the Fax Server Role in the Windows Help and Support.


Configure the Fax Service

To configure the Windows Fax Service

Windows Fax Service ››

At the time of installation, Fax Voip FSP always trying to automatically configure the Windows Fax Service to use Fax Voip Line devices to send and receive faxes.

To manually configure Windows Fax Service in Windows 11, Windows 10, Windows 8/8.1 or Windows 7, see To configure the Fax Service in Windows 11 .

To manually configure Windows Fax Service in Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008R2, see To configure the Fax Service in Windows Server 2022 .


Windows 11

To configure the Fax Service in Windows 11

Windows Fax Service ›› Configure the Fax Service ››

1. Switch to Search pane, type fax and scan, and then click Windows Fax and Scan.

Alternatively, you can select Windows Fax and Scan command from the Fax Voip FSP tray icon menu or click Windows Fax and Scan in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In Windows Fax and Scan, on the Tools menu, click Fax Account... . If no fax modem account was created, click Add... .

3. Click Connect to a fax modem and follow the instructions of the wizard.

4. In Windows Fax and Scan, on the Tools menu, click Fax Settings....

5. In the Fax Settings window, on the General page click Select fax device....

6. On the Select Device dialog box, select the Fax Device Fax Voip Line 0. Then, click OK.

7. In the Fax Settings window, on the General page select the Allow the device to send faxes check box. If you want to be able to receive incoming faxes, select the Allow the device to receive fax calls check box. Select Automatically answer... option. Then, click OK.


Windows Server 2022

To configure the Fax Service in Windows Server 2022

Windows Fax Service ›› Configure the Fax Service ››

To access the Windows Fax and Scan

Switch to Search pane, type fax and scan, and then click Windows Fax and Scan.

Alternatively, you can select Windows Fax and Scan command from the Fax Voip FSP tray icon menu or click Windows Fax and Scan in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

To access the Fax Service Manager

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Or switch to Search pane, type fax service manager, and then click Fax Service Manager.

Alternatively, you can select Fax Service Manager command from the Fax Voip FSP tray icon menu or click Fax Service Manager in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, on the left pane double-click Fax, double-click Devices and Providers, click Providers. Make sure that the Fax Voip T.38/G.711FAX Device Provider is present in the list. If there is no entry, use the Reinstall Fax Voip FSP Services command in the Fax Voip FSP Control Panel , in the Tools tab of the Ribbon, see also in the Register the Fax Service Provider chapter of this user manual.

3. Double-click Devices, and then right click on the Fax Device Fax Voip Line 0. On the context menu, click Properties.

4. On the General page, select the Send faxes check box. If you want to be able to receive incoming faxes, select the Receive faxes check box and the Automatic Answer option. In the Transmitting Subscriber ID (TSID) box and in the Called Subscriber ID (CSID) box, optionally enter your fax number. Then, click OK.

5. On the left pane double-click on the Fax Device Fax Voip Line 0, click Incoming Methods, and then in the right pane configure the incoming methods of interest if you want to automatically Print, Route through e-mail (Fax To Email) or Store in a folder received faxes.

To create Fax Account

1. In Windows Fax and Scan, on the Tools menu, click Fax Account... . If no fax modem account was created, click Add... .

2. Click Connect to a fax modem and follow the instructions of the wizard.


Sharing Fax Resources

Windows Fax Service ››

A fax printer located on a central fax server (Windows Server OS) can be shared among network users. Users can install remote fax printer connections to the fax server on their client computers (Windows 11, Windows 10 etc.), and thus send and receive faxes using fax devices located on the fax server.

To configure fax server in Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008R2 to be shared with client computers, see To configure Fax Server (Windows Server 2022) .

To connect a client computer to fax server located in your network, see To configure Fax Client (Windows 11) .

Notes

  • You cannot share fax resources on a workstation based operating system such as Windows 11, Windows 10, Windows 8/8.1 or Windows 7.
  • The instructions in this chapter assume that both computers (server and client) are configured as members of a workgroup.


Configure Fax Server

To configure Fax Server (Windows Server 2022)

Windows Fax Service ›› Sharing Fax Resources ››

To share a fax printer

1. Switch to Search pane, type control panel, and then click Control Panel. In the Control Panel, under Hardware and Sound, click View devices and printers. In the list of printers, right-click Fax. On the context menu, click Printer properties. Alternatively, you can click Fax Printer Properties in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Fax Properties window, click the Sharing tab, select Share this printer, and then type a name for the printer that you want your network users to see. Then, click OK.

Set up user accounts

Your users must have an account to be able to access a fax server running Windows Server 2022.

To add a local user account, follow these steps:

1. Right click the Start button, and then click Computer Management. In the Computer Management, expand Local Users and Groups, right-click on Users, and then select New User.

2. In the New User window, enter the user name and password. Below the section where you enter the passwords, you will see four options connected to how the password will be treated. Choose the one that makes sense to you, click Create to create the user, and then close the window.

3. In the Computer Management, make sure the new user is displayed in the list of users.

You can configure a fax server so that when a user uses Windows Fax and Scan for the first time to send a fax, an account is automatically created. If you use this option, as soon as a user connects to the fax server, the account is automatically created.

If you want to limit users connecting to the fax server, you can disable this setting, in which case you must manually create the user accounts for all the users who need to access the fax server. In such a setting, if a user tries to connect to the server without having an account already, the connection attempt fails.

To automatically create a user account for a fax server, follow these steps:

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip FSP tray icon menu or click Fax Service Manager in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, in the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Accounts tab, select the Auto-create accounts on connection check box so that an Administrator does not need to explicitly create each user account. Click OK.

To manually add a user account for a fax server, follow these steps:

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip FSP tray icon menu or click Fax Service Manager in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, in the left pane double-click Fax, and then click Accounts.

3. In the right pane, view the existing accounts, and then determine which new accounts you want to add.

4. To add a new account, right-click Accounts, click New, and then click Account.

5. In Create New Account window, provide a user name and domain, and then click Create. Note that the user name must match the local user account you created earlier.

6. In the Microsoft Fax Service Manager, make sure the new account is displayed in the list of accounts.

To configure access the fax server inbox

To allow all user accounts to access the fax server inbox and view incoming messages, follow these steps:

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip FSP tray icon menu or click Fax Service Manager in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, in the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Accounts tab, in the Reassign Setting area, select Off option to allow all user accounts to access the fax server inbox and view incoming messages. Click OK.

To allow individual user accounts to access the fax server inbox and view incoming messages, follow these steps:

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip FSP tray icon menu or click Fax Service Manager in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, in the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Accounts tab, in the Reassign Setting area, select On option to reassign received fax messages to individual user accounts only. Click OK.

3. In the Microsoft Fax Service Manager, in the left pane right click on the Fax; on the context menu, click Properties; in the Fax (Local) Properties window switch to Security page.

4. On the Security page, click Advanced.

5. In the Advanced Security Settings for Fax window, select the permission entry associated with the desired user account and click Edit. If the permission entry does not exist, click Add, click Select a principal, type user accounts name, click Check Names, click OK.

6. In the Permission Entry for Fax window, click Show advanced permissions. Select the Manage server receive folder check box. Click OK. See picture below.

7. In the Advanced Security Settings for Fax window, click OK.


Configure Fax Client

To configure Fax Client (Windows 11)

Windows Fax Service ›› Sharing Fax Resources ››

To connect a client computer to fax server located in your network, follow these steps:

1. In Windows Explorer, enter the name or address of the computer (Windows Server OS) in your network on which the shared fax server is installed. Click the Go to... button or press the Enter key.

2. In the Windows Security window, enter the username and password associated with the user account created on the server for sending faxes, see in the Configure Fax Server chapter of this user manual. Select Remember my credentials checkbox, this is very important. Click OK.

3. Make sure that the shared Fax printer is displayed in the folder.

4. Switch to Search pane, type control panel, and then click Control Panel. In the Control Panel click User Accounts, and then click Manage Windows Credentials.

5. In the Credential Manager, on Windows Credentials page make sure that you have an entry associated with your server computer and the user account created on the server for sending faxes. If there is no entry, create it by clicking the Add a Windows credential link, see picture below.

6. Switch to Search pane, type fax and scan, and then click Windows Fax and Scan. In Windows Fax and Scan, on the Tools menu, click Fax Account... . Click Add... .

7. On the Choose a fax modem or server page click Connect to a fax server on my network.

8. On the Type the fax server location page, enter the name or address of the computer (Windows Server OS) in your network on which the shared fax server is installed. Follow the instructions of the wizard.

9. Make sure that the fax account was created successfully.


Configure Fax Station ID and Fax Headline

To configure Fax Station ID and Fax Headline

Windows Fax Service ››

When sending and receiving faxes, you usually need to specify Fax Station ID and Fax Headline. In the case of Fax Voip FSP these parameters are configured in Windows Fax Service software.

The Transmitting Subscriber Identification (TSID) is a Transmitting Fax Station ID. The TSID is a text string that identifies you as a fax sender. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is transmitted at the top of each faxed page. The TSID usually consists of the sender's fax number and business name. The TSID is limited to 20 characters.

The Called Subscriber Identification (CSID) is a Fax Station ID, that is used with incoming faxes. The CSID is a text string that identifies you as a fax recipient. It is transmitted to a fax sender when you receive a fax, and it might appear in the display of the sender's fax machine. The CSID usually consists of the recipient's fax number and business name. Your CSID and TSID can be the same. The CSID is limited to 20 characters.

The Fax Headline is a text that is also transmitted at the top of each faxed page. Usually the name of your company. The Fax Headline is limited to 50 characters.

At the time of installation, Fax Voip FSP configures the Windows Fax Service to use 'Fax Voip FSP' as Fax Station ID for all Fax Voip Line devices.

To configure Fax Station ID and Fax Headline in Windows 11, Windows 10, Windows 8/8.1 or Windows 7, see To configure Fax Station ID and Fax Headline in Windows 11 .

To configure Fax Station ID and Fax Headline in Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 or Windows Server 2008R2, see To configure Fax Station ID and Fax Headline in Windows Server 2022 .


Windows 11

To configure Fax Station ID and Fax Headline in Windows 11

Windows Fax Service ›› Configure Fax Station ID and Fax Headline ››

Please note that the Use device Transmitting Subscriber ID (TSID) option can be configured using Reinstall Fax Voip FSP Services button in the Fax Voip FSP Control Panel , in the Tools tab of the Ribbon, see Register the Fax Service Provider . In this case, you do not need to manually edit the Windows Registry and restart the Windows Fax Service.

Outgoing Fax. Use Device TSID.

This method does not allow to override Fax Station ID (TSID).

1. To use this method should change UseDeviceTsid value to 1. Right click the Start button, and then click Run. Type regedit; click OK to start Registry Editor. Find HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Fax section. Create UseDeviceTsid (REG_DWORD) parameter, if does not exist. Change value of UseDeviceTsid to 1. See picture below.

2. Restart Windows Fax Service. To do it, click Restart Fax Service in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

3. In Windows Fax and Scan, on the Tools menu, click Fax Settings.... In the Fax Settings window, on the General page click More options.... In the More Options window, in the TSID box, specify your Fax Station ID. Maximum length is 20 characters. Click OK. In the Fax Settings window click OK.

4. In Windows Fax and Scan, on the Tools menu, click Sender Information.... In the Sender Information window, in the Company box, specify your Fax Headline. Maximum length is 50 characters. Click OK.

Outgoing Fax. Don't use Device TSID.

Using this method you can override Fax Station ID (TSID) when creating a fax.

1. To use this method should change UseDeviceTsid value to 0 (zero). Right click the Start button, and then click Run. Type regedit; click OK to start Registry Editor. Find HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Fax section. Create UseDeviceTsid (REG_DWORD) parameter, if does not exist. Change value of UseDeviceTsid to 0 (zero). See picture below.

2. Restart Windows Fax Service. To do it, click Restart Fax Service in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

3. In Windows Fax and Scan, on the Tools menu, click Sender Information.... In the Sender Information window, in the Fax number box, specify your Fax Station ID. Maximum length is 20 characters. In the Company box, specify your Fax Headline. Maximum length is 50 characters. Click OK.

Incoming Fax

1. In Windows Fax and Scan, on the Tools menu, click Fax Settings.... In the Fax Settings window, on the General page click More options.... In the More Options window, in the CSID box, specify your Fax Station ID. Maximum length is 20 characters. Click OK. In the Fax Settings window click OK.


Windows Server 2022

To configure Fax Station ID and Fax Headline in Windows Server 2022

Windows Fax Service ›› Configure Fax Station ID and Fax Headline ››

Please note that the Use device Transmitting Subscriber ID (TSID) option can be also configured using Reinstall Fax Voip FSP Services button in the Fax Voip FSP Control Panel , in the Tools tab of the Ribbon, see Register the Fax Service Provider .

Outgoing Fax. Use Device TSID.

This method does not allow to override Fax Station ID (TSID).

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip FSP tray icon menu or click Fax Service Manager in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, on the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Outbox page, check Use device Transmitting Subscriber ID (TSID) option. Click Apply.

3. In the Microsoft Fax Service Manager, on the left pane double-click Fax, double-click Devices and Providers, double-click Devices, and then right click on the Fax Device Fax Voip Line 0. On the context menu, click Properties. On the General page, in the Transmitting Subscriber ID (TSID) box, specify your Fax Station ID. Maximum length is 20 characters. Click Apply.

4. In Windows Fax and Scan, on the Tools menu, click Sender Information.... In the Sender Information window, in the Company box, specify your Fax Headline. Maximum length is 50 characters. Click OK.

Outgoing Fax. Don't use Device TSID.

Using this method you can override Fax Station ID (TSID) when creating a fax.

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip FSP tray icon menu or click Fax Service Manager in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, on the left pane right click on the Fax. On the context menu, click Properties. In the Fax (Local) Properties window, on the Outbox page, uncheck Use device Transmitting Subscriber ID (TSID) option. Click Apply.

3. In Windows Fax and Scan, on the Tools menu, click Sender Information.... In the Sender Information window, in the Fax number box, specify your Fax Station ID. Maximum length is 20 characters. In the Company box, specify your Fax Headline. Maximum length is 50 characters. Click OK.

Incoming Fax

1. Click the Start button, and then click Server Manager. In the Server Manager, select Fax Service Manager from the Tools menu. Alternatively, you can select Fax Service Manager command from the Fax Voip FSP tray icon menu or click Fax Service Manager in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Microsoft Fax Service Manager, on the left pane double-click Fax, double-click Devices and Providers, double-click Devices, and then right click on the Fax Device Fax Voip Line 0. On the context menu, click Properties. On the General page, in the Called Subscriber ID (CSID) box, specify your Fax Station ID. Maximum length is 20 characters. Click Apply.


To access faxes created by another user

Windows Fax Service ››

This chapter explains how to access faxes created by another user under the current user account. For example, a fax server administrator wants to view and manage faxes created by other users. Or some service running under a different user account automatically generates fax jobs and you need to have access to these faxes, an example is the Mail To Fax function from the Fax Voip FSP package.

To run the Windows Fax and Scan under a different user account

1. Right click the Start button, and then click Command Prompt.

2. In the Command Prompt, run the following command:

runas.exe /savecred /user:SERVER1\FaxUser %windir%\system32\WFS.exe

In our example, SERVER1\FaxUser is the local user account (including the computer name) whose faxes we want to access.

3. Enter the password for the user specified in the command line if necessary, and then click ENTER. The /savecred option is used to save the credentials and to avoid entering a password on subsequent launches.

Windows Fax and Scan application will be started under the specified user account, not under the current user account.

Alternatively, you can create a windows shortcut to launch Windows Fax and Scan. The Target parameter should be as shown below:

C:\Windows\System32\runas.exe /savecred /user:SERVER1\FaxUser %windir%\system32\WFS.exe

To create Fax Account

Before adding a fax account, you need to grant the View service configuration access permission to fax server for the user under which the Windows Fax and Scan is running. To grant access rights, follow these steps:

1. In Windows 11, in Windows Fax and Scan, on the Tools menu, click Fax Settings..., and then switch to Security page. In Windows Server 2022, in the Microsoft Fax Service Manager, on the left pane right click on the Fax; on the context menu, click Properties; in the Fax (Local) Properties window switch to Security page.

2. On the Security page, click Advanced.

3. In the Advanced Security Settings for Fax window, select the permission entry associated with the desired user account and click Edit. If the permission entry does not exist, click Add, click Select a principal, type user accounts name, click Check Names, click OK.

4. In the Permission Entry for Fax window, click Show advanced permissions. Check View service configuration. Click OK. See picture below.

5. In the Advanced Security Settings for Fax window, click OK.

To add a Fax Account, follow these steps:

1. In Windows Fax and Scan, on the Tools menu, click Fax Account... . If no fax modem account was created, click Add... .

2. Click Connect to a fax modem and follow the instructions of the wizard.

To send a fax

To send a fax on behalf of another user account, see To send a fax using a different fax account .


Register the Fax Service Provider

To register Fax Voip Windows Fax Service Provider (FSP) with Fax Service

Windows Fax Service ››

Fax Voip Windows Fax Service Provider (FSP) and Fax Voip FSP Routing Extension (responsible for Incoming Fax Routing Methods ) should be registered with Windows Fax Service. To manually register Fax Voip FSP without re-installation of the software and configure the Windows Fax Service to send/receive faxes via Fax Voip FSP devices, do the following:

1. Open Fax Voip FSP Control Panel. To do this click Start, point to Fax Voip FSP; click Fax Voip FSP Control Panel. Alternatively, you can select Fax Voip FSP Control Panel command from the Fax Voip FSP tray icon menu.

2. In the Fax Voip FSP Control Panel, click Reinstall Fax Voip FSP Services in the Tools tab of the Ribbon. Administrator privileges are required.

3. Wait until the program completes the necessary actions. The Windows Fax Service can be restarted several times.

4. In the Windows Fax Service Settings window you can specify necessary settings for configuring fax service with Fax Voip FSP devices.

On Windows 11 computer, you should choose the Fax Voip Line device that you want to use to send and receive faxes through the Windows Fax Service.

On Windows Server 2022 computer, the specified settings will be applied to all Fax Voip Line devices currently installed in your system.

The following settings can be configured:

Send/receive options

Allow to send faxes

Specify whether to use Fax Voip FSP device(s) for sending faxes.

Allow to receive fax calls

Specify whether to use Fax Voip FSP device(s) for receiving faxes.

Automatically answer after ... rings

Specifies the number of rings after which the Fax Voip FSP device(s) can answer incoming phone call to try to receive a fax. Please note that this option is unavailable in the current version of Fax Voip FSP.

Identification

Use device Transmitting Subscriber ID (TSID)

Specifies whether the device's Transmitting Subscriber ID (TSID) defined in the properties of the fax device is transmitted to the recipient when an outgoing fax is sent. If this option is not enabled, the TSID used in the outgoing fax is the sender's fax number, as specified in the Sender Information. See also in the Configure Fax Station ID and Fax Headline chapter of this user manual.

TSID

Specify the Transmitting Subscriber Identification (TSID). The TSID is a text string that identifies you as a fax sender. It is transmitted to the recipient when an outgoing fax is sent, and it may appear in the display of the recipient's fax machine. The TSID is limited to 20 characters.

CSID

Specify the Called Subscriber Identification (CSID). The CSID is a text string that identifies you as a fax recipient. It is transmitted to a fax sender when you receive a fax, and it might appear in the display of the sender's fax machine. The CSID is limited to 20 characters.

5. In the Windows Fax Service Settings window, click OK.

6. Wait until the program completes all necessary actions. The Windows Fax Service can be restarted several times.

7. To view the log, click Yes in the Message Box.

Below you can see the full list of actions produced by the Reinstall Fax Voip FSP Services command:

  • Stopping Mail to Fax system (Fax Voip FSP Mail Service).
  • Stopping Windows Fax Service and Fax Voip FSP Service.
  • Reinstalling the Fax Voip FSP Service.
  • Installing the Windows Fax Service, if not installed (all supported operation systems).
  • Installing Desktop Experience Feature, if not installed (Windows Server 2012/2012R2 and Windows Server 2008R2).
  • Registration of Fax Voip Windows Fax Service Provider (FSP) with Windows Fax Service.
  • Registration of Fax Voip FSP Routing Extension (responsible for Incoming Fax Routing Methods ) with Windows Fax Service.
  • Configuring Windows Fax Service permissions definition.
  • Configuring Windows Fax Service to automatically start on Windows startup.
  • Creating Fax Account with the name 'Fax Voip FSP' if it does not exist.
  • Configuring fax server security. The intelligent fax retransmission system (when retrying, send a fax commencing with the first page that was not successfully transmitted) requires that the Fax Voip FSP service (running under the local system account) has View outgoing fax jobs access permission. To ensure the correct operation of the Outgoing Fax Routing Methods , the Fax Voip FSP service (local system account) should have View outgoing fax jobs and View message archives access permissions.
  • Configuring fax service to archive all successfully sent faxes to Sent Items folder. This is required for correct operation of the Outgoing Fax Routing Methods .
  • Configuring read access to the list of fax accounts (HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Fax\Accounts registry key).
  • On Windows 11, Windows 10, Windows Server 2022, Windows Server 2019 and Windows Server 2016: Fixing bug in Windows Fax and Scan software when 'Forward as E-mail' button is grayed out, while the MAPI e-mail client is installed in the system.
  • Creating Windows Fax and Scan shortcut on the desktop. On Windows 8 or later, creating Windows Fax and Scan shortcut in the Start menu. On Windows Server OS, creating Fax Service Manager shortcut on the desktop and in the Start menu.
  • Reinstallation of Fax Voip Line Fax Devices. Configuring Transmitting Subscriber ID (TSID) and Called Subscriber ID (CSID) for all Fax Voip Line Fax Devices (default is 'Fax Voip FSP'). Configuring Use device Transmitting Subscriber ID (TSID) option, see also in the Configure Fax Station ID and Fax Headline chapter of this user manual.
  • On Windows 11, Windows 10, Windows 8/8.1 and Windows 7: configuring the selected Fax Voip Line Fax Device to send and/or receive faxes. By default, both sending and receiving faxes are allowed.
  • On Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 and Windows Server 2008R2: configuring all Fax Voip Line Fax Devices to send and/or receive faxes. By default, both sending and receiving faxes are allowed.
  • On Windows 11, Windows 10, Windows 8/8.1 and Windows 7: enabling Fax Monitor and fax notifications for the selected Fax Voip Line Fax Device.
  • On Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2 and Windows Server 2008R2: enabling Fax Monitor and fax notifications for the first Fax Voip Line Fax Device.
  • Enables / disables Fax Voip FSP Routing Extension fax routing methods for all Fax Voip Line Fax Devices, depending on the current settings.
  • Starting Fax Voip FSP Service and Windows Fax Service.
  • Starting Mail to Fax system (Fax Voip FSP Mail Service).


Sending and Receiving Faxes

Fax Voip FSP uses Windows Fax Service and Windows Fax and Scan application to send and receive faxes.

  • Send Faxes
  • Receiving Faxes
  • Monitoring and notifying


Send Faxes

Sending and Receiving Faxes ››

You can send a fax from a Windows application by opening or creating a document in the application, and then printing it to a fax printer. For instructions, see Send a Fax from a Windows application .

To send a fax from Fax Voip FSP tray icon menu or from Fax Voip FSP Control Panel, see Send a Fax from Fax Voip FSP .

To specify Fax Station ID and Fax Headline, see Configure sender information .

For instructions on selecting image quality of outgoing fax, see Adjust fax resolution .

To send a fax using SendFax.exe command line utility, see SendFax.exe command line tool . More details can be found in the Send a Fax using SendFax.exe tool chapter of this user manual.

To send a fax on behalf of another user account, see To send a fax using a different fax account .

To learn more about how to monitor the progress of faxes being sent, see Monitoring and notifying .


Send a Fax from a Windows application

To Send a Fax from a Windows application

Sending and Receiving Faxes ›› Send Faxes ››

To send a fax

1. Open or create the document in any Windows application that has a print option.

2. Click Print. On the Print dialog box, select an installed Fax printer from the drop-down list, and then click Print.

3. On the New Fax page, enter the recipient fax number in the To box.

4. Optionally select a Cover Page.

5. Optionally select a Dialing rule. Dialing rules (TAPI) are applied when translating fax numbers entered in canonical format (e.g. +1 (425) 123-4567). Note that choosing a specific rule in this box may override the default dialing location selected in the Phone and Modem options in the Windows Control Panel. For more information on using dialing rules, see Dialing Rules (Microsoft Telephony) and Dialing Rules Overview chapters of this user manual.

6. Optionally, enter the appropriate information in the Subject and Cover page notes boxes.

7. Optionally, configure sender information .

8. Click Send to send a fax.

Your computer will automatically call the fax number and send the fax.


Send a Fax from Fax Voip FSP

To Send a Fax from Fax Voip FSP

Sending and Receiving Faxes ›› Send Faxes ››

1. Select Send a Fax command from the Fax Voip FSP tray icon menu or click New Fax in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. In the Fax message selection dialog, select the document you want to send as a fax, and then click Open. Any printable document can be sent as a fax.

3. Follow the instructions in the previous chapter.

Notes

  • You can also send a fax by right clicking on the file in Windows Explorer and then selecting Fax recipient command from the Send to submenu.


Configure sender information

To configure sender information

Sending and Receiving Faxes ›› Send Faxes ››

The options below allow to override the Fax Station ID and Fax Headline when sending a fax .

1. On the New Fax page, on the Tools menu, click Sender Information....

2. To override the default settings, in the Sender Information window, check Use the information for this fax only option.

3. In the Fax number box, specify your Fax Station ID. Maximum length is 20 characters. Please note, that you can override TSID this way if only Use device Transmitting Subscriber ID (TSID) option is disabled, see in the Configure Fax Station ID and Fax Headline chapter.

4. In the Company box, specify your Fax Headline. Maximum length is 50 characters.

5. Click OK.


Adjust fax resolution

To adjust fax resolution

Sending and Receiving Faxes ›› Send Faxes ››

You can select the resolution for faxes that you send. Generic quality names, such as Normal (200x200 dpi) or Draft (200x100 dpi), are given to resolution options that are graded in dots per inch (dpi). These resolution options will not necessarily provide the quality of detail that you see when composing a document in a Windows application.

To specify fax printer settings:

1. Switch to Search pane, type control panel, and then click Control Panel. In the Control Panel click Hardware and Sound, and then click Devices and Printers. Right click on the Fax printer. On the context menu, click Printing preferences. Alternatively, you can click Fax Printer Properties in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon and then click Preferences....

2. In the Fax Printing Preferences window, choose a standard resolution from the Image quality list.

Note, that when you create and send a fax from a Windows application, the application may use individual settings that take precedence over the global printer properties. For this reason, we recommend you to check the printer resolution just before printing.


SendFax.exe command line tool

Sending and Receiving Faxes ›› Send Faxes ››

You can send a fax using the SendFax.exe command line utility, which is included in the Fax Voip FSP software and allows you to automatically create and track a fax job, see more details in the Send a Fax using SendFax.exe tool chapter of this user manual.

For more information about SendFax.exe command line options, see SendFax.exe command line options .

Also, you have a useful visual tool that allows you to easily configure SendFax.exe command line options and then run SendFax.exe directly from the Fax Voip FSP Control Panel, see To Configure and Run SendFax.exe using Fax Voip FSP Control Panel .


To send a fax using a different fax account

Sending and Receiving Faxes ›› Send Faxes ››

By default, the new fax is created on behalf of the current user who is logged in. This chapter explains how to send a fax using a different fax account. For example, this can be useful when several users want to share single fax account and have access to outgoing faxes created by any of these users. Depending on the computer user account who submitted the fax job, different actions can be applied to outgoing fax, see in the Outgoing Fax Routing Methods chapter of this user manual.

To send a fax from Windows Fax and Scan

1. Run Windows Fax and Scan under a different user account, see To access faxes created by another user .

2. Click the New Fax button on the toolbar to open the New Fax dialog box.

3. On the New Fax page, enter the recipient fax number in the To box.

4. Optionally select a Cover Page.

5. Optionally, enter the appropriate information in the Subject and Cover page notes boxes.

6. Optionally, configure sender information .

7. You can attach a document to the fax message with the Attach button on the New Fax toolbar, insert a picture in the body of the fax with the Insert Picture button, and insert a scanned item with the Insert From Scanner button.

8. Click Send to send a fax.

To Send a Fax from a Windows application

The Windows Fax and Scan application should be started under a different user account, see To access faxes created by another user . The procedure is the same as described in the Send a Fax from a Windows application chapter, however by default, when printing to the Fax printer, you will receive an error as shown in the figure below.

As a workaround, you should grant read access to the current user's temp folder for the user account under which the Windows Fax and Scan is running. To grant access rights, follow these steps:

1. In Windows Explorer, navigate to the folder that contains the current user's temporary folder. The temporary folder (%temp%) for the current user account is usually C:\Users\<Account Name>\AppData\Local\Temp\.

2. Right-click the Temp folder, and then select Properties. In the Temp Properties window switch to Security page. Click Edit... .

3. In the Permissions for Temp window, in the Group or user names list, make sure there is an entry associated with the user account under which the Windows Fax and Scan is running. If the entry does not exist, click Add, type user accounts name, click Check Names, click OK.

4. In the Permissions for Temp window, in the Group or user names list, select the entry associated with the user account under which the Windows Fax and Scan is running. Grant Read access permissions for this account, as shown in the picture below. Click Apply.

To send a fax, follow these steps:

1. Make sure that Windows Fax and Scan application is already started under the desired user account, see To access faxes created by another user . Do not close the Windows Fax and Scan main window.

2. Follow the instructions in the Send a Fax from a Windows application chapter.

The new fax job will be created under the user account that is running Windows Fax and Scan, not under the current user account.


Receive a Fax

To receive a fax

Sending and Receiving Faxes ››

If you configured the Windows Fax Service to automatically receive faxes, your computer will automatically answer the calls on the fax line and store the received faxes in Windows Fax and Scan.

To view received faxes

1. Select Windows Fax and Scan command from the Fax Voip FSP tray icon menu or click Windows Fax and Scan in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. On the left pane, select Inbox to view received faxes.

Notes

  • Please note, that Fax Voip FSP stores the Called Number (DID) in the Routing Information field.


Monitoring and notifying

Sending and Receiving Faxes ››

Fax notification is used to keep you informed of fax events as you work. Notification tracks different kinds of fax activity, including the progress of incoming and outgoing faxes, and the success or failure of faxes being sent or received. Notification methods are divided into two categories:

  • Visual notifications. These include an icon in the notification area, a balloon displayed next to the icon, and Fax Monitor.
  • Audio notifications. A sound is played to indicate fax events.

Fax Monitor

Fax Monitor is a tool that displays information about incoming and outgoing fax progress on a local fax device.

You can configure Fax Monitor for the following visual notifications:

  • Show the progress of incoming and outgoing faxes.
  • Notify of the success or failure of faxes being sent or received.

You can also configure Fax Monitor to produce audio notifications for fax actions, including:

  • When the fax line rings.
  • When a new fax is received.
  • When a fax is sent.
  • When a fax error is detected.

When Fax Monitor is open, you can manually disconnect a fax call being sent or received by clicking Disconnect.

Fax Monitor displays information about incoming and outgoing fax progress, including:

  • Status. The current status of an outgoing or incoming fax.
  • Elapsed Time. The time that has elapsed since the fax reception or transmission was initiated.
  • To/From. Sender or receiver information.

Specify notification settings in Windows 11

1. In Windows Fax and Scan, on the Tools menu, click Fax Settings....

2. On the Tracking page, specify the necessary settings as shown in the figure below.

3. Click Sound options... . Specify the necessary settings as shown in the figure below. Cick OK.

4. In the Fax Settings window click Apply.

Specify notification settings in Windows Server 2022

Please note, that on Windows Server computer fax notification can be enabled for only one specified fax device.

1. Switch to Search pane, type control panel, and then click Control Panel. In the Control Panel click Hardware and Sound, and then click Devices and Printers. Right click on the Fax printer. On the context menu, click Printer properties. Alternatively, you can click Fax Printer Properties in the Fax Voip FSP Control Panel , in the Main tab of the Ribbon.

2. On the Tracking page, select the fax device to monitor. Specify the necessary settings as shown in the figure below.

3. Click Configure Sound Settings... . Specify the necessary settings as shown in the figure below. Cick OK.

4. In the Fax Properties window click Apply.


Caller ID and Called Number (DID)

Caller ID, known also as Caller Identification (CID), is a telephone service, that transmits a caller's number to the called party's telephone equipment during the ringing signal, or when the call is being set up but before the call is answered. Where available, Caller ID can also provide a name associated with the calling telephone number. The information made available to the called party may be made visible on a telephone's own display or on a separate attached device. This information is sent once between the first and second ring. The modem can decode this caller information and display it on your computer monitor during the second ring period as part of the call progress ring message. Depending on the software, Caller Id can be used with various functions, such as "Black and White list".

The Called Number is a phone number of the person who (or device that) answers a telephone call. Direct inward dialing (DID) is a telecommunication service offered by telephone companies that provides service for multiple telephone numbers over one or more phone lines, and transmits the dialed telephone number to the target phone device. DID service is widely used by fax servers. A telephone line is terminated at a telephone interface (fax modem) of a computer that runs fax server software. A set of digits of the assigned phone numbers are used to identify the recipient of the fax. This allows many recipients to have an individual fax number, even though there is only one fax machine available.


Receiving Caller ID and DID

Caller ID and Called Number (DID) ››

Caller ID function is supported with Fax Voip FSP software by default. Additional settings are not required. In Windows Fax and Scan, Caller ID Number is displayed in the Fax Monitor at the time of incoming call. See also in the Monitoring and notifying chapter.

In Windows Fax and Scan, Caller ID Number is stored in the Caller ID field. Fax Voip FSP stores the Called Number (DID) in the Routing Information field. This is used by the Incoming Fax Routing Methods and also can be used by software developers when accessing incoming faxes through the Fax Service API functions.

Notes

  • Sending correct Caller ID Number is not always possible via VoIP Service Provider network.
  • In Windows Fax and Scan, displaying of the Caller ID Name at the time of incoming call is not supported.


Sending Caller ID (SIP)

Caller ID and Called Number (DID) ››

When configuring the outgoing SIP calls from Fax Voip FSP the following should be taken into account:

  • If SIP-Username (SIP-ID), specified for the call, consists only of digits, it will be transmitted to the called party's telephone equipment as Caller ID Number.
  • The Display Name, specified for the call, is transmitted to the called party's telephone equipment as Caller ID Name.

To configure default Display Name and Default Username do the following:

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView.

3. In the Display Name field enter the Display Name (will be transmitted as Caller ID Name).

4. In the Default Username field enter your phone number (will be transmitted as Caller ID Number).

5. Click <Apply> button to save modified settings. All the changes are applied immediately.

The default Display Name and Default Username can be overridden by the SIP Display Name and SIP Username.

To specify the SIP Display Name and SIP Username different from the default Display Name and Default Username do the following:

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click SIP.

3. Uncheck Use Default Display Name option.

4. In the SIP Display Name field enter the Display Name (will be transmitted as Caller ID Name).

5. Uncheck Use Default Username option.

6. In the SIP Username field enter your phone number (will be transmitted as Caller ID Number).

7. Click <Apply> button to save modified settings. All the changes are applied immediately.

The SIP Username can be overridden by SIP Registration and Outgoing Call Routing settings. The SIP Display Name can be changed in the Outgoing Call Routing settings.

To override the SIP Username and SIP Display Name in the Outgoing Call Routing rule do the following:

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule window, on the General page, in the Username field enter your phone number (will be transmitted as Caller ID Number). The Use Default option should be unchecked to be possible to change Username. Note that if the call is routed to the SIP server used for SIP Registration, the Username can not be selected arbitrarily and must match the Username specified in one of the entries in the SIP Registrations table.

5. In the Display Name field enter the Display Name (will be transmitted as Caller ID Name). The Use Default option should be unchecked to be possible to change Display Name.

6. Click <OK> button to fix changes.

7. Click <Apply> button to save modified settings for Outgoing VOIP Call Routing. All the changes are applied immediately.

Notes

  • Sending correct Caller ID Number is not always possible via VoIP network. For this reason, it is sometimes useful to enter a phone number in the Display Name field. It provides possibility to report your number as Caller ID Name instead of Caller ID Number.


Sending Caller ID (H.323)

Caller ID and Called Number (DID) ››

When configuring the outgoing H.323 calls from Fax Voip FSP the following should be taken into account:

  • By default, Fax Voip FSP uses the top number from the H.323 Telephone numbers list to transmit it to the called party's telephone equipment as Caller ID Number.
  • The Display Name, specified for the call, is transmitted to the called party's telephone equipment as Caller ID Name.

To configure default Display Name do the following:

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView.

3. In the Display Name field enter the Display Name (will be transmitted as Caller ID Name).

4. Click <Apply> button to save modified settings. All the changes are applied immediately.

The default Display Name can be overridden by the H.323 Display Name.

To specify the H.323 Display Name different from the default Display Name do the following:

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, and then click H.323.

3. Uncheck Use Default Display Name option.

4. In the H.323 Display Name field enter the Display Name (will be transmitted as Caller ID Name).

5. Click <Apply> button to save modified settings. All the changes are applied immediately.

As for the list of H.323 Telephone numbers, you should understand the following:

  • If H.323 ID consists of digits, Fax Voip FSP automatically adds it to the list of phone numbers.
  • If you use registration with H.323 Gatekeeper, H.235 authentication is used and H.235 login consists of digits, Fax Voip FSP automatically adds H.235 login to the list of phone numbers.
  • Any other phone number can be added to this list. The phone numbers specified in this list are used in the process of registration with H.323 Gatekeeper (the list of phone numbers to which incoming calls are possible).
  • By default, Fax Voip FSP uses the top number from the H.323 Telephone numbers list to transmit it to the called party's telephone equipment as Caller ID Number.

To add a new number to the Telephone numbers list and use it as default Caller ID Number, do the following:

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click H.323.

3. To add new phone number click <New> button.

4. In the Phone Number window enter the desired phone number and click <OK>.

5. Use the <Up> button to move the entered phone number to the top of the Telephone numbers list.

6. Click <Apply> button to save modified settings. All the changes are applied immediately.

The default Caller ID Number and default Caller ID Name (H.323 Display Name) can be overridden by the Outgoing Call Routing settings.

To override Caller ID Number and Caller ID Name in the Outgoing Call Routing rule do the following:

1. Open Fax Voip FSP Control Panel.

2. Click VOIP in TreeView, then click Outgoing Plan.

3. To edit an existing rule select it and click Edit (or double-click the selected rule).

4. In the VOIP Outgoing Call Routing Rule window, on the General page, in the Username field enter your phone number (will be transmitted as Caller ID Number). The Use Default option should be unchecked to be possible to change Username.

5. In the Display Name field enter the Display Name (will be transmitted as Caller ID Name). The Use Default option should be unchecked to be possible to change Display Name.

6. Click <OK> button to fix changes.

7. Click <Apply> button to save modified settings for Outgoing VOIP Call Routing. All the changes are applied immediately.

Notes

  • Sending correct Caller ID Number is not always possible via VoIP network. For this reason, it is sometimes useful to enter a phone number in the Display Name field. It provides possibility to report your number as Caller ID Name instead of Caller ID Number.


Configure Fax Voip FSP with VoIP Service Providers

When sending and receiving faxes over VoIP, it is strongly recommended to use VoIP service providers with T.38 support. T.38 - the most reliable standard used to transmit faxes over VoIP in real time. Isolates from the delays, timing jitter, and packet loss experienced in VoIP networks.

Below you will find examples of VoIP (SIP) providers that support T.38:

  • Configure Fax Voip FSP with T38FAX
  • Configure Fax Voip FSP with Callcentric
  • Configure Fax Voip FSP with babyTEL
  • Configure Fax Voip FSP with MondoTalk

With Fax Voip FSP you also can send/receive audio faxes (fax over G.711 codec). This can be used with VoIP providers that don't support T.38 but provide good-quality voice channel. See example below:

  • Configure Fax Voip FSP with DellMont (Betamax) services


T38FAX

Configure Fax Voip FSP with T38FAX

Configure Fax Voip FSP with VoIP Service Providers ››

T38FAX service allows you to send and receive T.38 faxes. This service provider also offers phone numbers in the United States. To get an account you can register at the T38FAX website .

Configure SIP account

Username (or SIP-ID): the phone number provided by T38FAX

Password: password

SIP Registrar Server: sip.t38fax.com

Configure Outgoing Call Routing

On the General page, in the Dial on Line area, check that the following settings are used:

VOIP Protocol: SIP

Dial on SIP Server: sip.t38fax.com

Username: the phone number provided by T38FAX

On the Fax page, in the Fax Support area, check that T.38 fax option is selected.

Configure Incoming Call Routing

On the Fax page, in the Fax Support area, check that T.38 fax option is selected.


Callcentric.com

Configure Fax Voip FSP with Callcentric

Configure Fax Voip FSP with VoIP Service Providers ››

callcentric.com is a popular SIP provider in the United States. Callcentric supports both T.38 and audio faxes. This service provider also offers phone numbers in the US/Canada and many other countries. To get an account you can register at the Callcentric website .

Configure SIP account

Username (or SIP-ID): the phone number provided by the Callcentric

Password: password

SIP Registrar Server: callcentric.com

Configure Outgoing Call Routing

On the General page, in the Dial on Line area, check that the following settings are used:

VOIP Protocol: SIP

Dial on SIP Server: callcentric.com

Username: the phone number provided by the Callcentric

On the Fax page, in the Fax Support area, check that T.38 fax option is selected. in the T.38 Fax Settings area, specify Switch to T.38 after 0 seconds.

Configure Incoming Call Routing

On the Fax page, in the Fax Support area, check that T.38 fax option is selected.


babyTEL

Configure Fax Voip FSP with babyTEL

Configure Fax Voip FSP with VoIP Service Providers ››

babyTEL is a popular SIP provider in the United States and Canada. babyTEL supports both T.38 and audio faxes. This service provider also offers phone numbers in the US/Canada. To get an account you can register at the babyTEL website .

Configure SIP account

Username (or SIP-ID): the phone number provided by babyTEL

Password: password

SIP Registrar Server: sip.babytel.ca

Outbound Proxy: nat2.babytel.ca:5065

Configure Outgoing Call Routing

On the General page, in the Dial on Line area, check that the following settings are used:

VOIP Protocol: SIP

Dial on SIP Server: sip.babytel.ca

Use Outbound Proxy: nat2.babytel.ca:5065

Username: the phone number provided by babyTEL

On the Fax page, in the Fax Support area, check that T.38 fax option is selected.

Configure Incoming Call Routing

On the Fax page, in the Fax Support area, check that T.38 fax option is selected.


MondoTalk

Configure Fax Voip FSP with MondoTalk

Configure Fax Voip FSP with VoIP Service Providers ››

MondoTalk SIP service provider is located in Australia. MondoTalk supports both T.38 and audio faxes. Please note that we have tested T.38 only for outgoing calls to Australia. To get an account, please contact Mondotalk support team .

Configure SIP account

Username (or SIP-ID): the username provided by the MondoTalk

Password: password

SIP Registrar Server: sbc-syd-01.mondotalk.com

Configure Outgoing Call Routing

On the General page, in the Dial on Line area, check that the following settings are used:

VOIP Protocol: SIP

Dial on SIP Server: sbc-syd-01.mondotalk.com

Username: the username provided by the MondoTalk

On the Fax page, in the Fax Support area, check that T.38 fax option is selected. in the T.38 Fax Settings area, specify Switch to T.38 after 0 seconds.


DellMont (Betamax)

Configure Fax Voip FSP with DellMont (Betamax) services

Configure Fax Voip FSP with VoIP Service Providers ››

There is a huge amount of SIP service providers associated with DellMont (Betamax) company, for example VoipBuster . The providers of this group do not support the T.38 protocol. The quality of a fax transmission over G.711 codec is heavily dependent on the country of destination. It may be noted that when calling to Europe the quality is very good. To register, please visit the website of one of the providers of the group. Rates on different websites may vary. The list of providers is placed below.

Configure SIP account

Username (or SIP-ID): the username that you received at the time of registration

Password: the password that you received at the time of registration

SIP Registrar Server: sip.voipbuster.com (valid for any of the providers of this group)

Configure Outgoing Call Routing

On the General page, in the Dial on Line area, check that the following settings are used:

VOIP Protocol: SIP

Dial on SIP Server: sip.voipbuster.com

Username: the username that you received at the time of registration

On the Fax page, in the Fax Support area, check that G.711 audio fax option is selected. It is recommended to disable the T.38 fax option.

The dialed number should be entered using the following format: 00<country_code><area_code><phone_number>.

List of DellMont (Betamax) providers

        • Nonoh
        • 12Voip
        • Free Call
        • InternetCalls.com
        • JustVoip
        • VoipCheap.com
        • VoipCheap.co.uk
        • Low-rate Voip
        • NetAppel
        • PoivY
        • Sip Discount
        • VoipBuster
        • VoipRaider
        • VoipDiscount
        • VoipStunt
        • WebCall Direct
        • SMS Discount
        • SMSListo
        • VoipWise
        • Voice Trading
        • InterVoip.com
        • DialNow
        • VoipBusterPro
        • CallEasy.com
        • VoipZoom
        • ActionVoip
        • VoipBlast.com
        • Jumblo
        • VoipGain
        • Telbo
        • Rynga.com
        • PowerVoip.com
        • CheapVoip
        • BestVOIPReselling
        • CallingCredit.Com


Licences

  • License Types
  • View License Status
  • Purchase License
  • Add/Change License
  • Upgrade to version 4
  • License Support
  • Frequently Asked Questions (FAQ)


License Types

Licences ››

The following types of licenses are offered for Fax Voip FSP:

Fax Voip Windows Fax Service Provider Lines: T.38 / G.711 Fax license (Version 4)

Depending on the license purchased, you can use one or more* Fax Voip Line devices simultaneously. With this type of license you can:

  • Send T.38 and audio (over G.711 codec) faxes via SIP or H.323 using Windows Fax Service (Windows Fax and Scan software).
  • Receive T.38 and audio (over G.711 codec) faxes via SIP or H.323 using Windows Fax Service (Windows Fax and Scan software).
  • Use Mail to Fax function. Cover pages , Mail to Fax Rules , E-mail Templates .
  • Use Basic Incoming Fax Routing (Fax Voip FSP Routing Extension): Route through e-mail , Store in a Folder , Print with limited number of rules.
  • Use Custom Routing for incoming faxes (Fax Voip FSP Routing Extension).
  • Use Basic Outgoing Fax Routing : E-mail Delivery Receipts , Store in a Folder , Print with limited number of rules.
  • Use Custom Routing for outgoing faxes .
  • Use SendFax.exe command line tool to send faxes.

Fax Voip FSP Extended Fax Routing (E-mail, Store in Folder, Print) license (Version 4)

To use this license, you should have the Fax Voip Windows Fax Service Provider Lines license installed. This license allows to significantly increase the maximum number of available rules, that can be used with the following Incoming Fax Routing Methods and Outgoing Fax Routing Methods :

  • Route through e-mail (Incoming Fax Routing, Fax Voip FSP Routing Extension)
  • Store in a Folder (Incoming Fax Routing, Fax Voip FSP Routing Extension)
  • Print (Incoming Fax Routing, Fax Voip FSP Routing Extension)
  • E-mail Delivery Receipts (Outgoing Fax Routing)
  • Store in a Folder (Outgoing Fax Routing)
  • Print (Outgoing Fax Routing)

Notes

  • (* : Be careful when purchasing multi-line licenses. The maximum allowed number of fax devices that can be used with Windows Fax Service depends on the operating system. On Windows 11, Windows 10, Windows 8/8.1 and Windows 7 the fax device limit is one. On Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2, Windows Server 2008R2, Enterprise or Datacenter Edition, there is no fax device limit. On other versions of Windows 2008R2, the fax device limit is usually four.


View License Status

To View License Status

Licences ››

1. Open Fax Voip FSP Control Panel. To do this click Start, point to Fax Voip FSP; click Fax Voip FSP Control Panel. Alternatively, you can select Fax Voip FSP Control Panel command from the Fax Voip FSP tray icon menu.

2. To view your License Status, in the Fax Voip FSP Control Panel click About in TreeView.

3. To view extended License Status, in the Fax Voip FSP Control Panel click License in TreeView. The Licenses pane indicates the number of Fax Voip Line devices and the maximum number of available Fax Routing rules licensed on your computer.


Purchase License

To Purchase License

Licences ››

1. To purchase a license, you should visit our website:

https://www.t38faxvoip.com/fsp/buy.htm

https://www.t38modem.com/fsp/buy.htm

2. Open Fax Voip FSP Control Panel. To do this click Start, point to Fax Voip FSP; click Fax Voip FSP Control Panel. Alternatively, you can select Fax Voip FSP Control Panel command from the Fax Voip FSP tray icon menu.

3. In the Fax Voip FSP Control Panel click License in TreeView, then click Buy Now button.

4. If you do not find the required license, for example, want to buy a non-standard number of Fax Voip Line devices or Extended Fax Routing rules, please contact our sales department ( sales@t38faxvoip.com or sales@t38modem.com ) to discuss the details of your future licenses. Note that Extended Fax Routing license should be purchased separately.

5. After doing payment, in the Fax Voip FSP Control Panel click License in TreeView, then click Register.

6. The section To order License Key in the Fax Voip FSP Licensing window indicates your computer's unique System ID. This information is required to generate your license key. You should select your SystemID, Copy and paste the SystemID in your document (e-mail). You should also provide the necessary information that confirms your payment. This email should be sent to sales@t38faxvoip.com or sales@t38modem.com .

7. Usually, we send you an e-mail with a proposal to send your System ID. You should specify a valid email address when paying for a product to be possible to contact you.

Notes

  • Your SystemID depends on Hardware of your computer. If you are planning to do some changes with your Hardware, please do it before ordering your License Key.
  • If you already have previously purchased licenses and you want to increase the number of Fax Voip Line devices or Extended Fax Routing rules on your computer, please inform our sales department about this. Changing the type of License will require replacement of the License Key.
  • In the case of simultaneous buying Fax Voip Windows Fax Service Provider Lines license and Extended Fax Routing license, in your e-mail with SystemID, please indicate that both licenses are intended for the same computer.
  • If you already have previously purchased Fax Voip Windows Fax Service Provider Lines license and you want to add Extended Fax Routing license to increase the number of Fax Routing rules on your computer, please provide us with the information about your valid Fax Voip Windows Fax Service Provider Lines license. Adding Extended Fax Routing license will require replacement of License Key.


Add/Change License

To Add/Change License

Licences ››

1. To Add New License or replace your License Key in the Fax Voip FSP Control Panel click License in TreeView, then click Register button.

2. Copy the License Info from e-mail and paste it in the License Info field in section To activate License Key in the Fax Voip FSP Licensing window. The first number indicates the number of Fax Voip Line devices, the third - the number of Extended Fax Routing rules, the second is zero and reserved for future use.

3. Copy the License Key from e-mail and paste it in the License Key field in section To activate License Key in the Fax Voip FSP Licensing window.

4. Click Update button. To activate your License Key, administrator privileges are required.

5. Wait for the Fax Voip FSP to configure the Fax Voip Line devices and restart the services.

6. Click the License has been activated message in the system tray. Restart Fax Voip FSP Manager by clicking the Fax Voip FSP shortcut on the desktop or using any other way.

7. Open the Fax Voip FSP Control Panel by double-clicking the Fax Voip FSP icon in the tray. Click About in TreeView and view License Status.

8. To view extended License Status in the Fax Voip FSP Control Panel click License in TreeView.

Notes

  • Please Save your System ID and e-mail with your License Key.
  • The license key is checked before saving the key in the Windows registry. Thus, the possibility of accidentally entering of the invalid license key is excluded.
  • To remove license key, click Remove button. Administrator privileges are required.


Upgrade to version 4

Upgrade to Fax Voip FSP version 4

Licences ››

If you are currently using an older version of Fax Voip FSP (version 3 or earlier) you can upgrade to Fax Voip FSP version 4 at a special discount. The Upgrade to Fax Voip FSP version 4 option is available only for the computer for which Fax Voip FSP has been licensed previously.

To upgrade your current license, do the following:

1. Open Fax Voip FSP Control Panel. To do this click Start, point to Fax Voip FSP; click Fax Voip FSP Control Panel. Alternatively, you can select Fax Voip FSP Control Panel command from the Fax Voip FSP tray icon menu.

2. Click License in TreeView.

3. The Licenses pane shows all the licenses that are valid for previous versions of Fax Voip FSP. The <Upgrade> button should be visible and available. If for some reason you don't see your old licenses, please contact our sales department .

4. Click <Upgrade>. You will be redirected to the payment page, where you can pay for the upgrade of your current license.

5. After doing payment, in the Fax Voip FSP Control Panel click License in TreeView, then click Register.

6. In the Fax Voip FSP Licensing window, in the To upgrade your License section click Click to show additional verification codes link. Administrator privileges are required.

7. Copy and paste the following information into your document (e-mail):

        • SystemID (-FP4 at the end)
        • Verification code #1 (-FP41 at the end)
        • Verification code #2 (-FP42 at the end, if only displayed)

The SystemID is required to generate your license key. Verification codes are required to verify that the Fax Voip FSP really running on the computer for which you have valid license for previous versions of Fax Voip FSP.

8. The email with SystemID and Verification codes should be sent to sales@t38faxvoip.com or sales@t38modem.com .

9. After receiving the new license key follow the instructions in the chapter To Add/Change License .

Notes

  • The upgrade version of Fax Voip FSP 4 will check your hard drive to verify that you are a licensed user of a qualifying Fax Voip FSP software product. Trial versions of Fax Voip FSP software do not qualify as an eligible product. You will be unable to install the Fax Voip FSP 4 upgrade if you do not have valid Fax Voip FSP license already installed.
  • You can only upgrade an existing license (the same number of Fax Voip Line devices and Fax Routing rules). If you need additional Fax Voip Line devices or Fax Routing rules you can buy them separately.
  • License upgrade does not involve transfer of license to another computer and should be done on the computer where Fax Voip FSP has been licensed previously.
  • The discount provided in case of upgrade depends on the current policy of Fax Voip Software and can be changed after some time.
  • Any questions regarding upgrade eligibility or upgrade requirements please send email to the sales department .


License Support

Licences ››

The license support period is 1 calendar year from the date of purchase of the license.

  • The license key is tied to a single computer and generated based on computer's unique System ID. By default the license key is not time-limited.
  • Free replacement of license key (generation of a new key for another System ID) due to the modification of computer hardware, reinstallation of the operating system, etc. is allowed during license support period (1 year). By default, the interval between changes of the license can not be less than 3 months. In any case, free replacement of license key during license support period is allowed no more than 2 (two) times.
  • When replacing the license key for free the old license key (System ID) is blocked and added to the blacklist. Thus, you can not ever use Fax Voip FSP on your old computer after such replacement of license key.
  • The user of licensed version of the program has the right to pay for the extension of the license support. The cost of extending the license support for 1 year is set at 30% of the current price of your license at the time of renewal.
  • Any questions regarding license support please send email to the sales department .


Frequently Asked Questions

Frequently Asked Questions (FAQ)

Licences ››

I want to buy Fax Voip FSP. How can I do it?

Please visit our website and go to the payment page . Select the license you want to buy and click Buy Now. Follow the instructions of the payment system.

I am going to buy Fax Voip FSP. Fax Voip FSP is running on Windows 11 (Windows 10, Windows 8/8.1, Windows 7). What kind of license do I need?

Detailed description of licenses can be found in the License Types chapter of this manual as well as on our website on the payment page . For your operating system, you definitely need the following license: Fax Voip Windows Fax Service Provider 1 Line License (T.38 and Audio Fax, SIP, H.323). The maximum allowed number of fax devices that can be used with Windows Fax Service depends on the operating system. On Windows 11, Windows 10, Windows 8/8.1 and Windows 7 the fax device limit is one.

I am going to buy Fax Voip FSP. I want to use multiple fax lines at the same time. What are the requirements for the system?

To use multiple Fax Voip lines, you need to install Fax Voip FSP on Windows Server computer. The maximum allowed number of fax devices that can be used with Windows Fax Service depends on the operating system. On Windows Server 2022, Windows Server 2019, Windows Server 2016, Windows Server 2012/2012R2, Windows Server 2008R2, Enterprise or Datacenter Edition, there is no fax device limit. On other versions of Windows 2008R2, the fax device limit is usually four.

What type of license do I have in trial version?

Fax Voip FSP TRIAL operates as follows:

Fax Voip Windows Fax Service Provider

2 Lines License

(T.38 and Audio Fax, SIP, H.323)

but with limited trial period of 15 days.

Please note that on Windows 11, Windows 10, Windows 8/8.1 and Windows 7 you only can use one fax line.

I would like to buy "Fax Voip Windows Fax Service Provider 9 Lines License (T.38 and Audio Fax, SIP, H.323)" but do not see such a license on your payment page... How can I buy it?

We can sell any number of Fax Voip lines. If you do not see the required license on our website on the payment page , please contact our sales department and we will send you a payment link required to purchase the necessary license.

I have purchased a license. Where is my license key?...

As it's mentioned in the Purchase License chapter of this manual, after doing payment you should send your SystemID to our sales department . We need your SystemID to generate your license key. Usually, we send you an e-mail with a proposal to send your System ID to us. You should specify a valid e-mail address when paying for a product to be possible to contact you. We usually try to contact you within a few hours after receiving the money from you (but no later than 48 hours, according to the requirements of the payment system).

I have purchased “Fax Voip Windows Fax Service Provider 2 Lines License (T.38 and Audio Fax, SIP, H.323)”. We would like to add 2 lines to our license and to have “Fax Voip Windows Fax Service Provider 4 Lines License (T.38 and Audio Fax, SIP, H.323)”. What should I do?

Please visit our website . To add 2 lines you now should pay for Fax Voip Windows Fax Service Provider 2 Lines License (T.38 and Audio Fax, SIP, H.323) and then contact our sales department . We will replace your current license key with the new key (the same computer) “Fax Voip Windows Fax Service Provider 4 Lines License (T.38 and Audio Fax, SIP, H.323)”. If you do not see the required license you want to add, contact our sales department and we will send you a payment link required to purchase the necessary license. Please note that in this case you can not pay the price difference between 2 licenses and are have to pay the full price for the license that you want to add.

I have paid for my license, please send me the license key. I have installed the Fax Voip FSP on a temporary server, the next weeks I will install Fax Voip FSP on a new server. (Next month, year I am going to buy new computer or change my hard drive...) Can I ask for another license later?

You can ask for a temporary license key (with Expiration Date). In this case you will be able to ask for another license key (even for another computer) at the end of the license period. If you want to get a temporary license key instead of permanent, you should ask about it before getting a license. By default, we give you a permanent license key tied to a single SystemID.

What happens to my license if I reinstalled Fax Voip FSP? What happens to my license if I reinstalled Windows? Do I have to ask for a new license key?

When removing and reinstalling the Fax Voip FSP, your license key is stored in the Windows Registry. No need to enter it again.

The license is tied to your single computer (SystemID). If you use normal hardware computer, SystemID depends only on your hardware and does not depend on your Windows operation system. After reinstallation of your Windows you usually can use your license key without problem. In this case, you must re-enter the license key. If you use Virtual machine, SystemID not saved due to the lack of hardware as such. You should install Fax Voip FSP at normal hardware computer to avoid problems of this kind. Free replacement of license key is allowed during license support period (1 year) and no more than 2 (two) times.

Where can I download “16 Lines” (or “8 Lines”) trial version?

2 lines, available to you during the TRIAL period, more than enough for testing. The other lines will operate the same way. If you need more lines, you should purchase a license .

I am using a desktop at home but also a laptop when I go on a trip. Also, I sometimes work on my office computer... I never use both computers at the same time. Can you please give me a license key that will work on both machines?

The license is tied to a single computer. If you want to use Fax Voip FSP on multiple computers, you should purchase a separate license for every computer.

Our trial is expired. Can I get an extension to your trial? (How can I reset trial period?)

We don’t know how to reset trial period at your computer. We also do not know how to hack our protection. 15 days is more than enough for testing. If you intend to use Fax Voip FSP after 15 days, you should purchase a license .

We are a well known company, our products are known around the world... Can you please send us the license key, ideally not bound to a machine since we have a lot of testing machines..?

15 days is more than enough for testing. If you intend to use Fax Voip FSP after 15 days, you should purchase a license . The license is tied to a single computer, therefore you need to purchase a separate license for every computer where you want to use Fax Voip FSP. Well-known successful companies usually do not ask such a question. Moreover, our prices are relatively low.

My hard drive (my motherboard) died which was unexpected... Can you please send me another license?

We do not recommend you to install our software on old computers with bad hard drives. It should also be noted that the lifetime of the hard drive is at least 2-3 years (and this at a very rough handling). Free replacement of license key is allowed during license support period (1 year) and no more than 2 (two) times. Please contact our sales department .

I cloned my hard drive using the special program, deactivated the old one (because of hardware problem) and started the new one. But the Fax Voip FSP is not licensed now. Then I removed Fax Voip FSP from my machine, rebooted and reinstalled it. But the same problem...

The license is tied to a single computer (SystemID). Your SystemID can not be “cloned”, it depends on your hardware (hard drive). Free replacement of license key is allowed during license support period (1 year) and no more than 2 (two) times. Please contact our sales department .

I have reinstalled Windows and my SystemID changed. I use Virtual Machine (VMWare etc) and my virtual server crashed last Friday. Can you please send me another license?

We strongly do not recommend to install Fax Voip FSP on virtual machines. Virtual machines are highly unstable and require frequent re-installation in which SystemID not saved due to the lack of hardware as such. Please install Fax Voip FSP at normal hardware computer. In any case you can ask for new license key during license support period (1 year). The interval between changes of the license can not be less than 3 months. Free replacement of license key during license support period is allowed no more than 2 (two) times. Please contact our sales department .

I desided to use Fax Voip FSP at another computer. Can you please send me another license? (How can I move my license?)

The license is tied to a single computer. Free replacement of license key is allowed during license support period (1 year) and no more than 2 (two) times. When replacing the license key for free the old license key (System ID) is blocked and added to the blacklist. Thus, you can not ever use Fax Voip FSP on your old computer after such replacement of license key.

I want to be a reseller of your program. What should I do? Will I have any special discounts?

Please contact our sales department .

I installed the new version of the Fax Voip FSP 4.x.x. I have a valid license key installed, but Fax Voip FSP still shows as trial version. Where is the problem?...

Most likely your license allows you to use Fax Voip FSP version 3.3.1 or earlier. You can upgrade to Fax Voip FSP version 4 at a special discount.

We have used illegal copy of Windows and were forced to destroy our computers (with Fax Voip FSP license installed).... Can you please send me another Fax Voip FSP license?

Sorry, but in this case, you definitely have to purchase a new Fax Voip FSP license .


Backup and Restore

The Backup and Restore functions allow you to perform the following tasks:

  • To backup your current Fax Voip FSP configuration and files.
  • To restore Fax Voip FSP configuration and files from backup.
  • To move your current Fax Voip FSP configuration and files to other computer.

To backup your current configuration, see Backup settings and files .

To restore configuration from backup, see Restore settings and files .


Backup settings and files

To backup Fax Voip FSP settings and files

Backup and Restore ››

1. Open Fax Voip FSP Control Panel. To do this click Start, point to Fax Voip FSP; click Fax Voip FSP Control Panel. Alternatively, you can select Fax Voip FSP Control Panel command from the Fax Voip FSP tray icon menu.

2. In the Fax Voip FSP Control Panel, click Export Configuration in the Tools tab of the Ribbon.

3. In the Backup Fax Voip FSP Configuration window, select the folder where to save your backup. Type the name of new folder where your backup files will be saved. By default the folder is created on your desktop. Click Save. Administrator privileges are required.

4. To view the backup files in Windows Explorer, in the dialog box click Yes, see picture below.


Restore settings and files

To restore Fax Voip FSP settings and files

Backup and Restore ››

1. Open Fax Voip FSP Control Panel. To do this click Start, point to Fax Voip FSP; click Fax Voip FSP Control Panel. Alternatively, you can select Fax Voip FSP Control Panel command from the Fax Voip FSP tray icon menu.

2. In the Fax Voip FSP Control Panel, click Import Configuration in the Tools tab of the Ribbon.

3. In the Restore Fax Voip FSP Configuration window, select the folder where your backup is stored. Click Restore. Administrator privileges are required.

4. Wait until the program completes all necessary actions. The Fax Voip FSP Service will be restarted.

5. In the dialog box click OK, see picture below.

6. Restart Fax Voip FSP Manager by clicking the Fax Voip FSP shortcut on the desktop or using any other way.


Removing Fax Voip FSP

  • To Remove Software


To Remove Software

Removing the Software

Removing Fax Voip FSP ››

To remove Fax Voip FSP from the local computer

1. Close all Fax Voip FSP components to avoid possible problems.

2. Right click the Start button, and then click Apps and Features.

3. Select the Fax Voip Windows Fax Service Provider entry, and then click Uninstall.

4. In the Uninstall Fax Voip Windows Fax Service Provider wizard click Uninstall.

5. Specify uninstall options and then click Continue. If you want to keep settings and do not want to delete files created in program operations, leave the default options as shown in the picture below.

The uninstall options are:

All files

Select this option to completely remove the program from your computer. All your settings and files created in program operations (Fax Voip FSP logs etc...) will be removed. Be careful! Deleted documents can not be restored.

Specified files

Select this option to keep settings and files created in program operations. Tick the components for removal.

Program Files

This option is always selected and can not be unchecked.

Windows Fax Service Provider

This option is always selected and can not be unchecked.

Fax Routing Extension (Fax Voip FSP)

This option is always selected and can not be unchecked.

Settings (SIP, H.323, Call Routing, Fax, Email, Languages etc...)

Tick this option to delete your settings. This option also removes custom E-mail Templates and Language Profiles (include profiles created by the user).

Incoming Methods (Route through e-mail, Store in a folder, Print)

Tick this option to delete your Incoming Fax Routing Methods settings.

Outgoing Methods (E-mail Receipts, Store in a folder, Print)

Tick this option to delete your Outgoing Fax Routing Methods settings.

Mail to Fax Customization Rules

Tick this option to delete Mail to Fax Rules .

Files created in program operations

Tick this option to delete files created in program operations (Fax Voip FSP logs etc...). Be careful! Deleted documents can not be restored.

6. At the final window of the Uninstall Fax Voip Windows Fax Service Provider wizard click Finish.


Running Fax Voip FSP via Remote Desktop

Running Fax Voip FSP via Remote Desktop (RDP)

With Remote Desktop Connection (RDP) you can remotely configure and run applications at your computer. RDP is a standard Windows feature, no need to download complicated, sometimes poor-quality third-party software. You can use RDP to remotely install and configure Fax Voip FSP application. The administrator account should be used.

To do necessary settings on the computer where Fax Voip FSP installed, see Configure RDP on the computer I want to connect to .

To connect to the computer with Fax Voip FSP from the other machine, see Connect to remote computer using RDP .

Note that if you need remote assistance , you should grant access to your computer via standard RDP connection, as described in this chapter. It should be noted that our experts do not use any other software for remote assistance .


Configure RDP on the computer I want to connect to

Running Fax Voip FSP via Remote Desktop ››

To allow remote connections on the computer you want to connect to:

1. Right click the Start button, and then click System. In the About window click Advanced system settings.

2. In the Remote tab in the System Properties dialog box, under Remote Desktop, select Allow remote connection to this computer option. Uncheck Allow connections only from computers running Remote Desktop with Network Level Authentication option to be possible to access your computer from old clients.

3. If you're an administrator on the computer, your current user account will automatically be added to the list of remote users and you can skip other steps.

4. Click OK or Apply to save settings.

Notes

  • Not all editions of Windows include Remote Desktop Connection feature. See also documentation to your Windows operating system.


Connect to remote computer using RDP

Running Fax Voip FSP via Remote Desktop ››

To start Remote Desktop on the computer you want to work from:

1. Switch to Search pane, type remote desktop connection, and then click Remote Desktop Connection.

2. In the Remote Desktop Connection dialog box, in the Computer box, type the name of the computer that you want to connect to, and then click Connect. (You can also type the IP address instead of the computer name).

3. You will be asked for credentials when you connect.

Notes

  • The version of Remote Desktop Connection client depends on the edition, Service Pack version or version of your Windows. See also documentation to your Windows operating system.


Virtual Machines Problems

Currently, the installation of Windows operating system on Virtual Machine is quite popular. Tens and hundreds of developers insist that their Virtual Machines provide exactly the same environment as provided by normal hardware computers. According to their statements, there are no difference between the operating system installed on Virtual Machine and the operating system installed in the usual way.

Unfortunately, in practice, the picture may be much more sad. Your system is unstable, you often have to reinstall it. You often have problems with standard features, drivers and so on. Your favorite programs are not working properly or crashing at the most inopportune moment. You start to blame the software developers and say that they write poor-quality programs.

So, is it possible to install Fax Voip FSP on a Virtual Machine? Will it work on it?

Yes you can. But... FaxVoip Software does not give any warranties and accept no liability if Fax Voip FSP program will not operate correctly when installed on a Virtual Machine. Fax Voip FSP is a rather complicated application from a technical point of view. It is no wonder that any of the carefully concealed defects of your Virtual Machine may emerge and cause an error. In the case of error that can not be confirmed by reproducing the same problem on the hardware computer with the same operating system installed on it, our experts are unlikely to be able to help you. We test our program on the normal hardware machines and never use Virtual Machines. Perhaps your Virtual Machine is the best in the world, but please try to solve the problem with its developers, because they, not we, and not Windows developers states that the "Virtual Machine works just as well".

In other words, we strongly recommend that you install Fax Voip FSP on the normal hardware-based computer.

Answers to questions frequently asked by users of Virtual Machines can be found in the Frequently Asked Questions (FAQ) section of this chapter.


Frequently Asked Questions

Frequently Asked Questions (FAQ)

Virtual Machines Problems ››

I have reinstalled Windows and my SystemID changed. I use Virtual Machine (VMWare etc) and my virtual server crashed last Friday. Can you please send me another license?

We strongly do not recommend to install Fax Voip FSP on Virtual Machines. Virtual Machines are highly unstable and require frequent re-installation in which SystemID not saved due to the lack of hardware as such. Please install Fax Voip FSP at normal hardware computer. If you still decided to ignore our recommendation and to install Fax Voip FSP on a Virtual Machine, you should understand the following. In any case you can ask for new license key during license support period (1 year). The interval between changes of the license can not be less than 3 months. Free replacement of license key during license support period is allowed no more than 2 (two) times.

I have one problem with your software. On my VMWare Machine, Windows 11 (Windows 10, Windows 8.1), when I send (receive) a fax, there are no problems. But then Fax Voip FSP crashes. Do you have any suggestion, what can I do?

You can install Fax Voip FSP on the same operation system installed on normal hardware-based machine.

Our specialists are not very good experts in the part of Virtual Machines and we are ready to confirm it. Please, address this question to VMware support. They are good experts in parts of Windows and should provide correct operation of Windows-compatible programs on their virtual systems.

Hi, I just upgraded from V3 to V4 of your Fax Voip FSP and now not able to run the program. In my log I see: Faulting application FaxVoipFSPConfig.exe, version 4.1.0.1, faulting module kernel32.dll... I have not had this error in previous version. I use VMWare... Can you fix the problem?

We do not give any warranties if Fax Voip FSP program will not operate correctly when installed on a Virtual Machine. Maybe we've added some new function, used WIN API, that not been used in the previous version of Fax Voip FSP. Likely to support this function is not finalized in your Virtual Machine. Please contact your VM Support Team and ask them to fix this issue.

Are you going to support Virtual Machines in the future?

We support the correct operation of our program in the Microsoft Windows operating systems. The correct functioning of the operating system is definitly the task for those who develop equipment (in the case of Virtual Machine, developers of your Virtual Machine).


Technical Support

You can contact our technical support by sending an e-mail to support@t38faxvoip.com or support@t38modem.com

For the latest technical support information, please visit https://www.t38faxvoip.com/fsp or https://www.t38modem.com/fsp

Sales department: sales@t38faxvoip.com or sales@t38modem.com

Notes

  • Our experts are also ready to help you via Remote Assistance .


Remote Assistance

Technical Support ››

In the case of non-standard problems, as well as to accelerate the solution of problems, our experts can provide Remote Assistance and help to correct the problem directly on your computer. To use this possibility, you must grant access to your computer via Remote Desktop connection (RDP) . To get Remote Assistance, please contact our Support Team .

Frequently Asked Questions (FAQ)

How do I configure my computer to your experts were able to access it and provide remote assistance?

You should to configure access via Remote Desktop Connection on your computer where Fax Voip FSP installed. To do this, follow the instructions in the Configure RDP on the computer I want to connect to chapter.

What program do you use for remote access to my computer?

Our experts use a standard Remote Desktop Connection client produced by Microsoft, which is a part of Windows operating system. We use the standard procedure described in the Connect to remote computer using RDP chapter.

What are the necessary data, that I have to tell you?

You should provide us with IP-address of your computer, Username (must be an Administrator) and Password. Naturally, you should explain your problem to our experts. The need for Remote Assistance should be coordinated with our Support Team . If you use a Virtual Machine , we ask you to inform us about it in advance. We remind that our experts don't solve specific problems of virtual machines.

I have my TeamView (GoTo Meeting) software installed at my computer and my Session ID is 666-666-666 and valid during the next 10 minutes (3 hours). TeamView is a very good program. I am in office for 40 minutes (until 8 PM local time). Can you please see at my problem?

Our specialists do not use third-party software for remote access to your computer. These programs are not installed on our computers and can not be used for security reasons.

Note that Remote Assistance is usually offered in the case of obscure problems that can not be solved in the usual way for 5 minutes. Our experts usually takes some time to understand the problem on your computer and try to find a solution. After preliminary approval, and providing access to your computer, our expert will examine your problem over the next 24 hours (usually sooner) and will contact you.

Why should I give you access to my computer? I am not able to give you the administrator password. What are you going to do at my computer?

Strange question... You are asked to solve your problem and provide remote assistance. Naturally, our specialists will deal exclusively with the problems of our program on your computer.

Without access as an administrator, we will likely not be able to understand and resolve the problem, so it is necessary.

Of course, only you can make a final decision on the granting or not granting access to your computer.

I do not currently have a license for your program. (Fax Voip FSP installed as a trial version). Can I ask you to provide remote assistance?

Yes you can. Please contact our Support Team . Note that customers who have paid for a license have a priority right to get support.


Other Products

  • Fax Voip T.38 Modem
  • Fax Voip T.38 Console
  • Fax Voip Softphone
  • Windows Mail Restore Tool for Windows 10, 8.1 and 7


Fax Voip T.38 Modem

Other Products ››

Fax Voip T.38 Modem
Virtual Fax and Voice Modem
SIP, H.323, ISDN CAPI 2.0

https://www.t38faxvoip.com

https://www.t38modem.com

Fax and Answering Machine for your SIP/H.323/ISDN CAPI 2.0 line. Voice Fax Modem for your Fax & Voice software. Multiple SIP Registrations. Call Routing. Color faxes over VoIP and ISDN. Mail to Fax. Incoming Fax Routing: Route through e-mail, Store in a folder, Print, Custom Routing. Outgoing Fax Routing: E-mail Delivery Receipts, Store in a folder, Print, Custom Routing.

About Fax Voip T.38 Modem

So, you need to send faxes and you need an answering machine. You’ve got used to working with your fax software. You’ve got used to working with your answering machine software.

So, you need to send faxes and you need an answering machine. You’ve got used to working with your fax software. You’ve got used to working with your answering machine software.

You want to send faxes over VoIP or ISDN and you know about T.38 fax protocol. You want to use the answering machine with your SIP, H.323 or ISDN line. You want to use your favourite fax and voice software but you don’t know how to do it.

No problem! Fax Voip T.38 Modem is a solution for you and your business.

What is Fax Voip T.38 Modem? From the perspective of your fax or voice application, it is a Voice Fax Modem. Fax Voip T.38 Modem installs Virtual COM Ports and virtual 'Fax Voip 14.4K TAPI Voice-Fax Modems' onto your system. You can setup your Fax & Voice program to operate with Fax Voip COM ports or virtual modems. From the perspective of your VoIP internet network, it’s a SIP/H.323 client with T.38 and G.711 Fax support. From the perspective of your ISDN line, it’s CAPI 2.0 client with audio fax support. With Fax Voip T.38 Modem you can send and receive T.38 and audio (color and black-and-white) faxes and voice messages without any hardware, using your favourite Fax & Voice program. Fax Voip T.38 Modem is the ideal solution for the implementation of Fax and Voice Mailbox into SIP, H.323 or ISDN network. You can use Fax Voip T.38 Modem with your VoIP or ISDN-based PBX or with your SIP/H.323/ISDN Provider. Fax Voip T.38 Modem can also support from 1 to 100 virtual lines simultaneously.

The figure below shows how Fax Voip T.38 Modem application works.

Multiple SIP Registrations and Call Routing functions make your system the most flexible as well as allowing you to work with different SIP and H.323 providers simultaneously.

Fax Voip T.38 Modem supports Caller ID and Dial a Phone Number Extension features.

Fax Voip T.38 Modem is a fully-functional system for sending faxes via e-mail (Mail to Fax) and for receiving faxes to e-mail (Fax to Mail).

The Mail to Fax - Microsoft Fax function will let you send faxes directly from your e-mail application. The body of your e-mail messages will act as the fax cover page, while any attached documents (e.g. PDF, TIFF, or TXT formats) will be converted into additional fax pages. Faxes can be sent to multiple recipients, and you can mix different formats as attachments to your messages.

Incoming Routing Methods (Microsoft Fax): Route through e-mail, Store in a folder, Print allow you to route incoming faxes to recipients on the network. Custom routing for incoming faxes (Microsoft Fax) allows you to easy add any routing functionality by using custom application that is started after receiving a fax.

Outgoing Routing Methods (Microsoft Fax): E-mail Delivery Receipts, Store in a folder, Print allow you to route outgoing faxes depending on the recipient's fax number, and the success or failure of sending the fax. Custom routing for outgoing faxes (Microsoft Fax) allows you to easy add any routing functionality by using custom application that is started after sending a fax.

Fax Voip T.38 Modem has been successfully tested with Microsoft Fax, BVRP Classic Phone Tools 9, FaxTalk Messenger Pro 7.5, CallStation, WinFax Pro and many other well-known programs.

Fax Voip T.38 Modem has been successfully tested with T38FAX , CALLCentric , babyTEL , MondoTalk and many other VoIP service providers.


Fax Voip T.38 Console

Other Products ››

Fax Voip T.38 Console
T.38 and Audio Fax. SIP, H.323, ISDN CAPI 2.0

https://www.t38faxvoip.com/console

https://www.t38modem.com/console

T.38 and Audio Fax for your SIP/H.323/ISDN CAPI 2.0 line. Multiple SIP Registrations. Call Routing. Sending audio messages. Mail to Fax. Incoming Fax Routing: Route through e-mail, Store in a folder, Print, Custom Routing. Fax-on-Demand. Outgoing Fax Routing: E-mail Delivery Receipts, Store in a folder, Print, Custom Routing.

About Fax Voip T.38 Console

Fax Voip T.38 Console allows you to send and receive T.38 and audio (over G.711 codec) faxes and send audio messages using any Voice over IP (VoIP) telephony provider (SIP or H.323). This solution does not require installation of any other third-party fax voice software.

The figure below shows how Fax Voip T.38 Console application works.

Multiple SIP Registrations and Call Routing functions make your system the most flexible as well as allowing you to work with different SIP and H.323 providers simultaneously.

You can send T.38, audio and CAPI faxes via Fax Voip Virtual Printer and receive faxes directly in TIFF, PDF or SFF files without using fax software, and without limiting the number of incoming fax sessions. You can manage faxes with Fax Voip T.38 Console.

You can send not only faxes, but also audio messages.

Fax Voip T.38 Console is a fully-functional system for sending faxes and audio messages via e-mail (Mail to Fax and Mail to Audio) and for receiving faxes to e-mail (Fax to Mail).

The Mail to Fax (Mail to Audio) function will let you send faxes directly from your e-mail application. The body of your e-mail messages will act as the fax cover page, while any attached documents (e.g. PDF, TIFF, or TXT formats) will be converted into additional fax pages. Faxes can be sent to multiple recipients, and you can mix different formats as attachments to your messages.

Incoming Routing Methods: Route through e-mail, Store in a folder, Print allow you to route incoming faxes to recipients on the network. Custom routing for incoming faxes allows you to easy add any routing functionality by using custom application that is started after receiving a fax.

Outgoing Routing Methods: E-mail Delivery Receipts, Store in a folder, Print allow you to route outgoing faxes and audio messages depending on the recipient's phone number, and the success or failure of sending the fax or audio message. Custom routing for outgoing faxes and audio messages allows you to easy add any routing functionality by using custom application that is started after sending a fax or audio message.

Fax on Demand function allows callers to retrieve information via fax on the same call (from a fax machine).

Fax Voip T.38 Console has been successfully tested with T38FAX , CALLCentric , babyTEL , MondoTalk and many other VoIP service providers.


Fax Voip Softphone

Other Products ››

Fax Voip Softphone
Phone, Fax, Call Recording, Random Calls

https://www.t38faxvoip.com/phone

https://www.t38modem.com/phone

SIP/H.323 software telephone. Call Recording. Playing audio messages into the telephone line. Sending and Receiving T.38 and Audio Faxes. Music on Hold. Call Transfer. Call Forwarding. Phone Book. Log Book. Random Phone Calls.

About Fax Voip Softphone

Fax Voip Softphone is a powerful and unique SIP / H.323 software telephone that lets users make phone calls, record calls, play audio files into the telephone line as well as send/receive T.38 and audio faxes from one single software application using any Voice over IP (VoIP) telephony provider. Fax Voip Softphone supports Music on Hold, Call Transfer and Call Forwarding.

Audio and Fax panel allows you to send pre-prepared faxes and audio messages in one click.

With Log Book you can easily view call history, view received and sent faxes and listen to call recordings and sent audio messages.

The Phone Book provides a convenient place to store information about your contacts.

Random Phone Calls function can be useful for your business, as well as for different testing purposes. The function allows you to automatically make repetitive phone calls to one or more target phone numbers. This function allows you to play audio messages into the telephone line, as well as to record phone calls.

Using the Fax Voip Softphone Control Panel, you can easily configure the softphone according to your requirements.

Fax Voip Softphone has been successfully tested with T38FAX , CALLCentric , babyTEL , MondoTalk and many other VoIP service providers.


Windows Mail Restore Tool for Windows 10, 8.1 and 7

Other Products ››

Windows Mail Restore Tool
for Windows 10, 8.1 and 7

https://www.winmail10.com

Enables to use classic Windows Mail (formerly Outlook Express) software on your Windows 10, Windows 8.1 or Windows 7 computer. Automatic restore after system updates. Backup and Restore Windows Mail message store and settings. Multi-language support.

About WM Restore Tool

Windows Mail Restore Tool (WM Restore Tool) enables to use classic Windows Mail (formerly Outlook Express) software on your Windows 10, Windows 8.1 or Windows 7 computer. Windows Mail (formerly Outlook Express), one of most used e-mail client worldwide, discontinued after Windows Vista, now available again for all newer versions of Windows.

Windows Mail has all the tools you need to exchange e-mail with colleagues and friends, or join newsgroups to trade ideas and information. Available Windows Mail interface languages: English, German, French, Spanish, Italian, Japanese, Chinese (Simplified), Chinese (Traditional), Arabic, Bulgarian, Croatian, Czech, Danish, Dutch, Estonian, Finnish, Greek, Hebrew, Hungarian, Korean, Latvian, Lithuanian, Norwegian, Polish, Portuguese (Brazil), Portuguese (Portugal), Romanian, Russian, Serbian, Slovak, Slovenian, Swedish, Thai, Turkish, Ukrainian.

Windows Mail supports the following mail and news protocols: POP3 (Post Office Protocol 3), SMTP (Simple Mail Transfer Protocol), IMAP (Internet Message Access Protocol), NNTP (Network News Transfer Protocol). Because SSL is supported, you can easily configure Windows Mail to be used with Gmail , Hotmail (Live, Outlook.com) and many other e-mail services. Windows Mail is fully compatible with Simple MAPI messaging functionality. Also, Windows Mail has a documented application programming interface (API) based on Component Object Model (COM).

WM Restore Tool provides you with an additional set of useful tools when working with Windows Mail application. You can easily create a backup, restore or move to other computer your settings and Windows Mail message store.